
import org.junit.FixMethodOrder;
import org.junit.Test;
import org.junit.runners.MethodSorters;

@FixMethodOrder(MethodSorters.NAME_ASCENDING)
public class RegressionTest0 {

  public static boolean debug = false;

  @Test
  public void test001() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test001"); }


    double d0 = org.apache.commons.math.util.MathUtils.SAFE_MIN;
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d0 == 2.2250738585072014E-308d);

  }

  @Test
  public void test002() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test002"); }


    double d1 = org.apache.commons.math.util.FastMath.abs(10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 10.0d);

  }

  @Test
  public void test003() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test003"); }


    double d2 = org.apache.commons.math.util.FastMath.atan2((-1.0d), 100.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-0.009999666686665238d));

  }

  @Test
  public void test004() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test004"); }


    long long2 = org.apache.commons.math.util.FastMath.max(10L, 100L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 100L);

  }

  @Test
  public void test005() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test005"); }


    double d1 = org.apache.commons.math.util.FastMath.nextUp((-0.009999666686665238d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.009999666686665236d));

  }

  @Test
  public void test006() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test006"); }


    // The following exception was thrown during execution in test generation
    try {
      double d3 = org.apache.commons.math.util.MathUtils.round((-0.009999666686665236d), 100, 10);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test007() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test007"); }


    double d1 = org.apache.commons.math.util.FastMath.expm1((-0.009999666686665236d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.009949836253965281d));

  }

  @Test
  public void test008() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test008"); }


    double d1 = org.apache.commons.math.util.MathUtils.cosh(100.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.3440585709080678E43d);

  }

  @Test
  public void test009() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test009"); }


    boolean b3 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN((-0.009949836253965281d), 0.0d, 100.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == true);

  }

  @Test
  public void test010() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test010"); }


    double d1 = org.apache.commons.math.util.FastMath.expm1(100.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 2.6881171418161356E43d);

  }

  @Test
  public void test011() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test011"); }


    int i2 = org.apache.commons.math.util.MathUtils.lcm((-1), 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 100);

  }

  @Test
  public void test012() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test012"); }


    long long2 = org.apache.commons.math.util.MathUtils.lcm((-1L), 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 0L);

  }

  @Test
  public void test013() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test013"); }


    double d2 = org.apache.commons.math.util.FastMath.min(1.0d, 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.0d);

  }

  @Test
  public void test014() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test014"); }


    double d1 = org.apache.commons.math.util.MathUtils.factorialLog(0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.0d);

  }

  @Test
  public void test015() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test015"); }


    float f1 = org.apache.commons.math.util.MathUtils.sign(10.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 1.0f);

  }

  @Test
  public void test016() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test016"); }


    boolean b2 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(10.0f, 100.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test017() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test017"); }


    double d1 = org.apache.commons.math.util.FastMath.ulp(0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 4.9E-324d);

  }

  @Test
  public void test018() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test018"); }


    int i2 = org.apache.commons.math.util.FastMath.min((-1), 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == (-1));

  }

  @Test
  public void test019() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test019"); }


    float f2 = org.apache.commons.math.util.FastMath.scalb(100.0f, 10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 102400.0f);

  }

  @Test
  public void test020() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test020"); }


    long long2 = org.apache.commons.math.util.MathUtils.lcm(0L, 100L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 0L);

  }

  @Test
  public void test021() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test021"); }


    double d1 = org.apache.commons.math.util.MathUtils.factorialLog(1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.0d);

  }

  @Test
  public void test022() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test022"); }


    double d1 = org.apache.commons.math.util.FastMath.atanh((-0.009999666686665236d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.010000000006666442d));

  }

  @Test
  public void test023() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test023"); }


    byte byte1 = org.apache.commons.math.util.MathUtils.indicator((byte)0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(byte1 == (byte)1);

  }

  @Test
  public void test024() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test024"); }


    float f3 = org.apache.commons.math.util.MathUtils.round(0.0f, 10, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f3 == 1.0E-10f);

  }

  @Test
  public void test025() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test025"); }


    java.math.BigInteger bigInteger0 = null;
    java.math.BigInteger bigInteger1 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.math.BigInteger bigInteger2 = org.apache.commons.math.util.MathUtils.pow(bigInteger0, bigInteger1);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test026() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test026"); }


    int[] i_array0 = null;
    int[] i_array1 = null;
    // The following exception was thrown during execution in test generation
    try {
      int i2 = org.apache.commons.math.util.MathUtils.distanceInf(i_array0, i_array1);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test027() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test027"); }


    double d2 = org.apache.commons.math.util.MathUtils.round(2.6881171418161356E43d, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 2.6881171418161356E43d);

  }

  @Test
  public void test028() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test028"); }


    double d1 = org.apache.commons.math.util.FastMath.signum((-0.009999666686665236d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-1.0d));

  }

  @Test
  public void test029() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test029"); }


    boolean b3 = org.apache.commons.math.util.MathUtils.equals(0.0d, (-0.009949836253965281d), 2.6881171418161356E43d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == true);

  }

  @Test
  public void test030() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test030"); }


    boolean b2 = org.apache.commons.math.util.MathUtils.equals((-0.010000000006666442d), (-0.009999666686665238d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test031() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test031"); }


    boolean b3 = org.apache.commons.math.util.MathUtils.equals((-1.0d), 10.0d, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test032() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test032"); }


    long long2 = org.apache.commons.math.util.MathUtils.subAndCheck(100L, 1L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 99L);

  }

  @Test
  public void test033() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test033"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    java.lang.Object[] obj_array2 = new java.lang.Object[] { '#' };
    org.apache.commons.math.exception.NullArgumentException nullArgumentException3 = new org.apache.commons.math.exception.NullArgumentException(localizable0, obj_array2);
    org.apache.commons.math.exception.util.ExceptionContext exceptionContext4 = nullArgumentException3.getContext();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext4);

  }

  @Test
  public void test034() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test034"); }


    double d1 = org.apache.commons.math.util.FastMath.exp(2.2250738585072014E-308d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);

  }

  @Test
  public void test035() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test035"); }


    double d1 = org.apache.commons.math.util.FastMath.acos(0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.5707963267948966d);

  }

  @Test
  public void test036() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test036"); }


    int i1 = org.apache.commons.math.util.MathUtils.sign(1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 1);

  }

  @Test
  public void test037() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test037"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    java.lang.Object[] obj_array1 = null;
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException2 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable0, obj_array1);

  }

  @Test
  public void test038() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test038"); }


    double d1 = org.apache.commons.math.util.MathUtils.cosh(1.5707963267948966d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 2.5091784786580567d);

  }

  @Test
  public void test039() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test039"); }


    double d3 = org.apache.commons.math.util.MathUtils.round(2.6881171418161356E43d, 100, 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 2.6881171418161356E43d);

  }

  @Test
  public void test040() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test040"); }


    float f1 = org.apache.commons.math.util.FastMath.abs(0.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 0.0f);

  }

  @Test
  public void test041() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test041"); }


    double d1 = org.apache.commons.math.util.FastMath.sin((-0.009999666686665236d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.009999500037496873d));

  }

  @Test
  public void test042() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test042"); }


    int[] i_array0 = null;
    // The following exception was thrown during execution in test generation
    try {
      int[] i_array2 = org.apache.commons.math.util.MathUtils.copyOf(i_array0, 100);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test043() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test043"); }


    double d2 = org.apache.commons.math.util.FastMath.atan2((-0.010000000006666442d), 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-1.5707963267948966d));

  }

  @Test
  public void test044() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test044"); }


    long long1 = org.apache.commons.math.util.MathUtils.sign(1L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 1L);

  }

  @Test
  public void test045() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test045"); }


    double d1 = org.apache.commons.math.util.MathUtils.cosh(0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);

  }

  @Test
  public void test046() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test046"); }


    double d1 = org.apache.commons.math.util.FastMath.asin((-0.010000000006666442d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.010000166680833889d));

  }

  @Test
  public void test047() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test047"); }


    boolean b2 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(0.0f, 0.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == true);

  }

  @Test
  public void test048() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test048"); }


    long long1 = org.apache.commons.math.util.MathUtils.factorial(0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 1L);

  }

  @Test
  public void test049() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test049"); }


    float f1 = org.apache.commons.math.util.FastMath.signum((-1.0f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == (-1.0f));

  }

  @Test
  public void test050() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test050"); }


    double d1 = org.apache.commons.math.util.MathUtils.indicator((-0.009999666686665236d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-1.0d));

  }

  @Test
  public void test051() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test051"); }


    long long1 = org.apache.commons.math.util.MathUtils.indicator((-1L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == (-1L));

  }

  @Test
  public void test052() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test052"); }


    double d1 = org.apache.commons.math.util.FastMath.exp(1.5707963267948966d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 4.810477380965351d);

  }

  @Test
  public void test053() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test053"); }


    double d2 = org.apache.commons.math.util.FastMath.min(2.2250738585072014E-308d, (-0.009999666686665236d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-0.009999666686665236d));

  }

  @Test
  public void test054() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test054"); }


    double d1 = org.apache.commons.math.util.FastMath.log10(1.3440585709080678E43d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 43.1284181946612d);

  }

  @Test
  public void test055() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test055"); }


    boolean b2 = org.apache.commons.math.util.MathUtils.equals(102400.0f, 100.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test056() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test056"); }


    short s1 = org.apache.commons.math.util.MathUtils.indicator((short)0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(s1 == (short)1);

  }

  @Test
  public void test057() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test057"); }


    double d1 = org.apache.commons.math.util.FastMath.ulp(2.5091784786580567d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 4.440892098500626E-16d);

  }

  @Test
  public void test058() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test058"); }


    double d1 = org.apache.commons.math.util.FastMath.cbrt((-0.009999666686665236d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.21544107530388956d));

  }

  @Test
  public void test059() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test059"); }


    float f2 = org.apache.commons.math.util.FastMath.copySign((-1.0f), 1.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 1.0f);

  }

  @Test
  public void test060() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test060"); }


    java.math.BigInteger bigInteger0 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.math.BigInteger bigInteger2 = org.apache.commons.math.util.MathUtils.pow(bigInteger0, 0);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test061() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test061"); }


    float f2 = org.apache.commons.math.util.FastMath.copySign(1.0E-10f, 10.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 1.0E-10f);

  }

  @Test
  public void test062() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test062"); }


    double d1 = org.apache.commons.math.util.FastMath.toDegrees(100.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 5729.5779513082325d);

  }

  @Test
  public void test063() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test063"); }


    double d1 = org.apache.commons.math.util.FastMath.atanh((-1.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == Double.NEGATIVE_INFINITY);

  }

  @Test
  public void test064() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test064"); }


    double d1 = org.apache.commons.math.util.FastMath.log1p(4.9E-324d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 4.9E-324d);

  }

  @Test
  public void test065() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test065"); }


    double d1 = org.apache.commons.math.util.FastMath.ulp(4.9E-324d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 4.9E-324d);

  }

  @Test
  public void test066() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test066"); }


    double d1 = org.apache.commons.math.util.FastMath.tan((-0.010000166680833889d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.010000500044170567d));

  }

  @Test
  public void test067() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test067"); }


    float f1 = org.apache.commons.math.util.FastMath.nextUp(10.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 10.000001f);

  }

  @Test
  public void test068() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test068"); }


    int i2 = org.apache.commons.math.util.FastMath.max((-1), 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 0);

  }

  @Test
  public void test069() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test069"); }


    double d1 = org.apache.commons.math.util.FastMath.toRadians((-1.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.017453292519943295d));

  }

  @Test
  public void test070() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test070"); }


    long long2 = org.apache.commons.math.util.MathUtils.lcm(10L, 100L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 100L);

  }

  @Test
  public void test071() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test071"); }


    double d1 = org.apache.commons.math.util.FastMath.asin(1.5707963267948966d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test072() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test072"); }


    double[] d_array1 = new double[] { 1.0d };
    double[] d_array3 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array1, 10.0d);
    double[] d_array5 = new double[] { 1.0d };
    double[] d_array7 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array5, 10.0d);
    double d8 = org.apache.commons.math.util.MathUtils.safeNorm(d_array5);
    // The following exception was thrown during execution in test generation
    try {
      double d9 = org.apache.commons.math.util.MathUtils.linearCombination(d_array3, d_array5);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 1.0d);

  }

  @Test
  public void test073() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test073"); }


    int i2 = org.apache.commons.math.util.MathUtils.subAndCheck(100, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 100);

  }

  @Test
  public void test074() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test074"); }


    double d1 = org.apache.commons.math.util.FastMath.sinh(2.6881171418161356E43d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == Double.POSITIVE_INFINITY);

  }

  @Test
  public void test075() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test075"); }


    boolean b3 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(10.000001f, 0.0f, (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test076() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test076"); }


    double d6 = org.apache.commons.math.util.MathUtils.linearCombination(1.5707963267948966d, 2.2250738585072014E-308d, 2.5091784786580567d, 0.0d, (-0.010000500044170567d), (-0.009999500037496873d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 1.0000000056667108E-4d);

  }

  @Test
  public void test077() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test077"); }


    int i2 = org.apache.commons.math.util.FastMath.max(10, (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 10);

  }

  @Test
  public void test078() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test078"); }


    long long1 = org.apache.commons.math.util.FastMath.abs(99L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 99L);

  }

  @Test
  public void test079() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test079"); }


    long long2 = org.apache.commons.math.util.MathUtils.gcd(1L, (-1L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 1L);

  }

  @Test
  public void test080() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test080"); }


    int[] i_array1 = new int[] { (-1) };
    int[] i_array2 = org.apache.commons.math.util.MathUtils.copyOf(i_array1);
    int[] i_array3 = new int[] {  };
    // The following exception was thrown during execution in test generation
    try {
      int i4 = org.apache.commons.math.util.MathUtils.distance1(i_array1, i_array3);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array3);

  }

  @Test
  public void test081() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test081"); }


    int i1 = org.apache.commons.math.util.MathUtils.indicator(0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 1);

  }

  @Test
  public void test082() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test082"); }


    org.apache.commons.math.exception.NotPositiveException notPositiveException1 = new org.apache.commons.math.exception.NotPositiveException((java.lang.Number)1.0d);

  }

  @Test
  public void test083() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test083"); }


    long long2 = org.apache.commons.math.util.FastMath.min(0L, 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 0L);

  }

  @Test
  public void test084() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test084"); }


    int i2 = org.apache.commons.math.util.MathUtils.mulAndCheck(0, (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 0);

  }

  @Test
  public void test085() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test085"); }


    double d1 = org.apache.commons.math.util.FastMath.tanh((-0.010000500044170567d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.010000166674166444d));

  }

  @Test
  public void test086() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test086"); }


    boolean b3 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(Double.POSITIVE_INFINITY, 4.810477380965351d, 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test087() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test087"); }


    double d2 = org.apache.commons.math.util.MathUtils.round(100.0d, (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 100.0d);

  }

  @Test
  public void test088() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test088"); }


    int i2 = org.apache.commons.math.util.MathUtils.mulAndCheck((-1), 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 0);

  }

  @Test
  public void test089() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test089"); }


    double d1 = org.apache.commons.math.util.FastMath.ulp(2.6881171418161356E43d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 4.951760157141521E27d);

  }

  @Test
  public void test090() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test090"); }


    // The following exception was thrown during execution in test generation
    try {
      long long1 = org.apache.commons.math.util.MathUtils.factorial((-1));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NotPositiveException");
    } catch (org.apache.commons.math.exception.NotPositiveException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NotPositiveException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NotPositiveException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test091() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test091"); }


    double d1 = org.apache.commons.math.util.FastMath.floor(1.3440585709080678E43d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.3440585709080678E43d);

  }

  @Test
  public void test092() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test092"); }


    double d2 = org.apache.commons.math.util.FastMath.copySign(0.0d, 2.2250738585072014E-308d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.0d);

  }

  @Test
  public void test093() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test093"); }


    double d0 = org.apache.commons.math.util.FastMath.E;
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d0 == 2.718281828459045d);

  }

  @Test
  public void test094() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test094"); }


    double d1 = org.apache.commons.math.util.FastMath.acosh(1.3440585709080678E43d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 100.0d);

  }

  @Test
  public void test095() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test095"); }


    float f1 = org.apache.commons.math.util.FastMath.abs((-1.0f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 1.0f);

  }

  @Test
  public void test096() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test096"); }


    double d2 = org.apache.commons.math.util.FastMath.hypot(0.0d, 4.440892098500626E-16d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 4.440892098500626E-16d);

  }

  @Test
  public void test097() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test097"); }


    double d1 = org.apache.commons.math.util.FastMath.signum((-0.009999500037496873d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-1.0d));

  }

  @Test
  public void test098() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test098"); }


    double d1 = org.apache.commons.math.util.FastMath.acosh(0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test099() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test099"); }


    double d1 = org.apache.commons.math.util.FastMath.abs(2.2250738585072014E-308d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 2.2250738585072014E-308d);

  }

  @Test
  public void test100() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test100"); }


    // The following exception was thrown during execution in test generation
    try {
      double d2 = org.apache.commons.math.util.MathUtils.binomialCoefficientDouble(10, 100);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NumberIsTooLargeException");
    } catch (org.apache.commons.math.exception.NumberIsTooLargeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NumberIsTooLargeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NumberIsTooLargeException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test101() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test101"); }


    long long2 = org.apache.commons.math.util.MathUtils.subAndCheck(100L, 100L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 0L);

  }

  @Test
  public void test102() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test102"); }


    double d4 = org.apache.commons.math.util.MathUtils.linearCombination((-0.010000000006666442d), 1.5707963267948966d, 0.0d, (-0.009949836253965281d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == (-0.015707963278420587d));

  }

  @Test
  public void test103() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test103"); }


    double d4 = org.apache.commons.math.util.MathUtils.linearCombination((-0.009949836253965281d), (-1.0d), 4.440892098500626E-16d, (-0.017453292519943295d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 0.009949836253965274d);

  }

  @Test
  public void test104() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test104"); }


    double d2 = org.apache.commons.math.util.FastMath.copySign(4.9E-324d, (-0.009949836253965281d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-4.9E-324d));

  }

  @Test
  public void test105() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test105"); }


    double d1 = org.apache.commons.math.util.FastMath.acos(100.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test106() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test106"); }


    // The following exception was thrown during execution in test generation
    try {
      double d2 = org.apache.commons.math.util.MathUtils.binomialCoefficientLog((-1), 10);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NumberIsTooLargeException");
    } catch (org.apache.commons.math.exception.NumberIsTooLargeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NumberIsTooLargeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NumberIsTooLargeException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test107() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test107"); }


    double d0 = org.apache.commons.math.util.FastMath.PI;
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d0 == 3.141592653589793d);

  }

  @Test
  public void test108() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test108"); }


    float f1 = org.apache.commons.math.util.MathUtils.indicator(0.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 1.0f);

  }

  @Test
  public void test109() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test109"); }


    double d1 = org.apache.commons.math.util.FastMath.sin((-0.017453292519943295d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.01745240643728351d));

  }

  @Test
  public void test110() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test110"); }


    double d1 = org.apache.commons.math.util.MathUtils.factorialLog(100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 363.7393755555636d);

  }

  @Test
  public void test111() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test111"); }


    float f2 = org.apache.commons.math.util.FastMath.scalb(10.0f, 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 1.2676506E31f);

  }

  @Test
  public void test112() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test112"); }


    double d1 = org.apache.commons.math.util.FastMath.rint(1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);

  }

  @Test
  public void test113() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test113"); }


    short s1 = org.apache.commons.math.util.MathUtils.sign((short)10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(s1 == (short)1);

  }

  @Test
  public void test114() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test114"); }


    double d1 = org.apache.commons.math.util.MathUtils.sinh(0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.0d);

  }

  @Test
  public void test115() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test115"); }


    org.apache.commons.math.complex.Complex complex0 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex1 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex2 = complex0.pow(complex1);
    org.apache.commons.math.complex.Complex complex3 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex4 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex5 = complex3.pow(complex4);
    org.apache.commons.math.complex.Complex complex6 = complex0.multiply(complex4);
    double d7 = complex0.getImaginary();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == Double.POSITIVE_INFINITY);

  }

  @Test
  public void test116() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test116"); }


    long long2 = org.apache.commons.math.util.FastMath.min(100L, 99L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 99L);

  }

  @Test
  public void test117() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test117"); }


    org.apache.commons.math.complex.Complex complex0 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex1 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex2 = complex0.pow(complex1);
    boolean b3 = complex2.isInfinite();
    org.apache.commons.math.complex.Complex complex4 = complex2.atan();
    org.apache.commons.math.complex.Complex complex5 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex6 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex7 = complex5.pow(complex6);
    org.apache.commons.math.complex.ComplexField complexField8 = complex6.getField();
    org.apache.commons.math.complex.Complex complex9 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex10 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex11 = complex9.pow(complex10);
    org.apache.commons.math.complex.Complex complex12 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex13 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex14 = complex12.pow(complex13);
    org.apache.commons.math.complex.Complex complex15 = complex9.multiply(complex13);
    org.apache.commons.math.complex.Complex complex16 = complex6.multiply(complex9);
    org.apache.commons.math.complex.Complex complex17 = complex9.cosh();
    org.apache.commons.math.complex.Complex complex18 = complex9.acos();
    org.apache.commons.math.complex.Complex complex19 = complex2.subtract(complex9);
    org.apache.commons.math.complex.Complex complex20 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.complex.Complex complex21 = complex2.subtract(complex20);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException");
    } catch (org.apache.commons.math.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complexField8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex19);

  }

  @Test
  public void test118() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test118"); }


    long long2 = org.apache.commons.math.util.FastMath.min(1L, 10L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 1L);

  }

  @Test
  public void test119() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test119"); }


    double d1 = org.apache.commons.math.util.FastMath.cosh((-0.010000500044170567d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.000050005417318d);

  }

  @Test
  public void test120() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test120"); }


    float f2 = org.apache.commons.math.util.FastMath.nextAfter(10.000001f, 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 10.0f);

  }

  @Test
  public void test121() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test121"); }


    double d1 = org.apache.commons.math.util.FastMath.floor((-0.010000166680833889d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-1.0d));

  }

  @Test
  public void test122() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test122"); }


    float f1 = org.apache.commons.math.util.FastMath.signum(10.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 1.0f);

  }

  @Test
  public void test123() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test123"); }


    boolean b3 = org.apache.commons.math.util.MathUtils.equals((-0.009949836253965281d), 43.1284181946612d, 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test124() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test124"); }


    int i2 = org.apache.commons.math.util.MathUtils.pow(0, 100L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 0);

  }

  @Test
  public void test125() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test125"); }


    boolean b2 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(1.2676506E31f, 10.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test126() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test126"); }


    long long2 = org.apache.commons.math.util.MathUtils.mulAndCheck(0L, (-1L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 0L);

  }

  @Test
  public void test127() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test127"); }


    org.apache.commons.math.util.MathUtils.checkFinite((-1.0d));

  }

  @Test
  public void test128() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test128"); }


    double d1 = org.apache.commons.math.util.FastMath.acos(4.440892098500626E-16d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.5707963267948961d);

  }

  @Test
  public void test129() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test129"); }


    long long2 = org.apache.commons.math.util.MathUtils.mulAndCheck(10L, 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 0L);

  }

  @Test
  public void test130() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test130"); }


    int i3 = org.apache.commons.math.util.MathUtils.compareTo((-0.010000500044170567d), 1.0000000056667108E-4d, 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == (-1));

  }

  @Test
  public void test131() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test131"); }


    double d1 = org.apache.commons.math.util.FastMath.asinh(0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.0d);

  }

  @Test
  public void test132() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test132"); }


    boolean b3 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(Double.POSITIVE_INFINITY, 2.718281828459045d, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test133() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test133"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.NotPositiveException notPositiveException2 = new org.apache.commons.math.exception.NotPositiveException(localizable0, (java.lang.Number)0L);
    java.lang.Number number3 = notPositiveException2.getMin();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number3 + "' != '" + 0+ "'", number3.equals(0));

  }

  @Test
  public void test134() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test134"); }


    double d1 = org.apache.commons.math.util.FastMath.ceil(0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.0d);

  }

  @Test
  public void test135() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test135"); }


    float f2 = org.apache.commons.math.util.FastMath.scalb(100.0f, 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 1.2676506E32f);

  }

  @Test
  public void test136() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test136"); }


    boolean b2 = org.apache.commons.math.util.MathUtils.equals((-0.009999500037496873d), (-1.5707963267948966d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test137() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test137"); }


    byte byte1 = org.apache.commons.math.util.MathUtils.sign((byte)0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(byte1 == (byte)0);

  }

  @Test
  public void test138() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test138"); }


    long long2 = org.apache.commons.math.util.MathUtils.mulAndCheck((-1L), 100L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == (-100L));

  }

  @Test
  public void test139() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test139"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.DimensionMismatchException dimensionMismatchException3 = new org.apache.commons.math.exception.DimensionMismatchException(localizable0, 10, 1);
    int i4 = dimensionMismatchException3.getDimension();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 1);

  }

  @Test
  public void test140() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test140"); }


    float f2 = org.apache.commons.math.util.MathUtils.round(10.0f, 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 10.0f);

  }

  @Test
  public void test141() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test141"); }


    int i1 = org.apache.commons.math.util.FastMath.round(102400.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 102400);

  }

  @Test
  public void test142() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test142"); }


    double d1 = org.apache.commons.math.util.FastMath.log1p((-0.010000166680833889d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.01005050421799429d));

  }

  @Test
  public void test143() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test143"); }


    double d1 = org.apache.commons.math.util.FastMath.cosh((-0.010000000006666442d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0000500004167348d);

  }

  @Test
  public void test144() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test144"); }


    int i1 = org.apache.commons.math.util.FastMath.abs(1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 1);

  }

  @Test
  public void test145() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test145"); }


    int i2 = org.apache.commons.math.util.MathUtils.mulAndCheck(1, 102400);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 102400);

  }

  @Test
  public void test146() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test146"); }


    boolean b2 = org.apache.commons.math.util.MathUtils.equals(1.5707963267948966d, Double.POSITIVE_INFINITY);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test147() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test147"); }


    long long1 = org.apache.commons.math.util.MathUtils.indicator(100L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 1L);

  }

  @Test
  public void test148() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test148"); }


    double d1 = org.apache.commons.math.util.FastMath.nextUp(0.009949836253965274d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.009949836253965276d);

  }

  @Test
  public void test149() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test149"); }


    long long2 = org.apache.commons.math.util.MathUtils.mulAndCheck(100L, 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 0L);

  }

  @Test
  public void test150() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test150"); }


    boolean b3 = org.apache.commons.math.util.MathUtils.equals((-0.009949836253965281d), 0.0d, 102400);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test151() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test151"); }


    double d2 = org.apache.commons.math.util.MathUtils.normalizeAngle((-0.010000166674166444d), (-1.5707963267948966d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-0.010000166674166444d));

  }

  @Test
  public void test152() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test152"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.NotPositiveException notPositiveException2 = new org.apache.commons.math.exception.NotPositiveException(localizable0, (java.lang.Number)0L);
    java.lang.Number number3 = notPositiveException2.getArgument();
    // The following exception was thrown during execution in test generation
    try {
      java.lang.String str4 = notPositiveException2.toString();
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number3 + "' != '" + 0L+ "'", number3.equals(0L));

  }

  @Test
  public void test153() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test153"); }


    double d1 = org.apache.commons.math.util.FastMath.atan(10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.4711276743037347d);

  }

  @Test
  public void test154() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test154"); }


    boolean b3 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(0.0d, 1.3440585709080678E43d, 4.440892098500626E-16d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test155() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test155"); }


    double d0 = org.apache.commons.math.util.MathUtils.EPSILON;
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d0 == 1.1102230246251565E-16d);

  }

  @Test
  public void test156() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test156"); }


    int[] i_array1 = new int[] { (-1) };
    int[] i_array2 = org.apache.commons.math.util.MathUtils.copyOf(i_array1);
    int[] i_array3 = new int[] {  };
    int[] i_array5 = org.apache.commons.math.util.MathUtils.copyOf(i_array3, 1);
    // The following exception was thrown during execution in test generation
    try {
      int i6 = org.apache.commons.math.util.MathUtils.distanceInf(i_array2, i_array3);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array5);

  }

  @Test
  public void test157() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test157"); }


    double d1 = org.apache.commons.math.util.FastMath.cosh(0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);

  }

  @Test
  public void test158() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test158"); }


    double d2 = org.apache.commons.math.util.MathUtils.normalizeAngle(Double.POSITIVE_INFINITY, 1.000050005417318d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);

  }

  @Test
  public void test159() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test159"); }


    float f1 = org.apache.commons.math.util.FastMath.abs(100.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 100.0f);

  }

  @Test
  public void test160() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test160"); }


    boolean b2 = org.apache.commons.math.util.MathUtils.equals(2.718281828459045d, 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test161() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test161"); }


    boolean b2 = org.apache.commons.math.util.MathUtils.equals(1.0E-10f, 10.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test162() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test162"); }


    int i1 = org.apache.commons.math.util.MathUtils.hash(0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 0);

  }

  @Test
  public void test163() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test163"); }


    boolean b3 = org.apache.commons.math.util.MathUtils.equals(5729.5779513082325d, 1.1102230246251565E-16d, 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test164() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test164"); }


    float f1 = org.apache.commons.math.util.MathUtils.sign(1.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 1.0f);

  }

  @Test
  public void test165() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test165"); }


    org.apache.commons.math.complex.Complex complex0 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex1 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex2 = complex0.pow(complex1);
    boolean b3 = complex2.isInfinite();
    org.apache.commons.math.complex.Complex complex4 = complex2.atan();
    org.apache.commons.math.complex.Complex complex5 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex6 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex7 = complex5.pow(complex6);
    org.apache.commons.math.complex.ComplexField complexField8 = complex6.getField();
    org.apache.commons.math.complex.Complex complex9 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex10 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex11 = complex9.pow(complex10);
    org.apache.commons.math.complex.Complex complex12 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex13 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex14 = complex12.pow(complex13);
    org.apache.commons.math.complex.Complex complex15 = complex9.multiply(complex13);
    org.apache.commons.math.complex.Complex complex16 = complex6.multiply(complex9);
    org.apache.commons.math.complex.Complex complex17 = complex9.cosh();
    org.apache.commons.math.complex.Complex complex18 = complex9.acos();
    org.apache.commons.math.complex.Complex complex19 = complex2.subtract(complex9);
    double d20 = complex9.getArgument();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complexField8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d20 == 0.7853981633974483d);

  }

  @Test
  public void test166() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test166"); }


    float f1 = org.apache.commons.math.util.FastMath.nextUp(10.000001f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 10.000002f);

  }

  @Test
  public void test167() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test167"); }


    short s1 = org.apache.commons.math.util.MathUtils.indicator((short)10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(s1 == (short)1);

  }

  @Test
  public void test168() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test168"); }


    double d1 = org.apache.commons.math.util.FastMath.log1p(0.009949836253965276d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.009900662544436153d);

  }

  @Test
  public void test169() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test169"); }


    long long2 = org.apache.commons.math.util.MathUtils.pow(1L, 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 1L);

  }

  @Test
  public void test170() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test170"); }


    double d1 = org.apache.commons.math.util.MathUtils.sinh((-0.017453292519943295d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.017454178629595085d));

  }

  @Test
  public void test171() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test171"); }


    long long2 = org.apache.commons.math.util.MathUtils.gcd(0L, 99L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 99L);

  }

  @Test
  public void test172() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test172"); }


    float f2 = org.apache.commons.math.util.MathUtils.round(0.0f, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 0.0f);

  }

  @Test
  public void test173() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test173"); }


    long long1 = org.apache.commons.math.util.MathUtils.sign(99L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 1L);

  }

  @Test
  public void test174() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test174"); }


    double d1 = org.apache.commons.math.util.FastMath.atan((-0.010000500044170567d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.010000166680833889d));

  }

  @Test
  public void test175() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test175"); }


    float f2 = org.apache.commons.math.util.FastMath.scalb(10.000002f, 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 20.000004f);

  }

  @Test
  public void test176() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test176"); }


    int i1 = org.apache.commons.math.util.MathUtils.hash(Double.NaN);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 2146959360);

  }

  @Test
  public void test177() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test177"); }


    double d2 = org.apache.commons.math.util.FastMath.max(1.0000500004167348d, (-0.010000166680833889d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.0000500004167348d);

  }

  @Test
  public void test178() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test178"); }


    double d1 = org.apache.commons.math.util.FastMath.log((-0.009999500037496873d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test179() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test179"); }


    double d1 = org.apache.commons.math.util.FastMath.sinh(100.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.3440585709080678E43d);

  }

  @Test
  public void test180() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test180"); }


    double d2 = org.apache.commons.math.util.FastMath.copySign(1.0d, (-0.015707963278420587d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-1.0d));

  }

  @Test
  public void test181() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test181"); }


    boolean b3 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN((-1.0d), (-0.010000500044170567d), 102400);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test182() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test182"); }


    double d1 = org.apache.commons.math.util.FastMath.cos(0.7853981633974483d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.7071067811865476d);

  }

  @Test
  public void test183() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test183"); }


    long long2 = org.apache.commons.math.util.FastMath.min((-1L), 100L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == (-1L));

  }

  @Test
  public void test184() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test184"); }


    float f1 = org.apache.commons.math.util.MathUtils.indicator(102400.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 1.0f);

  }

  @Test
  public void test185() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test185"); }


    boolean b3 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(1.0000500004167348d, 1.4711276743037347d, 102400);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test186() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test186"); }


    double d1 = org.apache.commons.math.util.FastMath.log(0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == Double.NEGATIVE_INFINITY);

  }

  @Test
  public void test187() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test187"); }


    double[] d_array0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.util.MathUtils.checkOrder(d_array0);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test188() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test188"); }


    int i1 = org.apache.commons.math.util.MathUtils.hash(1.0000500004167348d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 1376942411);

  }

  @Test
  public void test189() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test189"); }


    int i1 = org.apache.commons.math.util.MathUtils.hash(5729.5779513082325d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == (-1272213991));

  }

  @Test
  public void test190() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test190"); }


    double d1 = org.apache.commons.math.util.FastMath.acosh((-0.009949836253965281d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test191() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test191"); }


    double d1 = org.apache.commons.math.util.MathUtils.cosh(Double.NaN);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test192() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test192"); }


    org.apache.commons.math.complex.Complex complex1 = org.apache.commons.math.complex.Complex.valueOf(4.9E-324d);
    org.apache.commons.math.complex.Complex complex2 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.complex.Complex complex3 = complex1.pow(complex2);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException");
    } catch (org.apache.commons.math.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex1);

  }

  @Test
  public void test193() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test193"); }


    boolean b2 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(1.0000000056667108E-4d, 2.2250738585072014E-308d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test194() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test194"); }


    org.apache.commons.math.exception.DimensionMismatchException dimensionMismatchException2 = new org.apache.commons.math.exception.DimensionMismatchException((-1272213991), (-1272213991));

  }

  @Test
  public void test195() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test195"); }


    double d1 = org.apache.commons.math.util.FastMath.cbrt((-0.017453292519943295d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.2593935199454313d));

  }

  @Test
  public void test196() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test196"); }


    boolean b2 = org.apache.commons.math.util.MathUtils.equals(100.0f, 10.000001f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test197() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test197"); }


    double[] d_array1 = new double[] { 1.0d };
    double[] d_array3 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array1, 10.0d);
    double d4 = org.apache.commons.math.util.MathUtils.safeNorm(d_array1);
    double[] d_array6 = new double[] { 1.0d };
    double[] d_array8 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array6, 10.0d);
    double[] d_array10 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array6, (-0.009999666686665238d));
    double[][] d_array_array11 = new double[][] { d_array6 };
    org.apache.commons.math.util.MathUtils.sortInPlace(d_array1, d_array_array11);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array1);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array1);
    double[] d_array16 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array1, 1.5707963267948966d);
    double[] d_array18 = new double[] { 1.0d };
    double[] d_array20 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array18, 10.0d);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array18);
    // The following exception was thrown during execution in test generation
    try {
      double d22 = org.apache.commons.math.util.MathUtils.linearCombination(d_array1, d_array18);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array20);

  }

  @Test
  public void test198() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test198"); }


    int i2 = org.apache.commons.math.util.MathUtils.gcd(2146959360, 1376942411);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 13);

  }

  @Test
  public void test199() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test199"); }


    float f1 = org.apache.commons.math.util.FastMath.signum(10.000002f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 1.0f);

  }

  @Test
  public void test200() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test200"); }


    double d1 = org.apache.commons.math.util.FastMath.log((-0.010000000006666442d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test201() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test201"); }


    boolean b3 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN((-0.010000166674166444d), 1.4711276743037347d, 2.718281828459045d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == true);

  }

  @Test
  public void test202() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test202"); }


    long long2 = org.apache.commons.math.util.MathUtils.gcd(0L, 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 0L);

  }

  @Test
  public void test203() {}
// Defects4J: flaky method
//   @Test
//   public void test203() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test203"); }
// 
// 
//     double d0 = org.apache.commons.math.util.FastMath.random();
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d0 == 0.5392398400557298d);
// 
//   }

  @Test
  public void test204() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test204"); }


    double d1 = org.apache.commons.math.util.MathUtils.cosh((-0.010000000006666442d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0000500004167348d);

  }

  @Test
  public void test205() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test205"); }


    double d1 = org.apache.commons.math.util.MathUtils.sign(1.000050005417318d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);

  }

  @Test
  public void test206() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test206"); }


    double d1 = org.apache.commons.math.util.FastMath.exp(5729.5779513082325d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == Double.POSITIVE_INFINITY);

  }

  @Test
  public void test207() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test207"); }


    int i1 = org.apache.commons.math.util.MathUtils.indicator(10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 1);

  }

  @Test
  public void test208() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test208"); }


    boolean b3 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(10.000002f, 102400.0f, 13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test209() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test209"); }


    // The following exception was thrown during execution in test generation
    try {
      float f3 = org.apache.commons.math.util.MathUtils.round(1.0f, 100, 1376942411);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.MathIllegalArgumentException");
    } catch (org.apache.commons.math.exception.MathIllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.MathIllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.MathIllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test210() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test210"); }


    java.math.BigInteger bigInteger0 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.math.BigInteger bigInteger2 = org.apache.commons.math.util.MathUtils.pow(bigInteger0, 100L);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test211() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test211"); }


    double d1 = org.apache.commons.math.util.FastMath.floor(2.718281828459045d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 2.0d);

  }

  @Test
  public void test212() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test212"); }


    double d1 = org.apache.commons.math.util.FastMath.ceil(43.1284181946612d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 44.0d);

  }

  @Test
  public void test213() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test213"); }


    long long2 = org.apache.commons.math.util.FastMath.min(0L, (-1L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == (-1L));

  }

  @Test
  public void test214() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test214"); }


    boolean b3 = org.apache.commons.math.util.MathUtils.equals((-0.009999500037496873d), 2.0d, 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test215() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test215"); }


    double d1 = org.apache.commons.math.util.FastMath.rint(4.440892098500626E-16d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.0d);

  }

  @Test
  public void test216() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test216"); }


    double d1 = org.apache.commons.math.util.FastMath.log1p((-0.010000166674166444d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.010050504211259496d));

  }

  @Test
  public void test217() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test217"); }


    double d1 = org.apache.commons.math.util.MathUtils.sinh((-0.01745240643728351d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.017453292411980625d));

  }

  @Test
  public void test218() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test218"); }


    long long2 = org.apache.commons.math.util.MathUtils.addAndCheck(1L, (-100L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == (-99L));

  }

  @Test
  public void test219() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test219"); }


    double d1 = org.apache.commons.math.util.MathUtils.factorialDouble(10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 3628800.0d);

  }

  @Test
  public void test220() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test220"); }


    boolean b3 = org.apache.commons.math.util.MathUtils.equals(3.141592653589793d, Double.NEGATIVE_INFINITY, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test221() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test221"); }


    boolean b3 = org.apache.commons.math.util.MathUtils.equals(1.5707963267948961d, 4.951760157141521E27d, 1.4711276743037347d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test222() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test222"); }


    boolean b3 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(0.0f, 10.0f, 102400);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test223() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test223"); }


    long long2 = org.apache.commons.math.util.MathUtils.subAndCheck((-100L), (-100L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 0L);

  }

  @Test
  public void test224() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test224"); }


    double d2 = org.apache.commons.math.util.FastMath.copySign(2.0d, (-0.009999666686665236d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-2.0d));

  }

  @Test
  public void test225() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test225"); }


    double d1 = org.apache.commons.math.util.FastMath.log((-0.015707963278420587d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test226() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test226"); }


    float f1 = org.apache.commons.math.util.FastMath.ulp(1.2676506E32f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 9.6714065E24f);

  }

  @Test
  public void test227() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test227"); }


    double d1 = org.apache.commons.math.util.FastMath.log1p(10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 2.3978952727983707d);

  }

  @Test
  public void test228() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test228"); }


    double d1 = org.apache.commons.math.util.FastMath.exp(0.7853981633974483d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 2.1932800507380152d);

  }

  @Test
  public void test229() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test229"); }


    float f2 = org.apache.commons.math.util.FastMath.max(9.6714065E24f, 1.0E-10f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 9.6714065E24f);

  }

  @Test
  public void test230() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test230"); }


    boolean b2 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(102400.0f, 9.6714065E24f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test231() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test231"); }


    double d2 = org.apache.commons.math.util.MathUtils.binomialCoefficientLog(1072693279, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.0d);

  }

  @Test
  public void test232() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test232"); }


    double d1 = org.apache.commons.math.util.MathUtils.cosh(0.5392398400557298d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.1489471604170878d);

  }

  @Test
  public void test233() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test233"); }


    int i2 = org.apache.commons.math.util.MathUtils.addAndCheck(0, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 0);

  }

  @Test
  public void test234() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test234"); }


    float f2 = org.apache.commons.math.util.FastMath.min(0.0f, 0.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 0.0f);

  }

  @Test
  public void test235() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test235"); }


    float f2 = org.apache.commons.math.util.FastMath.nextAfter(1.2676506E31f, 2.3978952727983707d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 1.2676505E31f);

  }

  @Test
  public void test236() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test236"); }


    double d6 = org.apache.commons.math.util.MathUtils.linearCombination(1.5707963267948966d, (-0.010000500044170567d), (-0.010000000006666442d), (-1.5707963267948966d), 3.141592653589793d, 0.009949836253965276d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 0.03125754702280396d);

  }

  @Test
  public void test237() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test237"); }


    double d1 = org.apache.commons.math.util.MathUtils.sign((-0.017453292519943295d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-1.0d));

  }

  @Test
  public void test238() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test238"); }


    int i1 = org.apache.commons.math.util.FastMath.round(0.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 0);

  }

  @Test
  public void test239() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test239"); }


    double d6 = org.apache.commons.math.util.MathUtils.linearCombination(0.009949836253965276d, (-0.01745240643728351d), 2.5091784786580567d, 3.141592653589793d, (-0.015707963278420587d), 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 7.8826430265114755d);

  }

  @Test
  public void test240() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test240"); }


    boolean b3 = org.apache.commons.math.util.MathUtils.equals((-1.0f), 100.0f, 1376942411);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test241() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test241"); }


    int i2 = org.apache.commons.math.util.MathUtils.pow(102400, 10L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 0);

  }

  @Test
  public void test242() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test242"); }


    boolean b3 = org.apache.commons.math.util.MathUtils.equals(102400.0f, (-1.0f), 20.000004f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test243() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test243"); }


    int i1 = org.apache.commons.math.util.MathUtils.indicator(1376942411);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 1);

  }

  @Test
  public void test244() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test244"); }


    int i2 = org.apache.commons.math.util.MathUtils.subAndCheck(0, 1376942411);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == (-1376942411));

  }

  @Test
  public void test245() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test245"); }


    boolean b3 = org.apache.commons.math.util.MathUtils.equals((-1.5707963267948966d), (-0.010000500044170567d), (-0.009999500037496873d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test246() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test246"); }


    double d2 = org.apache.commons.math.util.MathUtils.log(43.1284181946612d, 44.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.0053152314385987d);

  }

  @Test
  public void test247() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test247"); }


    double d1 = org.apache.commons.math.util.FastMath.toRadians((-0.017453292519943295d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-3.0461741978670857E-4d));

  }

  @Test
  public void test248() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test248"); }


    long long2 = org.apache.commons.math.util.MathUtils.lcm(100L, 10L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 100L);

  }

  @Test
  public void test249() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test249"); }


    // The following exception was thrown during execution in test generation
    try {
      long long2 = org.apache.commons.math.util.MathUtils.binomialCoefficient(1, 10);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NumberIsTooLargeException");
    } catch (org.apache.commons.math.exception.NumberIsTooLargeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NumberIsTooLargeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NumberIsTooLargeException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test250() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test250"); }


    int i1 = org.apache.commons.math.util.FastMath.round(9.6714065E24f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 2147483647);

  }

  @Test
  public void test251() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test251"); }


    double d2 = org.apache.commons.math.util.FastMath.scalb((-0.010000500044170567d), 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-1.2677139883575254E28d));

  }

  @Test
  public void test252() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test252"); }


    double d1 = org.apache.commons.math.util.FastMath.toDegrees(0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.0d);

  }

  @Test
  public void test253() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test253"); }


    int[] i_array1 = new int[] { (-1) };
    int[] i_array2 = org.apache.commons.math.util.MathUtils.copyOf(i_array1);
    int[] i_array3 = new int[] {  };
    int[] i_array5 = org.apache.commons.math.util.MathUtils.copyOf(i_array3, 1);
    int[] i_array6 = org.apache.commons.math.util.MathUtils.copyOf(i_array3);
    int[] i_array8 = new int[] { 100 };
    int i9 = org.apache.commons.math.util.MathUtils.distance1(i_array3, i_array8);
    // The following exception was thrown during execution in test generation
    try {
      int i10 = org.apache.commons.math.util.MathUtils.distanceInf(i_array2, i_array3);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i9 == 0);

  }

  @Test
  public void test254() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test254"); }


    boolean b3 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(10.000002f, 20.000004f, 10.000001f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test255() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test255"); }


    int[] i_array0 = new int[] {  };
    int[] i_array2 = org.apache.commons.math.util.MathUtils.copyOf(i_array0, 1);
    int[] i_array3 = org.apache.commons.math.util.MathUtils.copyOf(i_array0);
    int[] i_array5 = new int[] { 100 };
    int i6 = org.apache.commons.math.util.MathUtils.distance1(i_array0, i_array5);
    int[] i_array7 = new int[] {  };
    // The following exception was thrown during execution in test generation
    try {
      int i8 = org.apache.commons.math.util.MathUtils.distance1(i_array5, i_array7);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array7);

  }

  @Test
  public void test256() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test256"); }


    int i3 = org.apache.commons.math.util.MathUtils.compareTo(0.7071067811865476d, 2.2250738585072014E-308d, (-1376942411));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 1);

  }

  @Test
  public void test257() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test257"); }


    double d1 = org.apache.commons.math.util.FastMath.ceil((-0.2593935199454313d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.0d));

  }

  @Test
  public void test258() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test258"); }


    double d1 = org.apache.commons.math.util.MathUtils.indicator(1.0000500004167348d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);

  }

  @Test
  public void test259() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test259"); }


    int i1 = org.apache.commons.math.util.MathUtils.sign(2146959360);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 1);

  }

  @Test
  public void test260() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test260"); }


    org.apache.commons.math.complex.Complex complex2 = org.apache.commons.math.complex.Complex.valueOf(363.7393755555636d, (-1.5707963267948966d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex2);

  }

  @Test
  public void test261() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test261"); }


    double d1 = org.apache.commons.math.util.FastMath.log1p(43.1284181946612d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 3.7871039784210714d);

  }

  @Test
  public void test262() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test262"); }


    double d1 = org.apache.commons.math.util.FastMath.exp(0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);

  }

  @Test
  public void test263() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test263"); }


    int[] i_array0 = null;
    int[] i_array1 = new int[] {  };
    int[] i_array3 = org.apache.commons.math.util.MathUtils.copyOf(i_array1, 1);
    int[] i_array4 = org.apache.commons.math.util.MathUtils.copyOf(i_array1);
    // The following exception was thrown during execution in test generation
    try {
      double d5 = org.apache.commons.math.util.MathUtils.distance(i_array0, i_array4);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array4);

  }

  @Test
  public void test264() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test264"); }


    double d1 = org.apache.commons.math.util.MathUtils.factorialDouble(102400);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == Double.POSITIVE_INFINITY);

  }

  @Test
  public void test265() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test265"); }


    boolean b3 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN((-0.010000500044170567d), 1.000050005417318d, (-4.9E-324d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test266() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test266"); }


    float f2 = org.apache.commons.math.util.FastMath.max(0.0f, 9.6714065E24f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 9.6714065E24f);

  }

  @Test
  public void test267() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test267"); }


    int i3 = org.apache.commons.math.util.MathUtils.compareTo(0.009949836253965274d, (-0.010000166674166444d), (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 1);

  }

  @Test
  public void test268() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test268"); }


    int i2 = org.apache.commons.math.util.MathUtils.subAndCheck(13, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 13);

  }

  @Test
  public void test269() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test269"); }


    int i1 = org.apache.commons.math.util.MathUtils.sign(13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 1);

  }

  @Test
  public void test270() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test270"); }


    org.apache.commons.math.complex.Complex complex0 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex1 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex2 = complex0.pow(complex1);
    org.apache.commons.math.complex.Complex complex3 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex4 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex5 = complex3.pow(complex4);
    org.apache.commons.math.complex.Complex complex6 = complex0.multiply(complex4);
    org.apache.commons.math.complex.Complex complex7 = complex4.cos();
    org.apache.commons.math.complex.Complex complex8 = complex7.atan();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex8);

  }

  @Test
  public void test271() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test271"); }


    double d2 = org.apache.commons.math.util.FastMath.max(7.8826430265114755d, 0.009949836253965276d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 7.8826430265114755d);

  }

  @Test
  public void test272() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test272"); }


    float f2 = org.apache.commons.math.util.MathUtils.round(100.0f, 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((float)f2, Float.NaN, 0);

  }

  @Test
  public void test273() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test273"); }


    org.apache.commons.math.complex.Complex complex0 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex1 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex2 = complex0.pow(complex1);
    org.apache.commons.math.complex.Complex complex4 = complex0.divide(0.0d);
    boolean b5 = complex4.isInfinite();
    org.apache.commons.math.complex.Complex complex6 = complex4.cosh();
    org.apache.commons.math.complex.Complex complex7 = complex4.cosh();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b5 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex7);

  }

  @Test
  public void test274() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test274"); }


    int i2 = org.apache.commons.math.util.MathUtils.pow(0, 1376942411);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 0);

  }

  @Test
  public void test275() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test275"); }


    int i1 = org.apache.commons.math.util.FastMath.getExponent((-0.010000000006666442d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == (-7));

  }

  @Test
  public void test276() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test276"); }


    double d2 = org.apache.commons.math.util.MathUtils.log(0.0d, 2.718281828459045d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-0.0d));

  }

  @Test
  public void test277() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test277"); }


    org.apache.commons.math.exception.DimensionMismatchException dimensionMismatchException2 = new org.apache.commons.math.exception.DimensionMismatchException((-1), 13);
    int i3 = dimensionMismatchException2.getDimension();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 13);

  }

  @Test
  public void test278() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test278"); }


    float f1 = org.apache.commons.math.util.MathUtils.sign(102400.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 1.0f);

  }

  @Test
  public void test279() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test279"); }


    double d2 = org.apache.commons.math.util.FastMath.atan2((-0.015707963278420587d), 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-1.5707963267948966d));

  }

  @Test
  public void test280() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test280"); }


    double[] d_array0 = null;
    // The following exception was thrown during execution in test generation
    try {
      double[] d_array1 = org.apache.commons.math.util.MathUtils.copyOf(d_array0);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test281() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test281"); }


    double d2 = org.apache.commons.math.util.FastMath.atan2(0.0d, (-1.5707963267948966d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 3.141592653589793d);

  }

  @Test
  public void test282() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test282"); }


    long long2 = org.apache.commons.math.util.FastMath.max((-99L), 100L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 100L);

  }

  @Test
  public void test283() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test283"); }


    double d1 = org.apache.commons.math.util.FastMath.cosh((-4.9E-324d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);

  }

  @Test
  public void test284() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test284"); }


    double d2 = org.apache.commons.math.util.FastMath.pow(4.951760157141521E27d, (-0.010050504211259496d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.5268096261183322d);

  }

  @Test
  public void test285() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test285"); }


    double d2 = org.apache.commons.math.util.FastMath.IEEEremainder(100.0d, 1.1489471604170878d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.04159704371336348d);

  }

  @Test
  public void test286() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test286"); }


    float f2 = org.apache.commons.math.util.FastMath.min(20.000004f, (-1.0f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == (-1.0f));

  }

  @Test
  public void test287() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test287"); }


    double d1 = org.apache.commons.math.util.FastMath.sin(1.4711276743037347d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.9950371902099892d);

  }

  @Test
  public void test288() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test288"); }


    double d2 = org.apache.commons.math.util.FastMath.pow(1.1489471604170878d, 0.009949836253965276d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.0013824497714652d);

  }

  @Test
  public void test289() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test289"); }


    double d1 = org.apache.commons.math.util.MathUtils.cosh(1.1102230246251565E-16d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);

  }

  @Test
  public void test290() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test290"); }


    int i1 = org.apache.commons.math.util.MathUtils.hash(363.7393755555636d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 989909612);

  }

  @Test
  public void test291() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test291"); }


    double d1 = org.apache.commons.math.util.FastMath.asin(4.810477380965351d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test292() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test292"); }


    double d1 = org.apache.commons.math.util.MathUtils.cosh(0.7853981633974483d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.3246090892520057d);

  }

  @Test
  public void test293() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test293"); }


    int i1 = org.apache.commons.math.util.FastMath.round(1.2676505E31f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 2147483647);

  }

  @Test
  public void test294() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test294"); }


    double d2 = org.apache.commons.math.util.FastMath.max(1.0000000056667108E-4d, 2.3978952727983707d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 2.3978952727983707d);

  }

  @Test
  public void test295() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test295"); }


    double d1 = org.apache.commons.math.util.MathUtils.cosh(1.5707963267948961d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 2.5091784786580558d);

  }

  @Test
  public void test296() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test296"); }


    int i1 = org.apache.commons.math.util.MathUtils.hash(7.8826430265114755d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == (-758373183));

  }

  @Test
  public void test297() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test297"); }


    org.apache.commons.math.complex.Complex complex0 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex1 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex2 = complex0.pow(complex1);
    org.apache.commons.math.complex.ComplexField complexField3 = complex1.getField();
    org.apache.commons.math.complex.Complex complex4 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex5 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex6 = complex4.pow(complex5);
    org.apache.commons.math.complex.Complex complex7 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex8 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex9 = complex7.pow(complex8);
    org.apache.commons.math.complex.Complex complex10 = complex4.multiply(complex8);
    org.apache.commons.math.complex.Complex complex11 = complex1.multiply(complex4);
    org.apache.commons.math.complex.Complex complex12 = complex4.cosh();
    org.apache.commons.math.complex.Complex complex13 = complex4.acos();
    // The following exception was thrown during execution in test generation
    try {
      java.util.List list15 = complex4.nthRoot((-1272213991));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NotPositiveException");
    } catch (org.apache.commons.math.exception.NotPositiveException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NotPositiveException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NotPositiveException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complexField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex13);

  }

  @Test
  public void test298() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test298"); }


    double d2 = org.apache.commons.math.util.FastMath.hypot(1.1489471604170878d, (-1.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.5231807435201146d);

  }

  @Test
  public void test299() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test299"); }


    short s1 = org.apache.commons.math.util.MathUtils.indicator((short)100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(s1 == (short)1);

  }

  @Test
  public void test300() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test300"); }


    boolean b3 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(10.0f, 102400.0f, 2146959360);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == true);

  }

  @Test
  public void test301() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test301"); }


    boolean b3 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(4.9E-324d, (-0.2593935199454313d), (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test302() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test302"); }


    double d3 = org.apache.commons.math.util.MathUtils.reduce(2.6881171418161356E43d, 44.0d, 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == (-1.0d));

  }

  @Test
  public void test303() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test303"); }


    boolean b3 = org.apache.commons.math.util.MathUtils.equals((-0.009999666686665238d), (-0.0d), (-1376942411));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test304() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test304"); }


    org.apache.commons.math.exception.NumberIsTooLargeException numberIsTooLargeException3 = new org.apache.commons.math.exception.NumberIsTooLargeException((java.lang.Number)(-0.01005050421799429d), (java.lang.Number)1.2676505E31f, false);

  }

  @Test
  public void test305() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test305"); }


    float f1 = org.apache.commons.math.util.MathUtils.indicator(10.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 1.0f);

  }

  @Test
  public void test306() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test306"); }


    org.apache.commons.math.exception.DimensionMismatchException dimensionMismatchException2 = new org.apache.commons.math.exception.DimensionMismatchException(0, 0);
    java.lang.Number number3 = dimensionMismatchException2.getArgument();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number3 + "' != '" + 0+ "'", number3.equals(0));

  }

  @Test
  public void test307() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test307"); }


    int i1 = org.apache.commons.math.util.MathUtils.sign(989909612);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 1);

  }

  @Test
  public void test308() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test308"); }


    double d1 = org.apache.commons.math.util.FastMath.cos(2.5091784786580558d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.806602856499724d));

  }

  @Test
  public void test309() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test309"); }


    double d2 = org.apache.commons.math.util.MathUtils.binomialCoefficientDouble(0, (-1272213991));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.0d);

  }

  @Test
  public void test310() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test310"); }


    double d1 = org.apache.commons.math.util.FastMath.acos(Double.POSITIVE_INFINITY);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test311() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test311"); }


    boolean b3 = org.apache.commons.math.util.MathUtils.equals((-0.010000500044170567d), 4.951760157141521E27d, 0.7071067811865476d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test312() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test312"); }


    boolean b3 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(102400.0f, 1.2676506E31f, (-1272213991));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test313() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test313"); }


    double d1 = org.apache.commons.math.util.MathUtils.factorialLog(10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 15.104412573075516d);

  }

  @Test
  public void test314() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test314"); }


    double d0 = org.apache.commons.math.util.MathUtils.TWO_PI;
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d0 == 6.283185307179586d);

  }

  @Test
  public void test315() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test315"); }


    long long2 = org.apache.commons.math.util.MathUtils.gcd(10L, 99L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 1L);

  }

  @Test
  public void test316() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test316"); }


    float f2 = org.apache.commons.math.util.FastMath.scalb(1.2676506E32f, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 1.2676506E32f);

  }

  @Test
  public void test317() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test317"); }


    // The following exception was thrown during execution in test generation
    try {
      int i2 = org.apache.commons.math.util.MathUtils.mulAndCheck(1072693279, 989909612);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.MathArithmeticException");
    } catch (org.apache.commons.math.exception.MathArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.MathArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.MathArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test318() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test318"); }


    double d1 = org.apache.commons.math.util.FastMath.atan((-1.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.7853981633974483d));

  }

  @Test
  public void test319() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test319"); }


    double d4 = org.apache.commons.math.util.MathUtils.linearCombination((-0.009999500037496873d), 2.3978952727983707d, 0.0d, (-0.015707963278420587d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == (-0.02397775387026088d));

  }

  @Test
  public void test320() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test320"); }


    boolean b3 = org.apache.commons.math.util.MathUtils.equals(0.0f, 0.0f, (-1272213991));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test321() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test321"); }


    double d1 = org.apache.commons.math.util.MathUtils.indicator(1.5707963267948961d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);

  }

  @Test
  public void test322() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test322"); }


    org.apache.commons.math.complex.Complex complex0 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex1 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex2 = complex0.pow(complex1);
    org.apache.commons.math.complex.Complex complex3 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex4 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex5 = complex3.pow(complex4);
    org.apache.commons.math.complex.Complex complex6 = complex0.multiply(complex4);
    org.apache.commons.math.complex.Complex complex7 = complex4.cos();
    boolean b8 = complex7.isNaN();
    boolean b10 = complex7.equals((java.lang.Object)0.7071067811865476d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b8 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b10 == false);

  }

  @Test
  public void test323() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test323"); }


    double d1 = org.apache.commons.math.util.FastMath.atan(Double.NaN);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test324() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test324"); }


    double d1 = org.apache.commons.math.util.MathUtils.factorialDouble(1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);

  }

  @Test
  public void test325() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test325"); }


    boolean b3 = org.apache.commons.math.util.MathUtils.equals(1.2676506E31f, 20.000004f, 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test326() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test326"); }


    float f3 = org.apache.commons.math.util.MathUtils.round(1.2676506E32f, 100, 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((float)f3, Float.NaN, 0);

  }

  @Test
  public void test327() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test327"); }


    boolean b3 = org.apache.commons.math.util.MathUtils.equals((-0.21544107530388956d), (-0.017453292519943295d), (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test328() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test328"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.NotPositiveException notPositiveException2 = new org.apache.commons.math.exception.NotPositiveException(localizable0, (java.lang.Number)2147483647);

  }

  @Test
  public void test329() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test329"); }


    int[] i_array1 = new int[] { (-1) };
    int[] i_array2 = org.apache.commons.math.util.MathUtils.copyOf(i_array1);
    int[] i_array3 = org.apache.commons.math.util.MathUtils.copyOf(i_array2);
    // The following exception was thrown during execution in test generation
    try {
      int[] i_array5 = org.apache.commons.math.util.MathUtils.copyOf(i_array2, (-7));
      org.junit.Assert.fail("Expected exception of type java.lang.NegativeArraySizeException");
    } catch (java.lang.NegativeArraySizeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NegativeArraySizeException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NegativeArraySizeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array3);

  }

  @Test
  public void test330() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test330"); }


    double d1 = org.apache.commons.math.util.FastMath.rint((-3.0461741978670857E-4d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.0d));

  }

  @Test
  public void test331() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test331"); }


    double d2 = org.apache.commons.math.util.FastMath.hypot(0.0d, 1.5707963267948966d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.5707963267948966d);

  }

  @Test
  public void test332() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test332"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.NumberIsTooLargeException numberIsTooLargeException4 = new org.apache.commons.math.exception.NumberIsTooLargeException(localizable0, (java.lang.Number)4.440892098500626E-16d, (java.lang.Number)(byte)1, true);
    java.lang.Throwable[] throwable_array5 = numberIsTooLargeException4.getSuppressed();
    java.lang.Number number6 = numberIsTooLargeException4.getMax();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number6 + "' != '" + (byte)1+ "'", number6.equals((byte)1));

  }

  @Test
  public void test333() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test333"); }


    double d1 = org.apache.commons.math.util.FastMath.sqrt(1.0000500004167348d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.00002499989587d);

  }

  @Test
  public void test334() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test334"); }


    float f2 = org.apache.commons.math.util.MathUtils.round(100.0f, (-1272213991));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((float)f2, Float.NaN, 0);

  }

  @Test
  public void test335() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test335"); }


    double d1 = org.apache.commons.math.util.MathUtils.sign((-0.02397775387026088d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-1.0d));

  }

  @Test
  public void test336() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test336"); }


    // The following exception was thrown during execution in test generation
    try {
      long long2 = org.apache.commons.math.util.MathUtils.binomialCoefficient((-1), (-7));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NotPositiveException");
    } catch (org.apache.commons.math.exception.NotPositiveException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NotPositiveException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NotPositiveException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test337() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test337"); }


    float f2 = org.apache.commons.math.util.FastMath.copySign(1.2676506E32f, 10.000001f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 1.2676506E32f);

  }

  @Test
  public void test338() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test338"); }


    int i1 = org.apache.commons.math.util.MathUtils.sign(10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 1);

  }

  @Test
  public void test339() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test339"); }


    float f2 = org.apache.commons.math.util.FastMath.scalb(10.0f, (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 5.0f);

  }

  @Test
  public void test340() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test340"); }


    org.apache.commons.math.exception.NotPositiveException notPositiveException1 = new org.apache.commons.math.exception.NotPositiveException((java.lang.Number)(-99L));

  }

  @Test
  public void test341() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test341"); }


    int[] i_array0 = new int[] {  };
    int[] i_array1 = new int[] {  };
    int[] i_array3 = org.apache.commons.math.util.MathUtils.copyOf(i_array1, 1);
    int[] i_array4 = org.apache.commons.math.util.MathUtils.copyOf(i_array1);
    int i5 = org.apache.commons.math.util.MathUtils.distance1(i_array0, i_array1);
    // The following exception was thrown during execution in test generation
    try {
      int[] i_array7 = org.apache.commons.math.util.MathUtils.copyOf(i_array1, (-758373183));
      org.junit.Assert.fail("Expected exception of type java.lang.NegativeArraySizeException");
    } catch (java.lang.NegativeArraySizeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NegativeArraySizeException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NegativeArraySizeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 0);

  }

  @Test
  public void test342() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test342"); }


    org.apache.commons.math.complex.Complex complex2 = org.apache.commons.math.complex.Complex.valueOf(0.5392398400557298d, (-0.2593935199454313d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex2);

  }

  @Test
  public void test343() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test343"); }


    float f2 = org.apache.commons.math.util.MathUtils.round(Float.NaN, 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((float)f2, Float.NaN, 0);

  }

  @Test
  public void test344() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test344"); }


    boolean b2 = org.apache.commons.math.util.MathUtils.equals(1.0f, 0.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test345() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test345"); }


    double d1 = org.apache.commons.math.util.FastMath.cos((-0.009999500037496873d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.999950005416082d);

  }

  @Test
  public void test346() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test346"); }


    boolean b2 = org.apache.commons.math.util.MathUtils.equals(2.1932800507380152d, (-1.5707963267948966d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test347() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test347"); }


    org.apache.commons.math.exception.NotPositiveException notPositiveException1 = new org.apache.commons.math.exception.NotPositiveException((java.lang.Number)1.3440585709080678E43d);

  }

  @Test
  public void test348() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test348"); }


    float f2 = org.apache.commons.math.util.FastMath.copySign(1.0f, 1.0E-10f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 1.0f);

  }

  @Test
  public void test349() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test349"); }


    double d1 = org.apache.commons.math.util.FastMath.atan(0.04159704371336348d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.04157307660782012d);

  }

  @Test
  public void test350() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test350"); }


    double d1 = org.apache.commons.math.util.FastMath.log1p(1.5231807435201146d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.9255203054283782d);

  }

  @Test
  public void test351() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test351"); }


    short s1 = org.apache.commons.math.util.MathUtils.sign((short)100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(s1 == (short)1);

  }

  @Test
  public void test352() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test352"); }


    // The following exception was thrown during execution in test generation
    try {
      long long2 = org.apache.commons.math.util.MathUtils.pow((-100L), (-1L));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NotPositiveException");
    } catch (org.apache.commons.math.exception.NotPositiveException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NotPositiveException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NotPositiveException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test353() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test353"); }


    org.apache.commons.math.complex.Complex complex0 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex1 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex2 = complex0.pow(complex1);
    org.apache.commons.math.complex.ComplexField complexField3 = complex1.getField();
    org.apache.commons.math.complex.Complex complex4 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex5 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex6 = complex4.pow(complex5);
    org.apache.commons.math.complex.Complex complex7 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex8 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex9 = complex7.pow(complex8);
    org.apache.commons.math.complex.Complex complex10 = complex4.multiply(complex8);
    org.apache.commons.math.complex.Complex complex11 = complex1.multiply(complex4);
    org.apache.commons.math.complex.Complex complex12 = complex4.cosh();
    org.apache.commons.math.complex.Complex complex13 = complex4.acos();
    double d14 = complex4.getReal();
    org.apache.commons.math.complex.Complex complex16 = complex4.subtract(1.000050005417318d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complexField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d14 == Double.POSITIVE_INFINITY);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex16);

  }

  @Test
  public void test354() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test354"); }


    // The following exception was thrown during execution in test generation
    try {
      double d1 = org.apache.commons.math.util.MathUtils.factorialLog((-1));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NotPositiveException");
    } catch (org.apache.commons.math.exception.NotPositiveException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NotPositiveException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NotPositiveException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test355() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test355"); }


    org.apache.commons.math.exception.DimensionMismatchException dimensionMismatchException2 = new org.apache.commons.math.exception.DimensionMismatchException((-7), 2146959360);

  }

  @Test
  public void test356() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test356"); }


    double d1 = org.apache.commons.math.util.FastMath.asinh(0.999950005416082d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.8813382350683823d);

  }

  @Test
  public void test357() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test357"); }


    org.apache.commons.math.complex.Complex complex0 = org.apache.commons.math.complex.Complex.ONE;
    org.apache.commons.math.complex.Complex complex1 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex2 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex3 = complex1.pow(complex2);
    boolean b4 = complex3.isInfinite();
    org.apache.commons.math.complex.Complex complex5 = complex3.atan();
    org.apache.commons.math.complex.Complex complex6 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex7 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex8 = complex6.pow(complex7);
    org.apache.commons.math.complex.ComplexField complexField9 = complex7.getField();
    org.apache.commons.math.complex.Complex complex10 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex11 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex12 = complex10.pow(complex11);
    org.apache.commons.math.complex.Complex complex13 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex14 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex15 = complex13.pow(complex14);
    org.apache.commons.math.complex.Complex complex16 = complex10.multiply(complex14);
    org.apache.commons.math.complex.Complex complex17 = complex7.multiply(complex10);
    org.apache.commons.math.complex.Complex complex18 = complex10.cosh();
    org.apache.commons.math.complex.Complex complex19 = complex10.acos();
    org.apache.commons.math.complex.Complex complex20 = complex3.subtract(complex10);
    org.apache.commons.math.complex.Complex complex21 = complex0.multiply(complex3);
    org.apache.commons.math.complex.Complex complex22 = complex3.log();
    org.apache.commons.math.complex.Complex complex23 = complex3.cosh();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complexField9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex23);

  }

  @Test
  public void test358() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test358"); }


    double d1 = org.apache.commons.math.util.FastMath.sin(1.0000500004167348d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.8414979990964851d);

  }

  @Test
  public void test359() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test359"); }


    boolean b2 = org.apache.commons.math.util.MathUtils.equals(1.0f, 102400.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test360() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test360"); }


    org.apache.commons.math.complex.Complex complex0 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex1 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex2 = complex0.pow(complex1);
    boolean b3 = complex2.isInfinite();
    org.apache.commons.math.complex.Complex complex4 = complex2.atan();
    org.apache.commons.math.complex.Complex complex6 = new org.apache.commons.math.complex.Complex(2.5091784786580567d);
    org.apache.commons.math.complex.Complex complex7 = complex2.add(complex6);
    org.apache.commons.math.complex.Complex complex9 = complex6.subtract(4.810477380965351d);
    org.apache.commons.math.complex.Complex complex10 = complex6.cosh();
    // The following exception was thrown during execution in test generation
    try {
      java.util.List list12 = complex6.nthRoot((-1272213991));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NotPositiveException");
    } catch (org.apache.commons.math.exception.NotPositiveException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NotPositiveException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NotPositiveException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex10);

  }

  @Test
  public void test361() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test361"); }


    double d1 = org.apache.commons.math.util.FastMath.sin((-2.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.9092974268256817d));

  }

  @Test
  public void test362() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test362"); }


    boolean b3 = org.apache.commons.math.util.MathUtils.equals(20.000004f, 102400.0f, 1.2676506E31f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == true);

  }

  @Test
  public void test363() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test363"); }


    double d2 = org.apache.commons.math.util.MathUtils.round(0.7071067811865476d, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.0d);

  }

  @Test
  public void test364() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test364"); }


    double d1 = org.apache.commons.math.util.FastMath.cosh(Double.NEGATIVE_INFINITY);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == Double.POSITIVE_INFINITY);

  }

  @Test
  public void test365() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test365"); }


    double d1 = org.apache.commons.math.util.FastMath.atanh((-0.010000166674166444d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.010000500044170569d));

  }

  @Test
  public void test366() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test366"); }


    float f2 = org.apache.commons.math.util.MathUtils.round(9.6714065E24f, 2147483647);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((float)f2, Float.NaN, 0);

  }

  @Test
  public void test367() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test367"); }


    boolean b2 = org.apache.commons.math.util.MathUtils.equals((-0.010000500044170567d), 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test368() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test368"); }


    double d1 = org.apache.commons.math.util.FastMath.sin(1.1489471604170878d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.9123333627068718d);

  }

  @Test
  public void test369() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test369"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.DimensionMismatchException dimensionMismatchException3 = new org.apache.commons.math.exception.DimensionMismatchException(localizable0, (-7), 2147483647);

  }

  @Test
  public void test370() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test370"); }


    double d1 = org.apache.commons.math.util.FastMath.acos(1.3246090892520057d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test371() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test371"); }


    boolean b3 = org.apache.commons.math.util.MathUtils.equals(363.7393755555636d, (-0.21544107530388956d), 2.5091784786580567d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test372() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test372"); }


    double d1 = org.apache.commons.math.util.FastMath.toRadians(0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.0d);

  }

  @Test
  public void test373() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test373"); }


    double d1 = org.apache.commons.math.util.FastMath.ceil(1.0013824497714652d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 2.0d);

  }

  @Test
  public void test374() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test374"); }


    boolean b3 = org.apache.commons.math.util.MathUtils.equals(15.104412573075516d, 0.0d, (-3.0461741978670857E-4d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test375() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test375"); }


    int i2 = org.apache.commons.math.util.FastMath.min(100, (-758373183));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == (-758373183));

  }

  @Test
  public void test376() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test376"); }


    org.apache.commons.math.complex.Complex complex0 = org.apache.commons.math.complex.Complex.ONE;
    org.apache.commons.math.complex.Complex complex1 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex2 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex3 = complex1.pow(complex2);
    boolean b4 = complex3.isInfinite();
    org.apache.commons.math.complex.Complex complex5 = complex3.atan();
    org.apache.commons.math.complex.Complex complex6 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex7 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex8 = complex6.pow(complex7);
    org.apache.commons.math.complex.ComplexField complexField9 = complex7.getField();
    org.apache.commons.math.complex.Complex complex10 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex11 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex12 = complex10.pow(complex11);
    org.apache.commons.math.complex.Complex complex13 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex14 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex15 = complex13.pow(complex14);
    org.apache.commons.math.complex.Complex complex16 = complex10.multiply(complex14);
    org.apache.commons.math.complex.Complex complex17 = complex7.multiply(complex10);
    org.apache.commons.math.complex.Complex complex18 = complex10.cosh();
    org.apache.commons.math.complex.Complex complex19 = complex10.acos();
    org.apache.commons.math.complex.Complex complex20 = complex3.subtract(complex10);
    org.apache.commons.math.complex.Complex complex21 = complex0.multiply(complex3);
    org.apache.commons.math.complex.Complex complex22 = complex3.sqrt();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complexField9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex22);

  }

  @Test
  public void test377() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test377"); }


    // The following exception was thrown during execution in test generation
    try {
      double d2 = org.apache.commons.math.util.MathUtils.binomialCoefficientLog(1, 100);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NumberIsTooLargeException");
    } catch (org.apache.commons.math.exception.NumberIsTooLargeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NumberIsTooLargeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NumberIsTooLargeException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test378() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test378"); }


    int i2 = org.apache.commons.math.util.MathUtils.addAndCheck(0, 1376942411);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 1376942411);

  }

  @Test
  public void test379() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test379"); }


    float f1 = org.apache.commons.math.util.FastMath.ulp(10.000002f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 9.536743E-7f);

  }

  @Test
  public void test380() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test380"); }


    byte byte1 = org.apache.commons.math.util.MathUtils.sign((byte)1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(byte1 == (byte)1);

  }

  @Test
  public void test381() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test381"); }


    double[] d_array1 = new double[] { 10.0d };
    double[] d_array3 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array1, 1.5707963267948961d);
    org.apache.commons.math.util.MathUtils.checkOrder(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);

  }

  @Test
  public void test382() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test382"); }


    int i3 = org.apache.commons.math.util.MathUtils.compareTo(1.0053152314385987d, 0.0d, (-0.01745240643728351d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 1);

  }

  @Test
  public void test383() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test383"); }


    int i2 = org.apache.commons.math.util.MathUtils.addAndCheck(102400, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 102400);

  }

  @Test
  public void test384() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test384"); }


    double d2 = org.apache.commons.math.util.FastMath.IEEEremainder((-0.017453292519943295d), 4.810487773893648d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-0.017453292519943295d));

  }

  @Test
  public void test385() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test385"); }


    double d1 = org.apache.commons.math.util.FastMath.log((-0.7853981633974483d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test386() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test386"); }


    double[] d_array1 = new double[] { 1.0d };
    double[] d_array3 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array1, 10.0d);
    double[] d_array4 = org.apache.commons.math.util.MathUtils.copyOf(d_array1);
    double[] d_array5 = org.apache.commons.math.util.MathUtils.copyOf(d_array1);
    double[] d_array7 = new double[] { 1.0d };
    double[] d_array9 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array7, 10.0d);
    double d10 = org.apache.commons.math.util.MathUtils.safeNorm(d_array7);
    double[] d_array12 = new double[] { 1.0d };
    double[] d_array14 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array12, 10.0d);
    double[] d_array16 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array12, (-0.009999666686665238d));
    double[][] d_array_array17 = new double[][] { d_array12 };
    org.apache.commons.math.util.MathUtils.sortInPlace(d_array7, d_array_array17);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array7);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array7);
    double[] d_array22 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array7, 1.5707963267948966d);
    org.apache.commons.math.util.MathUtils.OrderDirection orderDirection23 = org.apache.commons.math.util.MathUtils.OrderDirection.INCREASING;
    double[] d_array25 = new double[] { 1.0d };
    double[] d_array27 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array25, 10.0d);
    double[][] d_array_array28 = new double[][] { d_array27 };
    org.apache.commons.math.util.MathUtils.sortInPlace(d_array22, orderDirection23, d_array_array28);
    double[] d_array30 = org.apache.commons.math.util.MathUtils.copyOf(d_array22);
    // The following exception was thrown during execution in test generation
    try {
      double d31 = org.apache.commons.math.util.MathUtils.linearCombination(d_array1, d_array22);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d10 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array30);

  }

  @Test
  public void test387() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test387"); }


    long long2 = org.apache.commons.math.util.FastMath.max((-99L), 1L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 1L);

  }

  @Test
  public void test388() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test388"); }


    double d2 = org.apache.commons.math.util.FastMath.copySign(0.999950005416082d, (-0.010050504211259496d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-0.999950005416082d));

  }

  @Test
  public void test389() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test389"); }


    double[] d_array0 = null;
    int i1 = org.apache.commons.math.util.MathUtils.hash(d_array0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 0);

  }

  @Test
  public void test390() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test390"); }


    int i1 = org.apache.commons.math.util.FastMath.abs(100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 100);

  }

  @Test
  public void test391() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test391"); }


    long long1 = org.apache.commons.math.util.FastMath.round((-0.0020788274184764415d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 0L);

  }

  @Test
  public void test392() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test392"); }


    double d1 = org.apache.commons.math.util.MathUtils.sign(1.0000500004167348d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);

  }

  @Test
  public void test393() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test393"); }


    boolean b3 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(9.6714065E24f, 102400.0f, 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test394() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test394"); }


    org.apache.commons.math.exception.NotPositiveException notPositiveException1 = new org.apache.commons.math.exception.NotPositiveException((java.lang.Number)(-0.01745240643728351d));
    boolean b2 = notPositiveException1.getBoundIsAllowed();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == true);

  }

  @Test
  public void test395() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test395"); }


    double d1 = org.apache.commons.math.util.FastMath.tanh(2.1932800507380152d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.9754189534217841d);

  }

  @Test
  public void test396() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test396"); }


    double d1 = org.apache.commons.math.util.FastMath.toRadians((-0.009999500037496873d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-1.7452419920761689E-4d));

  }

  @Test
  public void test397() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test397"); }


    // The following exception was thrown during execution in test generation
    try {
      double d3 = org.apache.commons.math.util.MathUtils.round(0.0d, 2146959360, (-1272213991));
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test398() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test398"); }


    int i1 = org.apache.commons.math.util.FastMath.abs((-1272213991));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 1272213991);

  }

  @Test
  public void test399() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test399"); }


    double d1 = org.apache.commons.math.util.FastMath.tan((-0.017453292411980625d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.01745506482022202d));

  }

  @Test
  public void test400() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test400"); }


    double[] d_array0 = null;
    org.apache.commons.math.util.MathUtils.OrderDirection orderDirection1 = org.apache.commons.math.util.MathUtils.OrderDirection.INCREASING;
    double[] d_array3 = new double[] { 1.0d };
    double[] d_array5 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array3, 10.0d);
    double[][] d_array_array6 = new double[][] { d_array3 };
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.util.MathUtils.sortInPlace(d_array0, orderDirection1, d_array_array6);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException");
    } catch (org.apache.commons.math.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array6);

  }

  @Test
  public void test401() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test401"); }


    boolean b2 = org.apache.commons.math.util.MathUtils.equals(9.536743E-7f, (-1.0f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test402() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test402"); }


    // The following exception was thrown during execution in test generation
    try {
      double d2 = org.apache.commons.math.util.MathUtils.binomialCoefficientLog(1072693279, 2147483647);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NumberIsTooLargeException");
    } catch (org.apache.commons.math.exception.NumberIsTooLargeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NumberIsTooLargeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NumberIsTooLargeException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test403() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test403"); }


    org.apache.commons.math.exception.NotPositiveException notPositiveException1 = new org.apache.commons.math.exception.NotPositiveException((java.lang.Number)3.141592653589793d);

  }

  @Test
  public void test404() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test404"); }


    int i2 = org.apache.commons.math.util.MathUtils.subAndCheck((-758373183), 10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == (-758373193));

  }

  @Test
  public void test405() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test405"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    java.lang.Number number1 = null;
    org.apache.commons.math.exception.util.Localizable localizable2 = null;
    org.apache.commons.math.exception.util.Localizable localizable3 = null;
    org.apache.commons.math.exception.util.Localizable localizable4 = null;
    java.lang.Object[] obj_array6 = new java.lang.Object[] { '#' };
    org.apache.commons.math.exception.NullArgumentException nullArgumentException7 = new org.apache.commons.math.exception.NullArgumentException(localizable4, obj_array6);
    java.lang.Throwable[] throwable_array8 = nullArgumentException7.getSuppressed();
    org.apache.commons.math.exception.NullArgumentException nullArgumentException9 = new org.apache.commons.math.exception.NullArgumentException(localizable3, (java.lang.Object[])throwable_array8);
    org.apache.commons.math.exception.NullArgumentException nullArgumentException10 = new org.apache.commons.math.exception.NullArgumentException(localizable2, (java.lang.Object[])throwable_array8);
    org.apache.commons.math.exception.NotFiniteNumberException notFiniteNumberException11 = new org.apache.commons.math.exception.NotFiniteNumberException(localizable0, number1, (java.lang.Object[])throwable_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array8);

  }

  @Test
  public void test406() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test406"); }


    double d1 = org.apache.commons.math.util.FastMath.rint(2.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 2.0d);

  }

  @Test
  public void test407() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test407"); }


    double d2 = org.apache.commons.math.util.FastMath.scalb((-0.010000000006666442d), (-758373183));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-0.0d));

  }

  @Test
  public void test408() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test408"); }


    float f2 = org.apache.commons.math.util.FastMath.copySign(0.0f, 9.6714065E24f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 0.0f);

  }

  @Test
  public void test409() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test409"); }


    float f2 = org.apache.commons.math.util.MathUtils.round(1.2676506E32f, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 1.2676506E32f);

  }

  @Test
  public void test410() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test410"); }


    // The following exception was thrown during execution in test generation
    try {
      long long2 = org.apache.commons.math.util.MathUtils.binomialCoefficient((-1376942411), 0);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NumberIsTooLargeException");
    } catch (org.apache.commons.math.exception.NumberIsTooLargeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NumberIsTooLargeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NumberIsTooLargeException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test411() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test411"); }


    double d1 = org.apache.commons.math.util.FastMath.atanh(1.1102230246251565E-16d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.1102230246251565E-16d);

  }

  @Test
  public void test412() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test412"); }


    boolean b3 = org.apache.commons.math.util.MathUtils.equals(100.0d, 4.440892098500626E-16d, 0.04159704371336348d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test413() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test413"); }


    double d1 = org.apache.commons.math.util.FastMath.cbrt((-2.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-1.2599210498948732d));

  }

  @Test
  public void test414() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test414"); }


    long long2 = org.apache.commons.math.util.FastMath.max((-99L), (-1L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == (-1L));

  }

  @Test
  public void test415() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test415"); }


    boolean b3 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(1.2676506E32f, 10.0f, 102400.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test416() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test416"); }


    long long1 = org.apache.commons.math.util.FastMath.round(1.3440585709080678E43d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 9223372036854775807L);

  }

  @Test
  public void test417() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test417"); }


    long long2 = org.apache.commons.math.util.FastMath.max((-100L), 1L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 1L);

  }

  @Test
  public void test418() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test418"); }


    byte byte1 = org.apache.commons.math.util.MathUtils.indicator((byte)10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(byte1 == (byte)1);

  }

  @Test
  public void test419() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test419"); }


    double d1 = org.apache.commons.math.util.FastMath.floor((-1.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-1.0d));

  }

  @Test
  public void test420() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test420"); }


    long long2 = org.apache.commons.math.util.MathUtils.pow((-100L), 989909612);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 0L);

  }

  @Test
  public void test421() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test421"); }


    double d2 = org.apache.commons.math.util.MathUtils.log(0.0d, (-0.010000000006666442d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);

  }

  @Test
  public void test422() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test422"); }


    double d1 = org.apache.commons.math.util.FastMath.nextUp((-0.999950005416082d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.9999500054160819d));

  }

  @Test
  public void test423() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test423"); }


    byte byte1 = org.apache.commons.math.util.MathUtils.sign((byte)(-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(byte1 == (byte)(-1));

  }

  @Test
  public void test424() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test424"); }


    double d2 = org.apache.commons.math.util.MathUtils.normalizeAngle(1.3246090892520057d, 1.5707963267948961d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.3246090892520057d);

  }

  @Test
  public void test425() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test425"); }


    long long2 = org.apache.commons.math.util.MathUtils.subAndCheck((-1L), 10L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == (-11L));

  }

  @Test
  public void test426() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test426"); }


    org.apache.commons.math.complex.Complex complex0 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex1 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex2 = complex0.pow(complex1);
    org.apache.commons.math.complex.Complex complex4 = complex0.divide(0.0d);
    boolean b5 = complex4.isInfinite();
    org.apache.commons.math.complex.Complex complex6 = complex4.cosh();
    double d7 = complex4.abs();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b5 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d7, Double.NaN, 0);

  }

  @Test
  public void test427() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test427"); }


    boolean b3 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(1.2676505E31f, 1.2676506E31f, Float.NaN);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == true);

  }

  @Test
  public void test428() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test428"); }


    org.apache.commons.math.util.MathUtils.checkNotNull((java.lang.Object)(-2.0d));

  }

  @Test
  public void test429() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test429"); }


    org.apache.commons.math.exception.DimensionMismatchException dimensionMismatchException2 = new org.apache.commons.math.exception.DimensionMismatchException(1, 0);
    int i3 = dimensionMismatchException2.getDimension();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);

  }

  @Test
  public void test430() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test430"); }


    double d1 = org.apache.commons.math.util.FastMath.asinh(3.7871039784210714d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 2.041741034848095d);

  }

  @Test
  public void test431() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test431"); }


    float f1 = org.apache.commons.math.util.MathUtils.sign(1.0E-10f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 1.0f);

  }

  @Test
  public void test432() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test432"); }


    double d1 = org.apache.commons.math.util.FastMath.log10(0.009900662544436153d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-2.004335741789846d));

  }

  @Test
  public void test433() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test433"); }


    double d1 = org.apache.commons.math.util.FastMath.expm1((-0.01745240643728351d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.017300995301176576d));

  }

  @Test
  public void test434() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test434"); }


    long long1 = org.apache.commons.math.util.MathUtils.indicator((-100L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == (-1L));

  }

  @Test
  public void test435() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test435"); }


    double d1 = org.apache.commons.math.util.FastMath.asinh((-0.009949836253965281d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.00994967209023828d));

  }

  @Test
  public void test436() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test436"); }


    int i2 = org.apache.commons.math.util.MathUtils.pow(13, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 1);

  }

  @Test
  public void test437() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test437"); }


    float f2 = org.apache.commons.math.util.FastMath.max(1.0E-10f, Float.NaN);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((float)f2, Float.NaN, 0);

  }

  @Test
  public void test438() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test438"); }


    org.apache.commons.math.complex.Complex complex2 = new org.apache.commons.math.complex.Complex((-0.017453292411980625d), (-0.015707963278420587d));

  }

  @Test
  public void test439() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test439"); }


    long long2 = org.apache.commons.math.util.FastMath.min((-99L), 100L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == (-99L));

  }

  @Test
  public void test440() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test440"); }


    long long2 = org.apache.commons.math.util.MathUtils.mulAndCheck(0L, 10L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 0L);

  }

  @Test
  public void test441() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test441"); }


    double d1 = org.apache.commons.math.util.MathUtils.cosh((-0.009949836253965281d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0000495000291105d);

  }

  @Test
  public void test442() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test442"); }


    double d4 = org.apache.commons.math.util.MathUtils.linearCombination((-0.01745240643728351d), 100.0d, 0.0d, 5729.5779513082325d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == (-1.7452406437283512d));

  }

  @Test
  public void test443() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test443"); }


    org.apache.commons.math.complex.Complex complex0 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex1 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex2 = complex0.pow(complex1);
    org.apache.commons.math.complex.ComplexField complexField3 = complex1.getField();
    org.apache.commons.math.complex.Complex complex4 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex5 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex6 = complex4.pow(complex5);
    org.apache.commons.math.complex.Complex complex7 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex8 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex9 = complex7.pow(complex8);
    org.apache.commons.math.complex.Complex complex10 = complex4.multiply(complex8);
    org.apache.commons.math.complex.Complex complex11 = complex1.multiply(complex4);
    org.apache.commons.math.complex.Complex complex12 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex13 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex14 = complex12.pow(complex13);
    boolean b15 = complex14.isInfinite();
    org.apache.commons.math.complex.Complex complex16 = complex14.atan();
    org.apache.commons.math.complex.Complex complex17 = complex1.divide(complex14);
    org.apache.commons.math.complex.Complex complex19 = complex17.divide((-0.015707963278420587d));
    org.apache.commons.math.complex.Complex complex20 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex21 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex22 = complex20.pow(complex21);
    boolean b23 = complex22.isInfinite();
    org.apache.commons.math.complex.Complex complex24 = complex22.atan();
    org.apache.commons.math.complex.Complex complex26 = new org.apache.commons.math.complex.Complex(2.5091784786580567d);
    org.apache.commons.math.complex.Complex complex27 = complex22.add(complex26);
    org.apache.commons.math.complex.Complex complex29 = complex26.subtract(2.2250738585072014E-308d);
    java.lang.String str30 = complex29.toString();
    org.apache.commons.math.complex.Complex complex31 = complex19.multiply(complex29);
    org.apache.commons.math.complex.Complex complex32 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.complex.Complex complex33 = complex29.multiply(complex32);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException");
    } catch (org.apache.commons.math.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complexField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b15 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b23 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str30 + "' != '" + "(2.5091784786580567, 0.0)"+ "'", str30.equals("(2.5091784786580567, 0.0)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex31);

  }

  @Test
  public void test444() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test444"); }


    int i3 = org.apache.commons.math.util.MathUtils.compareTo(1.0000495000291105d, (-1.7452419920761689E-4d), Double.POSITIVE_INFINITY);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);

  }

  @Test
  public void test445() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test445"); }


    long long2 = org.apache.commons.math.util.MathUtils.gcd(99L, (-99L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 99L);

  }

  @Test
  public void test446() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test446"); }


    boolean b3 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN((-0.9092974268256817d), 100.0d, (-1272213991));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test447() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test447"); }


    int[] i_array0 = new int[] {  };
    int[] i_array1 = new int[] {  };
    int[] i_array3 = org.apache.commons.math.util.MathUtils.copyOf(i_array1, 1);
    int[] i_array4 = org.apache.commons.math.util.MathUtils.copyOf(i_array1);
    int i5 = org.apache.commons.math.util.MathUtils.distance1(i_array0, i_array1);
    // The following exception was thrown during execution in test generation
    try {
      int[] i_array7 = org.apache.commons.math.util.MathUtils.copyOf(i_array0, (-7));
      org.junit.Assert.fail("Expected exception of type java.lang.NegativeArraySizeException");
    } catch (java.lang.NegativeArraySizeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NegativeArraySizeException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NegativeArraySizeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 0);

  }

  @Test
  public void test448() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test448"); }


    double d2 = org.apache.commons.math.util.FastMath.min(Double.POSITIVE_INFINITY, (-0.009949836253965281d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-0.009949836253965281d));

  }

  @Test
  public void test449() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test449"); }


    boolean b3 = org.apache.commons.math.util.MathUtils.equals(2.041741034848095d, 0.9255203054283782d, 4.810487773893648d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == true);

  }

  @Test
  public void test450() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test450"); }


    long long1 = org.apache.commons.math.util.MathUtils.indicator(10L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 1L);

  }

  @Test
  public void test451() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test451"); }


    org.apache.commons.math.util.MathUtils.OrderDirection orderDirection3 = null;
    org.apache.commons.math.exception.NonMonotonousSequenceException nonMonotonousSequenceException5 = new org.apache.commons.math.exception.NonMonotonousSequenceException((java.lang.Number)(-1), (java.lang.Number)(-0.009999500037496873d), 100, orderDirection3, false);
    java.lang.Number number6 = nonMonotonousSequenceException5.getPrevious();
    org.apache.commons.math.util.MathUtils.OrderDirection orderDirection7 = nonMonotonousSequenceException5.getDirection();
    boolean b8 = nonMonotonousSequenceException5.getStrict();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number6 + "' != '" + (-0.009999500037496873d)+ "'", number6.equals((-0.009999500037496873d)));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(orderDirection7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b8 == false);

  }

  @Test
  public void test452() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test452"); }


    org.apache.commons.math.complex.Complex complex0 = org.apache.commons.math.complex.Complex.ONE;
    org.apache.commons.math.complex.Complex complex1 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex2 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex3 = complex1.pow(complex2);
    boolean b4 = complex3.isInfinite();
    org.apache.commons.math.complex.Complex complex5 = complex3.atan();
    org.apache.commons.math.complex.Complex complex6 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex7 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex8 = complex6.pow(complex7);
    org.apache.commons.math.complex.ComplexField complexField9 = complex7.getField();
    org.apache.commons.math.complex.Complex complex10 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex11 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex12 = complex10.pow(complex11);
    org.apache.commons.math.complex.Complex complex13 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex14 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex15 = complex13.pow(complex14);
    org.apache.commons.math.complex.Complex complex16 = complex10.multiply(complex14);
    org.apache.commons.math.complex.Complex complex17 = complex7.multiply(complex10);
    org.apache.commons.math.complex.Complex complex18 = complex10.cosh();
    org.apache.commons.math.complex.Complex complex19 = complex10.acos();
    org.apache.commons.math.complex.Complex complex20 = complex3.subtract(complex10);
    org.apache.commons.math.complex.Complex complex21 = complex0.multiply(complex3);
    org.apache.commons.math.complex.Complex complex22 = complex3.sin();
    org.apache.commons.math.complex.ComplexField complexField23 = complex22.getField();
    double d24 = complex22.getImaginary();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complexField9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complexField23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d24, Double.NaN, 0);

  }

  @Test
  public void test453() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test453"); }


    double d2 = org.apache.commons.math.util.FastMath.copySign(363.7393755555636d, 2.041741034848095d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 363.7393755555636d);

  }

  @Test
  public void test454() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test454"); }


    double[] d_array0 = null;
    double[] d_array2 = new double[] { 1.0d };
    double[] d_array4 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array2, 10.0d);
    double d5 = org.apache.commons.math.util.MathUtils.safeNorm(d_array2);
    double[] d_array7 = new double[] { 1.0d };
    double[] d_array9 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array7, 10.0d);
    double[] d_array11 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array7, (-0.009999666686665238d));
    double[][] d_array_array12 = new double[][] { d_array7 };
    org.apache.commons.math.util.MathUtils.sortInPlace(d_array2, d_array_array12);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array2);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array2);
    double[] d_array17 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array2, 1.5707963267948966d);
    double[] d_array18 = org.apache.commons.math.util.MathUtils.copyOf(d_array17);
    double[] d_array20 = new double[] { 1.0d };
    double[] d_array22 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array20, 10.0d);
    double d23 = org.apache.commons.math.util.MathUtils.safeNorm(d_array20);
    double[] d_array25 = new double[] { 1.0d };
    double[] d_array27 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array25, 10.0d);
    double[] d_array29 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array25, (-0.009999666686665238d));
    double[][] d_array_array30 = new double[][] { d_array25 };
    org.apache.commons.math.util.MathUtils.sortInPlace(d_array20, d_array_array30);
    double[] d_array33 = new double[] { 1.0d };
    double[] d_array35 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array33, 10.0d);
    double d36 = org.apache.commons.math.util.MathUtils.distanceInf(d_array20, d_array33);
    double[] d_array38 = new double[] { 1.0d };
    double[] d_array40 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array38, 10.0d);
    org.apache.commons.math.util.MathUtils.OrderDirection orderDirection41 = null;
    double[] d_array43 = new double[] { 1.0d };
    double[] d_array45 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array43, 10.0d);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array43);
    double[][] d_array_array47 = new double[][] { d_array43 };
    org.apache.commons.math.util.MathUtils.sortInPlace(d_array40, orderDirection41, d_array_array47);
    boolean b49 = org.apache.commons.math.util.MathUtils.equals(d_array33, d_array40);
    boolean b50 = org.apache.commons.math.util.MathUtils.equals(d_array17, d_array33);
    // The following exception was thrown during execution in test generation
    try {
      double d51 = org.apache.commons.math.util.MathUtils.distance1(d_array0, d_array17);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d23 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d36 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b49 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b50 == false);

  }

  @Test
  public void test455() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test455"); }


    double d1 = org.apache.commons.math.util.FastMath.log1p(1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.6931471805599453d);

  }

  @Test
  public void test456() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test456"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException1 = new org.apache.commons.math.exception.MathArithmeticException();
    java.lang.Throwable throwable2 = mathArithmeticException1.getException();
    java.lang.Throwable[] throwable_array3 = mathArithmeticException1.getSuppressed();
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException4 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable0, (java.lang.Object[])throwable_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array3);

  }

  @Test
  public void test457() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test457"); }


    int i1 = org.apache.commons.math.util.FastMath.getExponent(2.5091784786580558d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 1);

  }

  @Test
  public void test458() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test458"); }


    org.apache.commons.math.util.MathUtils.checkFinite((-0.02397775387026088d));

  }

  @Test
  public void test459() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test459"); }


    double d1 = org.apache.commons.math.util.MathUtils.sinh(363.7393755555636d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 4.666310772197643E157d);

  }

  @Test
  public void test460() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test460"); }


    // The following exception was thrown during execution in test generation
    try {
      double d3 = org.apache.commons.math.util.MathUtils.round(0.0d, 102400, 102400);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test461() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test461"); }


    double d2 = org.apache.commons.math.util.FastMath.min((-0.806602856499724d), 7.8826430265114755d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-0.806602856499724d));

  }

  @Test
  public void test462() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test462"); }


    int i1 = org.apache.commons.math.util.FastMath.getExponent(0.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == (-127));

  }

  @Test
  public void test463() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test463"); }


    int i1 = org.apache.commons.math.util.MathUtils.indicator(13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 1);

  }

  @Test
  public void test464() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test464"); }


    boolean b3 = org.apache.commons.math.util.MathUtils.equals(10.000002f, 1.0E-10f, 5.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test465() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test465"); }


    // The following exception was thrown during execution in test generation
    try {
      long long2 = org.apache.commons.math.util.MathUtils.binomialCoefficient(0, 102400);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NumberIsTooLargeException");
    } catch (org.apache.commons.math.exception.NumberIsTooLargeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NumberIsTooLargeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NumberIsTooLargeException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test466() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test466"); }


    double d1 = org.apache.commons.math.util.FastMath.log(0.5268096261183322d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.6409160364661145d));

  }

  @Test
  public void test467() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test467"); }


    byte byte1 = org.apache.commons.math.util.MathUtils.indicator((byte)1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(byte1 == (byte)1);

  }

  @Test
  public void test468() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test468"); }


    int i1 = org.apache.commons.math.util.FastMath.getExponent(3.7871039784210714d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 1);

  }

  @Test
  public void test469() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test469"); }


    boolean b2 = org.apache.commons.math.util.MathUtils.equals(0.7071067811865476d, (-0.00994967209023828d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test470() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test470"); }


    // The following exception was thrown during execution in test generation
    try {
      long long1 = org.apache.commons.math.util.MathUtils.factorial((-127));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NotPositiveException");
    } catch (org.apache.commons.math.exception.NotPositiveException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NotPositiveException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NotPositiveException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test471() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test471"); }


    org.apache.commons.math.complex.Complex complex0 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex1 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex2 = complex0.pow(complex1);
    boolean b3 = complex2.isInfinite();
    org.apache.commons.math.complex.Complex complex4 = complex2.atan();
    org.apache.commons.math.complex.Complex complex6 = new org.apache.commons.math.complex.Complex(2.5091784786580567d);
    org.apache.commons.math.complex.Complex complex7 = complex2.add(complex6);
    java.lang.String str8 = complex6.toString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str8 + "' != '" + "(2.5091784786580567, 0.0)"+ "'", str8.equals("(2.5091784786580567, 0.0)"));

  }

  @Test
  public void test472() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test472"); }


    double d2 = org.apache.commons.math.util.FastMath.max(0.0d, (-0.017453292411980625d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.0d);

  }

  @Test
  public void test473() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test473"); }


    float f2 = org.apache.commons.math.util.MathUtils.round(0.0f, (-758373183));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((float)f2, Float.NaN, 0);

  }

  @Test
  public void test474() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test474"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.util.Localizable localizable1 = null;
    org.apache.commons.math.exception.util.Localizable localizable2 = null;
    java.lang.Object[] obj_array4 = new java.lang.Object[] { '#' };
    org.apache.commons.math.exception.NullArgumentException nullArgumentException5 = new org.apache.commons.math.exception.NullArgumentException(localizable2, obj_array4);
    java.lang.Throwable[] throwable_array6 = nullArgumentException5.getSuppressed();
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException7 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable1, (java.lang.Object[])throwable_array6);
    org.apache.commons.math.exception.NullArgumentException nullArgumentException8 = new org.apache.commons.math.exception.NullArgumentException(localizable0, (java.lang.Object[])throwable_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array6);

  }

  @Test
  public void test475() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test475"); }


    double d1 = org.apache.commons.math.util.FastMath.sin((-0.2593935199454313d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.25649440840197785d));

  }

  @Test
  public void test476() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test476"); }


    float f1 = org.apache.commons.math.util.FastMath.signum(100.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 1.0f);

  }

  @Test
  public void test477() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test477"); }


    double d3 = org.apache.commons.math.util.MathUtils.reduce((-0.009999666686665238d), (-1.2677139883575254E28d), (-0.00994967209023828d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 1.2677139883575254E28d);

  }

  @Test
  public void test478() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test478"); }


    boolean b2 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(5.0f, 10.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test479() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test479"); }


    float f1 = org.apache.commons.math.util.FastMath.ulp(1.2676506E31f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 1.2089258E24f);

  }

  @Test
  public void test480() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test480"); }


    long long1 = org.apache.commons.math.util.MathUtils.sign(100L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 1L);

  }

  @Test
  public void test481() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test481"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    java.lang.Object[] obj_array1 = null;
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException2 = new org.apache.commons.math.exception.MathArithmeticException(localizable0, obj_array1);
    java.lang.Throwable throwable3 = mathArithmeticException2.getException();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable3);

  }

  @Test
  public void test482() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test482"); }


    double[] d_array1 = new double[] { 1.0d };
    double[] d_array3 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array1, 10.0d);
    double d4 = org.apache.commons.math.util.MathUtils.safeNorm(d_array1);
    double[] d_array6 = new double[] { 1.0d };
    double[] d_array8 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array6, 10.0d);
    double[] d_array10 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array6, (-0.009999666686665238d));
    double[][] d_array_array11 = new double[][] { d_array6 };
    org.apache.commons.math.util.MathUtils.sortInPlace(d_array1, d_array_array11);
    double[] d_array14 = new double[] { 1.0d };
    double[] d_array16 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array14, 10.0d);
    double d17 = org.apache.commons.math.util.MathUtils.distanceInf(d_array1, d_array14);
    double[] d_array19 = new double[] { 1.0d };
    double[] d_array21 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array19, 10.0d);
    org.apache.commons.math.util.MathUtils.OrderDirection orderDirection22 = null;
    double[] d_array24 = new double[] { 1.0d };
    double[] d_array26 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array24, 10.0d);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array24);
    double[][] d_array_array28 = new double[][] { d_array24 };
    org.apache.commons.math.util.MathUtils.sortInPlace(d_array21, orderDirection22, d_array_array28);
    boolean b30 = org.apache.commons.math.util.MathUtils.equals(d_array14, d_array21);
    double[] d_array31 = org.apache.commons.math.util.MathUtils.copyOf(d_array21);
    double[] d_array33 = new double[] { 1.0d };
    double[] d_array35 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array33, 10.0d);
    org.apache.commons.math.util.MathUtils.OrderDirection orderDirection36 = null;
    double[] d_array38 = new double[] { 1.0d };
    double[] d_array40 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array38, 10.0d);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array38);
    double[][] d_array_array42 = new double[][] { d_array38 };
    org.apache.commons.math.util.MathUtils.sortInPlace(d_array35, orderDirection36, d_array_array42);
    // The following exception was thrown during execution in test generation
    try {
      double d44 = org.apache.commons.math.util.MathUtils.linearCombination(d_array31, d_array35);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d17 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b30 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array42);

  }

  @Test
  public void test483() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test483"); }


    // The following exception was thrown during execution in test generation
    try {
      long long1 = org.apache.commons.math.util.MathUtils.factorial((-758373193));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NotPositiveException");
    } catch (org.apache.commons.math.exception.NotPositiveException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NotPositiveException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NotPositiveException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test484() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test484"); }


    double d1 = org.apache.commons.math.util.FastMath.acosh(2.5091784786580567d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.5707963267948966d);

  }

  @Test
  public void test485() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test485"); }


    // The following exception was thrown during execution in test generation
    try {
      long long2 = org.apache.commons.math.util.MathUtils.lcm(9223372036854775807L, 10L);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.MathArithmeticException");
    } catch (org.apache.commons.math.exception.MathArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.MathArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.MathArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test486() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test486"); }


    boolean b2 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(100.0f, 10.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test487() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test487"); }


    // The following exception was thrown during execution in test generation
    try {
      int i2 = org.apache.commons.math.util.MathUtils.mulAndCheck((-7), (-1376942411));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.MathArithmeticException");
    } catch (org.apache.commons.math.exception.MathArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.MathArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.MathArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test488() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test488"); }


    org.apache.commons.math.util.MathUtils.checkFinite((-0.009999666686665236d));

  }

  @Test
  public void test489() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test489"); }


    org.apache.commons.math.complex.Complex complex0 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex1 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex2 = complex0.pow(complex1);
    org.apache.commons.math.complex.ComplexField complexField3 = complex1.getField();
    org.apache.commons.math.complex.Complex complex4 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex5 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex6 = complex4.pow(complex5);
    org.apache.commons.math.complex.Complex complex7 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex8 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex9 = complex7.pow(complex8);
    org.apache.commons.math.complex.Complex complex10 = complex4.multiply(complex8);
    org.apache.commons.math.complex.Complex complex11 = complex1.multiply(complex4);
    org.apache.commons.math.complex.Complex complex12 = complex4.cosh();
    org.apache.commons.math.complex.Complex complex13 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex14 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex15 = complex13.pow(complex14);
    org.apache.commons.math.complex.Complex complex16 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex17 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex18 = complex16.pow(complex17);
    org.apache.commons.math.complex.Complex complex19 = complex13.multiply(complex17);
    org.apache.commons.math.complex.Complex complex20 = complex12.subtract(complex17);
    org.apache.commons.math.complex.Complex complex21 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex22 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex23 = complex21.pow(complex22);
    org.apache.commons.math.complex.ComplexField complexField24 = complex22.getField();
    org.apache.commons.math.complex.Complex complex25 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex26 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex27 = complex25.pow(complex26);
    org.apache.commons.math.complex.Complex complex28 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex29 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex30 = complex28.pow(complex29);
    org.apache.commons.math.complex.Complex complex31 = complex25.multiply(complex29);
    org.apache.commons.math.complex.Complex complex32 = complex22.multiply(complex25);
    org.apache.commons.math.complex.Complex complex33 = complex20.subtract(complex32);
    double d34 = complex20.getReal();
    org.apache.commons.math.util.MathUtils.checkNotNull((java.lang.Object)d34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complexField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complexField24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d34, Double.NaN, 0);

  }

  @Test
  public void test490() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test490"); }


    int i1 = org.apache.commons.math.util.MathUtils.hash((-0.2593935199454313d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == (-118622672));

  }

  @Test
  public void test491() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test491"); }


    org.apache.commons.math.util.MathUtils.OrderDirection orderDirection3 = null;
    org.apache.commons.math.exception.NonMonotonousSequenceException nonMonotonousSequenceException5 = new org.apache.commons.math.exception.NonMonotonousSequenceException((java.lang.Number)1.1102230246251565E-16d, (java.lang.Number)0.5268096261183322d, (-1), orderDirection3, true);
    org.apache.commons.math.util.MathUtils.OrderDirection orderDirection6 = nonMonotonousSequenceException5.getDirection();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(orderDirection6);

  }

  @Test
  public void test492() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test492"); }


    double[] d_array1 = new double[] { 1.0d };
    double[] d_array3 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array1, 10.0d);
    double d4 = org.apache.commons.math.util.MathUtils.safeNorm(d_array1);
    double[] d_array6 = new double[] { 1.0d };
    double[] d_array8 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array6, 10.0d);
    double[] d_array10 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array6, (-0.009999666686665238d));
    double[][] d_array_array11 = new double[][] { d_array6 };
    org.apache.commons.math.util.MathUtils.sortInPlace(d_array1, d_array_array11);
    double[] d_array14 = new double[] { 1.0d };
    double[] d_array16 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array14, 10.0d);
    double d17 = org.apache.commons.math.util.MathUtils.distanceInf(d_array1, d_array14);
    double[] d_array19 = new double[] { 1.0d };
    double[] d_array21 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array19, 10.0d);
    org.apache.commons.math.util.MathUtils.OrderDirection orderDirection22 = null;
    double[] d_array24 = new double[] { 1.0d };
    double[] d_array26 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array24, 10.0d);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array24);
    double[][] d_array_array28 = new double[][] { d_array24 };
    org.apache.commons.math.util.MathUtils.sortInPlace(d_array21, orderDirection22, d_array_array28);
    boolean b30 = org.apache.commons.math.util.MathUtils.equals(d_array14, d_array21);
    double[] d_array31 = org.apache.commons.math.util.MathUtils.copyOf(d_array21);
    double[] d_array33 = new double[] { 1.0d };
    double[] d_array35 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array33, 10.0d);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array33);
    double[] d_array38 = org.apache.commons.math.util.MathUtils.copyOf(d_array33, 10);
    // The following exception was thrown during execution in test generation
    try {
      double d39 = org.apache.commons.math.util.MathUtils.linearCombination(d_array21, d_array33);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d17 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b30 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array38);

  }

  @Test
  public void test493() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test493"); }


    double d1 = org.apache.commons.math.util.FastMath.abs(0.999950005416082d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.999950005416082d);

  }

  @Test
  public void test494() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test494"); }


    double d2 = org.apache.commons.math.util.FastMath.atan2(0.8813382350683823d, 2.041741034848095d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.4074982998998546d);

  }

  @Test
  public void test495() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test495"); }


    long long2 = org.apache.commons.math.util.MathUtils.addAndCheck(100L, (-99L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 1L);

  }

  @Test
  public void test496() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test496"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException4 = new org.apache.commons.math.exception.NumberIsTooSmallException(localizable0, (java.lang.Number)1.0E-10f, (java.lang.Number)(-1.0d), true);
    java.lang.Number number5 = numberIsTooSmallException4.getMin();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number5 + "' != '" + (-1.0d)+ "'", number5.equals((-1.0d)));

  }

  @Test
  public void test497() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test497"); }


    float f1 = org.apache.commons.math.util.FastMath.ulp(100.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 7.6293945E-6f);

  }

  @Test
  public void test498() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test498"); }


    long long2 = org.apache.commons.math.util.FastMath.min(9223372036854775807L, 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 0L);

  }

  @Test
  public void test499() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test499"); }


    long long2 = org.apache.commons.math.util.FastMath.max((-1L), 10L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 10L);

  }

  @Test
  public void test500() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test500"); }


    org.apache.commons.math.complex.Complex complex0 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex1 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex2 = complex0.pow(complex1);
    org.apache.commons.math.complex.ComplexField complexField3 = complex1.getField();
    org.apache.commons.math.complex.Complex complex4 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex5 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex6 = complex4.pow(complex5);
    org.apache.commons.math.complex.Complex complex7 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex8 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex9 = complex7.pow(complex8);
    org.apache.commons.math.complex.Complex complex10 = complex4.multiply(complex8);
    org.apache.commons.math.complex.Complex complex11 = complex1.multiply(complex4);
    org.apache.commons.math.complex.Complex complex12 = complex4.cosh();
    org.apache.commons.math.complex.Complex complex13 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex14 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex15 = complex13.pow(complex14);
    org.apache.commons.math.complex.Complex complex16 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex17 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex18 = complex16.pow(complex17);
    org.apache.commons.math.complex.Complex complex19 = complex13.multiply(complex17);
    org.apache.commons.math.complex.Complex complex20 = complex12.subtract(complex17);
    org.apache.commons.math.complex.Complex complex21 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex22 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex23 = complex21.pow(complex22);
    org.apache.commons.math.complex.ComplexField complexField24 = complex22.getField();
    org.apache.commons.math.complex.Complex complex25 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex26 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex27 = complex25.pow(complex26);
    org.apache.commons.math.complex.Complex complex28 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex29 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex30 = complex28.pow(complex29);
    org.apache.commons.math.complex.Complex complex31 = complex25.multiply(complex29);
    org.apache.commons.math.complex.Complex complex32 = complex22.multiply(complex25);
    org.apache.commons.math.complex.Complex complex33 = complex20.subtract(complex32);
    double d34 = complex33.getArgument();
    org.apache.commons.math.util.MathUtils.checkNotNull((java.lang.Object)d34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complexField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complexField24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d34, Double.NaN, 0);

  }

}
