
import org.junit.FixMethodOrder;
import org.junit.Test;
import org.junit.runners.MethodSorters;

@FixMethodOrder(MethodSorters.NAME_ASCENDING)
public class RegressionTest2 {

  public static boolean debug = false;

  @Test
  public void test001() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test001"); }


    double d1 = org.apache.commons.math.util.FastMath.atanh((-2.400169552094582d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test002() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test002"); }


    double d2 = org.apache.commons.math.util.MathUtils.normalizeAngle(8.429203673205103d, (-1.3934072662978643d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-4.137166941154069d));

  }

  @Test
  public void test003() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test003"); }


    boolean b2 = org.apache.commons.math.util.MathUtils.equals((-0.010000500044170567d), (-0.02397775387026088d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test004() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test004"); }


    boolean b3 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(9.536743E-7f, 1.208926E24f, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test005() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test005"); }


    double d2 = org.apache.commons.math.util.MathUtils.binomialCoefficientDouble(1910505473, (-127));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.0d);

  }

  @Test
  public void test006() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test006"); }


    java.lang.Number number0 = null;
    org.apache.commons.math.exception.util.Localizable localizable1 = null;
    org.apache.commons.math.exception.util.Localizable localizable2 = null;
    org.apache.commons.math.exception.util.Localizable localizable4 = null;
    java.lang.Object[] obj_array6 = new java.lang.Object[] { '#' };
    org.apache.commons.math.exception.NullArgumentException nullArgumentException7 = new org.apache.commons.math.exception.NullArgumentException(localizable4, obj_array6);
    org.apache.commons.math.exception.NotFiniteNumberException notFiniteNumberException8 = new org.apache.commons.math.exception.NotFiniteNumberException(localizable2, (java.lang.Number)(byte)0, obj_array6);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException9 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable1, obj_array6);
    org.apache.commons.math.exception.NotFiniteNumberException notFiniteNumberException10 = new org.apache.commons.math.exception.NotFiniteNumberException(number0, obj_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array6);

  }

  @Test
  public void test007() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test007"); }


    // The following exception was thrown during execution in test generation
    try {
      int i2 = org.apache.commons.math.util.MathUtils.subAndCheck((-1074790400), 2147483647);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.MathArithmeticException");
    } catch (org.apache.commons.math.exception.MathArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.MathArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.MathArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test008() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test008"); }


    double[] d_array1 = new double[] { 1.0d };
    double[] d_array3 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array1, 10.0d);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array1);
    double[] d_array6 = org.apache.commons.math.util.MathUtils.copyOf(d_array1, 10);
    double[] d_array8 = new double[] { 1.0d };
    double[] d_array10 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array8, 10.0d);
    double[] d_array12 = new double[] { 1.0d };
    double[] d_array14 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array12, 10.0d);
    double[] d_array16 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array12, (-0.009999666686665238d));
    double[] d_array18 = new double[] { 1.0d };
    double[] d_array20 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array18, 10.0d);
    double[] d_array21 = org.apache.commons.math.util.MathUtils.copyOf(d_array18);
    double d22 = org.apache.commons.math.util.MathUtils.distanceInf(d_array12, d_array18);
    org.apache.commons.math.complex.Complex complex23 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex24 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex25 = complex23.pow(complex24);
    org.apache.commons.math.complex.ComplexField complexField26 = complex24.getField();
    org.apache.commons.math.complex.Complex complex27 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex28 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex29 = complex27.pow(complex28);
    org.apache.commons.math.complex.Complex complex30 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex31 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex32 = complex30.pow(complex31);
    org.apache.commons.math.complex.Complex complex33 = complex27.multiply(complex31);
    org.apache.commons.math.complex.Complex complex34 = complex24.multiply(complex27);
    org.apache.commons.math.util.MathUtils.OrderDirection orderDirection35 = org.apache.commons.math.util.MathUtils.OrderDirection.INCREASING;
    boolean b36 = complex27.equals((java.lang.Object)orderDirection35);
    double[] d_array38 = new double[] { 1.0d };
    double[] d_array40 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array38, 10.0d);
    double[] d_array41 = org.apache.commons.math.util.MathUtils.copyOf(d_array38);
    double[] d_array42 = org.apache.commons.math.util.MathUtils.copyOf(d_array38);
    double[][] d_array_array43 = new double[][] { d_array38 };
    org.apache.commons.math.util.MathUtils.sortInPlace(d_array18, orderDirection35, d_array_array43);
    double[] d_array46 = new double[] { 1.0d };
    double[] d_array48 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array46, 10.0d);
    double d49 = org.apache.commons.math.util.MathUtils.safeNorm(d_array46);
    org.apache.commons.math.exception.util.Localizable localizable50 = null;
    double[] d_array52 = new double[] { 1.0d };
    double[] d_array54 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array52, 10.0d);
    double d55 = org.apache.commons.math.util.MathUtils.safeNorm(d_array52);
    double[] d_array57 = new double[] { 1.0d };
    double[] d_array59 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array57, 10.0d);
    double[] d_array61 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array57, (-0.009999666686665238d));
    double[][] d_array_array62 = new double[][] { d_array57 };
    org.apache.commons.math.util.MathUtils.sortInPlace(d_array52, d_array_array62);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException64 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable50, (java.lang.Object[])d_array_array62);
    org.apache.commons.math.util.MathUtils.sortInPlace(d_array46, d_array_array62);
    org.apache.commons.math.util.MathUtils.sortInPlace(d_array8, orderDirection35, d_array_array62);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.util.MathUtils.sortInPlace(d_array6, d_array_array62);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.DimensionMismatchException");
    } catch (org.apache.commons.math.exception.DimensionMismatchException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.DimensionMismatchException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.DimensionMismatchException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d22 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complexField26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b36 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d49 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d55 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array62);

  }

  @Test
  public void test009() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test009"); }


    double d2 = org.apache.commons.math.util.MathUtils.log(0.6821891152033772d, 0.9999999958776927d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.077872900978868E-8d);

  }

  @Test
  public void test010() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test010"); }


    float f2 = org.apache.commons.math.util.FastMath.scalb(Float.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((float)f2, Float.NaN, 0);

  }

  @Test
  public void test011() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test011"); }


    double d1 = org.apache.commons.math.util.FastMath.abs(0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.0d);

  }

  @Test
  public void test012() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test012"); }


    int i1 = org.apache.commons.math.util.MathUtils.sign(2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 1);

  }

  @Test
  public void test013() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test013"); }


    double d1 = org.apache.commons.math.util.FastMath.signum((-1.3934072662978643d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-1.0d));

  }

  @Test
  public void test014() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test014"); }


    double d1 = org.apache.commons.math.util.FastMath.exp((-0.017453292411980625d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.9826981340527561d);

  }

  @Test
  public void test015() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test015"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.NotPositiveException notPositiveException2 = new org.apache.commons.math.exception.NotPositiveException(localizable0, (java.lang.Number)0L);
    org.apache.commons.math.exception.util.ExceptionContext exceptionContext3 = notPositiveException2.getContext();
    boolean b4 = notPositiveException2.getBoundIsAllowed();
    java.lang.Throwable[] throwable_array5 = notPositiveException2.getSuppressed();
    java.lang.Number number6 = notPositiveException2.getMin();
    // The following exception was thrown during execution in test generation
    try {
      java.lang.String str7 = notPositiveException2.toString();
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number6 + "' != '" + 0+ "'", number6.equals(0));

  }

  @Test
  public void test016() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test016"); }


    org.apache.commons.math.complex.Complex complex0 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex1 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex2 = complex0.pow(complex1);
    org.apache.commons.math.complex.ComplexField complexField3 = complex1.getField();
    org.apache.commons.math.complex.Complex complex4 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex5 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex6 = complex4.pow(complex5);
    org.apache.commons.math.complex.Complex complex7 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex8 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex9 = complex7.pow(complex8);
    org.apache.commons.math.complex.Complex complex10 = complex4.multiply(complex8);
    org.apache.commons.math.complex.Complex complex11 = complex1.multiply(complex4);
    double d12 = complex4.getArgument();
    org.apache.commons.math.complex.Complex complex13 = complex4.sinh();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complexField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d12 == 0.7853981633974483d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex13);

  }

  @Test
  public void test017() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test017"); }


    double d1 = org.apache.commons.math.util.FastMath.atanh((-4.691887677053542E41d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test018() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test018"); }


    org.apache.commons.math.complex.Complex complex0 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex1 = complex0.cos();
    org.apache.commons.math.complex.Complex complex2 = complex0.sqrt1z();
    org.apache.commons.math.complex.Complex complex3 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex4 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex5 = complex3.pow(complex4);
    org.apache.commons.math.complex.ComplexField complexField6 = complex4.getField();
    org.apache.commons.math.complex.Complex complex7 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex8 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex9 = complex7.pow(complex8);
    org.apache.commons.math.complex.Complex complex10 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex11 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex12 = complex10.pow(complex11);
    org.apache.commons.math.complex.Complex complex13 = complex7.multiply(complex11);
    org.apache.commons.math.complex.Complex complex14 = complex4.multiply(complex7);
    org.apache.commons.math.complex.Complex complex15 = complex7.cosh();
    org.apache.commons.math.complex.Complex complex16 = complex7.acos();
    org.apache.commons.math.complex.Complex complex18 = complex7.add((-0.010000166680833889d));
    org.apache.commons.math.complex.Complex complex19 = complex18.cos();
    org.apache.commons.math.util.MathUtils.checkNotNull((java.lang.Object)complex18);
    org.apache.commons.math.complex.Complex complex21 = complex0.multiply(complex18);
    org.apache.commons.math.complex.Complex complex22 = complex18.negate();
    org.apache.commons.math.complex.Complex complex23 = complex22.asin();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complexField6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex23);

  }

  @Test
  public void test019() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test019"); }


    double d2 = org.apache.commons.math.util.FastMath.max((-0.02397775387026088d), (-0.010000500044170569d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-0.010000500044170569d));

  }

  @Test
  public void test020() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test020"); }


    org.apache.commons.math.complex.Complex complex0 = org.apache.commons.math.complex.Complex.ONE;
    org.apache.commons.math.complex.Complex complex1 = complex0.log();
    org.apache.commons.math.complex.Complex complex2 = complex0.sin();
    double[] d_array4 = new double[] { 1.0d };
    double[] d_array6 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array4, 10.0d);
    double d7 = org.apache.commons.math.util.MathUtils.safeNorm(d_array4);
    double[] d_array9 = new double[] { 1.0d };
    double[] d_array11 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array9, 10.0d);
    double[] d_array13 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array9, (-0.009999666686665238d));
    double[][] d_array_array14 = new double[][] { d_array9 };
    org.apache.commons.math.util.MathUtils.sortInPlace(d_array4, d_array_array14);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array4);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array4);
    double[] d_array19 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array4, 1.5707963267948966d);
    org.apache.commons.math.util.MathUtils.OrderDirection orderDirection20 = null;
    boolean b23 = org.apache.commons.math.util.MathUtils.checkOrder(d_array19, orderDirection20, false, false);
    double[] d_array25 = new double[] { 1.0d };
    double[] d_array27 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array25, 10.0d);
    double[] d_array29 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array25, (-0.009999666686665238d));
    double[] d_array31 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array29, 4.440892098500626E-16d);
    double d32 = org.apache.commons.math.util.MathUtils.distanceInf(d_array19, d_array29);
    boolean b33 = complex2.equals((java.lang.Object)d_array19);
    double[] d_array35 = new double[] { 1.0d };
    double[] d_array37 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array35, 10.0d);
    double d38 = org.apache.commons.math.util.MathUtils.safeNorm(d_array35);
    double[] d_array40 = new double[] { 1.0d };
    double[] d_array42 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array40, 10.0d);
    double[] d_array44 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array40, (-0.009999666686665238d));
    double[][] d_array_array45 = new double[][] { d_array40 };
    org.apache.commons.math.util.MathUtils.sortInPlace(d_array35, d_array_array45);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array35);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array35);
    double[] d_array50 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array35, 1.5707963267948966d);
    // The following exception was thrown during execution in test generation
    try {
      double d51 = org.apache.commons.math.util.MathUtils.linearCombination(d_array19, d_array50);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b23 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d32 == 1.5807959934815619d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b33 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d38 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array50);

  }

  @Test
  public void test021() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test021"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.util.Localizable localizable1 = null;
    org.apache.commons.math.exception.util.Localizable localizable2 = null;
    org.apache.commons.math.exception.util.Localizable localizable3 = null;
    org.apache.commons.math.exception.util.Localizable localizable5 = null;
    java.lang.Object[] obj_array7 = new java.lang.Object[] { '#' };
    org.apache.commons.math.exception.NullArgumentException nullArgumentException8 = new org.apache.commons.math.exception.NullArgumentException(localizable5, obj_array7);
    org.apache.commons.math.exception.NotFiniteNumberException notFiniteNumberException9 = new org.apache.commons.math.exception.NotFiniteNumberException(localizable3, (java.lang.Number)(byte)0, obj_array7);
    java.lang.Throwable[] throwable_array10 = notFiniteNumberException9.getSuppressed();
    org.apache.commons.math.exception.NullArgumentException nullArgumentException11 = new org.apache.commons.math.exception.NullArgumentException(localizable2, (java.lang.Object[])throwable_array10);
    org.apache.commons.math.exception.NullArgumentException nullArgumentException12 = new org.apache.commons.math.exception.NullArgumentException(localizable1, (java.lang.Object[])throwable_array10);
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException13 = new org.apache.commons.math.exception.MathArithmeticException(localizable0, (java.lang.Object[])throwable_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array10);

  }

  @Test
  public void test022() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test022"); }


    double d2 = org.apache.commons.math.util.MathUtils.log(44.0d, 1.586505582224702d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.1219637214997288d);

  }

  @Test
  public void test023() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test023"); }


    float f2 = org.apache.commons.math.util.MathUtils.round(9.671408E24f, (-1518801660));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((float)f2, Float.NaN, 0);

  }

  @Test
  public void test024() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test024"); }


    float f2 = org.apache.commons.math.util.FastMath.min(100.0f, 0.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 0.0f);

  }

  @Test
  public void test025() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test025"); }


    int i2 = org.apache.commons.math.util.MathUtils.addAndCheck((-1023), (-127));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == (-1150));

  }

  @Test
  public void test026() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test026"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    java.lang.Number number2 = null;
    org.apache.commons.math.exception.NumberIsTooLargeException numberIsTooLargeException4 = new org.apache.commons.math.exception.NumberIsTooLargeException(localizable0, (java.lang.Number)(-0.01000000001333322d), number2, false);

  }

  @Test
  public void test027() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test027"); }


    long long1 = org.apache.commons.math.util.FastMath.round(0.009900662544436153d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 0L);

  }

  @Test
  public void test028() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test028"); }


    double d1 = org.apache.commons.math.util.FastMath.atanh((-2.004335741789846d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test029() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test029"); }


    org.apache.commons.math.complex.Complex complex0 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex1 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex2 = complex0.pow(complex1);
    org.apache.commons.math.complex.ComplexField complexField3 = complex1.getField();
    org.apache.commons.math.complex.Complex complex4 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex5 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex6 = complex4.pow(complex5);
    org.apache.commons.math.complex.Complex complex7 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex8 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex9 = complex7.pow(complex8);
    org.apache.commons.math.complex.Complex complex10 = complex4.multiply(complex8);
    org.apache.commons.math.complex.Complex complex11 = complex1.multiply(complex4);
    org.apache.commons.math.complex.Complex complex12 = complex4.cosh();
    org.apache.commons.math.complex.Complex complex13 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex14 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex15 = complex13.pow(complex14);
    org.apache.commons.math.complex.Complex complex16 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex17 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex18 = complex16.pow(complex17);
    org.apache.commons.math.complex.Complex complex19 = complex13.multiply(complex17);
    org.apache.commons.math.complex.Complex complex20 = complex12.subtract(complex17);
    org.apache.commons.math.complex.Complex complex21 = complex12.sqrt();
    org.apache.commons.math.complex.Complex complex22 = complex21.asin();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complexField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex22);

  }

  @Test
  public void test030() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test030"); }


    org.apache.commons.math.complex.Complex complex0 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex1 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex2 = complex0.pow(complex1);
    org.apache.commons.math.complex.Complex complex4 = complex0.divide(0.0d);
    java.util.List list6 = complex4.nthRoot(100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(list6);

  }

  @Test
  public void test031() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test031"); }


    double d1 = org.apache.commons.math.util.FastMath.ulp(53.85587194217505d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 7.105427357601002E-15d);

  }

  @Test
  public void test032() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test032"); }


    double d2 = org.apache.commons.math.util.MathUtils.log(2.0d, 0.7853981633974483d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-0.3485038705276813d));

  }

  @Test
  public void test033() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test033"); }


    double d1 = org.apache.commons.math.util.FastMath.expm1(3.912731811108073d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 49.035452847101745d);

  }

  @Test
  public void test034() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test034"); }


    org.apache.commons.math.complex.Complex complex1 = new org.apache.commons.math.complex.Complex(7.105427357601002E-15d);

  }

  @Test
  public void test035() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test035"); }


    double d2 = org.apache.commons.math.util.MathUtils.log(15.104412573075516d, 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == Double.NEGATIVE_INFINITY);

  }

  @Test
  public void test036() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test036"); }


    int i2 = org.apache.commons.math.util.FastMath.max(1272213991, (-118621657));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 1272213991);

  }

  @Test
  public void test037() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test037"); }


    org.apache.commons.math.complex.Complex complex0 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex1 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex2 = complex0.pow(complex1);
    org.apache.commons.math.complex.ComplexField complexField3 = complex1.getField();
    org.apache.commons.math.complex.Complex complex4 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex5 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex6 = complex4.pow(complex5);
    org.apache.commons.math.complex.Complex complex7 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex8 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex9 = complex7.pow(complex8);
    org.apache.commons.math.complex.Complex complex10 = complex4.multiply(complex8);
    org.apache.commons.math.complex.Complex complex11 = complex1.multiply(complex4);
    org.apache.commons.math.complex.Complex complex12 = complex4.cosh();
    org.apache.commons.math.complex.Complex complex13 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex14 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex15 = complex13.pow(complex14);
    org.apache.commons.math.complex.Complex complex16 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex17 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex18 = complex16.pow(complex17);
    org.apache.commons.math.complex.Complex complex19 = complex13.multiply(complex17);
    org.apache.commons.math.complex.Complex complex20 = complex12.subtract(complex17);
    org.apache.commons.math.complex.Complex complex21 = complex12.exp();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complexField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex21);

  }

  @Test
  public void test038() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test038"); }


    double d1 = org.apache.commons.math.util.FastMath.tanh(3.141592653589793d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.99627207622075d);

  }

  @Test
  public void test039() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test039"); }


    double d2 = org.apache.commons.math.util.MathUtils.log(15.104412573075516d, 0.9950371902099892d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-0.001832482278887523d));

  }

  @Test
  public void test040() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test040"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    java.lang.Number number1 = null;
    org.apache.commons.math.exception.NotPositiveException notPositiveException2 = new org.apache.commons.math.exception.NotPositiveException(localizable0, number1);
    java.lang.Number number3 = notPositiveException2.getArgument();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number3);

  }

  @Test
  public void test041() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test041"); }


    org.apache.commons.math.complex.Complex complex0 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex1 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex2 = complex0.pow(complex1);
    org.apache.commons.math.complex.ComplexField complexField3 = complex1.getField();
    org.apache.commons.math.complex.Complex complex4 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex5 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex6 = complex4.pow(complex5);
    org.apache.commons.math.complex.Complex complex7 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex8 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex9 = complex7.pow(complex8);
    org.apache.commons.math.complex.Complex complex10 = complex4.multiply(complex8);
    org.apache.commons.math.complex.Complex complex11 = complex1.multiply(complex4);
    org.apache.commons.math.util.MathUtils.checkNotNull((java.lang.Object)complex1);
    org.apache.commons.math.complex.Complex complex13 = org.apache.commons.math.complex.Complex.ONE;
    org.apache.commons.math.complex.Complex complex14 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex15 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex16 = complex14.pow(complex15);
    boolean b17 = complex16.isInfinite();
    org.apache.commons.math.complex.Complex complex18 = complex16.atan();
    org.apache.commons.math.complex.Complex complex19 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex20 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex21 = complex19.pow(complex20);
    org.apache.commons.math.complex.ComplexField complexField22 = complex20.getField();
    org.apache.commons.math.complex.Complex complex23 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex24 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex25 = complex23.pow(complex24);
    org.apache.commons.math.complex.Complex complex26 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex27 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex28 = complex26.pow(complex27);
    org.apache.commons.math.complex.Complex complex29 = complex23.multiply(complex27);
    org.apache.commons.math.complex.Complex complex30 = complex20.multiply(complex23);
    org.apache.commons.math.complex.Complex complex31 = complex23.cosh();
    org.apache.commons.math.complex.Complex complex32 = complex23.acos();
    org.apache.commons.math.complex.Complex complex33 = complex16.subtract(complex23);
    org.apache.commons.math.complex.Complex complex34 = complex13.multiply(complex16);
    boolean b35 = complex1.equals((java.lang.Object)complex13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complexField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b17 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complexField22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b35 == false);

  }

  @Test
  public void test042() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test042"); }


    // The following exception was thrown during execution in test generation
    try {
      long long1 = org.apache.commons.math.util.MathUtils.factorial((-118622672));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NotPositiveException");
    } catch (org.apache.commons.math.exception.NotPositiveException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NotPositiveException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NotPositiveException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test043() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test043"); }


    org.apache.commons.math.util.MathUtils.checkFinite(0.0d);

  }

  @Test
  public void test044() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test044"); }


    boolean b3 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(100.0d, 0.9123333627068718d, (-127));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test045() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test045"); }


    double d2 = org.apache.commons.math.util.MathUtils.log(1.0000495000291107d, (-0.6658498715032737d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);

  }

  @Test
  public void test046() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test046"); }


    boolean b3 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN((-1.0f), (-1.0f), 10.000002f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == true);

  }

  @Test
  public void test047() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test047"); }


    org.apache.commons.math.complex.Complex complex0 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex1 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex2 = complex0.pow(complex1);
    org.apache.commons.math.complex.Complex complex3 = complex1.atan();
    org.apache.commons.math.complex.Complex complex4 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex5 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex6 = complex4.pow(complex5);
    boolean b7 = complex6.isInfinite();
    org.apache.commons.math.complex.Complex complex8 = complex6.atan();
    org.apache.commons.math.complex.Complex complex10 = new org.apache.commons.math.complex.Complex(2.5091784786580567d);
    org.apache.commons.math.complex.Complex complex11 = complex6.add(complex10);
    org.apache.commons.math.complex.Complex complex13 = complex10.subtract(4.810477380965351d);
    org.apache.commons.math.complex.Complex complex14 = complex3.pow(complex10);
    org.apache.commons.math.complex.Complex complex15 = complex3.negate();
    boolean b16 = complex3.isInfinite();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b7 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b16 == false);

  }

  @Test
  public void test048() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test048"); }


    int i1 = org.apache.commons.math.util.MathUtils.hash(4.810477380965351d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == (-2008633678));

  }

  @Test
  public void test049() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test049"); }


    float f2 = org.apache.commons.math.util.FastMath.scalb((-1.0f), 989909612);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == Float.NEGATIVE_INFINITY);

  }

  @Test
  public void test050() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test050"); }


    boolean b3 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(1.9044097939271327d, 0.0d, 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test051() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test051"); }


    double d8 = org.apache.commons.math.util.MathUtils.linearCombination((-0.010000166680833889d), (-0.7219406744110326d), 34.21363370209489d, (-0.009949836253965281d), 1.4711276743037347d, (-1.2677139883575254E28d), 3.7871039784210714d, 34.21363370209489d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == (-1.8649691313747183E28d));

  }

  @Test
  public void test052() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test052"); }


    org.apache.commons.math.complex.Complex complex0 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex1 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex2 = complex0.pow(complex1);
    org.apache.commons.math.complex.ComplexField complexField3 = complex1.getField();
    org.apache.commons.math.complex.Complex complex4 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex5 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex6 = complex4.pow(complex5);
    org.apache.commons.math.complex.Complex complex7 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex8 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex9 = complex7.pow(complex8);
    org.apache.commons.math.complex.Complex complex10 = complex4.multiply(complex8);
    org.apache.commons.math.complex.Complex complex11 = complex1.multiply(complex4);
    org.apache.commons.math.complex.Complex complex12 = complex4.cosh();
    org.apache.commons.math.complex.Complex complex13 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex14 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex15 = complex13.pow(complex14);
    org.apache.commons.math.complex.Complex complex16 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex17 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex18 = complex16.pow(complex17);
    org.apache.commons.math.complex.Complex complex19 = complex13.multiply(complex17);
    org.apache.commons.math.complex.Complex complex20 = complex12.subtract(complex17);
    org.apache.commons.math.complex.Complex complex21 = complex12.sqrt();
    org.apache.commons.math.complex.Complex complex23 = complex12.subtract(Double.NEGATIVE_INFINITY);
    org.apache.commons.math.complex.Complex complex24 = complex12.negate();
    org.apache.commons.math.complex.Complex complex25 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.complex.Complex complex26 = complex12.pow(complex25);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException");
    } catch (org.apache.commons.math.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complexField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex24);

  }

  @Test
  public void test053() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test053"); }


    boolean b2 = org.apache.commons.math.util.MathUtils.equals(4.666310772197643E157d, (-0.25649440840197785d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test054() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test054"); }


    double d6 = org.apache.commons.math.util.MathUtils.linearCombination((-1.3934072662978643d), 365.4261302661875d, 0.06035015348083611d, 14.01245059405862d, 7.282558576519205E-4d, 0.009900662544436153d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == (-508.341764453806d));

  }

  @Test
  public void test055() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test055"); }


    // The following exception was thrown during execution in test generation
    try {
      double d2 = org.apache.commons.math.util.MathUtils.binomialCoefficientDouble((-1150), (-118622673));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NotPositiveException");
    } catch (org.apache.commons.math.exception.NotPositiveException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NotPositiveException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NotPositiveException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test056() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test056"); }


    double d2 = org.apache.commons.math.util.MathUtils.round(0.0d, 989909612);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.0d);

  }

  @Test
  public void test057() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test057"); }


    int i1 = org.apache.commons.math.util.MathUtils.sign((-118621657));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == (-1));

  }

  @Test
  public void test058() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test058"); }


    double d2 = org.apache.commons.math.util.FastMath.nextAfter(0.99627207622075d, 11.294825448999884d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.9962720762207501d);

  }

  @Test
  public void test059() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test059"); }


    long long2 = org.apache.commons.math.util.MathUtils.gcd(10L, 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 10L);

  }

  @Test
  public void test060() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test060"); }


    float f2 = org.apache.commons.math.util.FastMath.min(0.0f, 1.2676506E31f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 0.0f);

  }

  @Test
  public void test061() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test061"); }


    int i1 = org.apache.commons.math.util.MathUtils.sign((-118622672));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == (-1));

  }

  @Test
  public void test062() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test062"); }


    boolean b2 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(9.671408E24f, 9.671408E24f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == true);

  }

  @Test
  public void test063() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test063"); }


    double d1 = org.apache.commons.math.util.FastMath.abs(5729.5779513082325d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 5729.5779513082325d);

  }

  @Test
  public void test064() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test064"); }


    float f1 = org.apache.commons.math.util.FastMath.signum(Float.NEGATIVE_INFINITY);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == (-1.0f));

  }

  @Test
  public void test065() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test065"); }


    double d1 = org.apache.commons.math.util.FastMath.log(0.06035015348083611d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-2.8075917882631045d));

  }

  @Test
  public void test066() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test066"); }


    double d1 = org.apache.commons.math.util.FastMath.log10(53.857563076535236d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.7312466987532318d);

  }

  @Test
  public void test067() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test067"); }


    double d2 = org.apache.commons.math.util.FastMath.IEEEremainder((-0.7219406744110326d), (-3.618468751864025d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-0.7219406744110326d));

  }

  @Test
  public void test068() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test068"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.util.Localizable localizable2 = null;
    java.lang.Object[] obj_array4 = new java.lang.Object[] { '#' };
    org.apache.commons.math.exception.NullArgumentException nullArgumentException5 = new org.apache.commons.math.exception.NullArgumentException(localizable2, obj_array4);
    org.apache.commons.math.exception.NotFiniteNumberException notFiniteNumberException6 = new org.apache.commons.math.exception.NotFiniteNumberException(localizable0, (java.lang.Number)(byte)0, obj_array4);
    org.apache.commons.math.exception.NumberIsTooLargeException numberIsTooLargeException10 = new org.apache.commons.math.exception.NumberIsTooLargeException((java.lang.Number)1.0E-10f, (java.lang.Number)10.000001f, false);
    notFiniteNumberException6.addSuppressed((java.lang.Throwable)numberIsTooLargeException10);
    java.lang.Number number12 = numberIsTooLargeException10.getMax();
    boolean b13 = numberIsTooLargeException10.getBoundIsAllowed();
    boolean b14 = numberIsTooLargeException10.getBoundIsAllowed();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number12 + "' != '" + 10.000001f+ "'", number12.equals(10.000001f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b13 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b14 == false);

  }

  @Test
  public void test069() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test069"); }


    long long1 = org.apache.commons.math.util.FastMath.round(0.1219637214997288d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 0L);

  }

  @Test
  public void test070() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test070"); }


    org.apache.commons.math.exception.DimensionMismatchException dimensionMismatchException2 = new org.apache.commons.math.exception.DimensionMismatchException(0, 100);

  }

  @Test
  public void test071() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test071"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.NotPositiveException notPositiveException2 = new org.apache.commons.math.exception.NotPositiveException(localizable0, (java.lang.Number)1016);

  }

  @Test
  public void test072() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test072"); }


    org.apache.commons.math.complex.Complex complex0 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex1 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex2 = complex0.pow(complex1);
    org.apache.commons.math.complex.ComplexField complexField3 = complex1.getField();
    org.apache.commons.math.complex.Complex complex4 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex5 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex6 = complex4.pow(complex5);
    org.apache.commons.math.complex.Complex complex7 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex8 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex9 = complex7.pow(complex8);
    org.apache.commons.math.complex.Complex complex10 = complex4.multiply(complex8);
    org.apache.commons.math.complex.Complex complex11 = complex1.multiply(complex4);
    org.apache.commons.math.complex.Complex complex12 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex13 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex14 = complex12.pow(complex13);
    boolean b15 = complex14.isInfinite();
    org.apache.commons.math.complex.Complex complex16 = complex14.atan();
    org.apache.commons.math.complex.Complex complex17 = complex1.divide(complex14);
    org.apache.commons.math.complex.Complex complex19 = complex17.divide((-0.015707963278420587d));
    org.apache.commons.math.complex.Complex complex21 = complex17.pow(0.0979311860144625d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complexField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b15 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex21);

  }

  @Test
  public void test073() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test073"); }


    float f2 = org.apache.commons.math.util.FastMath.max(1.9073489E-6f, 1.2676506E31f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 1.2676506E31f);

  }

  @Test
  public void test074() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test074"); }


    double d4 = org.apache.commons.math.util.MathUtils.linearCombination(0.0d, 0.0d, 2.3978952727983707d, 0.9123333627068718d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 2.1876798576510494d);

  }

  @Test
  public void test075() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test075"); }


    int[] i_array0 = null;
    // The following exception was thrown during execution in test generation
    try {
      int[] i_array1 = org.apache.commons.math.util.MathUtils.copyOf(i_array0);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test076() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test076"); }


    long long2 = org.apache.commons.math.util.MathUtils.subAndCheck((-11L), 10L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == (-21L));

  }

  @Test
  public void test077() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test077"); }


    java.math.BigInteger bigInteger0 = null;
    java.math.BigInteger bigInteger2 = org.apache.commons.math.util.MathUtils.pow(bigInteger0, 0L);
    java.math.BigInteger bigInteger3 = null;
    java.math.BigInteger bigInteger5 = org.apache.commons.math.util.MathUtils.pow(bigInteger3, 0L);
    // The following exception was thrown during execution in test generation
    try {
      java.math.BigInteger bigInteger6 = org.apache.commons.math.util.MathUtils.pow(bigInteger0, bigInteger5);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger5);

  }

  @Test
  public void test078() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test078"); }


    int i1 = org.apache.commons.math.util.FastMath.round(1.208926E24f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 2147483647);

  }

  @Test
  public void test079() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test079"); }


    org.apache.commons.math.complex.Complex complex0 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex1 = complex0.cos();
    org.apache.commons.math.complex.Complex complex2 = org.apache.commons.math.complex.Complex.ONE;
    org.apache.commons.math.complex.Complex complex3 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex4 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex5 = complex3.pow(complex4);
    boolean b6 = complex5.isInfinite();
    org.apache.commons.math.complex.Complex complex7 = complex5.atan();
    org.apache.commons.math.complex.Complex complex8 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex9 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex10 = complex8.pow(complex9);
    org.apache.commons.math.complex.ComplexField complexField11 = complex9.getField();
    org.apache.commons.math.complex.Complex complex12 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex13 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex14 = complex12.pow(complex13);
    org.apache.commons.math.complex.Complex complex15 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex16 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex17 = complex15.pow(complex16);
    org.apache.commons.math.complex.Complex complex18 = complex12.multiply(complex16);
    org.apache.commons.math.complex.Complex complex19 = complex9.multiply(complex12);
    org.apache.commons.math.complex.Complex complex20 = complex12.cosh();
    org.apache.commons.math.complex.Complex complex21 = complex12.acos();
    org.apache.commons.math.complex.Complex complex22 = complex5.subtract(complex12);
    org.apache.commons.math.complex.Complex complex23 = complex2.multiply(complex5);
    org.apache.commons.math.complex.Complex complex24 = complex0.multiply(complex23);
    org.apache.commons.math.complex.Complex complex25 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex26 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex27 = complex25.pow(complex26);
    org.apache.commons.math.complex.ComplexField complexField28 = complex26.getField();
    org.apache.commons.math.complex.Complex complex29 = complex26.exp();
    org.apache.commons.math.complex.Complex complex30 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex31 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex32 = complex30.pow(complex31);
    org.apache.commons.math.complex.ComplexField complexField33 = complex31.getField();
    org.apache.commons.math.complex.Complex complex34 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex35 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex36 = complex34.pow(complex35);
    org.apache.commons.math.complex.Complex complex37 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex38 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex39 = complex37.pow(complex38);
    org.apache.commons.math.complex.Complex complex40 = complex34.multiply(complex38);
    org.apache.commons.math.complex.Complex complex41 = complex31.multiply(complex34);
    org.apache.commons.math.util.MathUtils.checkNotNull((java.lang.Object)complex31);
    org.apache.commons.math.complex.Complex complex44 = complex31.pow(1.5707963267948966d);
    org.apache.commons.math.complex.Complex complex45 = complex29.pow(complex44);
    org.apache.commons.math.complex.Complex complex46 = complex23.pow(complex29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b6 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complexField11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complexField28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complexField33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex46);

  }

  @Test
  public void test080() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test080"); }


    long long2 = org.apache.commons.math.util.FastMath.min(99L, 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 0L);

  }

  @Test
  public void test081() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test081"); }


    double d1 = org.apache.commons.math.util.FastMath.ceil(3.912731811108073d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 4.0d);

  }

  @Test
  public void test082() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test082"); }


    double d1 = org.apache.commons.math.util.FastMath.cosh(0.9962720762207501d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.5387102866214204d);

  }

  @Test
  public void test083() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test083"); }


    double d1 = org.apache.commons.math.util.FastMath.rint(1.0013824497714652d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);

  }

  @Test
  public void test084() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test084"); }


    float f2 = org.apache.commons.math.util.FastMath.scalb(1.9073486E-6f, (-1150));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 0.0f);

  }

  @Test
  public void test085() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test085"); }


    int[] i_array3 = new int[] { 0, 0, 0 };
    int[] i_array4 = org.apache.commons.math.util.MathUtils.copyOf(i_array3);
    int[] i_array5 = new int[] {  };
    int[] i_array7 = org.apache.commons.math.util.MathUtils.copyOf(i_array5, 1);
    int[] i_array8 = org.apache.commons.math.util.MathUtils.copyOf(i_array5);
    int[] i_array9 = new int[] {  };
    int[] i_array11 = org.apache.commons.math.util.MathUtils.copyOf(i_array9, 1);
    int[] i_array12 = org.apache.commons.math.util.MathUtils.copyOf(i_array9);
    int[] i_array14 = new int[] { 100 };
    int i15 = org.apache.commons.math.util.MathUtils.distance1(i_array9, i_array14);
    int[] i_array16 = org.apache.commons.math.util.MathUtils.copyOf(i_array9);
    double d17 = org.apache.commons.math.util.MathUtils.distance(i_array5, i_array16);
    // The following exception was thrown during execution in test generation
    try {
      int i18 = org.apache.commons.math.util.MathUtils.distanceInf(i_array4, i_array5);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i15 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d17 == 0.0d);

  }

  @Test
  public void test086() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test086"); }


    double d1 = org.apache.commons.math.util.MathUtils.sign((-13.32129007362461d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-1.0d));

  }

  @Test
  public void test087() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test087"); }


    int i1 = org.apache.commons.math.util.MathUtils.indicator((-118621657));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == (-1));

  }

  @Test
  public void test088() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test088"); }


    long long2 = org.apache.commons.math.util.MathUtils.subAndCheck((-5485011738861510223L), 100L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == (-5485011738861510323L));

  }

  @Test
  public void test089() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test089"); }


    // The following exception was thrown during execution in test generation
    try {
      float f3 = org.apache.commons.math.util.MathUtils.round(1.0000001f, (-1074790400), 13);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.MathIllegalArgumentException");
    } catch (org.apache.commons.math.exception.MathIllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.MathIllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.MathIllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test090() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test090"); }


    org.apache.commons.math.complex.Complex complex0 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex1 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex2 = complex0.pow(complex1);
    java.lang.String str3 = complex0.toString();
    org.apache.commons.math.complex.Complex complex4 = complex0.atan();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "(Infinity, Infinity)"+ "'", str3.equals("(Infinity, Infinity)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex4);

  }

  @Test
  public void test091() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test091"); }


    int i1 = org.apache.commons.math.util.FastMath.round(1.9073486E-6f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 0);

  }

  @Test
  public void test092() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test092"); }


    double d1 = org.apache.commons.math.util.FastMath.tanh(23.197602957614347d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);

  }

  @Test
  public void test093() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test093"); }


    double d1 = org.apache.commons.math.util.FastMath.log(1.1102230246251565E-16d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-36.7368005696771d));

  }

  @Test
  public void test094() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test094"); }


    org.apache.commons.math.complex.Complex complex0 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex1 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex2 = complex0.pow(complex1);
    double d3 = complex0.getReal();
    org.apache.commons.math.complex.Complex complex5 = complex0.subtract(3628800.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == Double.POSITIVE_INFINITY);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex5);

  }

  @Test
  public void test095() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test095"); }


    double d1 = org.apache.commons.math.util.FastMath.atanh((-1.2675872245639175E30d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test096() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test096"); }


    boolean b2 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(1.9073489E-6f, 20.000004f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test097() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test097"); }


    double d1 = org.apache.commons.math.util.FastMath.acosh(305023.1313078288d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 13.32129007362461d);

  }

  @Test
  public void test098() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test098"); }


    org.apache.commons.math.exception.NonMonotonousSequenceException nonMonotonousSequenceException3 = new org.apache.commons.math.exception.NonMonotonousSequenceException((java.lang.Number)363.7393755555636d, (java.lang.Number)(-0.7219406744110326d), (-127));

  }

  @Test
  public void test099() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test099"); }


    int[] i_array0 = new int[] {  };
    int[] i_array2 = org.apache.commons.math.util.MathUtils.copyOf(i_array0, 1);
    int[] i_array3 = org.apache.commons.math.util.MathUtils.copyOf(i_array0);
    int[] i_array4 = org.apache.commons.math.util.MathUtils.copyOf(i_array3);
    int[] i_array6 = new int[] { (-1) };
    int[] i_array7 = org.apache.commons.math.util.MathUtils.copyOf(i_array6);
    int[] i_array11 = new int[] { 0, 0, 0 };
    int[] i_array12 = org.apache.commons.math.util.MathUtils.copyOf(i_array11);
    double d13 = org.apache.commons.math.util.MathUtils.distance(i_array6, i_array11);
    int i14 = org.apache.commons.math.util.MathUtils.distanceInf(i_array4, i_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d13 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i14 == 0);

  }

  @Test
  public void test100() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test100"); }


    long long1 = org.apache.commons.math.util.FastMath.round(23.13320481349772d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 23L);

  }

  @Test
  public void test101() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test101"); }


    double d2 = org.apache.commons.math.util.FastMath.copySign(0.0d, 10.009999666686666d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.0d);

  }

  @Test
  public void test102() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test102"); }


    double d2 = org.apache.commons.math.util.FastMath.scalb(3628800.0d, 6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 2.322432E8d);

  }

  @Test
  public void test103() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test103"); }


    double d2 = org.apache.commons.math.util.MathUtils.normalizeAngle((-2.0043357417898457d), 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-2.0043357417898457d));

  }

  @Test
  public void test104() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test104"); }


    long long2 = org.apache.commons.math.util.FastMath.max((-5485011738861510323L), 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 0L);

  }

  @Test
  public void test105() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test105"); }


    double d1 = org.apache.commons.math.util.FastMath.abs(305023.1313078288d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 305023.1313078288d);

  }

  @Test
  public void test106() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test106"); }


    org.apache.commons.math.complex.Complex complex1 = new org.apache.commons.math.complex.Complex((-0.01005050421799429d));
    java.util.List list3 = complex1.nthRoot(1016);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(list3);

  }

  @Test
  public void test107() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test107"); }


    org.apache.commons.math.complex.Complex complex2 = new org.apache.commons.math.complex.Complex(1.5882513917771335d, 0.0d);

  }

  @Test
  public void test108() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test108"); }


    boolean b3 = org.apache.commons.math.util.MathUtils.equals(14.01245059405862d, 2.718281828459045d, (-4.691887677053542E41d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test109() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test109"); }


    org.apache.commons.math.complex.Complex complex0 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex1 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex2 = complex0.pow(complex1);
    org.apache.commons.math.complex.ComplexField complexField3 = complex1.getField();
    org.apache.commons.math.complex.Complex complex4 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex5 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex6 = complex4.pow(complex5);
    org.apache.commons.math.complex.Complex complex7 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex8 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex9 = complex7.pow(complex8);
    org.apache.commons.math.complex.Complex complex10 = complex4.multiply(complex8);
    org.apache.commons.math.complex.Complex complex11 = complex1.multiply(complex4);
    org.apache.commons.math.complex.Complex complex12 = complex4.cosh();
    org.apache.commons.math.complex.ComplexField complexField13 = complex4.getField();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complexField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complexField13);

  }

  @Test
  public void test110() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test110"); }


    // The following exception was thrown during execution in test generation
    try {
      double d1 = org.apache.commons.math.util.MathUtils.factorialDouble((-1518801660));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NotPositiveException");
    } catch (org.apache.commons.math.exception.NotPositiveException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NotPositiveException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NotPositiveException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test111() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test111"); }


    org.apache.commons.math.complex.Complex complex0 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex1 = complex0.cos();
    double d2 = complex0.getImaginary();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == Double.POSITIVE_INFINITY);

  }

  @Test
  public void test112() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test112"); }


    org.apache.commons.math.complex.Complex complex0 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex1 = complex0.cos();
    java.lang.String str2 = complex1.toString();
    boolean b3 = complex1.isInfinite();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + "(NaN, NaN)"+ "'", str2.equals("(NaN, NaN)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test113() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test113"); }


    org.apache.commons.math.exception.DimensionMismatchException dimensionMismatchException2 = new org.apache.commons.math.exception.DimensionMismatchException((-1150), (-1));

  }

  @Test
  public void test114() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test114"); }


    // The following exception was thrown during execution in test generation
    try {
      double d1 = org.apache.commons.math.util.MathUtils.factorialDouble((-118622673));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NotPositiveException");
    } catch (org.apache.commons.math.exception.NotPositiveException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NotPositiveException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NotPositiveException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test115() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test115"); }


    int[] i_array3 = new int[] { 10, 0, 100 };
    // The following exception was thrown during execution in test generation
    try {
      int[] i_array5 = org.apache.commons.math.util.MathUtils.copyOf(i_array3, (-2008633678));
      org.junit.Assert.fail("Expected exception of type java.lang.NegativeArraySizeException");
    } catch (java.lang.NegativeArraySizeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NegativeArraySizeException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NegativeArraySizeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array3);

  }

  @Test
  public void test116() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test116"); }


    org.apache.commons.math.exception.NonMonotonousSequenceException nonMonotonousSequenceException3 = new org.apache.commons.math.exception.NonMonotonousSequenceException((java.lang.Number)1.0000495000291105d, (java.lang.Number)2.1876798576510494d, (-1074790400));

  }

  @Test
  public void test117() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test117"); }


    double d6 = org.apache.commons.math.util.MathUtils.linearCombination((-0.999950005416082d), 7.8826430265114755d, 1.0053152314385987d, (-0.010050165822464032d), 6.283185307179586d, 0.009949836253965276d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == (-7.829835856873241d));

  }

  @Test
  public void test118() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test118"); }


    double d1 = org.apache.commons.math.util.FastMath.log1p(0.9123333627068718d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.6483241523116757d);

  }

  @Test
  public void test119() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test119"); }


    // The following exception was thrown during execution in test generation
    try {
      long long2 = org.apache.commons.math.util.MathUtils.pow((-5485011738861510323L), (-5485011738861510223L));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NotPositiveException");
    } catch (org.apache.commons.math.exception.NotPositiveException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NotPositiveException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NotPositiveException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test120() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test120"); }


    double d2 = org.apache.commons.math.util.FastMath.IEEEremainder(4.440892098500626E-16d, 0.6483241523116757d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 4.440892098500626E-16d);

  }

  @Test
  public void test121() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test121"); }


    org.apache.commons.math.complex.Complex complex0 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex1 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex2 = complex0.pow(complex1);
    double[] d_array4 = new double[] { 1.0d };
    double[] d_array6 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array4, 10.0d);
    double d7 = org.apache.commons.math.util.MathUtils.safeNorm(d_array4);
    double[] d_array9 = new double[] { 1.0d };
    double[] d_array11 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array9, 10.0d);
    double[] d_array13 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array9, (-0.009999666686665238d));
    double[][] d_array_array14 = new double[][] { d_array9 };
    org.apache.commons.math.util.MathUtils.sortInPlace(d_array4, d_array_array14);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array4);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array4);
    double[] d_array19 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array4, 1.5707963267948966d);
    org.apache.commons.math.util.MathUtils.OrderDirection orderDirection20 = org.apache.commons.math.util.MathUtils.OrderDirection.INCREASING;
    double[] d_array22 = new double[] { 1.0d };
    double[] d_array24 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array22, 10.0d);
    double[][] d_array_array25 = new double[][] { d_array24 };
    org.apache.commons.math.util.MathUtils.sortInPlace(d_array19, orderDirection20, d_array_array25);
    boolean b27 = complex0.equals((java.lang.Object)d_array_array25);
    org.apache.commons.math.complex.Complex complex29 = complex0.multiply((-0.01745240643728351d));
    org.apache.commons.math.complex.Complex complex30 = complex0.negate();
    double d31 = complex30.abs();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b27 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d31 == Double.POSITIVE_INFINITY);

  }

  @Test
  public void test122() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test122"); }


    short s1 = org.apache.commons.math.util.MathUtils.sign((short)0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(s1 == (short)0);

  }

  @Test
  public void test123() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test123"); }


    int i2 = org.apache.commons.math.util.FastMath.max(144, (-2008633678));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 144);

  }

  @Test
  public void test124() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test124"); }


    double d1 = org.apache.commons.math.util.FastMath.signum(0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.0d);

  }

  @Test
  public void test125() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test125"); }


    int i2 = org.apache.commons.math.util.MathUtils.pow(0, 1L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 0);

  }

  @Test
  public void test126() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test126"); }


    org.apache.commons.math.exception.NonMonotonousSequenceException nonMonotonousSequenceException3 = new org.apache.commons.math.exception.NonMonotonousSequenceException((java.lang.Number)1.3440585709080678E43d, (java.lang.Number)0.009999666686665238d, 1);
    java.lang.Number number4 = nonMonotonousSequenceException3.getPrevious();
    java.lang.Number number5 = nonMonotonousSequenceException3.getPrevious();
    java.lang.Number number6 = nonMonotonousSequenceException3.getPrevious();
    java.lang.Number number7 = nonMonotonousSequenceException3.getPrevious();
    int i8 = nonMonotonousSequenceException3.getIndex();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number4 + "' != '" + 0.009999666686665238d+ "'", number4.equals(0.009999666686665238d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number5 + "' != '" + 0.009999666686665238d+ "'", number5.equals(0.009999666686665238d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number6 + "' != '" + 0.009999666686665238d+ "'", number6.equals(0.009999666686665238d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number7 + "' != '" + 0.009999666686665238d+ "'", number7.equals(0.009999666686665238d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 1);

  }

  @Test
  public void test127() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test127"); }


    float f1 = org.apache.commons.math.util.FastMath.nextUp(102400.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 102400.01f);

  }

  @Test
  public void test128() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test128"); }


    // The following exception was thrown during execution in test generation
    try {
      long long2 = org.apache.commons.math.util.MathUtils.pow(1000L, (-1977326743));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NotPositiveException");
    } catch (org.apache.commons.math.exception.NotPositiveException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NotPositiveException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NotPositiveException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test129() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test129"); }


    int[] i_array0 = null;
    int[] i_array1 = new int[] {  };
    int[] i_array3 = org.apache.commons.math.util.MathUtils.copyOf(i_array1, 1);
    int[] i_array4 = org.apache.commons.math.util.MathUtils.copyOf(i_array1);
    int[] i_array6 = new int[] { 100 };
    int i7 = org.apache.commons.math.util.MathUtils.distance1(i_array1, i_array6);
    int[] i_array8 = org.apache.commons.math.util.MathUtils.copyOf(i_array6);
    int[] i_array10 = org.apache.commons.math.util.MathUtils.copyOf(i_array8, 0);
    // The following exception was thrown during execution in test generation
    try {
      double d11 = org.apache.commons.math.util.MathUtils.distance(i_array0, i_array8);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array10);

  }

  @Test
  public void test130() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test130"); }


    org.apache.commons.math.complex.Complex complex0 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex1 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex2 = complex0.pow(complex1);
    org.apache.commons.math.complex.ComplexField complexField3 = complex1.getField();
    org.apache.commons.math.complex.Complex complex4 = complex1.exp();
    org.apache.commons.math.complex.Complex complex5 = complex4.tanh();
    org.apache.commons.math.complex.Complex complex6 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex7 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex8 = complex6.pow(complex7);
    org.apache.commons.math.complex.ComplexField complexField9 = complex7.getField();
    org.apache.commons.math.complex.Complex complex10 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex11 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex12 = complex10.pow(complex11);
    org.apache.commons.math.complex.Complex complex13 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex14 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex15 = complex13.pow(complex14);
    org.apache.commons.math.complex.Complex complex16 = complex10.multiply(complex14);
    org.apache.commons.math.complex.Complex complex17 = complex7.multiply(complex10);
    org.apache.commons.math.complex.Complex complex18 = complex10.cosh();
    org.apache.commons.math.complex.Complex complex19 = complex10.acos();
    org.apache.commons.math.complex.Complex complex20 = complex19.negate();
    org.apache.commons.math.complex.Complex complex21 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex22 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex23 = complex21.pow(complex22);
    org.apache.commons.math.complex.ComplexField complexField24 = complex22.getField();
    org.apache.commons.math.complex.Complex complex25 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex26 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex27 = complex25.pow(complex26);
    org.apache.commons.math.complex.Complex complex28 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex29 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex30 = complex28.pow(complex29);
    org.apache.commons.math.complex.Complex complex31 = complex25.multiply(complex29);
    org.apache.commons.math.complex.Complex complex32 = complex22.multiply(complex25);
    org.apache.commons.math.util.MathUtils.checkNotNull((java.lang.Object)complex22);
    org.apache.commons.math.complex.Complex complex35 = complex22.pow(1.5707963267948966d);
    org.apache.commons.math.complex.Complex complex36 = complex19.pow(complex22);
    org.apache.commons.math.complex.Complex complex37 = complex4.add(complex36);
    org.apache.commons.math.complex.Complex complex38 = complex36.tan();
    org.apache.commons.math.complex.Complex complex39 = complex38.cos();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complexField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complexField9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complexField24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex39);

  }

  @Test
  public void test131() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test131"); }


    org.apache.commons.math.exception.util.Localizable localizable1 = null;
    org.apache.commons.math.exception.util.Localizable localizable2 = null;
    double[] d_array4 = new double[] { 1.0d };
    double[] d_array6 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array4, 10.0d);
    double d7 = org.apache.commons.math.util.MathUtils.safeNorm(d_array4);
    double[] d_array9 = new double[] { 1.0d };
    double[] d_array11 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array9, 10.0d);
    double[] d_array13 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array9, (-0.009999666686665238d));
    double[][] d_array_array14 = new double[][] { d_array9 };
    org.apache.commons.math.util.MathUtils.sortInPlace(d_array4, d_array_array14);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException16 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable2, (java.lang.Object[])d_array_array14);
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException17 = new org.apache.commons.math.exception.MathArithmeticException(localizable1, (java.lang.Object[])d_array_array14);
    org.apache.commons.math.exception.NotFiniteNumberException notFiniteNumberException18 = new org.apache.commons.math.exception.NotFiniteNumberException((java.lang.Number)(-1.0f), (java.lang.Object[])d_array_array14);
    org.apache.commons.math.exception.util.Localizable localizable19 = null;
    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException23 = new org.apache.commons.math.exception.NumberIsTooSmallException(localizable19, (java.lang.Number)(-0.6409160364661145d), (java.lang.Number)7766279631452241920L, false);
    notFiniteNumberException18.addSuppressed((java.lang.Throwable)numberIsTooSmallException23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array14);

  }

  @Test
  public void test132() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test132"); }


    int i1 = org.apache.commons.math.util.MathUtils.sign(0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 0);

  }

  @Test
  public void test133() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test133"); }


    org.apache.commons.math.complex.Complex complex0 = org.apache.commons.math.complex.Complex.ONE;
    org.apache.commons.math.complex.Complex complex1 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex2 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex3 = complex1.pow(complex2);
    boolean b4 = complex3.isInfinite();
    org.apache.commons.math.complex.Complex complex5 = complex3.atan();
    org.apache.commons.math.complex.Complex complex6 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex7 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex8 = complex6.pow(complex7);
    org.apache.commons.math.complex.ComplexField complexField9 = complex7.getField();
    org.apache.commons.math.complex.Complex complex10 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex11 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex12 = complex10.pow(complex11);
    org.apache.commons.math.complex.Complex complex13 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex14 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex15 = complex13.pow(complex14);
    org.apache.commons.math.complex.Complex complex16 = complex10.multiply(complex14);
    org.apache.commons.math.complex.Complex complex17 = complex7.multiply(complex10);
    org.apache.commons.math.complex.Complex complex18 = complex10.cosh();
    org.apache.commons.math.complex.Complex complex19 = complex10.acos();
    org.apache.commons.math.complex.Complex complex20 = complex3.subtract(complex10);
    org.apache.commons.math.complex.Complex complex21 = complex0.multiply(complex3);
    org.apache.commons.math.complex.Complex complex22 = complex3.sin();
    double d23 = complex22.getArgument();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complexField9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d23, Double.NaN, 0);

  }

  @Test
  public void test134() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test134"); }


    int i2 = org.apache.commons.math.util.MathUtils.gcd((-7), (-758373193));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 1);

  }

  @Test
  public void test135() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test135"); }


    double[] d_array1 = new double[] { 1.0d };
    double[] d_array3 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array1, 10.0d);
    double d4 = org.apache.commons.math.util.MathUtils.safeNorm(d_array1);
    double[] d_array6 = new double[] { 1.0d };
    double[] d_array8 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array6, 10.0d);
    double[] d_array10 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array6, (-0.009999666686665238d));
    double[][] d_array_array11 = new double[][] { d_array6 };
    org.apache.commons.math.util.MathUtils.sortInPlace(d_array1, d_array_array11);
    double[] d_array14 = new double[] { 1.0d };
    double[] d_array16 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array14, 10.0d);
    double d17 = org.apache.commons.math.util.MathUtils.distanceInf(d_array1, d_array14);
    double[] d_array19 = new double[] { 1.0d };
    double[] d_array21 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array19, 10.0d);
    double d22 = org.apache.commons.math.util.MathUtils.safeNorm(d_array19);
    double[] d_array24 = new double[] { 1.0d };
    double[] d_array26 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array24, 10.0d);
    double[] d_array28 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array24, (-0.009999666686665238d));
    double[][] d_array_array29 = new double[][] { d_array24 };
    org.apache.commons.math.util.MathUtils.sortInPlace(d_array19, d_array_array29);
    double d31 = org.apache.commons.math.util.MathUtils.distanceInf(d_array14, d_array19);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array14);
    double[] d_array34 = new double[] { 1.0d };
    double[] d_array36 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array34, 10.0d);
    double[] d_array38 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array34, (-0.009999666686665238d));
    double[] d_array40 = new double[] { 1.0d };
    double[] d_array42 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array40, 10.0d);
    double[] d_array43 = org.apache.commons.math.util.MathUtils.copyOf(d_array40);
    double d44 = org.apache.commons.math.util.MathUtils.distanceInf(d_array34, d_array40);
    org.apache.commons.math.util.MathUtils.OrderDirection orderDirection45 = org.apache.commons.math.util.MathUtils.OrderDirection.INCREASING;
    boolean b48 = org.apache.commons.math.util.MathUtils.checkOrder(d_array34, orderDirection45, false, true);
    double d49 = org.apache.commons.math.util.MathUtils.distance(d_array14, d_array34);
    int i50 = org.apache.commons.math.util.MathUtils.hash(d_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d17 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d22 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d31 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d44 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b48 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d49 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i50 == 1072693279);

  }

  @Test
  public void test136() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test136"); }


    int i1 = org.apache.commons.math.util.MathUtils.sign((-758373183));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == (-1));

  }

  @Test
  public void test137() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test137"); }


    double d1 = org.apache.commons.math.util.FastMath.toDegrees((-0.009949836253965281d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.5700836241984677d));

  }

  @Test
  public void test138() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test138"); }


    int i1 = org.apache.commons.math.util.FastMath.getExponent(1.0000001f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 0);

  }

  @Test
  public void test139() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test139"); }


    boolean b3 = org.apache.commons.math.util.MathUtils.equals((-0.09117805804269756d), (-2.8075917882631045d), 1.1102230246251565E-16d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test140() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test140"); }


    double d1 = org.apache.commons.math.util.FastMath.log((-0.9308647510335805d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test141() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test141"); }


    double d1 = org.apache.commons.math.util.FastMath.cbrt(5729.5779513082325d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 17.89400457879299d);

  }

  @Test
  public void test142() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test142"); }


    float f1 = org.apache.commons.math.util.FastMath.ulp((-1.0f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 1.1920929E-7f);

  }

  @Test
  public void test143() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test143"); }


    double d2 = org.apache.commons.math.util.FastMath.max(363.7393755555636d, 44.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 363.7393755555636d);

  }

  @Test
  public void test144() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test144"); }


    double d1 = org.apache.commons.math.util.FastMath.expm1(0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.0d);

  }

  @Test
  public void test145() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test145"); }


    double d3 = org.apache.commons.math.util.MathUtils.reduce(1.0000495000291107d, (-0.017301865947243932d), 1.000000007333468E-4d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 0.013743141035473305d);

  }

  @Test
  public void test146() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test146"); }


    double d1 = org.apache.commons.math.util.FastMath.cos(3.618468751864025d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.8884331452137783d));

  }

  @Test
  public void test147() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test147"); }


    org.apache.commons.math.complex.Complex complex2 = org.apache.commons.math.complex.Complex.valueOf(1.5707963267948966d, 2.5091784786580567d);
    boolean b3 = complex2.isInfinite();
    org.apache.commons.math.complex.Complex complex4 = complex2.log();
    org.apache.commons.math.complex.Complex complex5 = complex4.sinh();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex5);

  }

  @Test
  public void test148() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test148"); }


    double d1 = org.apache.commons.math.util.MathUtils.factorialDouble(2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 2.0d);

  }

  @Test
  public void test149() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test149"); }


    double d1 = org.apache.commons.math.util.FastMath.exp(1.000050005417318d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 2.7184177606749107d);

  }

  @Test
  public void test150() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test150"); }


    // The following exception was thrown during execution in test generation
    try {
      int i2 = org.apache.commons.math.util.MathUtils.pow(100, (-11L));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NotPositiveException");
    } catch (org.apache.commons.math.exception.NotPositiveException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NotPositiveException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NotPositiveException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test151() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test151"); }


    // The following exception was thrown during execution in test generation
    try {
      long long2 = org.apache.commons.math.util.MathUtils.binomialCoefficient(1016, 2147483647);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NumberIsTooLargeException");
    } catch (org.apache.commons.math.exception.NumberIsTooLargeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NumberIsTooLargeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NumberIsTooLargeException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test152() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test152"); }


    double d1 = org.apache.commons.math.util.MathUtils.sinh((-0.6409160364661145d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.6857046473812736d));

  }

  @Test
  public void test153() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test153"); }


    int i1 = org.apache.commons.math.util.FastMath.abs((-1074790400));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 1074790400);

  }

  @Test
  public void test154() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test154"); }


    float[] f_array3 = new float[] { 10.0f, 0.0f, 1.0f };
    float[] f_array6 = new float[] { 100.0f, (-1.0f) };
    boolean b7 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(f_array3, f_array6);
    float[] f_array11 = new float[] { (-1.0f), (-1.0f), 0.0f };
    float[] f_array15 = new float[] { 10.0f, 0.0f, 1.0f };
    float[] f_array18 = new float[] { 100.0f, (-1.0f) };
    boolean b19 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(f_array15, f_array18);
    float[] f_array21 = new float[] { 0.0f };
    float[] f_array25 = new float[] { 10.0f, 0.0f, 1.0f };
    float[] f_array28 = new float[] { 100.0f, (-1.0f) };
    boolean b29 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(f_array25, f_array28);
    boolean b30 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(f_array21, f_array28);
    boolean b31 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(f_array15, f_array21);
    boolean b32 = org.apache.commons.math.util.MathUtils.equals(f_array11, f_array15);
    boolean b33 = org.apache.commons.math.util.MathUtils.equals(f_array6, f_array11);
    float[] f_array37 = new float[] { 10.0f, 0.0f, 1.0f };
    float[] f_array40 = new float[] { 100.0f, (-1.0f) };
    boolean b41 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(f_array37, f_array40);
    float[] f_array43 = new float[] { 0.0f };
    float[] f_array47 = new float[] { 10.0f, 0.0f, 1.0f };
    float[] f_array50 = new float[] { 100.0f, (-1.0f) };
    boolean b51 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(f_array47, f_array50);
    boolean b52 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(f_array43, f_array50);
    boolean b53 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(f_array37, f_array43);
    float[] f_array57 = new float[] { 10.0f, 0.0f, 1.0f };
    float[] f_array60 = new float[] { 100.0f, (-1.0f) };
    boolean b61 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(f_array57, f_array60);
    float[] f_array63 = new float[] { 0.0f };
    float[] f_array67 = new float[] { 10.0f, 0.0f, 1.0f };
    float[] f_array70 = new float[] { 100.0f, (-1.0f) };
    boolean b71 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(f_array67, f_array70);
    boolean b72 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(f_array63, f_array70);
    boolean b73 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(f_array57, f_array63);
    boolean b74 = org.apache.commons.math.util.MathUtils.equals(f_array43, f_array63);
    boolean b75 = org.apache.commons.math.util.MathUtils.equals(f_array11, f_array43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b7 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b19 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b29 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b30 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b31 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b32 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b33 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b41 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b51 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b52 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b53 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b61 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array67);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array70);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b71 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b72 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b73 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b74 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b75 == false);

  }

  @Test
  public void test155() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test155"); }


    double d1 = org.apache.commons.math.util.FastMath.sqrt(0.06035015348083611d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.24566268231222282d);

  }

  @Test
  public void test156() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test156"); }


    double d2 = org.apache.commons.math.util.FastMath.min(1.000050005417318d, (-0.9092974268256816d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-0.9092974268256816d));

  }

  @Test
  public void test157() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test157"); }


    org.apache.commons.math.complex.Complex complex0 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex1 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex2 = complex0.pow(complex1);
    boolean b3 = complex2.isInfinite();
    org.apache.commons.math.complex.Complex complex4 = complex2.atan();
    org.apache.commons.math.complex.Complex complex5 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex6 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex7 = complex5.pow(complex6);
    org.apache.commons.math.complex.ComplexField complexField8 = complex6.getField();
    org.apache.commons.math.complex.Complex complex9 = complex2.subtract(complex6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complexField8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex9);

  }

  @Test
  public void test158() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test158"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.NumberIsTooLargeException numberIsTooLargeException4 = new org.apache.commons.math.exception.NumberIsTooLargeException(localizable0, (java.lang.Number)0.9998433086476912d, (java.lang.Number)(short)0, true);

  }

  @Test
  public void test159() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test159"); }


    boolean b2 = org.apache.commons.math.util.MathUtils.equals((-0.2593935199454313d), (-2.004335741789846d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test160() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test160"); }


    int i1 = org.apache.commons.math.util.MathUtils.indicator(1016);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 1);

  }

  @Test
  public void test161() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test161"); }


    int i1 = org.apache.commons.math.util.FastMath.abs(1072693279);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 1072693279);

  }

  @Test
  public void test162() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test162"); }


    float f2 = org.apache.commons.math.util.FastMath.copySign(0.0f, 102400.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 0.0f);

  }

  @Test
  public void test163() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test163"); }


    org.apache.commons.math.complex.Complex complex0 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex1 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex2 = complex0.pow(complex1);
    org.apache.commons.math.complex.ComplexField complexField3 = complex1.getField();
    org.apache.commons.math.complex.Complex complex4 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex5 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex6 = complex4.pow(complex5);
    org.apache.commons.math.complex.Complex complex7 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex8 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex9 = complex7.pow(complex8);
    org.apache.commons.math.complex.Complex complex10 = complex4.multiply(complex8);
    org.apache.commons.math.complex.Complex complex11 = complex1.multiply(complex4);
    org.apache.commons.math.util.MathUtils.checkNotNull((java.lang.Object)complex1);
    double d13 = complex1.getArgument();
    org.apache.commons.math.complex.ComplexField complexField14 = complex1.getField();
    org.apache.commons.math.complex.Complex complex15 = complex1.sqrt();
    // The following exception was thrown during execution in test generation
    try {
      java.util.List list17 = complex15.nthRoot((-118621657));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NotPositiveException");
    } catch (org.apache.commons.math.exception.NotPositiveException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NotPositiveException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NotPositiveException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complexField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d13 == 0.7853981633974483d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complexField14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex15);

  }

  @Test
  public void test164() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test164"); }


    boolean b3 = org.apache.commons.math.util.MathUtils.equals((-1.0f), 1.9073486E-6f, 1.0000001f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test165() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test165"); }


    double d2 = org.apache.commons.math.util.FastMath.atan2(0.8414979990964853d, (-2.8075917882631045d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 2.8503906064560605d);

  }

  @Test
  public void test166() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test166"); }


    java.lang.Number number1 = null;
    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException3 = new org.apache.commons.math.exception.NumberIsTooSmallException((java.lang.Number)2.718281828459045d, number1, false);
    boolean b4 = numberIsTooSmallException3.getBoundIsAllowed();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);

  }

  @Test
  public void test167() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test167"); }


    boolean b2 = org.apache.commons.math.util.MathUtils.equals(102400.01f, Float.NaN);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test168() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test168"); }


    // The following exception was thrown during execution in test generation
    try {
      double d2 = org.apache.commons.math.util.MathUtils.binomialCoefficientDouble((-1), 128);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NumberIsTooLargeException");
    } catch (org.apache.commons.math.exception.NumberIsTooLargeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NumberIsTooLargeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NumberIsTooLargeException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test169() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test169"); }


    double d1 = org.apache.commons.math.util.FastMath.asinh((-0.009999666686665238d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.009999500044161986d));

  }

  @Test
  public void test170() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test170"); }


    boolean b3 = org.apache.commons.math.util.MathUtils.equals((-6.283185307179586d), 0.0979311860144625d, (-508.341764453806d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test171() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test171"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.util.Localizable localizable2 = null;
    java.lang.Object[] obj_array4 = new java.lang.Object[] { '#' };
    org.apache.commons.math.exception.NullArgumentException nullArgumentException5 = new org.apache.commons.math.exception.NullArgumentException(localizable2, obj_array4);
    org.apache.commons.math.exception.NotFiniteNumberException notFiniteNumberException6 = new org.apache.commons.math.exception.NotFiniteNumberException(localizable0, (java.lang.Number)(byte)0, obj_array4);
    java.lang.Throwable[] throwable_array7 = notFiniteNumberException6.getSuppressed();
    org.apache.commons.math.exception.util.ExceptionContext exceptionContext8 = notFiniteNumberException6.getContext();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext8);

  }

  @Test
  public void test172() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test172"); }


    double d1 = org.apache.commons.math.util.FastMath.sin((-0.015708609314253285d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.015707963278420587d));

  }

  @Test
  public void test173() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test173"); }


    // The following exception was thrown during execution in test generation
    try {
      float f3 = org.apache.commons.math.util.MathUtils.round(10.000002f, 2146959360, (-1));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.MathIllegalArgumentException");
    } catch (org.apache.commons.math.exception.MathIllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.MathIllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.MathIllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test174() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test174"); }


    org.apache.commons.math.complex.Complex complex0 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex1 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex2 = complex0.pow(complex1);
    org.apache.commons.math.complex.ComplexField complexField3 = complex1.getField();
    org.apache.commons.math.complex.Complex complex4 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex5 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex6 = complex4.pow(complex5);
    org.apache.commons.math.complex.Complex complex7 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex8 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex9 = complex7.pow(complex8);
    org.apache.commons.math.complex.Complex complex10 = complex4.multiply(complex8);
    org.apache.commons.math.complex.Complex complex11 = complex1.multiply(complex4);
    org.apache.commons.math.complex.Complex complex12 = complex4.cosh();
    org.apache.commons.math.complex.Complex complex13 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex14 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex15 = complex13.pow(complex14);
    org.apache.commons.math.complex.Complex complex16 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex17 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex18 = complex16.pow(complex17);
    org.apache.commons.math.complex.Complex complex19 = complex13.multiply(complex17);
    org.apache.commons.math.complex.Complex complex20 = complex12.subtract(complex17);
    org.apache.commons.math.complex.Complex complex21 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex22 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex23 = complex21.pow(complex22);
    org.apache.commons.math.complex.ComplexField complexField24 = complex22.getField();
    org.apache.commons.math.complex.Complex complex25 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex26 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex27 = complex25.pow(complex26);
    org.apache.commons.math.complex.Complex complex28 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex29 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex30 = complex28.pow(complex29);
    org.apache.commons.math.complex.Complex complex31 = complex25.multiply(complex29);
    org.apache.commons.math.complex.Complex complex32 = complex22.multiply(complex25);
    org.apache.commons.math.complex.Complex complex33 = complex20.subtract(complex32);
    org.apache.commons.math.complex.Complex complex34 = complex20.tanh();
    org.apache.commons.math.complex.Complex complex35 = complex20.tan();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complexField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complexField24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex35);

  }

  @Test
  public void test175() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test175"); }


    org.apache.commons.math.complex.Complex complex2 = new org.apache.commons.math.complex.Complex((-0.009999500037496873d), 4.810477380965351d);
    double d3 = complex2.abs();
    org.apache.commons.math.complex.Complex complex4 = complex2.sinh();
    org.apache.commons.math.exception.NonMonotonousSequenceException nonMonotonousSequenceException8 = new org.apache.commons.math.exception.NonMonotonousSequenceException((java.lang.Number)1.3440585709080678E43d, (java.lang.Number)0.009999666686665238d, 1);
    java.lang.Number number9 = nonMonotonousSequenceException8.getPrevious();
    boolean b10 = complex4.equals((java.lang.Object)nonMonotonousSequenceException8);
    org.apache.commons.math.exception.util.ExceptionContext exceptionContext11 = nonMonotonousSequenceException8.getContext();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 4.810487773893648d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number9 + "' != '" + 0.009999666686665238d+ "'", number9.equals(0.009999666686665238d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b10 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext11);

  }

  @Test
  public void test176() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test176"); }


    double d2 = org.apache.commons.math.util.FastMath.atan2((-6.283185307179586d), 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-1.5707963267948966d));

  }

  @Test
  public void test177() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test177"); }


    org.apache.commons.math.complex.Complex complex0 = org.apache.commons.math.complex.Complex.ONE;
    org.apache.commons.math.complex.Complex complex1 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex2 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex3 = complex1.pow(complex2);
    boolean b4 = complex3.isInfinite();
    org.apache.commons.math.complex.Complex complex5 = complex3.atan();
    org.apache.commons.math.complex.Complex complex6 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex7 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex8 = complex6.pow(complex7);
    org.apache.commons.math.complex.ComplexField complexField9 = complex7.getField();
    org.apache.commons.math.complex.Complex complex10 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex11 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex12 = complex10.pow(complex11);
    org.apache.commons.math.complex.Complex complex13 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex14 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex15 = complex13.pow(complex14);
    org.apache.commons.math.complex.Complex complex16 = complex10.multiply(complex14);
    org.apache.commons.math.complex.Complex complex17 = complex7.multiply(complex10);
    org.apache.commons.math.complex.Complex complex18 = complex10.cosh();
    org.apache.commons.math.complex.Complex complex19 = complex10.acos();
    org.apache.commons.math.complex.Complex complex20 = complex3.subtract(complex10);
    org.apache.commons.math.complex.Complex complex21 = complex0.multiply(complex3);
    org.apache.commons.math.complex.Complex complex23 = new org.apache.commons.math.complex.Complex(2.5091784786580567d);
    org.apache.commons.math.complex.Complex complex24 = complex23.sqrt();
    double d25 = complex23.getImaginary();
    org.apache.commons.math.complex.Complex complex27 = complex23.add((-1.0d));
    org.apache.commons.math.complex.Complex complex28 = complex3.subtract(complex23);
    org.apache.commons.math.complex.Complex complex30 = complex28.add((-1.3934072662978643d));
    org.apache.commons.math.complex.Complex complex31 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex32 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex33 = complex31.pow(complex32);
    org.apache.commons.math.complex.Complex complex34 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex35 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex36 = complex34.pow(complex35);
    org.apache.commons.math.complex.Complex complex37 = complex31.multiply(complex35);
    org.apache.commons.math.complex.Complex complex38 = complex37.negate();
    org.apache.commons.math.complex.Complex complex39 = complex38.conjugate();
    org.apache.commons.math.complex.Complex complex40 = complex30.subtract(complex38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complexField9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d25 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex40);

  }

  @Test
  public void test178() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test178"); }


    double d2 = org.apache.commons.math.util.MathUtils.binomialCoefficientLog(144, (-1023));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.0d);

  }

  @Test
  public void test179() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test179"); }


    long long2 = org.apache.commons.math.util.MathUtils.addAndCheck(990L, 990L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 1980L);

  }

  @Test
  public void test180() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test180"); }


    short s1 = org.apache.commons.math.util.MathUtils.indicator((short)(-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(s1 == (short)(-1));

  }

  @Test
  public void test181() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test181"); }


    double d1 = org.apache.commons.math.util.FastMath.signum((-1.7452406437283512d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-1.0d));

  }

  @Test
  public void test182() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test182"); }


    double d1 = org.apache.commons.math.util.FastMath.floor(44.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 44.0d);

  }

  @Test
  public void test183() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test183"); }


    boolean b2 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(15.104412573075516d, (-0.21544107530388956d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test184() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test184"); }


    org.apache.commons.math.complex.Complex complex0 = org.apache.commons.math.complex.Complex.ONE;
    org.apache.commons.math.complex.Complex complex1 = org.apache.commons.math.complex.Complex.ONE;
    org.apache.commons.math.complex.Complex complex2 = complex1.log();
    org.apache.commons.math.complex.Complex complex4 = complex2.multiply(43.1284181946612d);
    org.apache.commons.math.complex.Complex complex5 = complex0.divide(complex2);
    org.apache.commons.math.complex.Complex complex7 = complex0.multiply((-0.010000500044170569d));
    org.apache.commons.math.complex.Complex complex8 = complex0.cos();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex8);

  }

  @Test
  public void test185() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test185"); }


    double d2 = org.apache.commons.math.util.FastMath.copySign(0.0d, 0.01713551219013049d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.0d);

  }

  @Test
  public void test186() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test186"); }


    boolean b3 = org.apache.commons.math.util.MathUtils.equals(1.4E-45f, Float.NaN, 128);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test187() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test187"); }


    org.apache.commons.math.complex.Complex complex0 = org.apache.commons.math.complex.Complex.ONE;
    org.apache.commons.math.complex.Complex complex1 = complex0.log();
    org.apache.commons.math.complex.Complex complex2 = complex0.sin();
    // The following exception was thrown during execution in test generation
    try {
      java.util.List list4 = complex2.nthRoot((-2008633678));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NotPositiveException");
    } catch (org.apache.commons.math.exception.NotPositiveException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NotPositiveException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NotPositiveException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex2);

  }

  @Test
  public void test188() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test188"); }


    int i3 = org.apache.commons.math.util.MathUtils.compareTo(0.01713551219013049d, 0.0d, 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 1);

  }

  @Test
  public void test189() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test189"); }


    double d1 = org.apache.commons.math.util.FastMath.asinh((-0.015708609314253285d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.01570796334217731d));

  }

  @Test
  public void test190() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test190"); }


    double d1 = org.apache.commons.math.util.FastMath.ceil(363.7393755555636d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 364.0d);

  }

  @Test
  public void test191() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test191"); }


    double d1 = org.apache.commons.math.util.FastMath.cos((-1.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.5403023058681398d);

  }

  @Test
  public void test192() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test192"); }


    boolean b3 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(1.9073486E-6f, 10.0f, (-1518801660));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test193() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test193"); }


    double[] d_array1 = new double[] { 1.0d };
    double[] d_array3 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array1, 10.0d);
    double d4 = org.apache.commons.math.util.MathUtils.safeNorm(d_array1);
    double[] d_array6 = new double[] { 1.0d };
    double[] d_array8 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array6, 10.0d);
    double[] d_array10 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array6, (-0.009999666686665238d));
    double[][] d_array_array11 = new double[][] { d_array6 };
    org.apache.commons.math.util.MathUtils.sortInPlace(d_array1, d_array_array11);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array1);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array1);
    double[] d_array16 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array1, 1.5707963267948966d);
    double[] d_array17 = org.apache.commons.math.util.MathUtils.copyOf(d_array16);
    double[] d_array19 = new double[] { 1.0d };
    double[] d_array21 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array19, 10.0d);
    double d22 = org.apache.commons.math.util.MathUtils.safeNorm(d_array19);
    double[] d_array24 = new double[] { 1.0d };
    double[] d_array26 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array24, 10.0d);
    double[] d_array28 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array24, (-0.009999666686665238d));
    double[][] d_array_array29 = new double[][] { d_array24 };
    org.apache.commons.math.util.MathUtils.sortInPlace(d_array19, d_array_array29);
    double[] d_array32 = new double[] { 1.0d };
    double[] d_array34 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array32, 10.0d);
    double d35 = org.apache.commons.math.util.MathUtils.distanceInf(d_array19, d_array32);
    double[] d_array37 = new double[] { 1.0d };
    double[] d_array39 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array37, 10.0d);
    org.apache.commons.math.util.MathUtils.OrderDirection orderDirection40 = null;
    double[] d_array42 = new double[] { 1.0d };
    double[] d_array44 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array42, 10.0d);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array42);
    double[][] d_array_array46 = new double[][] { d_array42 };
    org.apache.commons.math.util.MathUtils.sortInPlace(d_array39, orderDirection40, d_array_array46);
    boolean b48 = org.apache.commons.math.util.MathUtils.equals(d_array32, d_array39);
    boolean b49 = org.apache.commons.math.util.MathUtils.equals(d_array16, d_array32);
    double[] d_array50 = org.apache.commons.math.util.MathUtils.copyOf(d_array32);
    double[] d_array52 = new double[] { 1.0d };
    double[] d_array54 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array52, 10.0d);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array52);
    // The following exception was thrown during execution in test generation
    try {
      double d56 = org.apache.commons.math.util.MathUtils.linearCombination(d_array50, d_array52);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d22 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d35 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b48 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b49 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array54);

  }

  @Test
  public void test194() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test194"); }


    float f1 = org.apache.commons.math.util.FastMath.signum(102400.01f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 1.0f);

  }

  @Test
  public void test195() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test195"); }


    double d1 = org.apache.commons.math.util.FastMath.atan(0.9123333627068718d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.7395874778067048d);

  }

  @Test
  public void test196() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test196"); }


    double d4 = org.apache.commons.math.util.MathUtils.linearCombination(0.9999999958776927d, 0.8813382350683823d, (-1.3934072662978643d), (-0.2783462980005369d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 1.269187985616294d);

  }

  @Test
  public void test197() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test197"); }


    double d1 = org.apache.commons.math.util.FastMath.cos((-0.01005033501419646d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.9999494958081692d);

  }

  @Test
  public void test198() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test198"); }


    double d1 = org.apache.commons.math.util.FastMath.cos((-4.137166941154069d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.5440211108893703d));

  }

  @Test
  public void test199() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test199"); }


    org.apache.commons.math.exception.NumberIsTooLargeException numberIsTooLargeException3 = new org.apache.commons.math.exception.NumberIsTooLargeException((java.lang.Number)(-758373193), (java.lang.Number)(-0.01745506487421944d), true);
    boolean b4 = numberIsTooLargeException3.getBoundIsAllowed();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == true);

  }

  @Test
  public void test200() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test200"); }


    double d1 = org.apache.commons.math.util.FastMath.ulp(1.5707963267948966d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 2.220446049250313E-16d);

  }

  @Test
  public void test201() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test201"); }


    org.apache.commons.math.exception.NonMonotonousSequenceException nonMonotonousSequenceException3 = new org.apache.commons.math.exception.NonMonotonousSequenceException((java.lang.Number)1, (java.lang.Number)1.0013824497714652d, (-758373183));
    boolean b4 = nonMonotonousSequenceException3.getStrict();
    int i5 = nonMonotonousSequenceException3.getIndex();
    int i6 = nonMonotonousSequenceException3.getIndex();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == (-758373183));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == (-758373183));

  }

  @Test
  public void test202() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test202"); }


    double d1 = org.apache.commons.math.util.FastMath.atan(1.0000495000291107d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.7854229127994505d);

  }

  @Test
  public void test203() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test203"); }


    double d1 = org.apache.commons.math.util.FastMath.cos(0.9754189534217841d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.5608212357725606d);

  }

  @Test
  public void test204() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test204"); }


    org.apache.commons.math.exception.NonMonotonousSequenceException nonMonotonousSequenceException3 = new org.apache.commons.math.exception.NonMonotonousSequenceException((java.lang.Number)1.3440585709080678E43d, (java.lang.Number)0.009999666686665238d, 1);
    int i4 = nonMonotonousSequenceException3.getIndex();
    org.apache.commons.math.util.MathUtils.OrderDirection orderDirection5 = nonMonotonousSequenceException3.getDirection();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection5);

  }

  @Test
  public void test205() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test205"); }


    float f1 = org.apache.commons.math.util.FastMath.ulp(1.9073489E-6f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 2.2737368E-13f);

  }

  @Test
  public void test206() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test206"); }


    double d1 = org.apache.commons.math.util.FastMath.signum(1.364235802956642d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);

  }

  @Test
  public void test207() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test207"); }


    org.apache.commons.math.exception.NonMonotonousSequenceException nonMonotonousSequenceException3 = new org.apache.commons.math.exception.NonMonotonousSequenceException((java.lang.Number)0.7071067811865476d, (java.lang.Number)0.0f, 10);
    int i4 = nonMonotonousSequenceException3.getIndex();
    boolean b5 = nonMonotonousSequenceException3.getStrict();
    java.lang.String str6 = nonMonotonousSequenceException3.toString();
    boolean b7 = nonMonotonousSequenceException3.getStrict();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b5 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str6 + "' != '" + "org.apache.commons.math.exception.NonMonotonousSequenceException: points 9 and 10 are not strictly increasing (0 >= 0.707)"+ "'", str6.equals("org.apache.commons.math.exception.NonMonotonousSequenceException: points 9 and 10 are not strictly increasing (0 >= 0.707)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b7 == true);

  }

  @Test
  public void test208() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test208"); }


    double[] d_array1 = new double[] { 1.0d };
    double[] d_array3 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array1, 10.0d);
    double d4 = org.apache.commons.math.util.MathUtils.safeNorm(d_array1);
    double[] d_array6 = new double[] { 1.0d };
    double[] d_array8 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array6, 10.0d);
    double[] d_array10 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array6, (-0.009999666686665238d));
    double[][] d_array_array11 = new double[][] { d_array6 };
    org.apache.commons.math.util.MathUtils.sortInPlace(d_array1, d_array_array11);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array1);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array1);
    double[] d_array16 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array1, 1.5707963267948966d);
    double[] d_array17 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d18 = org.apache.commons.math.util.MathUtils.distanceInf(d_array1, d_array17);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array16);

  }

  @Test
  public void test209() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test209"); }


    double d2 = org.apache.commons.math.util.MathUtils.binomialCoefficientLog(3, (-758373193));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.0d);

  }

  @Test
  public void test210() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test210"); }


    int i2 = org.apache.commons.math.util.FastMath.min(1074790400, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 0);

  }

  @Test
  public void test211() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test211"); }


    float f1 = org.apache.commons.math.util.FastMath.abs(9.6714065E24f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 9.6714065E24f);

  }

  @Test
  public void test212() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test212"); }


    boolean b3 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(3.7871039784210714d, (-4.137166941154069d), (-0.017454178629595085d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test213() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test213"); }


    float f2 = org.apache.commons.math.util.MathUtils.round(1.9073489E-6f, (-118621657));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((float)f2, Float.NaN, 0);

  }

  @Test
  public void test214() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test214"); }


    // The following exception was thrown during execution in test generation
    try {
      double d3 = org.apache.commons.math.util.MathUtils.round((-0.2783462980005369d), (-118622672), 1910505473);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test215() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test215"); }


    float f2 = org.apache.commons.math.util.FastMath.copySign((-0.0f), 1.2676506E32f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 0.0f);

  }

  @Test
  public void test216() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test216"); }


    double d1 = org.apache.commons.math.util.FastMath.cos((-0.5440211108893703d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.8556343548213663d);

  }

  @Test
  public void test217() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test217"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.util.Localizable localizable1 = null;
    org.apache.commons.math.exception.util.Localizable localizable3 = null;
    org.apache.commons.math.exception.util.Localizable localizable4 = null;
    org.apache.commons.math.exception.NumberIsTooLargeException numberIsTooLargeException9 = new org.apache.commons.math.exception.NumberIsTooLargeException((java.lang.Number)1.0E-10f, (java.lang.Number)10.000001f, false);
    java.lang.Throwable[] throwable_array10 = numberIsTooLargeException9.getSuppressed();
    org.apache.commons.math.exception.NotFiniteNumberException notFiniteNumberException11 = new org.apache.commons.math.exception.NotFiniteNumberException(localizable4, (java.lang.Number)(short)10, (java.lang.Object[])throwable_array10);
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException12 = new org.apache.commons.math.exception.MathArithmeticException(localizable3, (java.lang.Object[])throwable_array10);
    org.apache.commons.math.exception.NotFiniteNumberException notFiniteNumberException13 = new org.apache.commons.math.exception.NotFiniteNumberException((java.lang.Number)53.857563076535236d, (java.lang.Object[])throwable_array10);
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException14 = new org.apache.commons.math.exception.MathArithmeticException(localizable1, (java.lang.Object[])throwable_array10);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException15 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable0, (java.lang.Object[])throwable_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array10);

  }

  @Test
  public void test218() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test218"); }


    double d1 = org.apache.commons.math.util.FastMath.cos(2.041741034848095d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.4537283549011735d));

  }

  @Test
  public void test219() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test219"); }


    boolean b2 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(1.2676505E31f, 0.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test220() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test220"); }


    int i1 = org.apache.commons.math.util.MathUtils.indicator((-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == (-1));

  }

  @Test
  public void test221() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test221"); }


    int i1 = org.apache.commons.math.util.MathUtils.sign(128);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 1);

  }

  @Test
  public void test222() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test222"); }


    // The following exception was thrown during execution in test generation
    try {
      long long2 = org.apache.commons.math.util.MathUtils.binomialCoefficient((-758373183), 1272213991);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NumberIsTooLargeException");
    } catch (org.apache.commons.math.exception.NumberIsTooLargeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NumberIsTooLargeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NumberIsTooLargeException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test223() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test223"); }


    double d1 = org.apache.commons.math.util.FastMath.signum((-0.5069313086047602d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-1.0d));

  }

  @Test
  public void test224() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test224"); }


    long long1 = org.apache.commons.math.util.FastMath.abs(7766279631452241920L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 7766279631452241920L);

  }

  @Test
  public void test225() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test225"); }


    org.apache.commons.math.complex.Complex complex1 = new org.apache.commons.math.complex.Complex((-502.8041576026699d));
    org.apache.commons.math.complex.Complex complex2 = org.apache.commons.math.complex.Complex.ONE;
    org.apache.commons.math.complex.Complex complex3 = complex2.log();
    org.apache.commons.math.complex.Complex complex4 = complex2.sin();
    org.apache.commons.math.complex.Complex complex5 = complex1.subtract(complex4);
    org.apache.commons.math.complex.Complex complex6 = org.apache.commons.math.complex.Complex.ZERO;
    org.apache.commons.math.complex.Complex complex7 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex8 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex9 = complex7.pow(complex8);
    org.apache.commons.math.complex.ComplexField complexField10 = complex8.getField();
    org.apache.commons.math.complex.Complex complex11 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex12 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex13 = complex11.pow(complex12);
    org.apache.commons.math.complex.Complex complex14 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex15 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex16 = complex14.pow(complex15);
    org.apache.commons.math.complex.Complex complex17 = complex11.multiply(complex15);
    org.apache.commons.math.complex.Complex complex18 = complex8.multiply(complex11);
    org.apache.commons.math.util.MathUtils.checkNotNull((java.lang.Object)complex8);
    org.apache.commons.math.complex.Complex complex21 = complex8.pow(1.5707963267948966d);
    org.apache.commons.math.complex.Complex complex22 = complex21.tan();
    org.apache.commons.math.complex.Complex complex24 = complex21.multiply(2.6881171418161356E43d);
    org.apache.commons.math.complex.Complex complex25 = complex6.divide(complex24);
    boolean b26 = complex1.equals((java.lang.Object)complex24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complexField10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b26 == false);

  }

  @Test
  public void test226() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test226"); }


    int i1 = org.apache.commons.math.util.FastMath.getExponent((-0.01570796334217731d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == (-6));

  }

  @Test
  public void test227() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test227"); }


    double d1 = org.apache.commons.math.util.FastMath.atan(0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.0d);

  }

  @Test
  public void test228() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test228"); }


    org.apache.commons.math.exception.NonMonotonousSequenceException nonMonotonousSequenceException3 = new org.apache.commons.math.exception.NonMonotonousSequenceException((java.lang.Number)1.5707963267948966d, (java.lang.Number)(-7), 1376942411);
    org.apache.commons.math.util.MathUtils.checkNotNull((java.lang.Object)1.5707963267948966d);

  }

  @Test
  public void test229() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test229"); }


    org.apache.commons.math.complex.Complex complex0 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex1 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex2 = complex0.pow(complex1);
    boolean b3 = complex2.isInfinite();
    org.apache.commons.math.complex.Complex complex4 = complex2.atan();
    org.apache.commons.math.complex.Complex complex5 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex6 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex7 = complex5.pow(complex6);
    org.apache.commons.math.complex.ComplexField complexField8 = complex6.getField();
    org.apache.commons.math.complex.Complex complex9 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex10 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex11 = complex9.pow(complex10);
    org.apache.commons.math.complex.Complex complex12 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex13 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex14 = complex12.pow(complex13);
    org.apache.commons.math.complex.Complex complex15 = complex9.multiply(complex13);
    org.apache.commons.math.complex.Complex complex16 = complex6.multiply(complex9);
    org.apache.commons.math.complex.Complex complex17 = complex9.cosh();
    org.apache.commons.math.complex.Complex complex18 = complex9.acos();
    org.apache.commons.math.complex.Complex complex19 = complex2.subtract(complex9);
    org.apache.commons.math.complex.Complex complex21 = complex9.add(1.5231807435201146d);
    org.apache.commons.math.complex.Complex complex22 = complex21.tanh();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complexField8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex22);

  }

  @Test
  public void test230() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test230"); }


    org.apache.commons.math.exception.NumberIsTooLargeException numberIsTooLargeException3 = new org.apache.commons.math.exception.NumberIsTooLargeException((java.lang.Number)(-1272213991), (java.lang.Number)1.0000000056667108E-4d, true);
    java.lang.Number number4 = numberIsTooLargeException3.getMax();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number4 + "' != '" + 1.0000000056667108E-4d+ "'", number4.equals(1.0000000056667108E-4d));

  }

  @Test
  public void test231() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test231"); }


    double d1 = org.apache.commons.math.util.FastMath.tan(1.7763568394002505E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.7763568394002505E-15d);

  }

  @Test
  public void test232() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test232"); }


    double d1 = org.apache.commons.math.util.FastMath.sin((-502.8041576026699d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.1487786169597878d));

  }

  @Test
  public void test233() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test233"); }


    org.apache.commons.math.util.MathUtils.OrderDirection orderDirection3 = null;
    org.apache.commons.math.exception.NonMonotonousSequenceException nonMonotonousSequenceException5 = new org.apache.commons.math.exception.NonMonotonousSequenceException((java.lang.Number)(-1), (java.lang.Number)(-0.009999500037496873d), 100, orderDirection3, false);
    java.lang.Number number6 = nonMonotonousSequenceException5.getPrevious();
    org.apache.commons.math.util.MathUtils.OrderDirection orderDirection7 = nonMonotonousSequenceException5.getDirection();
    java.lang.Throwable throwable8 = nonMonotonousSequenceException5.getException();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number6 + "' != '" + (-0.009999500037496873d)+ "'", number6.equals((-0.009999500037496873d)));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(orderDirection7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable8);

  }

  @Test
  public void test234() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test234"); }


    double d1 = org.apache.commons.math.util.FastMath.expm1((-1.5707963267948966d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.7921204236492381d));

  }

  @Test
  public void test235() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test235"); }


    org.apache.commons.math.complex.Complex complex0 = org.apache.commons.math.complex.Complex.ONE;
    double d1 = complex0.getArgument();
    org.apache.commons.math.complex.Complex complex2 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex3 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex4 = complex2.pow(complex3);
    org.apache.commons.math.complex.ComplexField complexField5 = complex3.getField();
    org.apache.commons.math.complex.Complex complex6 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex7 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex8 = complex6.pow(complex7);
    org.apache.commons.math.complex.Complex complex9 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex10 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex11 = complex9.pow(complex10);
    org.apache.commons.math.complex.Complex complex12 = complex6.multiply(complex10);
    org.apache.commons.math.complex.Complex complex13 = complex3.multiply(complex6);
    org.apache.commons.math.complex.Complex complex14 = complex6.sqrt1z();
    org.apache.commons.math.complex.Complex complex15 = complex14.cosh();
    boolean b16 = complex14.isInfinite();
    org.apache.commons.math.complex.Complex complex17 = complex0.pow(complex14);
    org.apache.commons.math.complex.Complex complex18 = complex17.tanh();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complexField5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b16 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex18);

  }

  @Test
  public void test236() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test236"); }


    double d1 = org.apache.commons.math.util.FastMath.tanh(1.00002499989587d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.7616046550706703d);

  }

  @Test
  public void test237() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test237"); }


    double d2 = org.apache.commons.math.util.FastMath.hypot((-0.012600241772540894d), 4.9E-324d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.012600241772540894d);

  }

  @Test
  public void test238() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test238"); }


    boolean b3 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(10.000001f, 7.6293945E-6f, 10.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == true);

  }

  @Test
  public void test239() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test239"); }


    double d1 = org.apache.commons.math.util.FastMath.cos((-0.010000000006666442d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.9999500004165986d);

  }

  @Test
  public void test240() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test240"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.util.Localizable localizable1 = null;
    org.apache.commons.math.exception.util.Localizable localizable2 = null;
    org.apache.commons.math.exception.util.Localizable localizable4 = null;
    java.lang.Object[] obj_array6 = new java.lang.Object[] { '#' };
    org.apache.commons.math.exception.NullArgumentException nullArgumentException7 = new org.apache.commons.math.exception.NullArgumentException(localizable4, obj_array6);
    org.apache.commons.math.exception.NotFiniteNumberException notFiniteNumberException8 = new org.apache.commons.math.exception.NotFiniteNumberException(localizable2, (java.lang.Number)(byte)0, obj_array6);
    java.lang.Throwable[] throwable_array9 = notFiniteNumberException8.getSuppressed();
    org.apache.commons.math.exception.NullArgumentException nullArgumentException10 = new org.apache.commons.math.exception.NullArgumentException(localizable1, (java.lang.Object[])throwable_array9);
    org.apache.commons.math.exception.NullArgumentException nullArgumentException11 = new org.apache.commons.math.exception.NullArgumentException(localizable0, (java.lang.Object[])throwable_array9);
    org.apache.commons.math.exception.util.Localizable localizable12 = null;
    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException16 = new org.apache.commons.math.exception.NumberIsTooSmallException(localizable12, (java.lang.Number)1.0E-10f, (java.lang.Number)(-1.0d), true);
    boolean b17 = numberIsTooSmallException16.getBoundIsAllowed();
    nullArgumentException11.addSuppressed((java.lang.Throwable)numberIsTooSmallException16);
    java.lang.Throwable throwable19 = numberIsTooSmallException16.getException();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b17 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable19);

  }

  @Test
  public void test241() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test241"); }


    float f2 = org.apache.commons.math.util.FastMath.max(0.0f, 7.6293945E-6f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 7.6293945E-6f);

  }

  @Test
  public void test242() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test242"); }


    long long2 = org.apache.commons.math.util.MathUtils.mulAndCheck((-99L), 1000L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == (-99000L));

  }

  @Test
  public void test243() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test243"); }


    // The following exception was thrown during execution in test generation
    try {
      long long2 = org.apache.commons.math.util.MathUtils.binomialCoefficient(989909622, 13);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.MathArithmeticException");
    } catch (org.apache.commons.math.exception.MathArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.MathArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.MathArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test244() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test244"); }


    org.apache.commons.math.complex.Complex complex2 = org.apache.commons.math.complex.Complex.valueOf(4.810477380965406d, 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex2);

  }

  @Test
  public void test245() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test245"); }


    org.apache.commons.math.complex.Complex complex0 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex1 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex2 = complex0.pow(complex1);
    org.apache.commons.math.complex.ComplexField complexField3 = complex1.getField();
    org.apache.commons.math.complex.Complex complex4 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex5 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex6 = complex4.pow(complex5);
    org.apache.commons.math.complex.Complex complex7 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex8 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex9 = complex7.pow(complex8);
    org.apache.commons.math.complex.Complex complex10 = complex4.multiply(complex8);
    org.apache.commons.math.complex.Complex complex11 = complex1.multiply(complex4);
    org.apache.commons.math.util.MathUtils.checkNotNull((java.lang.Object)complex1);
    org.apache.commons.math.complex.Complex complex14 = complex1.pow(1.5707963267948966d);
    org.apache.commons.math.complex.Complex complex15 = complex14.tan();
    org.apache.commons.math.complex.Complex complex16 = complex15.log();
    org.apache.commons.math.complex.Complex complex17 = complex16.tan();
    org.apache.commons.math.complex.Complex complex18 = complex17.sqrt1z();
    boolean b19 = complex17.isInfinite();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complexField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b19 == false);

  }

  @Test
  public void test246() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test246"); }


    org.apache.commons.math.complex.Complex complex0 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex1 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex2 = complex0.pow(complex1);
    org.apache.commons.math.complex.ComplexField complexField3 = complex1.getField();
    org.apache.commons.math.complex.Complex complex4 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex5 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex6 = complex4.pow(complex5);
    org.apache.commons.math.complex.Complex complex7 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex8 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex9 = complex7.pow(complex8);
    org.apache.commons.math.complex.Complex complex10 = complex4.multiply(complex8);
    org.apache.commons.math.complex.Complex complex11 = complex1.multiply(complex4);
    org.apache.commons.math.util.MathUtils.checkNotNull((java.lang.Object)complex1);
    org.apache.commons.math.complex.Complex complex14 = complex1.pow(1.5707963267948966d);
    org.apache.commons.math.complex.Complex complex15 = complex14.tan();
    boolean b16 = complex15.isNaN();
    org.apache.commons.math.complex.Complex complex17 = complex15.sqrt1z();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complexField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b16 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex17);

  }

  @Test
  public void test247() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test247"); }


    double d1 = org.apache.commons.math.util.FastMath.floor(0.5707963267948966d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.0d);

  }

  @Test
  public void test248() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test248"); }


    double d1 = org.apache.commons.math.util.FastMath.toRadians((-0.7071067811865476d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.012341341494884351d));

  }

  @Test
  public void test249() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test249"); }


    float f2 = org.apache.commons.math.util.MathUtils.round(10.000001f, (-118621657));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((float)f2, Float.NaN, 0);

  }

  @Test
  public void test250() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test250"); }


    double d1 = org.apache.commons.math.util.FastMath.exp(0.5707963267948966d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.769675730677397d);

  }

  @Test
  public void test251() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test251"); }


    int i1 = org.apache.commons.math.util.FastMath.abs(102400);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 102400);

  }

  @Test
  public void test252() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test252"); }


    org.apache.commons.math.complex.Complex complex0 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex1 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex2 = complex0.pow(complex1);
    org.apache.commons.math.complex.ComplexField complexField3 = complex1.getField();
    org.apache.commons.math.complex.Complex complex4 = complex1.exp();
    org.apache.commons.math.complex.Complex complex5 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex6 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex7 = complex5.pow(complex6);
    org.apache.commons.math.complex.ComplexField complexField8 = complex6.getField();
    org.apache.commons.math.complex.Complex complex9 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex10 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex11 = complex9.pow(complex10);
    org.apache.commons.math.complex.Complex complex12 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex13 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex14 = complex12.pow(complex13);
    org.apache.commons.math.complex.Complex complex15 = complex9.multiply(complex13);
    org.apache.commons.math.complex.Complex complex16 = complex6.multiply(complex9);
    org.apache.commons.math.util.MathUtils.checkNotNull((java.lang.Object)complex6);
    org.apache.commons.math.complex.Complex complex19 = complex6.pow(1.5707963267948966d);
    org.apache.commons.math.complex.Complex complex20 = complex4.pow(complex19);
    double d21 = complex4.getImaginary();
    boolean b22 = complex4.isNaN();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complexField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complexField8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d21, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b22 == true);

  }

  @Test
  public void test253() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test253"); }


    double d1 = org.apache.commons.math.util.FastMath.log10((-0.017454178629595085d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test254() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test254"); }


    double d4 = org.apache.commons.math.util.MathUtils.linearCombination(0.5268096261183322d, (-1.5707963267948966d), (-0.001832482278887523d), (-0.9999500054160819d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == (-0.8256782349621705d));

  }

  @Test
  public void test255() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test255"); }


    float f2 = org.apache.commons.math.util.FastMath.nextAfter(9.536744E-7f, 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 9.536743E-7f);

  }

  @Test
  public void test256() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test256"); }


    double d1 = org.apache.commons.math.util.FastMath.sinh(0.8414979990964851d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.9443875935450844d);

  }

  @Test
  public void test257() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test257"); }


    double d1 = org.apache.commons.math.util.FastMath.log10(43.1284181946612d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.634763529976979d);

  }

  @Test
  public void test258() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test258"); }


    int i2 = org.apache.commons.math.util.FastMath.max(1272213991, 2146959360);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 2146959360);

  }

  @Test
  public void test259() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test259"); }


    int i2 = org.apache.commons.math.util.MathUtils.pow((-1518801660), 990L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 0);

  }

  @Test
  public void test260() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test260"); }


    boolean b2 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(1.2089258E24f, 1.0000001f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test261() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test261"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.NotPositiveException notPositiveException2 = new org.apache.commons.math.exception.NotPositiveException(localizable0, (java.lang.Number)(-4.137166941154069d));

  }

  @Test
  public void test262() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test262"); }


    org.apache.commons.math.complex.Complex complex0 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex1 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex2 = complex0.pow(complex1);
    org.apache.commons.math.complex.ComplexField complexField3 = complex1.getField();
    org.apache.commons.math.complex.Complex complex4 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex5 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex6 = complex4.pow(complex5);
    org.apache.commons.math.complex.Complex complex7 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex8 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex9 = complex7.pow(complex8);
    org.apache.commons.math.complex.Complex complex10 = complex4.multiply(complex8);
    org.apache.commons.math.complex.Complex complex11 = complex1.multiply(complex4);
    org.apache.commons.math.complex.Complex complex12 = complex4.cosh();
    org.apache.commons.math.complex.Complex complex13 = complex4.acos();
    org.apache.commons.math.complex.Complex complex14 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex15 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex16 = complex14.pow(complex15);
    org.apache.commons.math.complex.ComplexField complexField17 = complex15.getField();
    org.apache.commons.math.complex.Complex complex18 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex19 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex20 = complex18.pow(complex19);
    org.apache.commons.math.complex.Complex complex21 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex22 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex23 = complex21.pow(complex22);
    org.apache.commons.math.complex.Complex complex24 = complex18.multiply(complex22);
    org.apache.commons.math.complex.Complex complex25 = complex15.multiply(complex18);
    org.apache.commons.math.complex.Complex complex26 = complex18.cosh();
    org.apache.commons.math.complex.Complex complex27 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex28 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex29 = complex27.pow(complex28);
    org.apache.commons.math.complex.Complex complex30 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex31 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex32 = complex30.pow(complex31);
    org.apache.commons.math.complex.Complex complex33 = complex27.multiply(complex31);
    org.apache.commons.math.complex.Complex complex34 = complex26.subtract(complex31);
    org.apache.commons.math.complex.Complex complex35 = complex26.sqrt();
    org.apache.commons.math.complex.Complex complex36 = complex4.subtract(complex26);
    double d37 = complex26.getImaginary();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complexField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complexField17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d37, Double.NaN, 0);

  }

  @Test
  public void test263() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test263"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.util.Localizable localizable1 = null;
    java.lang.Object[] obj_array3 = new java.lang.Object[] { '#' };
    org.apache.commons.math.exception.NullArgumentException nullArgumentException4 = new org.apache.commons.math.exception.NullArgumentException(localizable1, obj_array3);
    java.lang.Throwable[] throwable_array5 = nullArgumentException4.getSuppressed();
    org.apache.commons.math.exception.NullArgumentException nullArgumentException6 = new org.apache.commons.math.exception.NullArgumentException(localizable0, (java.lang.Object[])throwable_array5);
    java.lang.Throwable throwable7 = null;
    // The following exception was thrown during execution in test generation
    try {
      nullArgumentException6.addSuppressed(throwable7);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array5);

  }

  @Test
  public void test264() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test264"); }


    double d1 = org.apache.commons.math.util.FastMath.nextUp(0.7395874778067048d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.7395874778067049d);

  }

  @Test
  public void test265() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test265"); }


    // The following exception was thrown during execution in test generation
    try {
      int i2 = org.apache.commons.math.util.MathUtils.lcm(144, 1376942411);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.MathArithmeticException");
    } catch (org.apache.commons.math.exception.MathArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.MathArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.MathArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test266() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test266"); }


    int i1 = org.apache.commons.math.util.MathUtils.hash((-1.3934072662978643d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == (-719689146));

  }

  @Test
  public void test267() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test267"); }


    double d1 = org.apache.commons.math.util.FastMath.sin(Double.NEGATIVE_INFINITY);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test268() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test268"); }


    int i2 = org.apache.commons.math.util.FastMath.max(0, 102528);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 102528);

  }

  @Test
  public void test269() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test269"); }


    double d2 = org.apache.commons.math.util.FastMath.nextAfter((-0.2593935199454313d), 0.009949836253965274d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-0.25939351994543125d));

  }

  @Test
  public void test270() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test270"); }


    float f2 = org.apache.commons.math.util.FastMath.copySign(5.0f, 7.6293945E-6f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 5.0f);

  }

  @Test
  public void test271() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test271"); }


    double d1 = org.apache.commons.math.util.FastMath.exp(1.0000495000291105d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 2.7184163868189786d);

  }

  @Test
  public void test272() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test272"); }


    double d1 = org.apache.commons.math.util.FastMath.sqrt(2.7184163868189786d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.6487620770805527d);

  }

  @Test
  public void test273() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test273"); }


    org.apache.commons.math.exception.DimensionMismatchException dimensionMismatchException2 = new org.apache.commons.math.exception.DimensionMismatchException(2147483647, (-1272213991));
    int i3 = dimensionMismatchException2.getDimension();
    java.lang.Number number4 = dimensionMismatchException2.getArgument();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == (-1272213991));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number4 + "' != '" + 2147483647+ "'", number4.equals(2147483647));

  }

  @Test
  public void test274() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test274"); }


    boolean b3 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(9.536743E-7f, 9.765625E-4f, 144);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test275() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test275"); }


    // The following exception was thrown during execution in test generation
    try {
      int i2 = org.apache.commons.math.util.MathUtils.pow((-1518801660), (-101L));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NotPositiveException");
    } catch (org.apache.commons.math.exception.NotPositiveException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NotPositiveException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NotPositiveException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test276() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test276"); }


    org.apache.commons.math.exception.NumberIsTooLargeException numberIsTooLargeException3 = new org.apache.commons.math.exception.NumberIsTooLargeException((java.lang.Number)0.01713551219013049d, (java.lang.Number)(-0.010000166680833889d), false);

  }

  @Test
  public void test277() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test277"); }


    boolean b3 = org.apache.commons.math.util.MathUtils.equals(Float.NaN, 1.9073489E-6f, 10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test278() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test278"); }


    org.apache.commons.math.complex.Complex complex2 = new org.apache.commons.math.complex.Complex((-0.009999500037496873d), 4.810477380965351d);
    org.apache.commons.math.complex.Complex complex3 = complex2.atan();
    org.apache.commons.math.complex.Complex complex4 = complex3.asin();
    org.apache.commons.math.complex.Complex complex5 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex6 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex7 = complex5.pow(complex6);
    org.apache.commons.math.complex.ComplexField complexField8 = complex6.getField();
    org.apache.commons.math.complex.Complex complex9 = complex6.exp();
    org.apache.commons.math.complex.Complex complex10 = complex9.tanh();
    org.apache.commons.math.complex.Complex complex11 = complex3.subtract(complex9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complexField8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex11);

  }

  @Test
  public void test279() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test279"); }


    org.apache.commons.math.complex.Complex complex1 = new org.apache.commons.math.complex.Complex(2.5091784786580567d);
    org.apache.commons.math.complex.Complex complex2 = complex1.sqrt();
    org.apache.commons.math.complex.Complex complex3 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.complex.Complex complex4 = complex2.subtract(complex3);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException");
    } catch (org.apache.commons.math.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex2);

  }

  @Test
  public void test280() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test280"); }


    int i2 = org.apache.commons.math.util.MathUtils.gcd((-1376942411), 989909612);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 1);

  }

  @Test
  public void test281() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test281"); }


    double d2 = org.apache.commons.math.util.MathUtils.normalizeAngle((-0.0020788274184764415d), 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-0.0020788274184764415d));

  }

  @Test
  public void test282() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test282"); }


    int i2 = org.apache.commons.math.util.MathUtils.addAndCheck(3, 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 4);

  }

  @Test
  public void test283() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test283"); }


    int i2 = org.apache.commons.math.util.FastMath.max(0, (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 0);

  }

  @Test
  public void test284() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test284"); }


    org.apache.commons.math.complex.Complex complex2 = new org.apache.commons.math.complex.Complex((-0.009999500037496873d), 4.810477380965351d);
    double d3 = complex2.abs();
    org.apache.commons.math.complex.Complex complex4 = complex2.sinh();
    org.apache.commons.math.exception.NonMonotonousSequenceException nonMonotonousSequenceException8 = new org.apache.commons.math.exception.NonMonotonousSequenceException((java.lang.Number)1.3440585709080678E43d, (java.lang.Number)0.009999666686665238d, 1);
    java.lang.Number number9 = nonMonotonousSequenceException8.getPrevious();
    boolean b10 = complex4.equals((java.lang.Object)nonMonotonousSequenceException8);
    org.apache.commons.math.exception.util.Localizable localizable11 = null;
    org.apache.commons.math.util.MathUtils.OrderDirection orderDirection15 = null;
    org.apache.commons.math.exception.NonMonotonousSequenceException nonMonotonousSequenceException17 = new org.apache.commons.math.exception.NonMonotonousSequenceException((java.lang.Number)(byte)10, (java.lang.Number)(-0.009999666686665236d), 100, orderDirection15, false);
    org.apache.commons.math.util.MathUtils.OrderDirection orderDirection18 = nonMonotonousSequenceException17.getDirection();
    java.lang.Throwable throwable19 = nonMonotonousSequenceException17.getException();
    java.lang.Throwable[] throwable_array20 = throwable19.getSuppressed();
    org.apache.commons.math.util.MathUtils.checkNotNull((java.lang.Object)b10, localizable11, (java.lang.Object[])throwable_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 4.810487773893648d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number9 + "' != '" + 0.009999666686665238d+ "'", number9.equals(0.009999666686665238d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b10 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(orderDirection18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array20);

  }

  @Test
  public void test285() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test285"); }


    org.apache.commons.math.util.MathUtils.checkNotNull((java.lang.Object)(-6.283185307179586d));

  }

  @Test
  public void test286() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test286"); }


    int i1 = org.apache.commons.math.util.FastMath.round(7.6293945E-6f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 0);

  }

  @Test
  public void test287() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test287"); }


    double d1 = org.apache.commons.math.util.FastMath.cosh(0.99627207622075d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.5387102866214204d);

  }

  @Test
  public void test288() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test288"); }


    long long2 = org.apache.commons.math.util.MathUtils.pow((-11L), 1072693279);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 7874575988436513757L);

  }

  @Test
  public void test289() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test289"); }


    org.apache.commons.math.complex.Complex complex0 = org.apache.commons.math.complex.Complex.ONE;
    org.apache.commons.math.complex.Complex complex1 = org.apache.commons.math.complex.Complex.ONE;
    org.apache.commons.math.complex.Complex complex2 = complex1.log();
    org.apache.commons.math.complex.Complex complex4 = complex2.multiply(43.1284181946612d);
    org.apache.commons.math.complex.Complex complex5 = complex0.divide(complex2);
    org.apache.commons.math.complex.Complex complex6 = complex0.atan();
    org.apache.commons.math.complex.Complex complex7 = complex0.tanh();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex7);

  }

  @Test
  public void test290() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test290"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.NumberIsTooLargeException numberIsTooLargeException4 = new org.apache.commons.math.exception.NumberIsTooLargeException(localizable0, (java.lang.Number)4.440892098500626E-16d, (java.lang.Number)(byte)1, true);
    java.lang.Throwable[] throwable_array5 = numberIsTooLargeException4.getSuppressed();
    boolean b6 = numberIsTooLargeException4.getBoundIsAllowed();
    java.lang.Number number7 = numberIsTooLargeException4.getMax();
    boolean b8 = numberIsTooLargeException4.getBoundIsAllowed();
    java.lang.Number number9 = numberIsTooLargeException4.getMax();
    java.lang.Number number10 = numberIsTooLargeException4.getMax();
    java.lang.Number number11 = numberIsTooLargeException4.getMax();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b6 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number7 + "' != '" + (byte)1+ "'", number7.equals((byte)1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b8 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number9 + "' != '" + (byte)1+ "'", number9.equals((byte)1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number10 + "' != '" + (byte)1+ "'", number10.equals((byte)1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number11 + "' != '" + (byte)1+ "'", number11.equals((byte)1));

  }

  @Test
  public void test291() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test291"); }


    float f2 = org.apache.commons.math.util.FastMath.nextAfter(1.9073489E-6f, 0.009900662544436153d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 1.907349E-6f);

  }

  @Test
  public void test292() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test292"); }


    int i2 = org.apache.commons.math.util.FastMath.min(4, 128);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 4);

  }

  @Test
  public void test293() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test293"); }


    org.apache.commons.math.exception.NonMonotonousSequenceException nonMonotonousSequenceException3 = new org.apache.commons.math.exception.NonMonotonousSequenceException((java.lang.Number)(-503.0d), (java.lang.Number)2146959360, (-1074790400));
    org.apache.commons.math.util.MathUtils.OrderDirection orderDirection4 = nonMonotonousSequenceException3.getDirection();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection4);

  }

  @Test
  public void test294() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test294"); }


    long long2 = org.apache.commons.math.util.MathUtils.addAndCheck((-11L), 7766279631452242020L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 7766279631452242009L);

  }

  @Test
  public void test295() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test295"); }


    double d1 = org.apache.commons.math.util.FastMath.floor(0.031262637220443035d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.0d);

  }

  @Test
  public void test296() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test296"); }


    double d2 = org.apache.commons.math.util.FastMath.IEEEremainder((-0.009999666686665236d), (-0.009950166257432056d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-4.9500429233179447E-5d));

  }

  @Test
  public void test297() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test297"); }


    double d1 = org.apache.commons.math.util.MathUtils.cosh((-2.0043357417898457d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 3.7779562327568024d);

  }

  @Test
  public void test298() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test298"); }


    // The following exception was thrown during execution in test generation
    try {
      int i2 = org.apache.commons.math.util.MathUtils.mulAndCheck(989909612, 2146959360);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.MathArithmeticException");
    } catch (org.apache.commons.math.exception.MathArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.MathArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.MathArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test299() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test299"); }


    double d1 = org.apache.commons.math.util.FastMath.floor(4.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 4.0d);

  }

  @Test
  public void test300() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test300"); }


    double[] d_array1 = new double[] { 1.0d };
    double[] d_array3 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array1, 10.0d);
    double d4 = org.apache.commons.math.util.MathUtils.safeNorm(d_array1);
    double[] d_array6 = new double[] { 1.0d };
    double[] d_array8 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array6, 10.0d);
    double[] d_array10 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array6, (-0.009999666686665238d));
    double[][] d_array_array11 = new double[][] { d_array6 };
    org.apache.commons.math.util.MathUtils.sortInPlace(d_array1, d_array_array11);
    double[] d_array14 = new double[] { 1.0d };
    double[] d_array16 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array14, 10.0d);
    double d17 = org.apache.commons.math.util.MathUtils.distanceInf(d_array1, d_array14);
    double[] d_array19 = new double[] { 1.0d };
    double[] d_array21 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array19, 10.0d);
    double d22 = org.apache.commons.math.util.MathUtils.safeNorm(d_array19);
    double[] d_array24 = new double[] { 1.0d };
    double[] d_array26 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array24, 10.0d);
    double[] d_array28 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array24, (-0.009999666686665238d));
    double[][] d_array_array29 = new double[][] { d_array24 };
    org.apache.commons.math.util.MathUtils.sortInPlace(d_array19, d_array_array29);
    double d31 = org.apache.commons.math.util.MathUtils.distanceInf(d_array14, d_array19);
    double d32 = org.apache.commons.math.util.MathUtils.safeNorm(d_array14);
    double[] d_array34 = org.apache.commons.math.util.MathUtils.copyOf(d_array14, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d17 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d22 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d31 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d32 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array34);

  }

  @Test
  public void test301() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test301"); }


    int i2 = org.apache.commons.math.util.MathUtils.addAndCheck((-127), (-2008633678));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == (-2008633805));

  }

  @Test
  public void test302() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test302"); }


    int i1 = org.apache.commons.math.util.MathUtils.hash(10.009999666686666d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == (-318324063));

  }

  @Test
  public void test303() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test303"); }


    double[] d_array1 = new double[] { 1.0d };
    double[] d_array3 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array1, 10.0d);
    double d4 = org.apache.commons.math.util.MathUtils.safeNorm(d_array1);
    double[] d_array6 = new double[] { 1.0d };
    double[] d_array8 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array6, 10.0d);
    double[] d_array10 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array6, (-0.009999666686665238d));
    double[][] d_array_array11 = new double[][] { d_array6 };
    org.apache.commons.math.util.MathUtils.sortInPlace(d_array1, d_array_array11);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array1);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array1);
    double[] d_array16 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array1, 1.5707963267948966d);
    double[] d_array17 = org.apache.commons.math.util.MathUtils.copyOf(d_array16);
    double[] d_array18 = org.apache.commons.math.util.MathUtils.copyOf(d_array16);
    double[] d_array20 = new double[] { 1.0d };
    double[] d_array22 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array20, 10.0d);
    double d23 = org.apache.commons.math.util.MathUtils.safeNorm(d_array20);
    double[] d_array25 = new double[] { 1.0d };
    double[] d_array27 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array25, 10.0d);
    double[] d_array29 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array25, (-0.009999666686665238d));
    double[][] d_array_array30 = new double[][] { d_array25 };
    org.apache.commons.math.util.MathUtils.sortInPlace(d_array20, d_array_array30);
    double[] d_array33 = new double[] { 1.0d };
    double[] d_array35 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array33, 10.0d);
    double d36 = org.apache.commons.math.util.MathUtils.distanceInf(d_array20, d_array33);
    double[] d_array37 = org.apache.commons.math.util.MathUtils.copyOf(d_array20);
    double d38 = org.apache.commons.math.util.MathUtils.distance(d_array18, d_array37);
    org.apache.commons.math.util.MathUtils.checkNotNull((java.lang.Object)d_array18);
    double[] d_array40 = null;
    boolean b41 = org.apache.commons.math.util.MathUtils.equals(d_array18, d_array40);
    org.apache.commons.math.exception.util.Localizable localizable43 = null;
    org.apache.commons.math.exception.util.Localizable localizable44 = null;
    double[] d_array46 = new double[] { 1.0d };
    double[] d_array48 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array46, 10.0d);
    double d49 = org.apache.commons.math.util.MathUtils.safeNorm(d_array46);
    double[] d_array51 = new double[] { 1.0d };
    double[] d_array53 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array51, 10.0d);
    double[] d_array55 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array51, (-0.009999666686665238d));
    double[][] d_array_array56 = new double[][] { d_array51 };
    org.apache.commons.math.util.MathUtils.sortInPlace(d_array46, d_array_array56);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException58 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable44, (java.lang.Object[])d_array_array56);
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException59 = new org.apache.commons.math.exception.MathArithmeticException(localizable43, (java.lang.Object[])d_array_array56);
    org.apache.commons.math.exception.NotFiniteNumberException notFiniteNumberException60 = new org.apache.commons.math.exception.NotFiniteNumberException((java.lang.Number)(-1.0f), (java.lang.Object[])d_array_array56);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.util.MathUtils.sortInPlace(d_array40, d_array_array56);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException");
    } catch (org.apache.commons.math.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d23 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d36 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d38 == 0.5707963267948966d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b41 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d49 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array56);

  }

  @Test
  public void test304() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test304"); }


    // The following exception was thrown during execution in test generation
    try {
      double d2 = org.apache.commons.math.util.MathUtils.binomialCoefficientDouble((-719689146), 102400);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NumberIsTooLargeException");
    } catch (org.apache.commons.math.exception.NumberIsTooLargeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NumberIsTooLargeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NumberIsTooLargeException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test305() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test305"); }


    double d1 = org.apache.commons.math.util.FastMath.asin(0.99627207622075d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.4844222297453329d);

  }

  @Test
  public void test306() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test306"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.NotPositiveException notPositiveException2 = new org.apache.commons.math.exception.NotPositiveException(localizable0, (java.lang.Number)0L);
    org.apache.commons.math.exception.util.ExceptionContext exceptionContext3 = notPositiveException2.getContext();
    boolean b4 = notPositiveException2.getBoundIsAllowed();
    org.apache.commons.math.exception.util.ExceptionContext exceptionContext5 = notPositiveException2.getContext();
    java.lang.Number number6 = notPositiveException2.getMin();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number6 + "' != '" + 0+ "'", number6.equals(0));

  }

  @Test
  public void test307() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test307"); }


    org.apache.commons.math.complex.Complex complex2 = new org.apache.commons.math.complex.Complex((-0.009999500037496873d), 4.810477380965351d);
    double d3 = complex2.abs();
    org.apache.commons.math.complex.Complex complex4 = complex2.sinh();
    org.apache.commons.math.exception.NonMonotonousSequenceException nonMonotonousSequenceException8 = new org.apache.commons.math.exception.NonMonotonousSequenceException((java.lang.Number)1.3440585709080678E43d, (java.lang.Number)0.009999666686665238d, 1);
    java.lang.Number number9 = nonMonotonousSequenceException8.getPrevious();
    boolean b10 = complex4.equals((java.lang.Object)nonMonotonousSequenceException8);
    org.apache.commons.math.complex.Complex complex11 = complex4.acos();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 4.810487773893648d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number9 + "' != '" + 0.009999666686665238d+ "'", number9.equals(0.009999666686665238d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b10 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex11);

  }

  @Test
  public void test308() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test308"); }


    int i3 = org.apache.commons.math.util.MathUtils.compareTo((-2.400169552094582d), (-6.561531605180123d), (-6.283185307179585d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 1);

  }

  @Test
  public void test309() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test309"); }


    long long1 = org.apache.commons.math.util.FastMath.round(1.0053152314385987d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 1L);

  }

  @Test
  public void test310() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test310"); }


    org.apache.commons.math.complex.Complex complex0 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex1 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex2 = complex0.pow(complex1);
    boolean b3 = complex2.isInfinite();
    boolean b4 = complex2.isNaN();
    org.apache.commons.math.complex.Complex complex6 = complex2.pow((-1.183842657860855d));
    org.apache.commons.math.complex.Complex complex7 = complex2.conjugate();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex7);

  }

  @Test
  public void test311() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test311"); }


    org.apache.commons.math.exception.DimensionMismatchException dimensionMismatchException2 = new org.apache.commons.math.exception.DimensionMismatchException(100, (-318324063));

  }

  @Test
  public void test312() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test312"); }


    org.apache.commons.math.complex.Complex complex2 = new org.apache.commons.math.complex.Complex((-0.009999500037496873d), 4.810477380965351d);
    double d3 = complex2.abs();
    org.apache.commons.math.complex.Complex complex4 = complex2.sinh();
    org.apache.commons.math.exception.NonMonotonousSequenceException nonMonotonousSequenceException8 = new org.apache.commons.math.exception.NonMonotonousSequenceException((java.lang.Number)1.3440585709080678E43d, (java.lang.Number)0.009999666686665238d, 1);
    java.lang.Number number9 = nonMonotonousSequenceException8.getPrevious();
    boolean b10 = complex4.equals((java.lang.Object)nonMonotonousSequenceException8);
    org.apache.commons.math.complex.Complex complex12 = complex4.add((-2.0d));
    java.lang.String str13 = complex4.toString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 4.810487773893648d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number9 + "' != '" + 0.009999666686665238d+ "'", number9.equals(0.009999666686665238d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b10 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str13 + "' != '" + "(-9.79279217721683E-4, -0.9952429437839415)"+ "'", str13.equals("(-9.79279217721683E-4, -0.9952429437839415)"));

  }

  @Test
  public void test313() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test313"); }


    double d2 = org.apache.commons.math.util.FastMath.nextAfter(363.7393755555636d, (-0.01005033501419646d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 363.7393755555635d);

  }

  @Test
  public void test314() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test314"); }


    org.apache.commons.math.complex.Complex complex0 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex1 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex2 = complex0.pow(complex1);
    boolean b3 = complex2.isInfinite();
    boolean b4 = complex2.isNaN();
    org.apache.commons.math.complex.Complex complex6 = complex2.pow(43.1284181946612d);
    org.apache.commons.math.complex.Complex complex7 = complex2.conjugate();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex7);

  }

  @Test
  public void test315() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test315"); }


    int i1 = org.apache.commons.math.util.MathUtils.indicator((-1023));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == (-1));

  }

  @Test
  public void test316() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test316"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    java.math.BigInteger bigInteger1 = null;
    java.math.BigInteger bigInteger3 = org.apache.commons.math.util.MathUtils.pow(bigInteger1, 0L);
    java.math.BigInteger bigInteger5 = org.apache.commons.math.util.MathUtils.pow(bigInteger3, 10);
    java.math.BigInteger bigInteger6 = null;
    java.math.BigInteger bigInteger8 = org.apache.commons.math.util.MathUtils.pow(bigInteger6, 0L);
    java.math.BigInteger bigInteger10 = org.apache.commons.math.util.MathUtils.pow(bigInteger8, 10);
    java.math.BigInteger bigInteger11 = org.apache.commons.math.util.MathUtils.pow(bigInteger3, bigInteger8);
    java.math.BigInteger bigInteger13 = org.apache.commons.math.util.MathUtils.pow(bigInteger3, 144);
    java.math.BigInteger bigInteger14 = null;
    java.math.BigInteger bigInteger16 = org.apache.commons.math.util.MathUtils.pow(bigInteger14, 0L);
    java.math.BigInteger bigInteger18 = org.apache.commons.math.util.MathUtils.pow(bigInteger16, 10);
    java.math.BigInteger bigInteger19 = null;
    java.math.BigInteger bigInteger21 = org.apache.commons.math.util.MathUtils.pow(bigInteger19, 0L);
    java.math.BigInteger bigInteger23 = org.apache.commons.math.util.MathUtils.pow(bigInteger21, 10);
    java.math.BigInteger bigInteger24 = org.apache.commons.math.util.MathUtils.pow(bigInteger16, bigInteger21);
    java.math.BigInteger bigInteger26 = org.apache.commons.math.util.MathUtils.pow(bigInteger16, 144);
    java.math.BigInteger bigInteger27 = org.apache.commons.math.util.MathUtils.pow(bigInteger13, bigInteger16);
    java.math.BigInteger bigInteger28 = null;
    java.math.BigInteger bigInteger30 = org.apache.commons.math.util.MathUtils.pow(bigInteger28, 0L);
    java.math.BigInteger bigInteger32 = org.apache.commons.math.util.MathUtils.pow(bigInteger30, 10);
    java.math.BigInteger bigInteger34 = org.apache.commons.math.util.MathUtils.pow(bigInteger30, 23L);
    java.math.BigInteger bigInteger35 = org.apache.commons.math.util.MathUtils.pow(bigInteger16, bigInteger34);
    java.lang.Number number36 = null;
    org.apache.commons.math.exception.NumberIsTooLargeException numberIsTooLargeException38 = new org.apache.commons.math.exception.NumberIsTooLargeException(localizable0, (java.lang.Number)bigInteger34, number36, true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger35);

  }

  @Test
  public void test317() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test317"); }


    double d1 = org.apache.commons.math.util.FastMath.acos((-0.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.5707963267948966d);

  }

  @Test
  public void test318() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test318"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.complex.Complex complex1 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex2 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex3 = complex1.pow(complex2);
    org.apache.commons.math.complex.Complex complex5 = complex1.divide(0.0d);
    boolean b6 = complex5.isInfinite();
    org.apache.commons.math.complex.Complex complex7 = complex5.cosh();
    double d8 = complex7.getArgument();
    org.apache.commons.math.complex.Complex complex9 = complex7.tan();
    org.apache.commons.math.exception.util.Localizable localizable10 = null;
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException11 = new org.apache.commons.math.exception.MathArithmeticException();
    java.lang.Throwable throwable12 = mathArithmeticException11.getException();
    java.lang.Throwable[] throwable_array13 = mathArithmeticException11.getSuppressed();
    org.apache.commons.math.util.MathUtils.checkNotNull((java.lang.Object)complex9, localizable10, (java.lang.Object[])throwable_array13);
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException15 = new org.apache.commons.math.exception.MathArithmeticException(localizable0, (java.lang.Object[])throwable_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b6 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d8, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array13);

  }

  @Test
  public void test319() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test319"); }


    org.apache.commons.math.complex.Complex complex0 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex1 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex2 = complex0.pow(complex1);
    org.apache.commons.math.complex.ComplexField complexField3 = complex1.getField();
    org.apache.commons.math.complex.Complex complex4 = complex1.exp();
    org.apache.commons.math.complex.Complex complex5 = complex1.cos();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complexField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex5);

  }

  @Test
  public void test320() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test320"); }


    boolean b3 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(102400.0f, 1.1920929E-7f, (-1074790400));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test321() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test321"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.NotPositiveException notPositiveException2 = new org.apache.commons.math.exception.NotPositiveException(localizable0, (java.lang.Number)(-1.7452419920761689E-4d));
    // The following exception was thrown during execution in test generation
    try {
      java.lang.String str3 = notPositiveException2.toString();
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test322() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test322"); }


    double d1 = org.apache.commons.math.util.FastMath.acos((-36.7368005696771d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test323() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test323"); }


    org.apache.commons.math.complex.Complex complex1 = new org.apache.commons.math.complex.Complex(2.5091784786580567d);
    org.apache.commons.math.complex.Complex complex2 = complex1.sqrt();
    double d3 = complex1.getImaginary();
    org.apache.commons.math.complex.Complex complex5 = complex1.add((-1.0d));
    org.apache.commons.math.complex.Complex complex7 = complex5.multiply(1.5231807435201146d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex7);

  }

  @Test
  public void test324() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test324"); }


    double d4 = org.apache.commons.math.util.MathUtils.linearCombination(1.0000000056667108E-4d, (-4.9500429233179447E-5d), 13.32129007362461d, (-0.6409160364661145d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == (-8.537828439552923d));

  }

  @Test
  public void test325() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test325"); }


    org.apache.commons.math.exception.NotPositiveException notPositiveException1 = new org.apache.commons.math.exception.NotPositiveException((java.lang.Number)4.666310772197643E157d);

  }

  @Test
  public void test326() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test326"); }


    long long1 = org.apache.commons.math.util.MathUtils.sign(9223372036854775807L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 1L);

  }

  @Test
  public void test327() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test327"); }


    boolean b3 = org.apache.commons.math.util.MathUtils.equals(1.0000500004167348d, (-4.137166941154069d), (-7));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test328() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test328"); }


    org.apache.commons.math.exception.NumberIsTooLargeException numberIsTooLargeException3 = new org.apache.commons.math.exception.NumberIsTooLargeException((java.lang.Number)0, (java.lang.Number)0.5268096261183322d, true);
    java.lang.Number number4 = numberIsTooLargeException3.getMax();
    org.apache.commons.math.exception.util.Localizable localizable5 = null;
    org.apache.commons.math.exception.DimensionMismatchException dimensionMismatchException8 = new org.apache.commons.math.exception.DimensionMismatchException(localizable5, (-758373183), 100);
    int i9 = dimensionMismatchException8.getDimension();
    int i10 = dimensionMismatchException8.getDimension();
    numberIsTooLargeException3.addSuppressed((java.lang.Throwable)dimensionMismatchException8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number4 + "' != '" + 0.5268096261183322d+ "'", number4.equals(0.5268096261183322d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i9 == 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 100);

  }

  @Test
  public void test329() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test329"); }


    double d1 = org.apache.commons.math.util.FastMath.nextUp(0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 4.9E-324d);

  }

  @Test
  public void test330() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test330"); }


    int[] i_array1 = new int[] { (-1) };
    int[] i_array2 = org.apache.commons.math.util.MathUtils.copyOf(i_array1);
    int[] i_array3 = org.apache.commons.math.util.MathUtils.copyOf(i_array2);
    int[] i_array4 = new int[] {  };
    int[] i_array5 = new int[] {  };
    int[] i_array7 = org.apache.commons.math.util.MathUtils.copyOf(i_array5, 1);
    int[] i_array8 = org.apache.commons.math.util.MathUtils.copyOf(i_array5);
    int i9 = org.apache.commons.math.util.MathUtils.distance1(i_array4, i_array5);
    int[] i_array10 = new int[] {  };
    int[] i_array12 = org.apache.commons.math.util.MathUtils.copyOf(i_array10, 1);
    int[] i_array13 = null;
    int i14 = org.apache.commons.math.util.MathUtils.distanceInf(i_array10, i_array13);
    int[] i_array15 = new int[] {  };
    int[] i_array17 = org.apache.commons.math.util.MathUtils.copyOf(i_array15, 1);
    int[] i_array18 = org.apache.commons.math.util.MathUtils.copyOf(i_array15);
    int[] i_array20 = new int[] { 100 };
    int i21 = org.apache.commons.math.util.MathUtils.distance1(i_array15, i_array20);
    int[] i_array22 = org.apache.commons.math.util.MathUtils.copyOf(i_array15);
    int i23 = org.apache.commons.math.util.MathUtils.distanceInf(i_array10, i_array22);
    int i24 = org.apache.commons.math.util.MathUtils.distance1(i_array4, i_array22);
    // The following exception was thrown during execution in test generation
    try {
      int i25 = org.apache.commons.math.util.MathUtils.distanceInf(i_array2, i_array4);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i9 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i14 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i21 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i23 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i24 == 0);

  }

  @Test
  public void test331() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test331"); }


    int i2 = org.apache.commons.math.util.MathUtils.gcd((-1977326743), (-758373193));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 1);

  }

  @Test
  public void test332() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test332"); }


    org.apache.commons.math.exception.NonMonotonousSequenceException nonMonotonousSequenceException3 = new org.apache.commons.math.exception.NonMonotonousSequenceException((java.lang.Number)1.3440585709080678E43d, (java.lang.Number)0.009999666686665238d, 1);
    java.lang.Number number4 = nonMonotonousSequenceException3.getPrevious();
    java.lang.Number number5 = nonMonotonousSequenceException3.getPrevious();
    org.apache.commons.math.util.MathUtils.OrderDirection orderDirection6 = nonMonotonousSequenceException3.getDirection();
    org.apache.commons.math.util.MathUtils.OrderDirection orderDirection7 = nonMonotonousSequenceException3.getDirection();
    int i8 = nonMonotonousSequenceException3.getIndex();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number4 + "' != '" + 0.009999666686665238d+ "'", number4.equals(0.009999666686665238d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number5 + "' != '" + 0.009999666686665238d+ "'", number5.equals(0.009999666686665238d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 1);

  }

  @Test
  public void test333() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test333"); }


    float f2 = org.apache.commons.math.util.FastMath.scalb(1.9073489E-6f, (-719689146));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 0.0f);

  }

  @Test
  public void test334() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test334"); }


    org.apache.commons.math.util.MathUtils.checkFinite(0.9443875935450844d);

  }

  @Test
  public void test335() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test335"); }


    org.apache.commons.math.complex.Complex complex0 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex1 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex2 = complex0.pow(complex1);
    org.apache.commons.math.complex.ComplexField complexField3 = complex1.getField();
    org.apache.commons.math.complex.Complex complex4 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex5 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex6 = complex4.pow(complex5);
    org.apache.commons.math.complex.Complex complex7 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex8 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex9 = complex7.pow(complex8);
    org.apache.commons.math.complex.Complex complex10 = complex4.multiply(complex8);
    org.apache.commons.math.complex.Complex complex11 = complex1.multiply(complex4);
    org.apache.commons.math.complex.Complex complex13 = complex4.subtract(1.9044097939271327d);
    org.apache.commons.math.complex.Complex complex15 = complex13.divide(1.269187985616294d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complexField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex15);

  }

  @Test
  public void test336() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test336"); }


    // The following exception was thrown during execution in test generation
    try {
      long long2 = org.apache.commons.math.util.MathUtils.lcm(100L, 7766279631452242009L);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.MathArithmeticException");
    } catch (org.apache.commons.math.exception.MathArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.MathArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.MathArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test337() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test337"); }


    double d2 = org.apache.commons.math.util.FastMath.atan2(4.951760157141521E27d, 5729.5779513082325d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.5707963267948966d);

  }

  @Test
  public void test338() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test338"); }


    boolean b3 = org.apache.commons.math.util.MathUtils.equals((-3.618468751864025d), (-1.7904594099007723E44d), 144);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test339() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test339"); }


    double d1 = org.apache.commons.math.util.FastMath.sqrt((-0.01570796334217731d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test340() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test340"); }


    org.apache.commons.math.exception.util.Localizable localizable1 = null;
    org.apache.commons.math.exception.util.Localizable localizable2 = null;
    java.lang.Object[] obj_array4 = new java.lang.Object[] { '#' };
    org.apache.commons.math.exception.NullArgumentException nullArgumentException5 = new org.apache.commons.math.exception.NullArgumentException(localizable2, obj_array4);
    java.lang.Throwable[] throwable_array6 = nullArgumentException5.getSuppressed();
    org.apache.commons.math.exception.NullArgumentException nullArgumentException7 = new org.apache.commons.math.exception.NullArgumentException(localizable1, (java.lang.Object[])throwable_array6);
    org.apache.commons.math.exception.NotFiniteNumberException notFiniteNumberException8 = new org.apache.commons.math.exception.NotFiniteNumberException((java.lang.Number)2.2737368E-13f, (java.lang.Object[])throwable_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array6);

  }

  @Test
  public void test341() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test341"); }


    double d2 = org.apache.commons.math.util.FastMath.scalb((-0.017300995301176576d), (-758373193));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-0.0d));

  }

  @Test
  public void test342() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test342"); }


    long long2 = org.apache.commons.math.util.MathUtils.gcd(9223372036854775807L, 990L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 1L);

  }

  @Test
  public void test343() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test343"); }


    double d1 = org.apache.commons.math.util.FastMath.sin((-0.010050504211259496d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.010050335007462007d));

  }

  @Test
  public void test344() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test344"); }


    java.math.BigInteger bigInteger0 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.math.BigInteger bigInteger2 = org.apache.commons.math.util.MathUtils.pow(bigInteger0, (-1977326743));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NotPositiveException");
    } catch (org.apache.commons.math.exception.NotPositiveException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NotPositiveException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NotPositiveException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test345() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test345"); }


    double[] d_array1 = new double[] { 1.0d };
    double[] d_array3 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array1, 10.0d);
    double d4 = org.apache.commons.math.util.MathUtils.safeNorm(d_array1);
    double[] d_array6 = new double[] { 1.0d };
    double[] d_array8 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array6, 10.0d);
    double[] d_array10 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array6, (-0.009999666686665238d));
    double[][] d_array_array11 = new double[][] { d_array6 };
    org.apache.commons.math.util.MathUtils.sortInPlace(d_array1, d_array_array11);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array1);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array1);
    double[] d_array16 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array1, 1.5707963267948966d);
    org.apache.commons.math.util.MathUtils.OrderDirection orderDirection17 = null;
    boolean b20 = org.apache.commons.math.util.MathUtils.checkOrder(d_array16, orderDirection17, false, false);
    double[] d_array22 = new double[] { 1.0d };
    double[] d_array24 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array22, 10.0d);
    double[] d_array26 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array22, (-0.009999666686665238d));
    double[] d_array28 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array26, 4.440892098500626E-16d);
    double d29 = org.apache.commons.math.util.MathUtils.distanceInf(d_array16, d_array26);
    double[] d_array31 = new double[] { 1.0d };
    double[] d_array33 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array31, 10.0d);
    double d34 = org.apache.commons.math.util.MathUtils.safeNorm(d_array31);
    double[] d_array36 = new double[] { 1.0d };
    double[] d_array38 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array36, 10.0d);
    double[] d_array40 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array36, (-0.009999666686665238d));
    double[][] d_array_array41 = new double[][] { d_array36 };
    org.apache.commons.math.util.MathUtils.sortInPlace(d_array31, d_array_array41);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array31);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array31);
    double[] d_array46 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array31, 1.5707963267948966d);
    org.apache.commons.math.util.MathUtils.OrderDirection orderDirection47 = null;
    boolean b50 = org.apache.commons.math.util.MathUtils.checkOrder(d_array46, orderDirection47, false, false);
    double[] d_array52 = org.apache.commons.math.util.MathUtils.copyOf(d_array46, 0);
    boolean b53 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(d_array16, d_array52);
    double[] d_array55 = new double[] { 1.0d };
    double[] d_array57 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array55, 10.0d);
    double[] d_array59 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array55, (-0.009999666686665238d));
    double[] d_array61 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array59, 4.440892098500626E-16d);
    double d62 = org.apache.commons.math.util.MathUtils.distance(d_array16, d_array59);
    double[] d_array64 = new double[] { 1.0d };
    double[] d_array66 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array64, 10.0d);
    double d67 = org.apache.commons.math.util.MathUtils.safeNorm(d_array64);
    double[] d_array69 = new double[] { 1.0d };
    double[] d_array71 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array69, 10.0d);
    double[] d_array73 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array69, (-0.009999666686665238d));
    double[][] d_array_array74 = new double[][] { d_array69 };
    org.apache.commons.math.util.MathUtils.sortInPlace(d_array64, d_array_array74);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array64);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array64);
    double[] d_array79 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array64, 1.5707963267948966d);
    org.apache.commons.math.util.MathUtils.OrderDirection orderDirection80 = org.apache.commons.math.util.MathUtils.OrderDirection.INCREASING;
    double[] d_array82 = new double[] { 1.0d };
    double[] d_array84 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array82, 10.0d);
    double[][] d_array_array85 = new double[][] { d_array84 };
    org.apache.commons.math.util.MathUtils.sortInPlace(d_array79, orderDirection80, d_array_array85);
    double[] d_array87 = org.apache.commons.math.util.MathUtils.copyOf(d_array79);
    // The following exception was thrown during execution in test generation
    try {
      double d88 = org.apache.commons.math.util.MathUtils.linearCombination(d_array16, d_array79);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b20 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d29 == 1.5807959934815619d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d34 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b50 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b53 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d62 == 1.5807959934815619d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array66);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d67 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array69);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array71);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array73);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array74);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array79);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection80);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array82);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array84);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array85);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array87);

  }

  @Test
  public void test346() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test346"); }


    org.apache.commons.math.complex.Complex complex0 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex1 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex2 = complex0.pow(complex1);
    org.apache.commons.math.complex.ComplexField complexField3 = complex1.getField();
    org.apache.commons.math.complex.Complex complex4 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex5 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex6 = complex4.pow(complex5);
    org.apache.commons.math.complex.Complex complex7 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex8 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex9 = complex7.pow(complex8);
    org.apache.commons.math.complex.Complex complex10 = complex4.multiply(complex8);
    org.apache.commons.math.complex.Complex complex11 = complex1.multiply(complex4);
    org.apache.commons.math.complex.Complex complex12 = complex4.cosh();
    org.apache.commons.math.complex.Complex complex13 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex14 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex15 = complex13.pow(complex14);
    org.apache.commons.math.complex.Complex complex16 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex17 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex18 = complex16.pow(complex17);
    org.apache.commons.math.complex.Complex complex19 = complex13.multiply(complex17);
    org.apache.commons.math.complex.Complex complex20 = complex12.subtract(complex17);
    org.apache.commons.math.complex.Complex complex21 = complex12.sqrt();
    org.apache.commons.math.complex.Complex complex24 = org.apache.commons.math.complex.Complex.valueOf(1.5707963267948966d, 2.5091784786580567d);
    boolean b25 = complex24.isInfinite();
    org.apache.commons.math.complex.Complex complex26 = complex24.log();
    org.apache.commons.math.complex.Complex complex27 = complex12.divide(complex26);
    org.apache.commons.math.complex.Complex complex28 = org.apache.commons.math.complex.Complex.ONE;
    org.apache.commons.math.complex.Complex complex29 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex30 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex31 = complex29.pow(complex30);
    boolean b32 = complex31.isInfinite();
    org.apache.commons.math.complex.Complex complex33 = complex31.atan();
    org.apache.commons.math.complex.Complex complex34 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex35 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex36 = complex34.pow(complex35);
    org.apache.commons.math.complex.ComplexField complexField37 = complex35.getField();
    org.apache.commons.math.complex.Complex complex38 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex39 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex40 = complex38.pow(complex39);
    org.apache.commons.math.complex.Complex complex41 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex42 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex43 = complex41.pow(complex42);
    org.apache.commons.math.complex.Complex complex44 = complex38.multiply(complex42);
    org.apache.commons.math.complex.Complex complex45 = complex35.multiply(complex38);
    org.apache.commons.math.complex.Complex complex46 = complex38.cosh();
    org.apache.commons.math.complex.Complex complex47 = complex38.acos();
    org.apache.commons.math.complex.Complex complex48 = complex31.subtract(complex38);
    org.apache.commons.math.complex.Complex complex49 = complex28.multiply(complex31);
    org.apache.commons.math.complex.Complex complex50 = complex31.log();
    double d51 = complex31.getImaginary();
    org.apache.commons.math.complex.Complex complex52 = complex31.conjugate();
    org.apache.commons.math.complex.Complex complex53 = complex12.pow(complex52);
    org.apache.commons.math.complex.Complex complex56 = new org.apache.commons.math.complex.Complex((-0.009999500037496873d), 4.810477380965351d);
    org.apache.commons.math.complex.Complex complex57 = complex56.atan();
    org.apache.commons.math.complex.Complex complex58 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex59 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex60 = complex58.pow(complex59);
    boolean b61 = complex60.isInfinite();
    boolean b62 = complex60.isNaN();
    org.apache.commons.math.complex.Complex complex64 = complex60.pow(43.1284181946612d);
    org.apache.commons.math.complex.Complex complex65 = complex57.subtract(complex64);
    org.apache.commons.math.complex.Complex complex66 = complex52.multiply(complex65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complexField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b25 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b32 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complexField37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d51, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b61 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b62 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex66);

  }

  @Test
  public void test347() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test347"); }


    float f1 = org.apache.commons.math.util.FastMath.abs(1.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 1.0f);

  }

  @Test
  public void test348() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test348"); }


    boolean b3 = org.apache.commons.math.util.MathUtils.equals(0.7395874778067048d, 0.9950371902099892d, (-6));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test349() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test349"); }


    float f3 = org.apache.commons.math.util.MathUtils.round(1.4E-45f, 1272213991, 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((float)f3, Float.NaN, 0);

  }

  @Test
  public void test350() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test350"); }


    double d2 = org.apache.commons.math.util.MathUtils.log(0.8414979990964851d, (-0.009999500037496873d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);

  }

  @Test
  public void test351() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test351"); }


    double d4 = org.apache.commons.math.util.MathUtils.linearCombination((-0.21544107530388956d), (-0.999950005416082d), 0.04159704371336348d, (-0.9092974268256817d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 0.1776062196048541d);

  }

  @Test
  public void test352() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test352"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException4 = new org.apache.commons.math.exception.NumberIsTooSmallException(localizable0, (java.lang.Number)(-8.537828439552923d), (java.lang.Number)4.810477380965351d, false);

  }

  @Test
  public void test353() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test353"); }


    java.math.BigInteger bigInteger0 = null;
    java.math.BigInteger bigInteger2 = org.apache.commons.math.util.MathUtils.pow(bigInteger0, 0L);
    java.math.BigInteger bigInteger4 = org.apache.commons.math.util.MathUtils.pow(bigInteger2, 10);
    java.math.BigInteger bigInteger5 = null;
    java.math.BigInteger bigInteger7 = org.apache.commons.math.util.MathUtils.pow(bigInteger5, 0L);
    java.math.BigInteger bigInteger9 = org.apache.commons.math.util.MathUtils.pow(bigInteger7, 10);
    java.math.BigInteger bigInteger10 = org.apache.commons.math.util.MathUtils.pow(bigInteger2, bigInteger7);
    java.math.BigInteger bigInteger11 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.math.BigInteger bigInteger12 = org.apache.commons.math.util.MathUtils.pow(bigInteger10, bigInteger11);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger10);

  }

  @Test
  public void test354() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test354"); }


    int i1 = org.apache.commons.math.util.MathUtils.hash((-1.7452406437283512d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == (-872643074));

  }

  @Test
  public void test355() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test355"); }


    int i3 = org.apache.commons.math.util.MathUtils.compareTo(0.9443875935450844d, 0.0d, 1074790400);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 1);

  }

  @Test
  public void test356() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test356"); }


    boolean b3 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(100.0f, 1.1920929E-7f, 1.9073489E-6f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test357() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test357"); }


    org.apache.commons.math.complex.Complex complex0 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex1 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex2 = complex0.pow(complex1);
    org.apache.commons.math.complex.Complex complex3 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex4 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex5 = complex3.pow(complex4);
    org.apache.commons.math.complex.Complex complex6 = complex0.multiply(complex4);
    org.apache.commons.math.complex.Complex complex8 = complex0.subtract(3.7871039784210714d);
    double d9 = complex8.getReal();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == Double.POSITIVE_INFINITY);

  }

  @Test
  public void test358() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test358"); }


    org.apache.commons.math.complex.Complex complex1 = org.apache.commons.math.complex.Complex.valueOf(0.9999494958081692d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex1);

  }

  @Test
  public void test359() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test359"); }


    long long2 = org.apache.commons.math.util.MathUtils.subAndCheck(100L, (-11L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 111L);

  }

  @Test
  public void test360() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test360"); }


    int[] i_array1 = new int[] { (-1) };
    int[] i_array2 = org.apache.commons.math.util.MathUtils.copyOf(i_array1);
    int[] i_array6 = new int[] { 0, 0, 0 };
    int[] i_array7 = org.apache.commons.math.util.MathUtils.copyOf(i_array6);
    double d8 = org.apache.commons.math.util.MathUtils.distance(i_array1, i_array6);
    int[] i_array9 = org.apache.commons.math.util.MathUtils.copyOf(i_array1);
    int[] i_array10 = new int[] {  };
    int[] i_array12 = org.apache.commons.math.util.MathUtils.copyOf(i_array10, 1);
    int[] i_array13 = org.apache.commons.math.util.MathUtils.copyOf(i_array10);
    int[] i_array14 = new int[] {  };
    int[] i_array16 = org.apache.commons.math.util.MathUtils.copyOf(i_array14, 1);
    int[] i_array17 = org.apache.commons.math.util.MathUtils.copyOf(i_array14);
    int[] i_array19 = new int[] { 100 };
    int i20 = org.apache.commons.math.util.MathUtils.distance1(i_array14, i_array19);
    int[] i_array21 = org.apache.commons.math.util.MathUtils.copyOf(i_array14);
    double d22 = org.apache.commons.math.util.MathUtils.distance(i_array10, i_array21);
    // The following exception was thrown during execution in test generation
    try {
      double d23 = org.apache.commons.math.util.MathUtils.distance(i_array1, i_array21);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i20 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d22 == 0.0d);

  }

  @Test
  public void test361() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test361"); }


    int i1 = org.apache.commons.math.util.FastMath.getExponent(0.9754189534217841d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == (-1));

  }

  @Test
  public void test362() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test362"); }


    int[] i_array3 = new int[] { 0, 0, 0 };
    int[] i_array4 = org.apache.commons.math.util.MathUtils.copyOf(i_array3);
    int[] i_array5 = new int[] {  };
    int[] i_array6 = new int[] {  };
    int[] i_array8 = org.apache.commons.math.util.MathUtils.copyOf(i_array6, 1);
    int[] i_array9 = org.apache.commons.math.util.MathUtils.copyOf(i_array6);
    int i10 = org.apache.commons.math.util.MathUtils.distance1(i_array5, i_array6);
    // The following exception was thrown during execution in test generation
    try {
      int i11 = org.apache.commons.math.util.MathUtils.distanceInf(i_array3, i_array6);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 0);

  }

  @Test
  public void test363() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test363"); }


    double d1 = org.apache.commons.math.util.FastMath.asin(0.9999997153880077d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.5700418574372579d);

  }

  @Test
  public void test364() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test364"); }


    double[] d_array0 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d1 = org.apache.commons.math.util.MathUtils.safeNorm(d_array0);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test365() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test365"); }


    double d2 = org.apache.commons.math.util.FastMath.copySign((-4.9E-324d), (-2.004335741789846d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-4.9E-324d));

  }

  @Test
  public void test366() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test366"); }


    // The following exception was thrown during execution in test generation
    try {
      int i2 = org.apache.commons.math.util.MathUtils.mulAndCheck((-2008633805), 102528);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.MathArithmeticException");
    } catch (org.apache.commons.math.exception.MathArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.MathArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.MathArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test367() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test367"); }


    double d1 = org.apache.commons.math.util.MathUtils.sinh((-6.283185307179586d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-267.74489404101644d));

  }

  @Test
  public void test368() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test368"); }


    double d4 = org.apache.commons.math.util.MathUtils.linearCombination(1.0000000056667108E-4d, (-0.7921204236492381d), (-4.9E-324d), (-0.012600241772540894d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == (-7.921204281379555E-5d));

  }

  @Test
  public void test369() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test369"); }


    double d1 = org.apache.commons.math.util.MathUtils.sinh(1.2677139883575254E28d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == Double.POSITIVE_INFINITY);

  }

  @Test
  public void test370() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test370"); }


    org.apache.commons.math.complex.Complex complex0 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex1 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex2 = complex0.pow(complex1);
    org.apache.commons.math.complex.ComplexField complexField3 = complex1.getField();
    org.apache.commons.math.complex.Complex complex4 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex5 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex6 = complex4.pow(complex5);
    org.apache.commons.math.complex.Complex complex7 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex8 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex9 = complex7.pow(complex8);
    org.apache.commons.math.complex.Complex complex10 = complex4.multiply(complex8);
    org.apache.commons.math.complex.Complex complex11 = complex1.multiply(complex4);
    org.apache.commons.math.complex.Complex complex12 = complex4.sqrt1z();
    org.apache.commons.math.complex.Complex complex13 = complex12.cosh();
    org.apache.commons.math.complex.Complex complex14 = complex12.log();
    org.apache.commons.math.complex.Complex complex15 = complex14.sqrt();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complexField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex15);

  }

  @Test
  public void test371() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test371"); }


    org.apache.commons.math.complex.Complex complex0 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex1 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex2 = complex0.pow(complex1);
    org.apache.commons.math.complex.ComplexField complexField3 = complex1.getField();
    org.apache.commons.math.complex.Complex complex4 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex5 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex6 = complex4.pow(complex5);
    org.apache.commons.math.complex.Complex complex7 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex8 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex9 = complex7.pow(complex8);
    org.apache.commons.math.complex.Complex complex10 = complex4.multiply(complex8);
    org.apache.commons.math.complex.Complex complex11 = complex1.multiply(complex4);
    org.apache.commons.math.util.MathUtils.checkNotNull((java.lang.Object)complex1);
    org.apache.commons.math.complex.Complex complex13 = complex1.tan();
    double d14 = complex13.getArgument();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complexField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d14, Double.NaN, 0);

  }

  @Test
  public void test372() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test372"); }


    org.apache.commons.math.complex.Complex complex1 = new org.apache.commons.math.complex.Complex((-1.7452406437283512d));

  }

  @Test
  public void test373() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test373"); }


    org.apache.commons.math.complex.Complex complex0 = org.apache.commons.math.complex.Complex.ONE;
    org.apache.commons.math.complex.Complex complex1 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex2 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex3 = complex1.pow(complex2);
    boolean b4 = complex3.isInfinite();
    org.apache.commons.math.complex.Complex complex5 = complex3.atan();
    org.apache.commons.math.complex.Complex complex6 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex7 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex8 = complex6.pow(complex7);
    org.apache.commons.math.complex.ComplexField complexField9 = complex7.getField();
    org.apache.commons.math.complex.Complex complex10 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex11 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex12 = complex10.pow(complex11);
    org.apache.commons.math.complex.Complex complex13 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex14 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex15 = complex13.pow(complex14);
    org.apache.commons.math.complex.Complex complex16 = complex10.multiply(complex14);
    org.apache.commons.math.complex.Complex complex17 = complex7.multiply(complex10);
    org.apache.commons.math.complex.Complex complex18 = complex10.cosh();
    org.apache.commons.math.complex.Complex complex19 = complex10.acos();
    org.apache.commons.math.complex.Complex complex20 = complex3.subtract(complex10);
    org.apache.commons.math.complex.Complex complex21 = complex0.multiply(complex3);
    org.apache.commons.math.complex.Complex complex22 = complex3.log();
    org.apache.commons.math.complex.Complex complex24 = complex3.add(1.0000500004167348d);
    org.apache.commons.math.complex.Complex complex25 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.complex.Complex complex26 = complex3.divide(complex25);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException");
    } catch (org.apache.commons.math.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complexField9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex24);

  }

  @Test
  public void test374() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test374"); }


    double[] d_array1 = new double[] { 1.0d };
    double[] d_array3 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array1, 10.0d);
    double d4 = org.apache.commons.math.util.MathUtils.safeNorm(d_array1);
    double[] d_array6 = new double[] { 1.0d };
    double[] d_array8 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array6, 10.0d);
    double[] d_array10 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array6, (-0.009999666686665238d));
    double[][] d_array_array11 = new double[][] { d_array6 };
    org.apache.commons.math.util.MathUtils.sortInPlace(d_array1, d_array_array11);
    double[] d_array14 = new double[] { 1.0d };
    double[] d_array16 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array14, 10.0d);
    double d17 = org.apache.commons.math.util.MathUtils.distanceInf(d_array1, d_array14);
    double[] d_array19 = new double[] { 1.0d };
    double[] d_array21 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array19, 10.0d);
    double d22 = org.apache.commons.math.util.MathUtils.safeNorm(d_array19);
    double[] d_array24 = new double[] { 1.0d };
    double[] d_array26 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array24, 10.0d);
    double[] d_array28 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array24, (-0.009999666686665238d));
    double[][] d_array_array29 = new double[][] { d_array24 };
    org.apache.commons.math.util.MathUtils.sortInPlace(d_array19, d_array_array29);
    double d31 = org.apache.commons.math.util.MathUtils.distanceInf(d_array14, d_array19);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array14);
    double[] d_array34 = new double[] { 1.0d };
    double[] d_array36 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array34, 10.0d);
    double[] d_array38 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array34, (-0.009999666686665238d));
    double[] d_array40 = new double[] { 1.0d };
    double[] d_array42 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array40, 10.0d);
    double[] d_array43 = org.apache.commons.math.util.MathUtils.copyOf(d_array40);
    double d44 = org.apache.commons.math.util.MathUtils.distanceInf(d_array34, d_array40);
    org.apache.commons.math.util.MathUtils.OrderDirection orderDirection45 = org.apache.commons.math.util.MathUtils.OrderDirection.INCREASING;
    boolean b48 = org.apache.commons.math.util.MathUtils.checkOrder(d_array34, orderDirection45, false, true);
    double d49 = org.apache.commons.math.util.MathUtils.distance(d_array14, d_array34);
    double[] d_array50 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d51 = org.apache.commons.math.util.MathUtils.distance1(d_array14, d_array50);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d17 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d22 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d31 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d44 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b48 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d49 == 0.0d);

  }

  @Test
  public void test375() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test375"); }


    boolean b3 = org.apache.commons.math.util.MathUtils.equals(1.907349E-6f, 1.9073486E-6f, (-758373183));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test376() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test376"); }


    double d2 = org.apache.commons.math.util.MathUtils.binomialCoefficientLog(128, 2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 9.003070169818264d);

  }

  @Test
  public void test377() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test377"); }


    org.apache.commons.math.complex.Complex complex0 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex1 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex2 = complex0.pow(complex1);
    org.apache.commons.math.complex.ComplexField complexField3 = complex1.getField();
    org.apache.commons.math.complex.Complex complex4 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex5 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex6 = complex4.pow(complex5);
    org.apache.commons.math.complex.Complex complex7 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex8 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex9 = complex7.pow(complex8);
    org.apache.commons.math.complex.Complex complex10 = complex4.multiply(complex8);
    org.apache.commons.math.complex.Complex complex11 = complex1.multiply(complex4);
    org.apache.commons.math.util.MathUtils.checkNotNull((java.lang.Object)complex1);
    org.apache.commons.math.complex.Complex complex14 = complex1.pow(1.5707963267948966d);
    org.apache.commons.math.complex.Complex complex15 = complex14.tan();
    boolean b16 = complex15.isNaN();
    org.apache.commons.math.complex.Complex complex17 = complex15.tan();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complexField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b16 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex17);

  }

  @Test
  public void test378() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test378"); }


    boolean b3 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(0.0f, 0.0f, 1.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == true);

  }

  @Test
  public void test379() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test379"); }


    org.apache.commons.math.complex.Complex complex1 = new org.apache.commons.math.complex.Complex(2.5091784786580567d);
    org.apache.commons.math.complex.Complex complex2 = complex1.sqrt1z();
    org.apache.commons.math.complex.Complex complex3 = complex1.negate();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex3);

  }

  @Test
  public void test380() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test380"); }


    org.apache.commons.math.complex.Complex complex0 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex1 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex2 = complex0.pow(complex1);
    org.apache.commons.math.complex.ComplexField complexField3 = complex1.getField();
    org.apache.commons.math.complex.Complex complex4 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex5 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex6 = complex4.pow(complex5);
    org.apache.commons.math.complex.Complex complex7 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex8 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex9 = complex7.pow(complex8);
    org.apache.commons.math.complex.Complex complex10 = complex4.multiply(complex8);
    org.apache.commons.math.complex.Complex complex11 = complex1.multiply(complex4);
    org.apache.commons.math.complex.Complex complex12 = complex4.sqrt1z();
    org.apache.commons.math.complex.Complex complex13 = complex12.cosh();
    double d14 = complex13.getReal();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complexField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d14, Double.NaN, 0);

  }

  @Test
  public void test381() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test381"); }


    int i3 = org.apache.commons.math.util.MathUtils.compareTo(0.7854229127994505d, (-0.0020788274184764415d), 1272213991);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 1);

  }

  @Test
  public void test382() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test382"); }


    org.apache.commons.math.complex.Complex complex0 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex1 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex2 = complex0.pow(complex1);
    org.apache.commons.math.complex.ComplexField complexField3 = complex1.getField();
    org.apache.commons.math.complex.Complex complex4 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex5 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex6 = complex4.pow(complex5);
    org.apache.commons.math.complex.Complex complex7 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex8 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex9 = complex7.pow(complex8);
    org.apache.commons.math.complex.Complex complex10 = complex4.multiply(complex8);
    org.apache.commons.math.complex.Complex complex11 = complex1.multiply(complex4);
    org.apache.commons.math.complex.Complex complex12 = complex4.cosh();
    org.apache.commons.math.complex.Complex complex13 = complex4.acos();
    org.apache.commons.math.complex.Complex complex15 = complex4.add((-0.010000166680833889d));
    org.apache.commons.math.complex.Complex complex16 = complex15.cos();
    boolean b17 = complex15.isInfinite();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complexField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b17 == true);

  }

  @Test
  public void test383() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test383"); }


    float f1 = org.apache.commons.math.util.FastMath.nextUp(0.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 1.4E-45f);

  }

  @Test
  public void test384() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test384"); }


    double d2 = org.apache.commons.math.util.MathUtils.normalizeAngle((-0.009999666686665236d), 1.0000495000291105d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-0.009999666686665236d));

  }

  @Test
  public void test385() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test385"); }


    double d1 = org.apache.commons.math.util.FastMath.abs((-0.02397775387026088d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.02397775387026088d);

  }

  @Test
  public void test386() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test386"); }


    float f2 = org.apache.commons.math.util.FastMath.copySign(1.2089258E24f, 10.000001f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 1.2089258E24f);

  }

  @Test
  public void test387() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test387"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException4 = new org.apache.commons.math.exception.NumberIsTooSmallException(localizable0, (java.lang.Number)1910505473, (java.lang.Number)1.9044097939271327d, false);
    org.apache.commons.math.exception.util.ExceptionContext exceptionContext5 = numberIsTooSmallException4.getContext();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext5);

  }

  @Test
  public void test388() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test388"); }


    double d1 = org.apache.commons.math.util.FastMath.log((-508.341764453806d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test389() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test389"); }


    org.apache.commons.math.complex.Complex complex0 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex1 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex2 = complex0.pow(complex1);
    org.apache.commons.math.complex.Complex complex3 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex4 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex5 = complex3.pow(complex4);
    org.apache.commons.math.complex.Complex complex6 = complex0.multiply(complex4);
    org.apache.commons.math.complex.Complex complex7 = complex0.sinh();
    org.apache.commons.math.complex.Complex complex8 = complex0.cos();
    org.apache.commons.math.complex.Complex complex9 = complex8.conjugate();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex9);

  }

  @Test
  public void test390() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test390"); }


    // The following exception was thrown during execution in test generation
    try {
      float f3 = org.apache.commons.math.util.MathUtils.round(1.9073489E-6f, 1074790400, (-758373183));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.MathIllegalArgumentException");
    } catch (org.apache.commons.math.exception.MathIllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.MathIllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.MathIllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test391() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test391"); }


    double d1 = org.apache.commons.math.util.FastMath.exp(23.13320481349772d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.113328173308888E10d);

  }

  @Test
  public void test392() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test392"); }


    int i2 = org.apache.commons.math.util.MathUtils.subAndCheck((-1376942411), (-1150));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == (-1376941261));

  }

  @Test
  public void test393() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test393"); }


    short s1 = org.apache.commons.math.util.MathUtils.sign((short)1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(s1 == (short)1);

  }

  @Test
  public void test394() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test394"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    double[] d_array2 = new double[] { 1.0d };
    double[] d_array4 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array2, 10.0d);
    double d5 = org.apache.commons.math.util.MathUtils.safeNorm(d_array2);
    double[] d_array7 = new double[] { 1.0d };
    double[] d_array9 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array7, 10.0d);
    double[] d_array11 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array7, (-0.009999666686665238d));
    double[][] d_array_array12 = new double[][] { d_array7 };
    org.apache.commons.math.util.MathUtils.sortInPlace(d_array2, d_array_array12);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array2);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array2);
    double[] d_array17 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array2, 1.5707963267948966d);
    org.apache.commons.math.util.MathUtils.OrderDirection orderDirection18 = org.apache.commons.math.util.MathUtils.OrderDirection.INCREASING;
    double[] d_array20 = new double[] { 1.0d };
    double[] d_array22 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array20, 10.0d);
    double[][] d_array_array23 = new double[][] { d_array22 };
    org.apache.commons.math.util.MathUtils.sortInPlace(d_array17, orderDirection18, d_array_array23);
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException25 = new org.apache.commons.math.exception.MathArithmeticException(localizable0, (java.lang.Object[])d_array_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array23);

  }

  @Test
  public void test395() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test395"); }


    double d1 = org.apache.commons.math.util.FastMath.signum((-0.010000166680833889d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-1.0d));

  }

  @Test
  public void test396() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test396"); }


    org.apache.commons.math.exception.NotPositiveException notPositiveException1 = new org.apache.commons.math.exception.NotPositiveException((java.lang.Number)1.364235802956642d);

  }

  @Test
  public void test397() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test397"); }


    long long2 = org.apache.commons.math.util.FastMath.min(1000L, 11L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 11L);

  }

  @Test
  public void test398() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test398"); }


    boolean b3 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(1.000050005417318d, 4.810487773893648d, 0.013743141035473305d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test399() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test399"); }


    double[] d_array4 = new double[] { 1.0d };
    double[] d_array6 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array4, 10.0d);
    double[] d_array8 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array4, (-0.009999666686665238d));
    double[] d_array10 = new double[] { 1.0d };
    double[] d_array12 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array10, 10.0d);
    double[] d_array13 = org.apache.commons.math.util.MathUtils.copyOf(d_array10);
    double d14 = org.apache.commons.math.util.MathUtils.distanceInf(d_array4, d_array10);
    org.apache.commons.math.util.MathUtils.OrderDirection orderDirection15 = org.apache.commons.math.util.MathUtils.OrderDirection.INCREASING;
    boolean b18 = org.apache.commons.math.util.MathUtils.checkOrder(d_array4, orderDirection15, false, true);
    org.apache.commons.math.exception.NonMonotonousSequenceException nonMonotonousSequenceException20 = new org.apache.commons.math.exception.NonMonotonousSequenceException((java.lang.Number)989909622, (java.lang.Number)1.269187985616294d, (-7), orderDirection15, false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d14 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b18 == true);

  }

  @Test
  public void test400() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test400"); }


    double d1 = org.apache.commons.math.util.FastMath.asin(1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.5707963267948966d);

  }

  @Test
  public void test401() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test401"); }


    float f1 = org.apache.commons.math.util.FastMath.ulp(1.1920929E-7f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 1.4210855E-14f);

  }

  @Test
  public void test402() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test402"); }


    org.apache.commons.math.complex.Complex complex0 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex1 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex2 = complex0.pow(complex1);
    double[] d_array4 = new double[] { 1.0d };
    double[] d_array6 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array4, 10.0d);
    double d7 = org.apache.commons.math.util.MathUtils.safeNorm(d_array4);
    double[] d_array9 = new double[] { 1.0d };
    double[] d_array11 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array9, 10.0d);
    double[] d_array13 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array9, (-0.009999666686665238d));
    double[][] d_array_array14 = new double[][] { d_array9 };
    org.apache.commons.math.util.MathUtils.sortInPlace(d_array4, d_array_array14);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array4);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array4);
    double[] d_array19 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array4, 1.5707963267948966d);
    org.apache.commons.math.util.MathUtils.OrderDirection orderDirection20 = org.apache.commons.math.util.MathUtils.OrderDirection.INCREASING;
    double[] d_array22 = new double[] { 1.0d };
    double[] d_array24 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array22, 10.0d);
    double[][] d_array_array25 = new double[][] { d_array24 };
    org.apache.commons.math.util.MathUtils.sortInPlace(d_array19, orderDirection20, d_array_array25);
    boolean b27 = complex0.equals((java.lang.Object)d_array_array25);
    double d28 = complex0.abs();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b27 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d28 == Double.POSITIVE_INFINITY);

  }

  @Test
  public void test403() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test403"); }


    org.apache.commons.math.exception.NonMonotonousSequenceException nonMonotonousSequenceException3 = new org.apache.commons.math.exception.NonMonotonousSequenceException((java.lang.Number)7.6293945E-6f, (java.lang.Number)(-21L), (-719689146));

  }

  @Test
  public void test404() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test404"); }


    org.apache.commons.math.util.MathUtils.OrderDirection orderDirection3 = null;
    org.apache.commons.math.exception.NonMonotonousSequenceException nonMonotonousSequenceException5 = new org.apache.commons.math.exception.NonMonotonousSequenceException((java.lang.Number)(byte)10, (java.lang.Number)(-0.009999666686665236d), 100, orderDirection3, false);
    org.apache.commons.math.util.MathUtils.OrderDirection orderDirection6 = nonMonotonousSequenceException5.getDirection();
    boolean b7 = nonMonotonousSequenceException5.getStrict();
    int i8 = nonMonotonousSequenceException5.getIndex();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(orderDirection6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b7 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 100);

  }

  @Test
  public void test405() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test405"); }


    int i3 = org.apache.commons.math.util.MathUtils.compareTo(2.1876798576510494d, 0.01713551219013049d, (-758373183));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 1);

  }

  @Test
  public void test406() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test406"); }


    // The following exception was thrown during execution in test generation
    try {
      double d2 = org.apache.commons.math.util.MathUtils.binomialCoefficientLog((-6), 2147483647);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NumberIsTooLargeException");
    } catch (org.apache.commons.math.exception.NumberIsTooLargeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NumberIsTooLargeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NumberIsTooLargeException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test407() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test407"); }


    int i1 = org.apache.commons.math.util.MathUtils.indicator((-872643074));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == (-1));

  }

  @Test
  public void test408() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test408"); }


    org.apache.commons.math.complex.Complex complex0 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex1 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex2 = complex0.pow(complex1);
    org.apache.commons.math.complex.ComplexField complexField3 = complex1.getField();
    org.apache.commons.math.complex.Complex complex4 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex5 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex6 = complex4.pow(complex5);
    org.apache.commons.math.complex.Complex complex7 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex8 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex9 = complex7.pow(complex8);
    org.apache.commons.math.complex.Complex complex10 = complex4.multiply(complex8);
    org.apache.commons.math.complex.Complex complex11 = complex1.multiply(complex4);
    org.apache.commons.math.complex.Complex complex12 = complex4.cosh();
    org.apache.commons.math.complex.Complex complex13 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex14 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex15 = complex13.pow(complex14);
    org.apache.commons.math.complex.Complex complex16 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex17 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex18 = complex16.pow(complex17);
    org.apache.commons.math.complex.Complex complex19 = complex13.multiply(complex17);
    org.apache.commons.math.complex.Complex complex20 = complex12.subtract(complex17);
    org.apache.commons.math.complex.Complex complex21 = complex12.sqrt();
    org.apache.commons.math.complex.Complex complex22 = complex21.acos();
    // The following exception was thrown during execution in test generation
    try {
      java.util.List list24 = complex21.nthRoot((-1376942411));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NotPositiveException");
    } catch (org.apache.commons.math.exception.NotPositiveException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NotPositiveException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NotPositiveException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complexField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex22);

  }

  @Test
  public void test409() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test409"); }


    double[] d_array1 = new double[] { 1.0d };
    double[] d_array3 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array1, 10.0d);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array1);
    double[] d_array6 = org.apache.commons.math.util.MathUtils.copyOf(d_array1, 10);
    double[] d_array7 = org.apache.commons.math.util.MathUtils.copyOf(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array7);

  }

  @Test
  public void test410() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test410"); }


    double d1 = org.apache.commons.math.util.FastMath.cbrt(1.5700418574372579d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.1622612099658538d);

  }

  @Test
  public void test411() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test411"); }


    double d1 = org.apache.commons.math.util.FastMath.acosh(2.3978952727983707d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.5211141550652623d);

  }

  @Test
  public void test412() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test412"); }


    double d2 = org.apache.commons.math.util.FastMath.hypot((-0.806602856499724d), (-0.009999500044161986d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.8066648362948812d);

  }

  @Test
  public void test413() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test413"); }


    org.apache.commons.math.complex.Complex complex0 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex1 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex2 = complex0.pow(complex1);
    boolean b3 = complex2.isInfinite();
    org.apache.commons.math.complex.Complex complex4 = complex2.atan();
    org.apache.commons.math.complex.Complex complex5 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex6 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex7 = complex5.pow(complex6);
    org.apache.commons.math.complex.ComplexField complexField8 = complex6.getField();
    org.apache.commons.math.complex.Complex complex9 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex10 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex11 = complex9.pow(complex10);
    org.apache.commons.math.complex.Complex complex12 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex13 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex14 = complex12.pow(complex13);
    org.apache.commons.math.complex.Complex complex15 = complex9.multiply(complex13);
    org.apache.commons.math.complex.Complex complex16 = complex6.multiply(complex9);
    org.apache.commons.math.complex.Complex complex17 = complex9.cosh();
    org.apache.commons.math.complex.Complex complex18 = complex9.acos();
    org.apache.commons.math.complex.Complex complex19 = complex2.subtract(complex9);
    org.apache.commons.math.complex.Complex complex20 = complex19.log();
    org.apache.commons.math.complex.Complex complex21 = complex20.sqrt1z();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complexField8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex21);

  }

  @Test
  public void test414() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test414"); }


    int i2 = org.apache.commons.math.util.MathUtils.gcd(1272213991, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 1272213991);

  }

  @Test
  public void test415() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test415"); }


    int i1 = org.apache.commons.math.util.FastMath.getExponent(1.2676506E32f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 106);

  }

  @Test
  public void test416() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test416"); }


    long long2 = org.apache.commons.math.util.MathUtils.gcd(111L, (-11L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 1L);

  }

  @Test
  public void test417() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test417"); }


    org.apache.commons.math.exception.NumberIsTooLargeException numberIsTooLargeException3 = new org.apache.commons.math.exception.NumberIsTooLargeException((java.lang.Number)(-1272213991), (java.lang.Number)1.0000000056667108E-4d, true);
    boolean b4 = numberIsTooLargeException3.getBoundIsAllowed();
    java.lang.Throwable[] throwable_array5 = numberIsTooLargeException3.getSuppressed();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array5);

  }

  @Test
  public void test418() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test418"); }


    int[] i_array0 = new int[] {  };
    int[] i_array2 = org.apache.commons.math.util.MathUtils.copyOf(i_array0, 1);
    int[] i_array3 = org.apache.commons.math.util.MathUtils.copyOf(i_array0);
    int[] i_array4 = org.apache.commons.math.util.MathUtils.copyOf(i_array3);
    int[] i_array5 = org.apache.commons.math.util.MathUtils.copyOf(i_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array5);

  }

  @Test
  public void test419() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test419"); }


    org.apache.commons.math.complex.Complex complex0 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex1 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex2 = complex0.pow(complex1);
    org.apache.commons.math.complex.ComplexField complexField3 = complex1.getField();
    org.apache.commons.math.complex.Complex complex4 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex5 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex6 = complex4.pow(complex5);
    org.apache.commons.math.complex.Complex complex7 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex8 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex9 = complex7.pow(complex8);
    org.apache.commons.math.complex.Complex complex10 = complex4.multiply(complex8);
    org.apache.commons.math.complex.Complex complex11 = complex1.multiply(complex4);
    org.apache.commons.math.complex.Complex complex12 = complex4.cosh();
    org.apache.commons.math.complex.Complex complex13 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex14 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex15 = complex13.pow(complex14);
    org.apache.commons.math.complex.Complex complex16 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex17 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex18 = complex16.pow(complex17);
    org.apache.commons.math.complex.Complex complex19 = complex13.multiply(complex17);
    org.apache.commons.math.complex.Complex complex20 = complex12.subtract(complex17);
    org.apache.commons.math.complex.Complex complex21 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex22 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex23 = complex21.pow(complex22);
    org.apache.commons.math.complex.ComplexField complexField24 = complex22.getField();
    org.apache.commons.math.complex.Complex complex25 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex26 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex27 = complex25.pow(complex26);
    org.apache.commons.math.complex.Complex complex28 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex29 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex30 = complex28.pow(complex29);
    org.apache.commons.math.complex.Complex complex31 = complex25.multiply(complex29);
    org.apache.commons.math.complex.Complex complex32 = complex22.multiply(complex25);
    org.apache.commons.math.complex.Complex complex33 = complex20.subtract(complex32);
    double d34 = complex33.getArgument();
    org.apache.commons.math.complex.Complex complex35 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex36 = complex35.cos();
    org.apache.commons.math.complex.Complex complex37 = org.apache.commons.math.complex.Complex.ONE;
    org.apache.commons.math.complex.Complex complex38 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex39 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex40 = complex38.pow(complex39);
    boolean b41 = complex40.isInfinite();
    org.apache.commons.math.complex.Complex complex42 = complex40.atan();
    org.apache.commons.math.complex.Complex complex43 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex44 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex45 = complex43.pow(complex44);
    org.apache.commons.math.complex.ComplexField complexField46 = complex44.getField();
    org.apache.commons.math.complex.Complex complex47 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex48 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex49 = complex47.pow(complex48);
    org.apache.commons.math.complex.Complex complex50 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex51 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex52 = complex50.pow(complex51);
    org.apache.commons.math.complex.Complex complex53 = complex47.multiply(complex51);
    org.apache.commons.math.complex.Complex complex54 = complex44.multiply(complex47);
    org.apache.commons.math.complex.Complex complex55 = complex47.cosh();
    org.apache.commons.math.complex.Complex complex56 = complex47.acos();
    org.apache.commons.math.complex.Complex complex57 = complex40.subtract(complex47);
    org.apache.commons.math.complex.Complex complex58 = complex37.multiply(complex40);
    org.apache.commons.math.complex.Complex complex59 = complex35.multiply(complex58);
    org.apache.commons.math.complex.Complex complex60 = complex33.add(complex58);
    org.apache.commons.math.complex.Complex complex61 = complex60.sinh();
    boolean b62 = complex61.isNaN();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complexField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complexField24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d34, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b41 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complexField46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b62 == true);

  }

  @Test
  public void test420() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test420"); }


    long long2 = org.apache.commons.math.util.MathUtils.addAndCheck((-100L), 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == (-100L));

  }

  @Test
  public void test421() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test421"); }


    org.apache.commons.math.complex.Complex complex0 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex1 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex2 = complex0.pow(complex1);
    boolean b3 = complex2.isInfinite();
    org.apache.commons.math.complex.Complex complex4 = complex2.atan();
    org.apache.commons.math.complex.Complex complex5 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex6 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex7 = complex5.pow(complex6);
    org.apache.commons.math.complex.ComplexField complexField8 = complex6.getField();
    org.apache.commons.math.complex.Complex complex9 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex10 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex11 = complex9.pow(complex10);
    org.apache.commons.math.complex.Complex complex12 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex13 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex14 = complex12.pow(complex13);
    org.apache.commons.math.complex.Complex complex15 = complex9.multiply(complex13);
    org.apache.commons.math.complex.Complex complex16 = complex6.multiply(complex9);
    org.apache.commons.math.complex.Complex complex17 = complex9.cosh();
    org.apache.commons.math.complex.Complex complex18 = complex9.acos();
    org.apache.commons.math.complex.Complex complex19 = complex2.subtract(complex9);
    org.apache.commons.math.complex.Complex complex20 = complex19.log();
    org.apache.commons.math.complex.Complex complex21 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex22 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex23 = complex21.pow(complex22);
    org.apache.commons.math.complex.Complex complex24 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex25 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex26 = complex24.pow(complex25);
    org.apache.commons.math.complex.Complex complex27 = complex21.multiply(complex25);
    org.apache.commons.math.complex.Complex complex28 = complex21.sinh();
    org.apache.commons.math.complex.Complex complex29 = complex21.sin();
    org.apache.commons.math.complex.Complex complex30 = complex19.subtract(complex21);
    double d31 = complex19.getArgument();
    boolean b32 = complex19.isInfinite();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complexField8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d31, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b32 == false);

  }

  @Test
  public void test422() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test422"); }


    float f2 = org.apache.commons.math.util.FastMath.max(1.0000001f, 9.671408E24f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 9.671408E24f);

  }

  @Test
  public void test423() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test423"); }


    int i2 = org.apache.commons.math.util.MathUtils.subAndCheck((-1272213991), 3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == (-1272213994));

  }

  @Test
  public void test424() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test424"); }


    long long2 = org.apache.commons.math.util.MathUtils.subAndCheck((-99L), (-99L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 0L);

  }

  @Test
  public void test425() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test425"); }


    double d1 = org.apache.commons.math.util.FastMath.tanh(0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.0d);

  }

  @Test
  public void test426() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test426"); }


    boolean b3 = org.apache.commons.math.util.MathUtils.equals(0.9999999958776927d, 0.6931471805599453d, (-0.009999500044161986d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test427() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test427"); }


    boolean b3 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(1.0E-10f, Float.NaN, (-1272213991));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test428() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test428"); }


    double d1 = org.apache.commons.math.util.FastMath.atan(0.9998673602701685d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.7853318391340136d);

  }

  @Test
  public void test429() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test429"); }


    // The following exception was thrown during execution in test generation
    try {
      float f3 = org.apache.commons.math.util.MathUtils.round(5.0f, 1, 102400);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.MathIllegalArgumentException");
    } catch (org.apache.commons.math.exception.MathIllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.MathIllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.MathIllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test430() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test430"); }


    org.apache.commons.math.exception.NonMonotonousSequenceException nonMonotonousSequenceException3 = new org.apache.commons.math.exception.NonMonotonousSequenceException((java.lang.Number)(short)(-1), (java.lang.Number)(-1.2599210498948732d), 3);

  }

  @Test
  public void test431() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test431"); }


    boolean b3 = org.apache.commons.math.util.MathUtils.equals(1.9073486E-6f, 10.0f, 1.9073489E-6f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test432() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test432"); }


    org.apache.commons.math.complex.Complex complex0 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex1 = complex0.cos();
    org.apache.commons.math.complex.Complex complex2 = org.apache.commons.math.complex.Complex.ONE;
    org.apache.commons.math.complex.Complex complex3 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex4 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex5 = complex3.pow(complex4);
    boolean b6 = complex5.isInfinite();
    org.apache.commons.math.complex.Complex complex7 = complex5.atan();
    org.apache.commons.math.complex.Complex complex8 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex9 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex10 = complex8.pow(complex9);
    org.apache.commons.math.complex.ComplexField complexField11 = complex9.getField();
    org.apache.commons.math.complex.Complex complex12 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex13 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex14 = complex12.pow(complex13);
    org.apache.commons.math.complex.Complex complex15 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex16 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex17 = complex15.pow(complex16);
    org.apache.commons.math.complex.Complex complex18 = complex12.multiply(complex16);
    org.apache.commons.math.complex.Complex complex19 = complex9.multiply(complex12);
    org.apache.commons.math.complex.Complex complex20 = complex12.cosh();
    org.apache.commons.math.complex.Complex complex21 = complex12.acos();
    org.apache.commons.math.complex.Complex complex22 = complex5.subtract(complex12);
    org.apache.commons.math.complex.Complex complex23 = complex2.multiply(complex5);
    org.apache.commons.math.complex.Complex complex24 = complex0.multiply(complex23);
    org.apache.commons.math.complex.Complex complex25 = complex0.asin();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b6 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complexField11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex25);

  }

  @Test
  public void test433() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test433"); }


    org.apache.commons.math.complex.Complex complex0 = org.apache.commons.math.complex.Complex.ONE;
    org.apache.commons.math.complex.Complex complex1 = org.apache.commons.math.complex.Complex.ONE;
    org.apache.commons.math.complex.Complex complex2 = complex1.log();
    org.apache.commons.math.complex.Complex complex4 = complex2.multiply(43.1284181946612d);
    org.apache.commons.math.complex.Complex complex5 = complex0.divide(complex2);
    org.apache.commons.math.complex.Complex complex7 = complex0.multiply((-0.010000500044170569d));
    org.apache.commons.math.complex.Complex complex8 = complex0.tan();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex8);

  }

  @Test
  public void test434() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test434"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.util.Localizable localizable1 = null;
    org.apache.commons.math.exception.util.Localizable localizable2 = null;
    org.apache.commons.math.exception.util.Localizable localizable3 = null;
    org.apache.commons.math.exception.util.Localizable localizable4 = null;
    org.apache.commons.math.exception.util.Localizable localizable6 = null;
    java.lang.Object[] obj_array8 = new java.lang.Object[] { '#' };
    org.apache.commons.math.exception.NullArgumentException nullArgumentException9 = new org.apache.commons.math.exception.NullArgumentException(localizable6, obj_array8);
    org.apache.commons.math.exception.NotFiniteNumberException notFiniteNumberException10 = new org.apache.commons.math.exception.NotFiniteNumberException(localizable4, (java.lang.Number)(byte)0, obj_array8);
    java.lang.Throwable[] throwable_array11 = notFiniteNumberException10.getSuppressed();
    org.apache.commons.math.exception.NullArgumentException nullArgumentException12 = new org.apache.commons.math.exception.NullArgumentException(localizable3, (java.lang.Object[])throwable_array11);
    org.apache.commons.math.exception.NullArgumentException nullArgumentException13 = new org.apache.commons.math.exception.NullArgumentException(localizable2, (java.lang.Object[])throwable_array11);
    org.apache.commons.math.exception.NullArgumentException nullArgumentException14 = new org.apache.commons.math.exception.NullArgumentException(localizable1, (java.lang.Object[])throwable_array11);
    java.lang.Throwable[] throwable_array15 = nullArgumentException14.getSuppressed();
    org.apache.commons.math.exception.NullArgumentException nullArgumentException16 = new org.apache.commons.math.exception.NullArgumentException(localizable0, (java.lang.Object[])throwable_array15);
    java.lang.Throwable throwable17 = null;
    // The following exception was thrown during execution in test generation
    try {
      nullArgumentException16.addSuppressed(throwable17);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array15);

  }

  @Test
  public void test435() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test435"); }


    double d2 = org.apache.commons.math.util.FastMath.atan2(1.769675730677397d, 8.429203673205103d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.20694026270817267d);

  }

  @Test
  public void test436() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test436"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.NotPositiveException notPositiveException2 = new org.apache.commons.math.exception.NotPositiveException(localizable0, (java.lang.Number)(byte)100);
    boolean b3 = notPositiveException2.getBoundIsAllowed();
    java.lang.Throwable[] throwable_array4 = notPositiveException2.getSuppressed();
    java.lang.Number number5 = notPositiveException2.getMin();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number5 + "' != '" + 0+ "'", number5.equals(0));

  }

  @Test
  public void test437() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test437"); }


    org.apache.commons.math.complex.Complex complex0 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex1 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex2 = complex0.pow(complex1);
    org.apache.commons.math.complex.ComplexField complexField3 = complex1.getField();
    org.apache.commons.math.complex.Complex complex4 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex5 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex6 = complex4.pow(complex5);
    org.apache.commons.math.complex.Complex complex7 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex8 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex9 = complex7.pow(complex8);
    org.apache.commons.math.complex.Complex complex10 = complex4.multiply(complex8);
    org.apache.commons.math.complex.Complex complex11 = complex1.multiply(complex4);
    org.apache.commons.math.complex.Complex complex12 = complex4.cosh();
    org.apache.commons.math.complex.Complex complex13 = complex4.acos();
    org.apache.commons.math.complex.Complex complex15 = complex4.add((-0.010000166680833889d));
    boolean b17 = complex4.equals((java.lang.Object)1.2676506E31f);
    org.apache.commons.math.complex.Complex complex18 = complex4.sin();
    org.apache.commons.math.complex.Complex complex19 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex20 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex21 = complex19.pow(complex20);
    org.apache.commons.math.complex.ComplexField complexField22 = complex20.getField();
    org.apache.commons.math.complex.Complex complex23 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex24 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex25 = complex23.pow(complex24);
    org.apache.commons.math.complex.Complex complex26 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex27 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex28 = complex26.pow(complex27);
    org.apache.commons.math.complex.Complex complex29 = complex23.multiply(complex27);
    org.apache.commons.math.complex.Complex complex30 = complex20.multiply(complex23);
    org.apache.commons.math.complex.Complex complex31 = complex23.cosh();
    org.apache.commons.math.complex.Complex complex32 = complex23.acos();
    org.apache.commons.math.complex.Complex complex33 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex34 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex35 = complex33.pow(complex34);
    org.apache.commons.math.complex.ComplexField complexField36 = complex34.getField();
    org.apache.commons.math.complex.Complex complex37 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex38 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex39 = complex37.pow(complex38);
    org.apache.commons.math.complex.Complex complex40 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex41 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex42 = complex40.pow(complex41);
    org.apache.commons.math.complex.Complex complex43 = complex37.multiply(complex41);
    org.apache.commons.math.complex.Complex complex44 = complex34.multiply(complex37);
    org.apache.commons.math.complex.Complex complex45 = complex37.cosh();
    org.apache.commons.math.complex.Complex complex46 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex47 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex48 = complex46.pow(complex47);
    org.apache.commons.math.complex.Complex complex49 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex50 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex51 = complex49.pow(complex50);
    org.apache.commons.math.complex.Complex complex52 = complex46.multiply(complex50);
    org.apache.commons.math.complex.Complex complex53 = complex45.subtract(complex50);
    org.apache.commons.math.complex.Complex complex54 = complex45.sqrt();
    org.apache.commons.math.complex.Complex complex55 = complex23.subtract(complex45);
    org.apache.commons.math.complex.Complex complex56 = complex18.add(complex23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complexField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b17 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complexField22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complexField36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex56);

  }

  @Test
  public void test438() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test438"); }


    double d1 = org.apache.commons.math.util.FastMath.cos(2.6881171418161356E43d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.04229861514908033d));

  }

  @Test
  public void test439() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test439"); }


    int i1 = org.apache.commons.math.util.FastMath.abs(13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 13);

  }

  @Test
  public void test440() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test440"); }


    org.apache.commons.math.complex.Complex complex0 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex1 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex2 = complex0.pow(complex1);
    boolean b3 = complex2.isInfinite();
    boolean b4 = complex2.isNaN();
    org.apache.commons.math.complex.Complex complex6 = complex2.pow(43.1284181946612d);
    org.apache.commons.math.complex.Complex complex7 = complex6.log();
    double d8 = complex6.abs();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d8, Double.NaN, 0);

  }

  @Test
  public void test441() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test441"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    java.math.BigInteger bigInteger1 = null;
    java.math.BigInteger bigInteger3 = org.apache.commons.math.util.MathUtils.pow(bigInteger1, 0L);
    java.math.BigInteger bigInteger5 = org.apache.commons.math.util.MathUtils.pow(bigInteger3, 10);
    java.math.BigInteger bigInteger6 = null;
    java.math.BigInteger bigInteger8 = org.apache.commons.math.util.MathUtils.pow(bigInteger6, 0L);
    java.math.BigInteger bigInteger10 = org.apache.commons.math.util.MathUtils.pow(bigInteger8, 10);
    java.math.BigInteger bigInteger11 = org.apache.commons.math.util.MathUtils.pow(bigInteger3, bigInteger8);
    java.math.BigInteger bigInteger13 = org.apache.commons.math.util.MathUtils.pow(bigInteger3, 144);
    java.math.BigInteger bigInteger14 = null;
    java.math.BigInteger bigInteger16 = org.apache.commons.math.util.MathUtils.pow(bigInteger14, 0L);
    java.math.BigInteger bigInteger18 = org.apache.commons.math.util.MathUtils.pow(bigInteger16, 10);
    java.math.BigInteger bigInteger19 = null;
    java.math.BigInteger bigInteger21 = org.apache.commons.math.util.MathUtils.pow(bigInteger19, 0L);
    java.math.BigInteger bigInteger23 = org.apache.commons.math.util.MathUtils.pow(bigInteger21, 10);
    java.math.BigInteger bigInteger24 = org.apache.commons.math.util.MathUtils.pow(bigInteger16, bigInteger21);
    java.math.BigInteger bigInteger26 = org.apache.commons.math.util.MathUtils.pow(bigInteger16, 144);
    java.math.BigInteger bigInteger27 = org.apache.commons.math.util.MathUtils.pow(bigInteger13, bigInteger16);
    java.lang.Number number28 = null;
    org.apache.commons.math.exception.NumberIsTooLargeException numberIsTooLargeException30 = new org.apache.commons.math.exception.NumberIsTooLargeException(localizable0, (java.lang.Number)bigInteger13, number28, false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger27);

  }

  @Test
  public void test442() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test442"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.NotPositiveException notPositiveException2 = new org.apache.commons.math.exception.NotPositiveException(localizable0, (java.lang.Number)0L);
    org.apache.commons.math.exception.util.ExceptionContext exceptionContext3 = notPositiveException2.getContext();
    boolean b4 = notPositiveException2.getBoundIsAllowed();
    java.lang.Number number5 = notPositiveException2.getArgument();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number5 + "' != '" + 0L+ "'", number5.equals(0L));

  }

  @Test
  public void test443() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test443"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    double[] d_array3 = new double[] { 1.0d };
    double[] d_array5 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array3, 10.0d);
    double[] d_array7 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array3, (-0.009999666686665238d));
    double[] d_array9 = new double[] { 1.0d };
    double[] d_array11 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array9, 10.0d);
    double[] d_array12 = org.apache.commons.math.util.MathUtils.copyOf(d_array9);
    double d13 = org.apache.commons.math.util.MathUtils.distanceInf(d_array3, d_array9);
    org.apache.commons.math.complex.Complex complex14 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex15 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex16 = complex14.pow(complex15);
    org.apache.commons.math.complex.ComplexField complexField17 = complex15.getField();
    org.apache.commons.math.complex.Complex complex18 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex19 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex20 = complex18.pow(complex19);
    org.apache.commons.math.complex.Complex complex21 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex22 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex23 = complex21.pow(complex22);
    org.apache.commons.math.complex.Complex complex24 = complex18.multiply(complex22);
    org.apache.commons.math.complex.Complex complex25 = complex15.multiply(complex18);
    org.apache.commons.math.util.MathUtils.OrderDirection orderDirection26 = org.apache.commons.math.util.MathUtils.OrderDirection.INCREASING;
    boolean b27 = complex18.equals((java.lang.Object)orderDirection26);
    double[] d_array29 = new double[] { 1.0d };
    double[] d_array31 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array29, 10.0d);
    double[] d_array32 = org.apache.commons.math.util.MathUtils.copyOf(d_array29);
    double[] d_array33 = org.apache.commons.math.util.MathUtils.copyOf(d_array29);
    double[][] d_array_array34 = new double[][] { d_array29 };
    org.apache.commons.math.util.MathUtils.sortInPlace(d_array9, orderDirection26, d_array_array34);
    org.apache.commons.math.exception.NotFiniteNumberException notFiniteNumberException36 = new org.apache.commons.math.exception.NotFiniteNumberException(localizable0, (java.lang.Number)100, (java.lang.Object[])d_array_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d13 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complexField17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b27 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array34);

  }

  @Test
  public void test444() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test444"); }


    org.apache.commons.math.exception.NumberIsTooLargeException numberIsTooLargeException3 = new org.apache.commons.math.exception.NumberIsTooLargeException((java.lang.Number)1.0E-10f, (java.lang.Number)10.000001f, false);
    java.lang.Throwable[] throwable_array4 = numberIsTooLargeException3.getSuppressed();
    org.apache.commons.math.util.MathUtils.OrderDirection orderDirection8 = null;
    org.apache.commons.math.exception.NonMonotonousSequenceException nonMonotonousSequenceException10 = new org.apache.commons.math.exception.NonMonotonousSequenceException((java.lang.Number)(byte)10, (java.lang.Number)(-0.009999666686665236d), 100, orderDirection8, false);
    org.apache.commons.math.util.MathUtils.OrderDirection orderDirection11 = nonMonotonousSequenceException10.getDirection();
    java.lang.Throwable throwable12 = nonMonotonousSequenceException10.getException();
    numberIsTooLargeException3.addSuppressed(throwable12);
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException14 = new org.apache.commons.math.exception.MathArithmeticException();
    java.lang.Throwable throwable15 = mathArithmeticException14.getException();
    java.lang.Throwable throwable16 = mathArithmeticException14.getException();
    java.lang.Throwable throwable17 = mathArithmeticException14.getException();
    throwable12.addSuppressed(throwable17);
    org.apache.commons.math.util.MathUtils.checkNotNull((java.lang.Object)throwable12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(orderDirection11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable17);

  }

  @Test
  public void test445() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test445"); }


    int i2 = org.apache.commons.math.util.FastMath.max(106, 989909622);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 989909622);

  }

  @Test
  public void test446() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test446"); }


    org.apache.commons.math.complex.Complex complex0 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex1 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex2 = complex0.pow(complex1);
    org.apache.commons.math.complex.ComplexField complexField3 = complex1.getField();
    org.apache.commons.math.complex.Complex complex4 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex5 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex6 = complex4.pow(complex5);
    org.apache.commons.math.complex.Complex complex7 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex8 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex9 = complex7.pow(complex8);
    org.apache.commons.math.complex.Complex complex10 = complex4.multiply(complex8);
    org.apache.commons.math.complex.Complex complex11 = complex1.multiply(complex4);
    org.apache.commons.math.util.MathUtils.checkNotNull((java.lang.Object)complex1);
    org.apache.commons.math.complex.Complex complex14 = complex1.pow(1.5707963267948966d);
    org.apache.commons.math.complex.Complex complex15 = complex1.sqrt1z();
    org.apache.commons.math.complex.Complex complex16 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex17 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex18 = complex16.pow(complex17);
    org.apache.commons.math.complex.ComplexField complexField19 = complex17.getField();
    org.apache.commons.math.complex.Complex complex20 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex21 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex22 = complex20.pow(complex21);
    org.apache.commons.math.complex.Complex complex23 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex24 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex25 = complex23.pow(complex24);
    org.apache.commons.math.complex.Complex complex26 = complex20.multiply(complex24);
    org.apache.commons.math.complex.Complex complex27 = complex17.multiply(complex20);
    org.apache.commons.math.complex.Complex complex28 = complex20.cosh();
    org.apache.commons.math.complex.Complex complex29 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex30 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex31 = complex29.pow(complex30);
    org.apache.commons.math.complex.Complex complex32 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex33 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex34 = complex32.pow(complex33);
    org.apache.commons.math.complex.Complex complex35 = complex29.multiply(complex33);
    org.apache.commons.math.complex.Complex complex36 = complex28.subtract(complex33);
    org.apache.commons.math.complex.Complex complex37 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex38 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex39 = complex37.pow(complex38);
    org.apache.commons.math.complex.ComplexField complexField40 = complex38.getField();
    org.apache.commons.math.complex.Complex complex41 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex42 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex43 = complex41.pow(complex42);
    org.apache.commons.math.complex.Complex complex44 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex45 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex46 = complex44.pow(complex45);
    org.apache.commons.math.complex.Complex complex47 = complex41.multiply(complex45);
    org.apache.commons.math.complex.Complex complex48 = complex38.multiply(complex41);
    org.apache.commons.math.complex.Complex complex49 = complex36.subtract(complex48);
    double d50 = complex49.getArgument();
    org.apache.commons.math.complex.Complex complex51 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex52 = complex51.cos();
    org.apache.commons.math.complex.Complex complex53 = org.apache.commons.math.complex.Complex.ONE;
    org.apache.commons.math.complex.Complex complex54 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex55 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex56 = complex54.pow(complex55);
    boolean b57 = complex56.isInfinite();
    org.apache.commons.math.complex.Complex complex58 = complex56.atan();
    org.apache.commons.math.complex.Complex complex59 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex60 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex61 = complex59.pow(complex60);
    org.apache.commons.math.complex.ComplexField complexField62 = complex60.getField();
    org.apache.commons.math.complex.Complex complex63 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex64 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex65 = complex63.pow(complex64);
    org.apache.commons.math.complex.Complex complex66 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex67 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex68 = complex66.pow(complex67);
    org.apache.commons.math.complex.Complex complex69 = complex63.multiply(complex67);
    org.apache.commons.math.complex.Complex complex70 = complex60.multiply(complex63);
    org.apache.commons.math.complex.Complex complex71 = complex63.cosh();
    org.apache.commons.math.complex.Complex complex72 = complex63.acos();
    org.apache.commons.math.complex.Complex complex73 = complex56.subtract(complex63);
    org.apache.commons.math.complex.Complex complex74 = complex53.multiply(complex56);
    org.apache.commons.math.complex.Complex complex75 = complex51.multiply(complex74);
    org.apache.commons.math.complex.Complex complex76 = complex49.add(complex74);
    org.apache.commons.math.complex.Complex complex77 = complex1.pow(complex74);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complexField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complexField19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complexField40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d50, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b57 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complexField62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex66);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex67);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex68);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex69);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex70);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex71);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex72);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex73);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex74);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex75);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex76);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex77);

  }

  @Test
  public void test447() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test447"); }


    float f1 = org.apache.commons.math.util.FastMath.ulp((-0.0f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 1.4E-45f);

  }

  @Test
  public void test448() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test448"); }


    long long1 = org.apache.commons.math.util.FastMath.round((-0.017300995301176576d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 0L);

  }

  @Test
  public void test449() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test449"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.DimensionMismatchException dimensionMismatchException3 = new org.apache.commons.math.exception.DimensionMismatchException(localizable0, 1376942411, 13);
    java.lang.Number number4 = dimensionMismatchException3.getArgument();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number4 + "' != '" + 1376942411+ "'", number4.equals(1376942411));

  }

  @Test
  public void test450() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test450"); }


    double d1 = org.apache.commons.math.util.FastMath.expm1(17.89400457879299d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 5.905646404072867E7d);

  }

  @Test
  public void test451() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test451"); }


    org.apache.commons.math.util.MathUtils.checkFinite((-0.01000000001333322d));

  }

  @Test
  public void test452() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test452"); }


    int i1 = org.apache.commons.math.util.MathUtils.indicator(128);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 1);

  }

  @Test
  public void test453() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test453"); }


    double d2 = org.apache.commons.math.util.FastMath.min(0.02397775387026088d, 0.014686910733177934d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.014686910733177934d);

  }

  @Test
  public void test454() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test454"); }


    float f2 = org.apache.commons.math.util.FastMath.max(7.6293945E-6f, 1.0E-10f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 7.6293945E-6f);

  }

  @Test
  public void test455() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test455"); }


    double d1 = org.apache.commons.math.util.FastMath.tanh(2526.4866219391533d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);

  }

  @Test
  public void test456() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test456"); }


    float[] f_array3 = new float[] { (-1.0f), (-1.0f), 0.0f };
    float[] f_array7 = new float[] { 10.0f, 0.0f, 1.0f };
    float[] f_array10 = new float[] { 100.0f, (-1.0f) };
    boolean b11 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(f_array7, f_array10);
    float[] f_array13 = new float[] { 0.0f };
    float[] f_array17 = new float[] { 10.0f, 0.0f, 1.0f };
    float[] f_array20 = new float[] { 100.0f, (-1.0f) };
    boolean b21 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(f_array17, f_array20);
    boolean b22 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(f_array13, f_array20);
    boolean b23 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(f_array7, f_array13);
    boolean b24 = org.apache.commons.math.util.MathUtils.equals(f_array3, f_array7);
    float[] f_array28 = new float[] { 10.0f, 0.0f, 1.0f };
    float[] f_array31 = new float[] { 100.0f, (-1.0f) };
    boolean b32 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(f_array28, f_array31);
    float[] f_array34 = new float[] { 0.0f };
    float[] f_array38 = new float[] { 10.0f, 0.0f, 1.0f };
    float[] f_array41 = new float[] { 100.0f, (-1.0f) };
    boolean b42 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(f_array38, f_array41);
    boolean b43 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(f_array34, f_array41);
    boolean b44 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(f_array28, f_array34);
    float[] f_array48 = new float[] { 10.0f, 0.0f, 1.0f };
    float[] f_array51 = new float[] { 100.0f, (-1.0f) };
    boolean b52 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(f_array48, f_array51);
    float[] f_array54 = new float[] { 0.0f };
    float[] f_array58 = new float[] { 10.0f, 0.0f, 1.0f };
    float[] f_array61 = new float[] { 100.0f, (-1.0f) };
    boolean b62 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(f_array58, f_array61);
    boolean b63 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(f_array54, f_array61);
    boolean b64 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(f_array48, f_array54);
    boolean b65 = org.apache.commons.math.util.MathUtils.equals(f_array34, f_array54);
    boolean b66 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(f_array7, f_array54);
    float[] f_array70 = new float[] { 10.0f, 0.0f, 1.0f };
    float[] f_array73 = new float[] { 100.0f, (-1.0f) };
    boolean b74 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(f_array70, f_array73);
    boolean b75 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(f_array7, f_array73);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b11 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b21 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b22 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b23 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b24 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b32 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b42 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b43 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b44 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b52 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b62 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b63 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b64 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b65 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b66 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array70);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array73);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b74 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b75 == false);

  }

  @Test
  public void test457() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test457"); }


    double d1 = org.apache.commons.math.util.FastMath.floor((-0.5700836241984677d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-1.0d));

  }

  @Test
  public void test458() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test458"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.NotPositiveException notPositiveException2 = new org.apache.commons.math.exception.NotPositiveException(localizable0, (java.lang.Number)0L);
    org.apache.commons.math.exception.util.ExceptionContext exceptionContext3 = notPositiveException2.getContext();
    java.lang.Number number4 = notPositiveException2.getMin();
    boolean b5 = notPositiveException2.getBoundIsAllowed();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number4 + "' != '" + 0+ "'", number4.equals(0));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b5 == true);

  }

  @Test
  public void test459() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test459"); }


    int i1 = org.apache.commons.math.util.FastMath.getExponent(0.5707963267948966d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == (-1));

  }

  @Test
  public void test460() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test460"); }


    org.apache.commons.math.complex.Complex complex0 = org.apache.commons.math.complex.Complex.ONE;
    org.apache.commons.math.complex.Complex complex1 = org.apache.commons.math.complex.Complex.ONE;
    org.apache.commons.math.complex.Complex complex2 = complex1.log();
    org.apache.commons.math.complex.Complex complex4 = complex2.multiply(43.1284181946612d);
    org.apache.commons.math.complex.Complex complex5 = complex0.divide(complex2);
    org.apache.commons.math.complex.Complex complex6 = complex0.log();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex6);

  }

  @Test
  public void test461() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test461"); }


    boolean b3 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(0.0f, 100.0f, 128);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test462() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test462"); }


    org.apache.commons.math.complex.Complex complex0 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex1 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex2 = complex0.pow(complex1);
    org.apache.commons.math.complex.Complex complex3 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex4 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex5 = complex3.pow(complex4);
    org.apache.commons.math.complex.Complex complex6 = complex0.multiply(complex4);
    org.apache.commons.math.complex.Complex complex7 = complex4.cos();
    double d8 = complex4.getImaginary();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == Double.POSITIVE_INFINITY);

  }

  @Test
  public void test463() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test463"); }


    org.apache.commons.math.util.MathUtils.checkFinite(0.8066648362948812d);

  }

  @Test
  public void test464() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test464"); }


    org.apache.commons.math.exception.NonMonotonousSequenceException nonMonotonousSequenceException3 = new org.apache.commons.math.exception.NonMonotonousSequenceException((java.lang.Number)0.7071067811865476d, (java.lang.Number)0.0f, 10);
    int i4 = nonMonotonousSequenceException3.getIndex();
    boolean b5 = nonMonotonousSequenceException3.getStrict();
    org.apache.commons.math.util.MathUtils.OrderDirection orderDirection6 = nonMonotonousSequenceException3.getDirection();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b5 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection6);

  }

  @Test
  public void test465() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test465"); }


    double d2 = org.apache.commons.math.util.MathUtils.log((-2.0d), 0.009900662544436153d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);

  }

  @Test
  public void test466() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test466"); }


    double[] d_array1 = new double[] { 1.0d };
    double[] d_array3 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array1, 10.0d);
    double d4 = org.apache.commons.math.util.MathUtils.safeNorm(d_array1);
    double[] d_array6 = new double[] { 1.0d };
    double[] d_array8 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array6, 10.0d);
    double[] d_array10 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array6, (-0.009999666686665238d));
    double[][] d_array_array11 = new double[][] { d_array6 };
    org.apache.commons.math.util.MathUtils.sortInPlace(d_array1, d_array_array11);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array1);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array1);
    double[] d_array16 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array1, 1.5707963267948966d);
    org.apache.commons.math.util.MathUtils.OrderDirection orderDirection17 = null;
    boolean b20 = org.apache.commons.math.util.MathUtils.checkOrder(d_array16, orderDirection17, false, false);
    double[] d_array22 = new double[] { 1.0d };
    double[] d_array24 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array22, 10.0d);
    double[] d_array26 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array22, (-0.009999666686665238d));
    double[] d_array28 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array26, 4.440892098500626E-16d);
    double d29 = org.apache.commons.math.util.MathUtils.distanceInf(d_array16, d_array26);
    double[] d_array31 = new double[] { 1.0d };
    double[] d_array33 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array31, 10.0d);
    double d34 = org.apache.commons.math.util.MathUtils.safeNorm(d_array31);
    double[] d_array36 = new double[] { 1.0d };
    double[] d_array38 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array36, 10.0d);
    double[] d_array40 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array36, (-0.009999666686665238d));
    double[][] d_array_array41 = new double[][] { d_array36 };
    org.apache.commons.math.util.MathUtils.sortInPlace(d_array31, d_array_array41);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array31);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array31);
    double[] d_array46 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array31, 1.5707963267948966d);
    org.apache.commons.math.util.MathUtils.OrderDirection orderDirection47 = null;
    boolean b50 = org.apache.commons.math.util.MathUtils.checkOrder(d_array46, orderDirection47, false, false);
    double[] d_array52 = org.apache.commons.math.util.MathUtils.copyOf(d_array46, 0);
    boolean b53 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(d_array16, d_array52);
    double[] d_array55 = new double[] { 1.0d };
    double[] d_array57 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array55, 10.0d);
    double[] d_array59 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array55, (-0.009999666686665238d));
    double[] d_array61 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array59, 4.440892098500626E-16d);
    double d62 = org.apache.commons.math.util.MathUtils.distance(d_array16, d_array59);
    org.apache.commons.math.util.MathUtils.checkNotNull((java.lang.Object)d_array59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b20 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d29 == 1.5807959934815619d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d34 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b50 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b53 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d62 == 1.5807959934815619d);

  }

  @Test
  public void test467() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test467"); }


    // The following exception was thrown during execution in test generation
    try {
      long long1 = org.apache.commons.math.util.MathUtils.factorial((-2008633805));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NotPositiveException");
    } catch (org.apache.commons.math.exception.NotPositiveException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NotPositiveException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NotPositiveException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test468() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test468"); }


    boolean b3 = org.apache.commons.math.util.MathUtils.equals(0.0f, 10.0f, (-2008633678));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test469() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test469"); }


    double d1 = org.apache.commons.math.util.MathUtils.indicator(0.9255203054283782d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);

  }

  @Test
  public void test470() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test470"); }


    double[] d_array1 = new double[] { 1.0d };
    double[] d_array3 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array1, 10.0d);
    double d4 = org.apache.commons.math.util.MathUtils.safeNorm(d_array1);
    double[] d_array6 = new double[] { 1.0d };
    double[] d_array8 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array6, 10.0d);
    double[] d_array10 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array6, (-0.009999666686665238d));
    double[][] d_array_array11 = new double[][] { d_array6 };
    org.apache.commons.math.util.MathUtils.sortInPlace(d_array1, d_array_array11);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array1);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array1);
    double[] d_array16 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array1, 1.5707963267948966d);
    double[] d_array17 = org.apache.commons.math.util.MathUtils.copyOf(d_array16);
    double[] d_array18 = org.apache.commons.math.util.MathUtils.copyOf(d_array16);
    // The following exception was thrown during execution in test generation
    try {
      double[] d_array20 = org.apache.commons.math.util.MathUtils.copyOf(d_array18, (-1074790400));
      org.junit.Assert.fail("Expected exception of type java.lang.NegativeArraySizeException");
    } catch (java.lang.NegativeArraySizeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NegativeArraySizeException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NegativeArraySizeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array18);

  }

  @Test
  public void test471() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test471"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.DimensionMismatchException dimensionMismatchException3 = new org.apache.commons.math.exception.DimensionMismatchException(localizable0, 0, (-6));

  }

  @Test
  public void test472() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test472"); }


    org.apache.commons.math.complex.Complex complex0 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex1 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex2 = complex0.pow(complex1);
    org.apache.commons.math.complex.ComplexField complexField3 = complex1.getField();
    org.apache.commons.math.complex.Complex complex4 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex5 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex6 = complex4.pow(complex5);
    org.apache.commons.math.complex.Complex complex7 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex8 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex9 = complex7.pow(complex8);
    org.apache.commons.math.complex.Complex complex10 = complex4.multiply(complex8);
    org.apache.commons.math.complex.Complex complex11 = complex1.multiply(complex4);
    org.apache.commons.math.util.MathUtils.checkNotNull((java.lang.Object)complex1);
    double d13 = complex1.abs();
    double d14 = complex1.getReal();
    org.apache.commons.math.complex.Complex complex16 = complex1.multiply((-0.009949836253965281d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complexField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d13 == Double.POSITIVE_INFINITY);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d14 == Double.POSITIVE_INFINITY);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex16);

  }

  @Test
  public void test473() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test473"); }


    boolean b3 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(5.0f, 1.2089258E24f, 128);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test474() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test474"); }


    boolean b2 = org.apache.commons.math.util.MathUtils.equals(0.0f, 1.0000001f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test475() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test475"); }


    double d6 = org.apache.commons.math.util.MathUtils.linearCombination((-0.017453292411980625d), 1.1102230246251565E-16d, (-0.010050504211259496d), 1.5707963267948966d, (-0.8884331452137783d), 3.7871039784210714d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == (-3.380375993897728d));

  }

  @Test
  public void test476() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test476"); }


    float f2 = org.apache.commons.math.util.MathUtils.round(9.765625E-4f, 1272213991);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((float)f2, Float.NaN, 0);

  }

  @Test
  public void test477() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test477"); }


    org.apache.commons.math.exception.util.Localizable localizable2 = null;
    org.apache.commons.math.exception.util.Localizable localizable3 = null;
    org.apache.commons.math.exception.NumberIsTooLargeException numberIsTooLargeException8 = new org.apache.commons.math.exception.NumberIsTooLargeException((java.lang.Number)1.0E-10f, (java.lang.Number)10.000001f, false);
    java.lang.Throwable[] throwable_array9 = numberIsTooLargeException8.getSuppressed();
    org.apache.commons.math.exception.NotFiniteNumberException notFiniteNumberException10 = new org.apache.commons.math.exception.NotFiniteNumberException(localizable3, (java.lang.Number)(short)10, (java.lang.Object[])throwable_array9);
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException11 = new org.apache.commons.math.exception.MathArithmeticException(localizable2, (java.lang.Object[])throwable_array9);
    org.apache.commons.math.exception.NotFiniteNumberException notFiniteNumberException12 = new org.apache.commons.math.exception.NotFiniteNumberException((java.lang.Number)53.857563076535236d, (java.lang.Object[])throwable_array9);
    org.apache.commons.math.exception.NotFiniteNumberException notFiniteNumberException13 = new org.apache.commons.math.exception.NotFiniteNumberException((java.lang.Number)99L, (java.lang.Object[])throwable_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array9);

  }

  @Test
  public void test478() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test478"); }


    double d1 = org.apache.commons.math.util.MathUtils.sinh((-36.7368005696771d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-4.503599627370493E15d));

  }

  @Test
  public void test479() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test479"); }


    org.apache.commons.math.complex.Complex complex0 = org.apache.commons.math.complex.Complex.NaN;
    double d1 = complex0.getReal();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test480() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test480"); }


    double[] d_array10 = new double[] { 1.0d };
    double[] d_array12 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array10, 10.0d);
    double[] d_array13 = org.apache.commons.math.util.MathUtils.copyOf(d_array10);
    org.apache.commons.math.util.MathUtils.OrderDirection orderDirection14 = org.apache.commons.math.util.MathUtils.OrderDirection.INCREASING;
    double[] d_array16 = new double[] { 1.0d };
    double[] d_array18 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array16, 10.0d);
    double d19 = org.apache.commons.math.util.MathUtils.safeNorm(d_array16);
    double[] d_array21 = new double[] { 1.0d };
    double[] d_array23 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array21, 10.0d);
    double[] d_array25 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array21, (-0.009999666686665238d));
    double[][] d_array_array26 = new double[][] { d_array21 };
    org.apache.commons.math.util.MathUtils.sortInPlace(d_array16, d_array_array26);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array16);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array16);
    double[] d_array31 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array16, 1.5707963267948966d);
    org.apache.commons.math.util.MathUtils.OrderDirection orderDirection32 = org.apache.commons.math.util.MathUtils.OrderDirection.INCREASING;
    double[] d_array34 = new double[] { 1.0d };
    double[] d_array36 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array34, 10.0d);
    double[][] d_array_array37 = new double[][] { d_array36 };
    org.apache.commons.math.util.MathUtils.sortInPlace(d_array31, orderDirection32, d_array_array37);
    org.apache.commons.math.util.MathUtils.sortInPlace(d_array10, orderDirection14, d_array_array37);
    org.apache.commons.math.exception.NonMonotonousSequenceException nonMonotonousSequenceException41 = new org.apache.commons.math.exception.NonMonotonousSequenceException((java.lang.Number)(-0.2593935199454313d), (java.lang.Number)7766279631452241920L, (-758373193), orderDirection14, true);
    org.apache.commons.math.exception.NonMonotonousSequenceException nonMonotonousSequenceException43 = new org.apache.commons.math.exception.NonMonotonousSequenceException((java.lang.Number)1.4152637247284958d, (java.lang.Number)0.01713551219013049d, 1072693279, orderDirection14, true);
    org.apache.commons.math.exception.NonMonotonousSequenceException nonMonotonousSequenceException45 = new org.apache.commons.math.exception.NonMonotonousSequenceException((java.lang.Number)(-118621657), (java.lang.Number)1.2676505E31f, (-1376942411), orderDirection14, true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d19 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array37);

  }

  @Test
  public void test481() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test481"); }


    org.apache.commons.math.complex.Complex complex0 = org.apache.commons.math.complex.Complex.ONE;
    org.apache.commons.math.complex.Complex complex1 = complex0.log();
    org.apache.commons.math.complex.Complex complex3 = complex1.multiply(43.1284181946612d);
    org.apache.commons.math.complex.Complex complex4 = org.apache.commons.math.complex.Complex.ONE;
    org.apache.commons.math.complex.Complex complex5 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex6 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex7 = complex5.pow(complex6);
    boolean b8 = complex7.isInfinite();
    org.apache.commons.math.complex.Complex complex9 = complex7.atan();
    org.apache.commons.math.complex.Complex complex10 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex11 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex12 = complex10.pow(complex11);
    org.apache.commons.math.complex.ComplexField complexField13 = complex11.getField();
    org.apache.commons.math.complex.Complex complex14 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex15 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex16 = complex14.pow(complex15);
    org.apache.commons.math.complex.Complex complex17 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex18 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex19 = complex17.pow(complex18);
    org.apache.commons.math.complex.Complex complex20 = complex14.multiply(complex18);
    org.apache.commons.math.complex.Complex complex21 = complex11.multiply(complex14);
    org.apache.commons.math.complex.Complex complex22 = complex14.cosh();
    org.apache.commons.math.complex.Complex complex23 = complex14.acos();
    org.apache.commons.math.complex.Complex complex24 = complex7.subtract(complex14);
    org.apache.commons.math.complex.Complex complex25 = complex4.multiply(complex7);
    org.apache.commons.math.complex.Complex complex27 = new org.apache.commons.math.complex.Complex(2.5091784786580567d);
    org.apache.commons.math.complex.Complex complex28 = complex27.sqrt();
    double d29 = complex27.getImaginary();
    org.apache.commons.math.complex.Complex complex31 = complex27.add((-1.0d));
    org.apache.commons.math.complex.Complex complex32 = complex7.subtract(complex27);
    org.apache.commons.math.complex.Complex complex33 = complex3.divide(complex27);
    org.apache.commons.math.complex.Complex complex36 = org.apache.commons.math.complex.Complex.valueOf(1.5707963267948966d, 2.5091784786580567d);
    boolean b37 = complex36.isInfinite();
    org.apache.commons.math.complex.Complex complex38 = complex36.exp();
    org.apache.commons.math.complex.Complex complex39 = complex33.divide(complex38);
    org.apache.commons.math.complex.Complex complex40 = complex33.atan();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b8 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complexField13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d29 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b37 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex40);

  }

  @Test
  public void test482() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test482"); }


    int i1 = org.apache.commons.math.util.FastMath.abs(2147483647);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 2147483647);

  }

  @Test
  public void test483() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test483"); }


    org.apache.commons.math.complex.Complex complex0 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex1 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex2 = complex0.pow(complex1);
    boolean b3 = complex2.isInfinite();
    org.apache.commons.math.complex.Complex complex4 = complex2.atan();
    org.apache.commons.math.complex.Complex complex6 = new org.apache.commons.math.complex.Complex(2.5091784786580567d);
    org.apache.commons.math.complex.Complex complex7 = complex2.add(complex6);
    org.apache.commons.math.complex.Complex complex9 = complex6.subtract(2.2250738585072014E-308d);
    org.apache.commons.math.complex.Complex complex11 = new org.apache.commons.math.complex.Complex((-0.017454178629595085d));
    org.apache.commons.math.complex.Complex complex12 = complex6.multiply(complex11);
    org.apache.commons.math.complex.Complex complex13 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.complex.Complex complex14 = complex11.divide(complex13);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException");
    } catch (org.apache.commons.math.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex12);

  }

  @Test
  public void test484() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test484"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.NotPositiveException notPositiveException2 = new org.apache.commons.math.exception.NotPositiveException(localizable0, (java.lang.Number)364.0d);

  }

  @Test
  public void test485() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test485"); }


    double d3 = org.apache.commons.math.util.MathUtils.reduce(0.7071067811865476d, (-0.010000166680833889d), 1.5707963267948966d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 0.006324955624199324d);

  }

  @Test
  public void test486() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test486"); }


    float f2 = org.apache.commons.math.util.FastMath.copySign(102400.01f, 1.2676505E31f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 102400.01f);

  }

  @Test
  public void test487() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test487"); }


    double d1 = org.apache.commons.math.util.FastMath.cbrt((-0.9999500054160819d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.9999833348609687d));

  }

  @Test
  public void test488() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test488"); }


    long long2 = org.apache.commons.math.util.MathUtils.gcd((-101L), 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 101L);

  }

  @Test
  public void test489() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test489"); }


    org.apache.commons.math.complex.Complex complex2 = new org.apache.commons.math.complex.Complex(5.905646404072867E7d, 0.8414979990964851d);

  }

  @Test
  public void test490() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test490"); }


    double d1 = org.apache.commons.math.util.FastMath.exp((-6.561531605180123d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.0014137187923134143d);

  }

  @Test
  public void test491() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test491"); }


    long long2 = org.apache.commons.math.util.MathUtils.pow((-101L), 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 1L);

  }

  @Test
  public void test492() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test492"); }


    int i1 = org.apache.commons.math.util.MathUtils.indicator((-1272213991));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == (-1));

  }

  @Test
  public void test493() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test493"); }


    double[] d_array1 = new double[] { 10.0d };
    double[] d_array3 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array1, 1.5707963267948961d);
    double[] d_array5 = new double[] { 1.0d };
    double[] d_array7 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array5, 10.0d);
    double d8 = org.apache.commons.math.util.MathUtils.safeNorm(d_array5);
    double[] d_array10 = new double[] { 1.0d };
    double[] d_array12 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array10, 10.0d);
    double[] d_array14 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array10, (-0.009999666686665238d));
    double[][] d_array_array15 = new double[][] { d_array10 };
    org.apache.commons.math.util.MathUtils.sortInPlace(d_array5, d_array_array15);
    double[] d_array18 = new double[] { 1.0d };
    double[] d_array20 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array18, 10.0d);
    double d21 = org.apache.commons.math.util.MathUtils.distanceInf(d_array5, d_array18);
    double[] d_array23 = new double[] { 1.0d };
    double[] d_array25 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array23, 10.0d);
    org.apache.commons.math.util.MathUtils.OrderDirection orderDirection26 = null;
    double[] d_array28 = new double[] { 1.0d };
    double[] d_array30 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array28, 10.0d);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array28);
    double[][] d_array_array32 = new double[][] { d_array28 };
    org.apache.commons.math.util.MathUtils.sortInPlace(d_array25, orderDirection26, d_array_array32);
    boolean b34 = org.apache.commons.math.util.MathUtils.equals(d_array18, d_array25);
    boolean b35 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(d_array3, d_array25);
    // The following exception was thrown during execution in test generation
    try {
      double[] d_array37 = org.apache.commons.math.util.MathUtils.copyOf(d_array3, (-118622672));
      org.junit.Assert.fail("Expected exception of type java.lang.NegativeArraySizeException");
    } catch (java.lang.NegativeArraySizeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NegativeArraySizeException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NegativeArraySizeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d21 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b34 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b35 == false);

  }

  @Test
  public void test494() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test494"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.util.Localizable localizable2 = null;
    java.lang.Object[] obj_array4 = new java.lang.Object[] { '#' };
    org.apache.commons.math.exception.NullArgumentException nullArgumentException5 = new org.apache.commons.math.exception.NullArgumentException(localizable2, obj_array4);
    org.apache.commons.math.exception.NotFiniteNumberException notFiniteNumberException6 = new org.apache.commons.math.exception.NotFiniteNumberException(localizable0, (java.lang.Number)(byte)0, obj_array4);
    org.apache.commons.math.exception.NumberIsTooLargeException numberIsTooLargeException10 = new org.apache.commons.math.exception.NumberIsTooLargeException((java.lang.Number)1.0E-10f, (java.lang.Number)10.000001f, false);
    notFiniteNumberException6.addSuppressed((java.lang.Throwable)numberIsTooLargeException10);
    boolean b12 = numberIsTooLargeException10.getBoundIsAllowed();
    java.lang.Number number13 = numberIsTooLargeException10.getMax();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b12 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number13 + "' != '" + 10.000001f+ "'", number13.equals(10.000001f));

  }

  @Test
  public void test495() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test495"); }


    org.apache.commons.math.exception.NumberIsTooLargeException numberIsTooLargeException3 = new org.apache.commons.math.exception.NumberIsTooLargeException((java.lang.Number)1, (java.lang.Number)(-0.0d), false);
    boolean b4 = numberIsTooLargeException3.getBoundIsAllowed();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);

  }

  @Test
  public void test496() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test496"); }


    double d1 = org.apache.commons.math.util.FastMath.sinh((-1.183842657860855d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-1.4804017350524317d));

  }

  @Test
  public void test497() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test497"); }


    double d1 = org.apache.commons.math.util.FastMath.log1p((-267.74489404101644d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test498() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test498"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.util.Localizable localizable1 = null;
    org.apache.commons.math.exception.NumberIsTooLargeException numberIsTooLargeException5 = new org.apache.commons.math.exception.NumberIsTooLargeException(localizable1, (java.lang.Number)4.440892098500626E-16d, (java.lang.Number)(byte)1, true);
    java.lang.Throwable[] throwable_array6 = numberIsTooLargeException5.getSuppressed();
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException7 = new org.apache.commons.math.exception.MathArithmeticException(localizable0, (java.lang.Object[])throwable_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array6);

  }

  @Test
  public void test499() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test499"); }


    double d1 = org.apache.commons.math.util.FastMath.nextUp(0.8061857731102472d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.8061857731102473d);

  }

  @Test
  public void test500() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test500"); }


    // The following exception was thrown during execution in test generation
    try {
      long long1 = org.apache.commons.math.util.MathUtils.factorial((-2008633678));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NotPositiveException");
    } catch (org.apache.commons.math.exception.NotPositiveException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NotPositiveException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NotPositiveException, got " + e.getClass().getCanonicalName());
      }
    }

  }

}
