
import org.junit.FixMethodOrder;
import org.junit.Test;
import org.junit.runners.MethodSorters;

@FixMethodOrder(MethodSorters.NAME_ASCENDING)
public class RegressionTest3 {

  public static boolean debug = false;

  @Test
  public void test001() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test001"); }


    org.apache.commons.math.complex.Complex complex2 = org.apache.commons.math.complex.Complex.valueOf((-1.7452406437283512d), (-0.999950005416082d));
    org.apache.commons.math.complex.Complex complex3 = complex2.sin();
    // The following exception was thrown during execution in test generation
    try {
      java.util.List list5 = complex3.nthRoot((-1977326743));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NotPositiveException");
    } catch (org.apache.commons.math.exception.NotPositiveException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NotPositiveException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NotPositiveException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex3);

  }

  @Test
  public void test002() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test002"); }


    double d1 = org.apache.commons.math.util.FastMath.ulp(365.4261302661875d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 5.6843418860808015E-14d);

  }

  @Test
  public void test003() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test003"); }


    double d1 = org.apache.commons.math.util.FastMath.sqrt((-508.341764453806d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test004() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test004"); }


    double d2 = org.apache.commons.math.util.FastMath.min(2.3978952727983707d, (-1.5707963267948966d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-1.5707963267948966d));

  }

  @Test
  public void test005() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test005"); }


    int[] i_array0 = new int[] {  };
    int[] i_array2 = org.apache.commons.math.util.MathUtils.copyOf(i_array0, 1);
    int[] i_array3 = null;
    int i4 = org.apache.commons.math.util.MathUtils.distanceInf(i_array0, i_array3);
    int[] i_array5 = new int[] {  };
    int[] i_array7 = org.apache.commons.math.util.MathUtils.copyOf(i_array5, 1);
    int[] i_array8 = org.apache.commons.math.util.MathUtils.copyOf(i_array5);
    int[] i_array10 = new int[] { 100 };
    int i11 = org.apache.commons.math.util.MathUtils.distance1(i_array5, i_array10);
    int[] i_array12 = org.apache.commons.math.util.MathUtils.copyOf(i_array5);
    int i13 = org.apache.commons.math.util.MathUtils.distanceInf(i_array0, i_array12);
    int[] i_array15 = new int[] { (-1) };
    int[] i_array16 = org.apache.commons.math.util.MathUtils.copyOf(i_array15);
    int[] i_array17 = org.apache.commons.math.util.MathUtils.copyOf(i_array16);
    int[] i_array19 = new int[] { (-1) };
    int[] i_array20 = org.apache.commons.math.util.MathUtils.copyOf(i_array19);
    int[] i_array24 = new int[] { 0, 0, 0 };
    int[] i_array25 = org.apache.commons.math.util.MathUtils.copyOf(i_array24);
    double d26 = org.apache.commons.math.util.MathUtils.distance(i_array19, i_array24);
    int[] i_array27 = org.apache.commons.math.util.MathUtils.copyOf(i_array19);
    int[] i_array29 = org.apache.commons.math.util.MathUtils.copyOf(i_array27, 1016);
    int i30 = org.apache.commons.math.util.MathUtils.distance1(i_array17, i_array29);
    int i31 = org.apache.commons.math.util.MathUtils.distanceInf(i_array0, i_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i11 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i13 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d26 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i30 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i31 == 0);

  }

  @Test
  public void test006() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test006"); }


    double d2 = org.apache.commons.math.util.FastMath.atan2(0.9950371902099892d, 5.3756877578035057E18d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.8509951378138808E-19d);

  }

  @Test
  public void test007() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test007"); }


    org.apache.commons.math.exception.NumberIsTooLargeException numberIsTooLargeException3 = new org.apache.commons.math.exception.NumberIsTooLargeException((java.lang.Number)(-0.010000166680833889d), (java.lang.Number)1L, false);
    boolean b4 = numberIsTooLargeException3.getBoundIsAllowed();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);

  }

  @Test
  public void test008() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test008"); }


    double d1 = org.apache.commons.math.util.FastMath.tan(0.4074982998998546d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.43166014691669924d);

  }

  @Test
  public void test009() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test009"); }


    org.apache.commons.math.complex.Complex complex0 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex1 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex2 = complex0.pow(complex1);
    org.apache.commons.math.complex.ComplexField complexField3 = complex1.getField();
    org.apache.commons.math.complex.Complex complex4 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex5 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex6 = complex4.pow(complex5);
    org.apache.commons.math.complex.Complex complex7 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex8 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex9 = complex7.pow(complex8);
    org.apache.commons.math.complex.Complex complex10 = complex4.multiply(complex8);
    org.apache.commons.math.complex.Complex complex11 = complex1.multiply(complex4);
    org.apache.commons.math.complex.Complex complex12 = complex4.cosh();
    org.apache.commons.math.complex.Complex complex13 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex14 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex15 = complex13.pow(complex14);
    org.apache.commons.math.complex.Complex complex16 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex17 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex18 = complex16.pow(complex17);
    org.apache.commons.math.complex.Complex complex19 = complex13.multiply(complex17);
    org.apache.commons.math.complex.Complex complex20 = complex12.subtract(complex17);
    org.apache.commons.math.complex.Complex complex21 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex22 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex23 = complex21.pow(complex22);
    org.apache.commons.math.complex.ComplexField complexField24 = complex22.getField();
    org.apache.commons.math.complex.Complex complex25 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex26 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex27 = complex25.pow(complex26);
    org.apache.commons.math.complex.Complex complex28 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex29 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex30 = complex28.pow(complex29);
    org.apache.commons.math.complex.Complex complex31 = complex25.multiply(complex29);
    org.apache.commons.math.complex.Complex complex32 = complex22.multiply(complex25);
    org.apache.commons.math.complex.Complex complex33 = complex20.subtract(complex32);
    org.apache.commons.math.complex.Complex complex35 = complex33.subtract(1.0d);
    org.apache.commons.math.complex.Complex complex37 = complex33.add((-2.400169552094582d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complexField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complexField24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex37);

  }

  @Test
  public void test010() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test010"); }


    org.apache.commons.math.complex.Complex complex0 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex1 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex2 = complex0.pow(complex1);
    org.apache.commons.math.complex.ComplexField complexField3 = complex1.getField();
    org.apache.commons.math.complex.Complex complex4 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex5 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex6 = complex4.pow(complex5);
    org.apache.commons.math.complex.Complex complex7 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex8 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex9 = complex7.pow(complex8);
    org.apache.commons.math.complex.Complex complex10 = complex4.multiply(complex8);
    org.apache.commons.math.complex.Complex complex11 = complex1.multiply(complex4);
    boolean b13 = complex11.equals((java.lang.Object)(-1.7452406437283512d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complexField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b13 == false);

  }

  @Test
  public void test011() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test011"); }


    double d1 = org.apache.commons.math.util.FastMath.expm1(2.1876798576510494d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 7.914506179162355d);

  }

  @Test
  public void test012() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test012"); }


    int i2 = org.apache.commons.math.util.MathUtils.pow((-6), 4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 1296);

  }

  @Test
  public void test013() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test013"); }


    float f2 = org.apache.commons.math.util.FastMath.scalb(102400.01f, 1910505473);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == Float.POSITIVE_INFINITY);

  }

  @Test
  public void test014() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test014"); }


    org.apache.commons.math.complex.Complex complex0 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex1 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex2 = complex0.pow(complex1);
    boolean b3 = complex2.isInfinite();
    org.apache.commons.math.complex.Complex complex4 = complex2.atan();
    org.apache.commons.math.complex.Complex complex6 = new org.apache.commons.math.complex.Complex(2.5091784786580567d);
    org.apache.commons.math.complex.Complex complex7 = complex2.add(complex6);
    org.apache.commons.math.complex.Complex complex9 = complex6.subtract(2.2250738585072014E-308d);
    org.apache.commons.math.complex.Complex complex11 = complex9.subtract(1.000050005417318d);
    double d12 = complex9.abs();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d12 == 2.5091784786580567d);

  }

  @Test
  public void test015() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test015"); }


    double d3 = org.apache.commons.math.util.MathUtils.reduce(0.9443875935450844d, 364.0d, 1.0013824497714652d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 363.9430051437736d);

  }

  @Test
  public void test016() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test016"); }


    org.apache.commons.math.complex.Complex complex0 = org.apache.commons.math.complex.Complex.ONE;
    org.apache.commons.math.complex.Complex complex1 = complex0.log();
    org.apache.commons.math.complex.Complex complex3 = complex1.multiply(43.1284181946612d);
    org.apache.commons.math.complex.Complex complex4 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex5 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex6 = complex4.pow(complex5);
    org.apache.commons.math.complex.Complex complex7 = complex1.multiply(complex5);
    org.apache.commons.math.complex.Complex complex8 = complex1.acos();
    org.apache.commons.math.complex.Complex complex10 = complex1.multiply(2.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex10);

  }

  @Test
  public void test017() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test017"); }


    org.apache.commons.math.util.MathUtils.checkFinite(1.113328173308888E10d);

  }

  @Test
  public void test018() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test018"); }


    double d1 = org.apache.commons.math.util.FastMath.ceil((-0.7219406744110326d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.0d));

  }

  @Test
  public void test019() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test019"); }


    double[] d_array4 = new double[] { 1.0d };
    double[] d_array6 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array4, 10.0d);
    double[] d_array7 = org.apache.commons.math.util.MathUtils.copyOf(d_array4);
    org.apache.commons.math.util.MathUtils.OrderDirection orderDirection8 = org.apache.commons.math.util.MathUtils.OrderDirection.INCREASING;
    double[] d_array10 = new double[] { 1.0d };
    double[] d_array12 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array10, 10.0d);
    double d13 = org.apache.commons.math.util.MathUtils.safeNorm(d_array10);
    double[] d_array15 = new double[] { 1.0d };
    double[] d_array17 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array15, 10.0d);
    double[] d_array19 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array15, (-0.009999666686665238d));
    double[][] d_array_array20 = new double[][] { d_array15 };
    org.apache.commons.math.util.MathUtils.sortInPlace(d_array10, d_array_array20);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array10);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array10);
    double[] d_array25 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array10, 1.5707963267948966d);
    org.apache.commons.math.util.MathUtils.OrderDirection orderDirection26 = org.apache.commons.math.util.MathUtils.OrderDirection.INCREASING;
    double[] d_array28 = new double[] { 1.0d };
    double[] d_array30 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array28, 10.0d);
    double[][] d_array_array31 = new double[][] { d_array30 };
    org.apache.commons.math.util.MathUtils.sortInPlace(d_array25, orderDirection26, d_array_array31);
    org.apache.commons.math.util.MathUtils.sortInPlace(d_array4, orderDirection8, d_array_array31);
    double[] d_array35 = new double[] { 10.0d };
    double[] d_array37 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array35, 1.5707963267948961d);
    double[] d_array39 = new double[] { 1.0d };
    double[] d_array41 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array39, 10.0d);
    double d42 = org.apache.commons.math.util.MathUtils.safeNorm(d_array39);
    double[] d_array44 = new double[] { 1.0d };
    double[] d_array46 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array44, 10.0d);
    double[] d_array48 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array44, (-0.009999666686665238d));
    double[][] d_array_array49 = new double[][] { d_array44 };
    org.apache.commons.math.util.MathUtils.sortInPlace(d_array39, d_array_array49);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array39);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array39);
    double[] d_array54 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array39, 1.5707963267948966d);
    org.apache.commons.math.util.MathUtils.OrderDirection orderDirection55 = org.apache.commons.math.util.MathUtils.OrderDirection.INCREASING;
    double[] d_array57 = new double[] { 1.0d };
    double[] d_array59 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array57, 10.0d);
    double[][] d_array_array60 = new double[][] { d_array59 };
    org.apache.commons.math.util.MathUtils.sortInPlace(d_array54, orderDirection55, d_array_array60);
    boolean b64 = org.apache.commons.math.util.MathUtils.checkOrder(d_array35, orderDirection55, true, false);
    boolean b67 = org.apache.commons.math.util.MathUtils.checkOrder(d_array4, orderDirection55, false, false);
    org.apache.commons.math.exception.NonMonotonousSequenceException nonMonotonousSequenceException69 = new org.apache.commons.math.exception.NonMonotonousSequenceException((java.lang.Number)4.440892098500626E-16d, (java.lang.Number)(-0.009999666686665238d), 102528, orderDirection55, false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d13 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d42 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b64 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b67 == true);

  }

  @Test
  public void test020() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test020"); }


    double d6 = org.apache.commons.math.util.MathUtils.linearCombination(44.0d, 3.141592653589793d, (-0.01000000001333322d), 1.00002499989587d, (-0.001832482278887523d), 0.6931471805599453d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 138.21880632801356d);

  }

  @Test
  public void test021() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test021"); }


    long long1 = org.apache.commons.math.util.FastMath.round(11.294825448999884d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 11L);

  }

  @Test
  public void test022() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test022"); }


    double d1 = org.apache.commons.math.util.FastMath.atan(1.5882513917771335d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0088793344691473d);

  }

  @Test
  public void test023() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test023"); }


    float[] f_array3 = new float[] { 10.0f, 0.0f, 1.0f };
    float[] f_array6 = new float[] { 100.0f, (-1.0f) };
    boolean b7 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(f_array3, f_array6);
    float[] f_array9 = new float[] { 0.0f };
    float[] f_array13 = new float[] { 10.0f, 0.0f, 1.0f };
    float[] f_array16 = new float[] { 100.0f, (-1.0f) };
    boolean b17 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(f_array13, f_array16);
    boolean b18 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(f_array9, f_array16);
    boolean b19 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(f_array3, f_array9);
    float[] f_array23 = new float[] { (-1.0f), (-1.0f), 0.0f };
    float[] f_array27 = new float[] { 10.0f, 0.0f, 1.0f };
    float[] f_array30 = new float[] { 100.0f, (-1.0f) };
    boolean b31 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(f_array27, f_array30);
    float[] f_array33 = new float[] { 0.0f };
    float[] f_array37 = new float[] { 10.0f, 0.0f, 1.0f };
    float[] f_array40 = new float[] { 100.0f, (-1.0f) };
    boolean b41 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(f_array37, f_array40);
    boolean b42 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(f_array33, f_array40);
    boolean b43 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(f_array27, f_array33);
    boolean b44 = org.apache.commons.math.util.MathUtils.equals(f_array23, f_array27);
    boolean b45 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(f_array9, f_array23);
    float[] f_array47 = new float[] { 0.0f };
    float[] f_array51 = new float[] { 10.0f, 0.0f, 1.0f };
    float[] f_array54 = new float[] { 100.0f, (-1.0f) };
    boolean b55 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(f_array51, f_array54);
    boolean b56 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(f_array47, f_array54);
    boolean b57 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(f_array23, f_array54);
    float[] f_array58 = null;
    boolean b59 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(f_array23, f_array58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b7 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b17 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b18 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b19 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b31 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b41 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b42 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b43 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b44 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b45 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b55 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b56 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b57 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b59 == false);

  }

  @Test
  public void test024() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test024"); }


    boolean b2 = org.apache.commons.math.util.MathUtils.equals(1.1920929E-7f, 102400.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test025() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test025"); }


    org.apache.commons.math.complex.Complex complex0 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex1 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex2 = complex0.pow(complex1);
    boolean b3 = complex2.isInfinite();
    org.apache.commons.math.complex.Complex complex4 = complex2.atan();
    org.apache.commons.math.complex.Complex complex5 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex6 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex7 = complex5.pow(complex6);
    org.apache.commons.math.complex.ComplexField complexField8 = complex6.getField();
    org.apache.commons.math.complex.Complex complex9 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex10 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex11 = complex9.pow(complex10);
    org.apache.commons.math.complex.Complex complex12 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex13 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex14 = complex12.pow(complex13);
    org.apache.commons.math.complex.Complex complex15 = complex9.multiply(complex13);
    org.apache.commons.math.complex.Complex complex16 = complex6.multiply(complex9);
    org.apache.commons.math.complex.Complex complex17 = complex9.cosh();
    org.apache.commons.math.complex.Complex complex18 = complex9.acos();
    org.apache.commons.math.complex.Complex complex19 = complex2.subtract(complex9);
    double d20 = complex19.getArgument();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complexField8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d20, Double.NaN, 0);

  }

  @Test
  public void test026() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test026"); }


    int i2 = org.apache.commons.math.util.MathUtils.lcm((-318324063), (-6));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 636648126);

  }

  @Test
  public void test027() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test027"); }


    double d1 = org.apache.commons.math.util.FastMath.sinh(0.03125754702280396d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.03126263722044306d);

  }

  @Test
  public void test028() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test028"); }


    int i2 = org.apache.commons.math.util.MathUtils.gcd(100, (-758373183));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 1);

  }

  @Test
  public void test029() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test029"); }


    boolean b3 = org.apache.commons.math.util.MathUtils.equals(0.0f, 1.4E-45f, 1.0E-10f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == true);

  }

  @Test
  public void test030() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test030"); }


    double d1 = org.apache.commons.math.util.FastMath.cos((-0.01745240643728351d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.9998477106202734d);

  }

  @Test
  public void test031() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test031"); }


    java.lang.Number number0 = null;
    org.apache.commons.math.exception.NumberIsTooLargeException numberIsTooLargeException3 = new org.apache.commons.math.exception.NumberIsTooLargeException(number0, (java.lang.Number)102400.0f, true);
    boolean b4 = numberIsTooLargeException3.getBoundIsAllowed();
    java.lang.Number number5 = numberIsTooLargeException3.getMax();
    boolean b6 = numberIsTooLargeException3.getBoundIsAllowed();
    boolean b7 = numberIsTooLargeException3.getBoundIsAllowed();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number5 + "' != '" + 102400.0f+ "'", number5.equals(102400.0f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b6 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b7 == true);

  }

  @Test
  public void test032() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test032"); }


    org.apache.commons.math.complex.Complex complex0 = org.apache.commons.math.complex.Complex.ONE;
    double d1 = complex0.getArgument();
    org.apache.commons.math.complex.Complex complex2 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex3 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex4 = complex2.pow(complex3);
    org.apache.commons.math.complex.ComplexField complexField5 = complex3.getField();
    org.apache.commons.math.complex.Complex complex6 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex7 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex8 = complex6.pow(complex7);
    org.apache.commons.math.complex.Complex complex9 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex10 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex11 = complex9.pow(complex10);
    org.apache.commons.math.complex.Complex complex12 = complex6.multiply(complex10);
    org.apache.commons.math.complex.Complex complex13 = complex3.multiply(complex6);
    org.apache.commons.math.complex.Complex complex14 = complex6.sqrt1z();
    org.apache.commons.math.complex.Complex complex15 = complex14.cosh();
    boolean b16 = complex14.isInfinite();
    org.apache.commons.math.complex.Complex complex17 = complex0.pow(complex14);
    org.apache.commons.math.complex.Complex complex18 = complex0.sqrt1z();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complexField5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b16 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex18);

  }

  @Test
  public void test033() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test033"); }


    long long2 = org.apache.commons.math.util.MathUtils.addAndCheck(23L, 101L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 124L);

  }

  @Test
  public void test034() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test034"); }


    double d1 = org.apache.commons.math.util.MathUtils.sign(2.220446049250313E-16d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);

  }

  @Test
  public void test035() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test035"); }


    org.apache.commons.math.exception.util.Localizable localizable1 = null;
    org.apache.commons.math.exception.NumberIsTooLargeException numberIsTooLargeException5 = new org.apache.commons.math.exception.NumberIsTooLargeException(localizable1, (java.lang.Number)4.440892098500626E-16d, (java.lang.Number)(byte)1, true);
    java.lang.Throwable[] throwable_array6 = numberIsTooLargeException5.getSuppressed();
    org.apache.commons.math.exception.NotFiniteNumberException notFiniteNumberException7 = new org.apache.commons.math.exception.NotFiniteNumberException((java.lang.Number)Double.NaN, (java.lang.Object[])throwable_array6);
    org.apache.commons.math.exception.util.ExceptionContext exceptionContext8 = notFiniteNumberException7.getContext();
    org.apache.commons.math.exception.util.ExceptionContext exceptionContext9 = notFiniteNumberException7.getContext();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext9);

  }

  @Test
  public void test036() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test036"); }


    boolean b3 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(5.0f, 1.1920929E-7f, (-2008633678));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test037() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test037"); }


    org.apache.commons.math.exception.NonMonotonousSequenceException nonMonotonousSequenceException3 = new org.apache.commons.math.exception.NonMonotonousSequenceException((java.lang.Number)15.104412573075516d, (java.lang.Number)(-508.341764453806d), 106);

  }

  @Test
  public void test038() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test038"); }


    int i1 = org.apache.commons.math.util.MathUtils.sign((-1150));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == (-1));

  }

  @Test
  public void test039() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test039"); }


    double[] d_array1 = new double[] { 1.0d };
    double[] d_array3 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array1, 10.0d);
    double d4 = org.apache.commons.math.util.MathUtils.safeNorm(d_array1);
    double[] d_array6 = new double[] { 1.0d };
    double[] d_array8 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array6, 10.0d);
    double[] d_array10 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array6, (-0.009999666686665238d));
    double[][] d_array_array11 = new double[][] { d_array6 };
    org.apache.commons.math.util.MathUtils.sortInPlace(d_array1, d_array_array11);
    double[] d_array14 = new double[] { 1.0d };
    double[] d_array16 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array14, 10.0d);
    double d17 = org.apache.commons.math.util.MathUtils.distanceInf(d_array1, d_array14);
    double[] d_array19 = new double[] { 1.0d };
    double[] d_array21 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array19, 10.0d);
    org.apache.commons.math.util.MathUtils.OrderDirection orderDirection22 = null;
    double[] d_array24 = new double[] { 1.0d };
    double[] d_array26 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array24, 10.0d);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array24);
    double[][] d_array_array28 = new double[][] { d_array24 };
    org.apache.commons.math.util.MathUtils.sortInPlace(d_array21, orderDirection22, d_array_array28);
    boolean b30 = org.apache.commons.math.util.MathUtils.equals(d_array14, d_array21);
    double[] d_array31 = org.apache.commons.math.util.MathUtils.copyOf(d_array21);
    // The following exception was thrown during execution in test generation
    try {
      double[] d_array33 = org.apache.commons.math.util.MathUtils.copyOf(d_array31, (-1376942411));
      org.junit.Assert.fail("Expected exception of type java.lang.NegativeArraySizeException");
    } catch (java.lang.NegativeArraySizeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NegativeArraySizeException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NegativeArraySizeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d17 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b30 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array31);

  }

  @Test
  public void test040() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test040"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.DimensionMismatchException dimensionMismatchException3 = new org.apache.commons.math.exception.DimensionMismatchException(localizable0, 2, 1016);

  }

  @Test
  public void test041() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test041"); }


    org.apache.commons.math.util.MathUtils.checkNotNull((java.lang.Object)1);

  }

  @Test
  public void test042() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test042"); }


    int i1 = org.apache.commons.math.util.FastMath.getExponent((-6.283185307179585d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 2);

  }

  @Test
  public void test043() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test043"); }


    long long2 = org.apache.commons.math.util.MathUtils.pow(0L, 1980L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 0L);

  }

  @Test
  public void test044() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test044"); }


    double d1 = org.apache.commons.math.util.FastMath.log10(0.012600241772540894d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-1.8996211215909284d));

  }

  @Test
  public void test045() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test045"); }


    double d2 = org.apache.commons.math.util.FastMath.max(1.3246090892520057d, (-1.2599210498948732d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.3246090892520057d);

  }

  @Test
  public void test046() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test046"); }


    java.lang.Number number0 = null;
    org.apache.commons.math.exception.NonMonotonousSequenceException nonMonotonousSequenceException3 = new org.apache.commons.math.exception.NonMonotonousSequenceException(number0, (java.lang.Number)49.035452847101745d, (-719689146));

  }

  @Test
  public void test047() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test047"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.util.Localizable localizable1 = null;
    double[] d_array3 = new double[] { 1.0d };
    double[] d_array5 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array3, 10.0d);
    double d6 = org.apache.commons.math.util.MathUtils.safeNorm(d_array3);
    double[] d_array8 = new double[] { 1.0d };
    double[] d_array10 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array8, 10.0d);
    double[] d_array12 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array8, (-0.009999666686665238d));
    double[][] d_array_array13 = new double[][] { d_array8 };
    org.apache.commons.math.util.MathUtils.sortInPlace(d_array3, d_array_array13);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException15 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable1, (java.lang.Object[])d_array_array13);
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException16 = new org.apache.commons.math.exception.MathArithmeticException(localizable0, (java.lang.Object[])d_array_array13);
    org.apache.commons.math.exception.util.ExceptionContext exceptionContext17 = mathArithmeticException16.getContext();
    // The following exception was thrown during execution in test generation
    try {
      java.lang.String str18 = mathArithmeticException16.toString();
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext17);

  }

  @Test
  public void test048() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test048"); }


    double d1 = org.apache.commons.math.util.FastMath.toDegrees(0.9826981340527561d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 56.30445561660412d);

  }

  @Test
  public void test049() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test049"); }


    long long2 = org.apache.commons.math.util.MathUtils.lcm(100L, (-100L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 100L);

  }

  @Test
  public void test050() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test050"); }


    org.apache.commons.math.complex.Complex complex2 = org.apache.commons.math.complex.Complex.valueOf(1.5707963267948966d, 2.5091784786580567d);
    boolean b3 = complex2.isInfinite();
    org.apache.commons.math.complex.Complex complex4 = complex2.exp();
    org.apache.commons.math.complex.Complex complex5 = complex4.tan();
    org.apache.commons.math.complex.Complex complex6 = complex4.tanh();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex6);

  }

  @Test
  public void test051() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test051"); }


    double d2 = org.apache.commons.math.util.MathUtils.round(1.00002499989587d, 128);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.00002499989587d);

  }

  @Test
  public void test052() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test052"); }


    double d1 = org.apache.commons.math.util.FastMath.sinh((-0.017453292519943295d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.01745417862959511d));

  }

  @Test
  public void test053() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test053"); }


    org.apache.commons.math.complex.Complex complex0 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex1 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex2 = complex0.pow(complex1);
    org.apache.commons.math.complex.Complex complex3 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex4 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex5 = complex3.pow(complex4);
    org.apache.commons.math.complex.Complex complex6 = complex0.multiply(complex4);
    org.apache.commons.math.complex.Complex complex7 = complex6.negate();
    org.apache.commons.math.complex.Complex complex8 = complex7.conjugate();
    double d9 = complex8.getReal();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == Double.NEGATIVE_INFINITY);

  }

  @Test
  public void test054() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test054"); }


    double d1 = org.apache.commons.math.util.FastMath.cosh(1.5231807435201146d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 2.402404374986988d);

  }

  @Test
  public void test055() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test055"); }


    int[] i_array0 = new int[] {  };
    int[] i_array2 = org.apache.commons.math.util.MathUtils.copyOf(i_array0, 1);
    int[] i_array3 = org.apache.commons.math.util.MathUtils.copyOf(i_array0);
    int[] i_array5 = new int[] { (-1) };
    int[] i_array6 = org.apache.commons.math.util.MathUtils.copyOf(i_array5);
    int[] i_array8 = org.apache.commons.math.util.MathUtils.copyOf(i_array5, 0);
    int i9 = org.apache.commons.math.util.MathUtils.distance1(i_array3, i_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i9 == 0);

  }

  @Test
  public void test056() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test056"); }


    double d6 = org.apache.commons.math.util.MathUtils.linearCombination(0.03125754702280396d, 0.9999997153880077d, (-1.2599210498948732d), Double.POSITIVE_INFINITY, 0.99627207622075d, 0.009949836253965274d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == Double.NEGATIVE_INFINITY);

  }

  @Test
  public void test057() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test057"); }


    long long2 = org.apache.commons.math.util.MathUtils.subAndCheck(7766279631452242009L, 23L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 7766279631452241986L);

  }

  @Test
  public void test058() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test058"); }


    org.apache.commons.math.complex.Complex complex2 = new org.apache.commons.math.complex.Complex((-0.009999500037496873d), 4.810477380965351d);
    org.apache.commons.math.complex.Complex complex3 = complex2.atan();
    org.apache.commons.math.complex.Complex complex4 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex5 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex6 = complex4.pow(complex5);
    boolean b7 = complex6.isInfinite();
    boolean b8 = complex6.isNaN();
    org.apache.commons.math.complex.Complex complex10 = complex6.pow(43.1284181946612d);
    org.apache.commons.math.complex.Complex complex11 = complex3.subtract(complex10);
    boolean b12 = complex10.isInfinite();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b7 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b8 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b12 == false);

  }

  @Test
  public void test059() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test059"); }


    int i2 = org.apache.commons.math.util.MathUtils.pow((-118622673), 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 1);

  }

  @Test
  public void test060() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test060"); }


    float f2 = org.apache.commons.math.util.FastMath.scalb(10.000002f, 3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 80.000015f);

  }

  @Test
  public void test061() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test061"); }


    float f2 = org.apache.commons.math.util.FastMath.copySign(9.671408E24f, 1.0E-10f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 9.671408E24f);

  }

  @Test
  public void test062() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test062"); }


    java.lang.Number number0 = null;
    java.lang.Number number1 = null;
    org.apache.commons.math.exception.NonMonotonousSequenceException nonMonotonousSequenceException3 = new org.apache.commons.math.exception.NonMonotonousSequenceException(number0, number1, (-1074790400));

  }

  @Test
  public void test063() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test063"); }


    org.apache.commons.math.complex.Complex complex0 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex1 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex2 = complex0.pow(complex1);
    org.apache.commons.math.complex.ComplexField complexField3 = complex1.getField();
    org.apache.commons.math.complex.Complex complex4 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex5 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex6 = complex4.pow(complex5);
    org.apache.commons.math.complex.Complex complex7 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex8 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex9 = complex7.pow(complex8);
    org.apache.commons.math.complex.Complex complex10 = complex4.multiply(complex8);
    org.apache.commons.math.complex.Complex complex11 = complex1.multiply(complex4);
    org.apache.commons.math.complex.Complex complex12 = complex4.cosh();
    org.apache.commons.math.complex.Complex complex13 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex14 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex15 = complex13.pow(complex14);
    org.apache.commons.math.complex.Complex complex16 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex17 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex18 = complex16.pow(complex17);
    org.apache.commons.math.complex.Complex complex19 = complex13.multiply(complex17);
    org.apache.commons.math.complex.Complex complex20 = complex12.subtract(complex17);
    org.apache.commons.math.complex.Complex complex21 = complex12.sqrt();
    org.apache.commons.math.complex.Complex complex23 = complex12.subtract(Double.NEGATIVE_INFINITY);
    org.apache.commons.math.complex.Complex complex24 = complex23.tanh();
    org.apache.commons.math.complex.Complex complex26 = complex23.pow((-0.012341341494884351d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complexField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex26);

  }

  @Test
  public void test064() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test064"); }


    org.apache.commons.math.complex.Complex complex0 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex1 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex2 = complex0.pow(complex1);
    org.apache.commons.math.complex.ComplexField complexField3 = complex1.getField();
    org.apache.commons.math.complex.Complex complex4 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex5 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex6 = complex4.pow(complex5);
    org.apache.commons.math.complex.Complex complex7 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex8 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex9 = complex7.pow(complex8);
    org.apache.commons.math.complex.Complex complex10 = complex4.multiply(complex8);
    org.apache.commons.math.complex.Complex complex11 = complex1.multiply(complex4);
    org.apache.commons.math.complex.Complex complex12 = complex4.cosh();
    org.apache.commons.math.complex.Complex complex13 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex14 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex15 = complex13.pow(complex14);
    org.apache.commons.math.complex.Complex complex16 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex17 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex18 = complex16.pow(complex17);
    org.apache.commons.math.complex.Complex complex19 = complex13.multiply(complex17);
    org.apache.commons.math.complex.Complex complex20 = complex12.subtract(complex17);
    org.apache.commons.math.complex.Complex complex21 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex22 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex23 = complex21.pow(complex22);
    org.apache.commons.math.complex.ComplexField complexField24 = complex22.getField();
    org.apache.commons.math.complex.Complex complex25 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex26 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex27 = complex25.pow(complex26);
    org.apache.commons.math.complex.Complex complex28 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex29 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex30 = complex28.pow(complex29);
    org.apache.commons.math.complex.Complex complex31 = complex25.multiply(complex29);
    org.apache.commons.math.complex.Complex complex32 = complex22.multiply(complex25);
    org.apache.commons.math.complex.Complex complex33 = complex20.subtract(complex32);
    double d34 = complex33.getArgument();
    org.apache.commons.math.complex.Complex complex35 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex36 = complex35.cos();
    org.apache.commons.math.complex.Complex complex37 = org.apache.commons.math.complex.Complex.ONE;
    org.apache.commons.math.complex.Complex complex38 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex39 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex40 = complex38.pow(complex39);
    boolean b41 = complex40.isInfinite();
    org.apache.commons.math.complex.Complex complex42 = complex40.atan();
    org.apache.commons.math.complex.Complex complex43 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex44 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex45 = complex43.pow(complex44);
    org.apache.commons.math.complex.ComplexField complexField46 = complex44.getField();
    org.apache.commons.math.complex.Complex complex47 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex48 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex49 = complex47.pow(complex48);
    org.apache.commons.math.complex.Complex complex50 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex51 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex52 = complex50.pow(complex51);
    org.apache.commons.math.complex.Complex complex53 = complex47.multiply(complex51);
    org.apache.commons.math.complex.Complex complex54 = complex44.multiply(complex47);
    org.apache.commons.math.complex.Complex complex55 = complex47.cosh();
    org.apache.commons.math.complex.Complex complex56 = complex47.acos();
    org.apache.commons.math.complex.Complex complex57 = complex40.subtract(complex47);
    org.apache.commons.math.complex.Complex complex58 = complex37.multiply(complex40);
    org.apache.commons.math.complex.Complex complex59 = complex35.multiply(complex58);
    org.apache.commons.math.complex.Complex complex60 = complex33.add(complex58);
    org.apache.commons.math.complex.Complex complex61 = complex33.tan();
    org.apache.commons.math.complex.Complex complex62 = complex61.negate();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complexField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complexField24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d34, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b41 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complexField46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex62);

  }

  @Test
  public void test065() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test065"); }


    boolean b3 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN((-6.283185307179585d), 0.009999666686665238d, (-0.9308647510335805d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test066() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test066"); }


    org.apache.commons.math.complex.Complex complex0 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex1 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex2 = complex0.pow(complex1);
    org.apache.commons.math.complex.ComplexField complexField3 = complex1.getField();
    org.apache.commons.math.complex.Complex complex4 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex5 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex6 = complex4.pow(complex5);
    org.apache.commons.math.complex.Complex complex7 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex8 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex9 = complex7.pow(complex8);
    org.apache.commons.math.complex.Complex complex10 = complex4.multiply(complex8);
    org.apache.commons.math.complex.Complex complex11 = complex1.multiply(complex4);
    org.apache.commons.math.complex.Complex complex12 = complex4.cosh();
    org.apache.commons.math.complex.Complex complex13 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex14 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex15 = complex13.pow(complex14);
    org.apache.commons.math.complex.Complex complex16 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex17 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex18 = complex16.pow(complex17);
    org.apache.commons.math.complex.Complex complex19 = complex13.multiply(complex17);
    org.apache.commons.math.complex.Complex complex20 = complex12.subtract(complex17);
    org.apache.commons.math.complex.Complex complex21 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex22 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex23 = complex21.pow(complex22);
    org.apache.commons.math.complex.ComplexField complexField24 = complex22.getField();
    org.apache.commons.math.complex.Complex complex25 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex26 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex27 = complex25.pow(complex26);
    org.apache.commons.math.complex.Complex complex28 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex29 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex30 = complex28.pow(complex29);
    org.apache.commons.math.complex.Complex complex31 = complex25.multiply(complex29);
    org.apache.commons.math.complex.Complex complex32 = complex22.multiply(complex25);
    org.apache.commons.math.complex.Complex complex33 = complex20.subtract(complex32);
    org.apache.commons.math.complex.Complex complex34 = complex20.tanh();
    double d35 = complex20.getReal();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complexField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complexField24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d35, Double.NaN, 0);

  }

  @Test
  public void test067() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test067"); }


    double d1 = org.apache.commons.math.util.MathUtils.sign((-6.561531605180123d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-1.0d));

  }

  @Test
  public void test068() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test068"); }


    org.apache.commons.math.complex.Complex complex0 = org.apache.commons.math.complex.Complex.ONE;
    org.apache.commons.math.complex.Complex complex1 = org.apache.commons.math.complex.Complex.ONE;
    org.apache.commons.math.complex.Complex complex2 = complex1.log();
    org.apache.commons.math.complex.Complex complex4 = complex2.multiply(43.1284181946612d);
    org.apache.commons.math.complex.Complex complex5 = complex0.divide(complex2);
    org.apache.commons.math.complex.Complex complex6 = complex5.sin();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex6);

  }

  @Test
  public void test069() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test069"); }


    double d1 = org.apache.commons.math.util.FastMath.rint(0.999950005416082d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);

  }

  @Test
  public void test070() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test070"); }


    int i1 = org.apache.commons.math.util.FastMath.getExponent(Double.NaN);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 1024);

  }

  @Test
  public void test071() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test071"); }


    org.apache.commons.math.complex.Complex complex1 = org.apache.commons.math.complex.Complex.valueOf(0.0d);
    org.apache.commons.math.complex.Complex complex2 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex3 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex4 = complex2.pow(complex3);
    org.apache.commons.math.complex.ComplexField complexField5 = complex3.getField();
    org.apache.commons.math.complex.Complex complex6 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex7 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex8 = complex6.pow(complex7);
    org.apache.commons.math.complex.Complex complex9 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex10 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex11 = complex9.pow(complex10);
    org.apache.commons.math.complex.Complex complex12 = complex6.multiply(complex10);
    org.apache.commons.math.complex.Complex complex13 = complex3.multiply(complex6);
    org.apache.commons.math.util.MathUtils.checkNotNull((java.lang.Object)complex3);
    org.apache.commons.math.complex.Complex complex15 = complex3.acos();
    org.apache.commons.math.complex.Complex complex16 = complex1.add(complex3);
    org.apache.commons.math.complex.Complex complex18 = complex16.add((-0.015708609314253285d));
    org.apache.commons.math.exception.util.Localizable localizable19 = null;
    double[] d_array21 = new double[] { 1.0d };
    double[] d_array23 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array21, 10.0d);
    org.apache.commons.math.util.MathUtils.OrderDirection orderDirection24 = null;
    double[] d_array26 = new double[] { 1.0d };
    double[] d_array28 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array26, 10.0d);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array26);
    double[][] d_array_array30 = new double[][] { d_array26 };
    org.apache.commons.math.util.MathUtils.sortInPlace(d_array23, orderDirection24, d_array_array30);
    org.apache.commons.math.util.MathUtils.checkNotNull((java.lang.Object)complex16, localizable19, (java.lang.Object[])d_array_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complexField5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array30);

  }

  @Test
  public void test072() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test072"); }


    double d2 = org.apache.commons.math.util.FastMath.max(0.8061857731102473d, (-1.5707963267948966d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.8061857731102473d);

  }

  @Test
  public void test073() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test073"); }


    long long2 = org.apache.commons.math.util.MathUtils.addAndCheck(1000L, (-5485011738861510223L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == (-5485011738861509223L));

  }

  @Test
  public void test074() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test074"); }


    double[] d_array1 = new double[] { 1.0d };
    double[] d_array3 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array1, 10.0d);
    double[] d_array5 = new double[] { 1.0d };
    double[] d_array7 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array5, 10.0d);
    double[] d_array9 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array5, (-0.009999666686665238d));
    double[] d_array11 = new double[] { 1.0d };
    double[] d_array13 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array11, 10.0d);
    double[] d_array14 = org.apache.commons.math.util.MathUtils.copyOf(d_array11);
    double d15 = org.apache.commons.math.util.MathUtils.distanceInf(d_array5, d_array11);
    org.apache.commons.math.complex.Complex complex16 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex17 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex18 = complex16.pow(complex17);
    org.apache.commons.math.complex.ComplexField complexField19 = complex17.getField();
    org.apache.commons.math.complex.Complex complex20 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex21 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex22 = complex20.pow(complex21);
    org.apache.commons.math.complex.Complex complex23 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex24 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex25 = complex23.pow(complex24);
    org.apache.commons.math.complex.Complex complex26 = complex20.multiply(complex24);
    org.apache.commons.math.complex.Complex complex27 = complex17.multiply(complex20);
    org.apache.commons.math.util.MathUtils.OrderDirection orderDirection28 = org.apache.commons.math.util.MathUtils.OrderDirection.INCREASING;
    boolean b29 = complex20.equals((java.lang.Object)orderDirection28);
    double[] d_array31 = new double[] { 1.0d };
    double[] d_array33 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array31, 10.0d);
    double[] d_array34 = org.apache.commons.math.util.MathUtils.copyOf(d_array31);
    double[] d_array35 = org.apache.commons.math.util.MathUtils.copyOf(d_array31);
    double[][] d_array_array36 = new double[][] { d_array31 };
    org.apache.commons.math.util.MathUtils.sortInPlace(d_array11, orderDirection28, d_array_array36);
    double[] d_array39 = new double[] { 1.0d };
    double[] d_array41 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array39, 10.0d);
    double d42 = org.apache.commons.math.util.MathUtils.safeNorm(d_array39);
    org.apache.commons.math.exception.util.Localizable localizable43 = null;
    double[] d_array45 = new double[] { 1.0d };
    double[] d_array47 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array45, 10.0d);
    double d48 = org.apache.commons.math.util.MathUtils.safeNorm(d_array45);
    double[] d_array50 = new double[] { 1.0d };
    double[] d_array52 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array50, 10.0d);
    double[] d_array54 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array50, (-0.009999666686665238d));
    double[][] d_array_array55 = new double[][] { d_array50 };
    org.apache.commons.math.util.MathUtils.sortInPlace(d_array45, d_array_array55);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException57 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable43, (java.lang.Object[])d_array_array55);
    org.apache.commons.math.util.MathUtils.sortInPlace(d_array39, d_array_array55);
    org.apache.commons.math.util.MathUtils.sortInPlace(d_array1, orderDirection28, d_array_array55);
    double[] d_array61 = new double[] { 1.0d };
    double[] d_array63 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array61, 10.0d);
    double d64 = org.apache.commons.math.util.MathUtils.safeNorm(d_array61);
    double[] d_array66 = new double[] { 1.0d };
    double[] d_array68 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array66, 10.0d);
    double[] d_array70 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array66, (-0.009999666686665238d));
    double[][] d_array_array71 = new double[][] { d_array66 };
    org.apache.commons.math.util.MathUtils.sortInPlace(d_array61, d_array_array71);
    double[] d_array74 = new double[] { 1.0d };
    double[] d_array76 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array74, 10.0d);
    double d77 = org.apache.commons.math.util.MathUtils.distanceInf(d_array61, d_array74);
    double[] d_array79 = new double[] { 1.0d };
    double[] d_array81 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array79, 10.0d);
    double d82 = org.apache.commons.math.util.MathUtils.safeNorm(d_array79);
    double[] d_array84 = new double[] { 1.0d };
    double[] d_array86 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array84, 10.0d);
    double[] d_array88 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array84, (-0.009999666686665238d));
    double[][] d_array_array89 = new double[][] { d_array84 };
    org.apache.commons.math.util.MathUtils.sortInPlace(d_array79, d_array_array89);
    double d91 = org.apache.commons.math.util.MathUtils.distanceInf(d_array74, d_array79);
    double[] d_array92 = org.apache.commons.math.util.MathUtils.copyOf(d_array79);
    boolean b93 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(d_array1, d_array79);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d15 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complexField19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b29 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d42 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d48 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d64 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array66);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array68);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array70);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array71);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array74);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array76);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d77 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array79);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array81);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d82 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array84);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array86);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array88);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array89);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d91 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array92);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b93 == true);

  }

  @Test
  public void test075() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test075"); }


    double d8 = org.apache.commons.math.util.MathUtils.linearCombination(1.5807959934815619d, 23.197602957614347d, (-4.9500429233179447E-5d), (-0.2593935199454313d), 0.012600241772540894d, (-502.80415760266993d), (-0.01745240643728351d), 0.031262637220443035d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 30.3346910955799d);

  }

  @Test
  public void test076() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test076"); }


    org.apache.commons.math.complex.Complex complex0 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex1 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex2 = complex0.pow(complex1);
    boolean b3 = complex2.isInfinite();
    boolean b4 = complex2.isNaN();
    double d5 = complex2.getReal();
    org.apache.commons.math.complex.Complex complex7 = complex2.multiply(3.912731811108073d);
    org.apache.commons.math.complex.Complex complex8 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex9 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex10 = complex8.pow(complex9);
    org.apache.commons.math.complex.ComplexField complexField11 = complex9.getField();
    org.apache.commons.math.complex.Complex complex12 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex13 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex14 = complex12.pow(complex13);
    org.apache.commons.math.complex.Complex complex15 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex16 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex17 = complex15.pow(complex16);
    org.apache.commons.math.complex.Complex complex18 = complex12.multiply(complex16);
    org.apache.commons.math.complex.Complex complex19 = complex9.multiply(complex12);
    org.apache.commons.math.util.MathUtils.checkNotNull((java.lang.Object)complex9);
    org.apache.commons.math.complex.Complex complex22 = complex9.pow(1.5707963267948966d);
    org.apache.commons.math.complex.Complex complex23 = complex22.tan();
    org.apache.commons.math.complex.Complex complex25 = complex22.multiply(2.6881171418161356E43d);
    org.apache.commons.math.complex.Complex complex27 = complex25.divide(43.1284181946612d);
    org.apache.commons.math.complex.Complex complex28 = complex27.sinh();
    org.apache.commons.math.complex.Complex complex29 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex30 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex31 = complex29.pow(complex30);
    org.apache.commons.math.complex.ComplexField complexField32 = complex30.getField();
    org.apache.commons.math.complex.Complex complex33 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex34 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex35 = complex33.pow(complex34);
    org.apache.commons.math.complex.Complex complex36 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex37 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex38 = complex36.pow(complex37);
    org.apache.commons.math.complex.Complex complex39 = complex33.multiply(complex37);
    org.apache.commons.math.complex.Complex complex40 = complex30.multiply(complex33);
    org.apache.commons.math.util.MathUtils.checkNotNull((java.lang.Object)complex30);
    org.apache.commons.math.complex.Complex complex42 = complex30.tan();
    double d43 = complex42.getImaginary();
    org.apache.commons.math.complex.Complex complex44 = complex28.pow(complex42);
    org.apache.commons.math.complex.Complex complex45 = complex7.multiply(complex42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d5, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complexField11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complexField32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d43, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex45);

  }

  @Test
  public void test077() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test077"); }


    org.apache.commons.math.exception.NonMonotonousSequenceException nonMonotonousSequenceException3 = new org.apache.commons.math.exception.NonMonotonousSequenceException((java.lang.Number)(-0.25649440840197785d), (java.lang.Number)(-1.183842657860855d), 6);
    org.apache.commons.math.util.MathUtils.OrderDirection orderDirection4 = nonMonotonousSequenceException3.getDirection();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection4);

  }

  @Test
  public void test078() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test078"); }


    org.apache.commons.math.complex.Complex complex0 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex1 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex2 = complex0.pow(complex1);
    org.apache.commons.math.complex.Complex complex4 = complex0.divide(0.0d);
    boolean b5 = complex4.isInfinite();
    org.apache.commons.math.complex.Complex complex6 = complex4.cosh();
    double d7 = complex6.getArgument();
    org.apache.commons.math.complex.Complex complex8 = complex6.tan();
    org.apache.commons.math.complex.Complex complex10 = complex8.divide(0.5608212357725606d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b5 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d7, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex10);

  }

  @Test
  public void test079() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test079"); }


    double d2 = org.apache.commons.math.util.MathUtils.binomialCoefficientDouble(0, (-6));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.0d);

  }

  @Test
  public void test080() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test080"); }


    boolean b3 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(10.000002f, 80.000015f, 9.6714065E24f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == true);

  }

  @Test
  public void test081() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test081"); }


    double d1 = org.apache.commons.math.util.FastMath.cbrt(0.031262637220443035d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.3150227151518669d);

  }

  @Test
  public void test082() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test082"); }


    double d1 = org.apache.commons.math.util.FastMath.cosh(100.00999966668667d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.3575661316216348E43d);

  }

  @Test
  public void test083() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test083"); }


    boolean b3 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(0.8061857731102472d, 2.402404374986988d, 989909612);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test084() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test084"); }


    float f1 = org.apache.commons.math.util.MathUtils.sign(5.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 1.0f);

  }

  @Test
  public void test085() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test085"); }


    double[] d_array1 = new double[] { 1.0d };
    double[] d_array3 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array1, 10.0d);
    double[] d_array4 = org.apache.commons.math.util.MathUtils.copyOf(d_array1);
    double[] d_array5 = org.apache.commons.math.util.MathUtils.copyOf(d_array4);
    double[] d_array7 = new double[] { 1.0d };
    double[] d_array9 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array7, 10.0d);
    double d10 = org.apache.commons.math.util.MathUtils.safeNorm(d_array7);
    double[] d_array12 = new double[] { 1.0d };
    double[] d_array14 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array12, 10.0d);
    double[] d_array16 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array12, (-0.009999666686665238d));
    double[][] d_array_array17 = new double[][] { d_array12 };
    org.apache.commons.math.util.MathUtils.sortInPlace(d_array7, d_array_array17);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array7);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array7);
    double[] d_array22 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array7, 1.5707963267948966d);
    org.apache.commons.math.util.MathUtils.OrderDirection orderDirection23 = null;
    boolean b26 = org.apache.commons.math.util.MathUtils.checkOrder(d_array22, orderDirection23, false, false);
    double[] d_array28 = org.apache.commons.math.util.MathUtils.copyOf(d_array22, 0);
    org.apache.commons.math.util.MathUtils.OrderDirection orderDirection29 = org.apache.commons.math.util.MathUtils.OrderDirection.DECREASING;
    double[] d_array31 = new double[] { 1.0d };
    double[] d_array33 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array31, 10.0d);
    double d34 = org.apache.commons.math.util.MathUtils.safeNorm(d_array31);
    double[] d_array36 = new double[] { 1.0d };
    double[] d_array38 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array36, 10.0d);
    double[] d_array40 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array36, (-0.009999666686665238d));
    double[][] d_array_array41 = new double[][] { d_array36 };
    org.apache.commons.math.util.MathUtils.sortInPlace(d_array31, d_array_array41);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array31);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array31);
    double[] d_array46 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array31, 1.5707963267948966d);
    org.apache.commons.math.util.MathUtils.OrderDirection orderDirection47 = org.apache.commons.math.util.MathUtils.OrderDirection.INCREASING;
    double[] d_array49 = new double[] { 1.0d };
    double[] d_array51 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array49, 10.0d);
    double[][] d_array_array52 = new double[][] { d_array51 };
    org.apache.commons.math.util.MathUtils.sortInPlace(d_array46, orderDirection47, d_array_array52);
    org.apache.commons.math.util.MathUtils.sortInPlace(d_array22, orderDirection29, d_array_array52);
    org.apache.commons.math.util.MathUtils.sortInPlace(d_array4, d_array_array52);
    // The following exception was thrown during execution in test generation
    try {
      double[] d_array57 = org.apache.commons.math.util.MathUtils.copyOf(d_array4, (-1272213991));
      org.junit.Assert.fail("Expected exception of type java.lang.NegativeArraySizeException");
    } catch (java.lang.NegativeArraySizeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NegativeArraySizeException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NegativeArraySizeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d10 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b26 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d34 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array52);

  }

  @Test
  public void test086() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test086"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.NumberIsTooLargeException numberIsTooLargeException4 = new org.apache.commons.math.exception.NumberIsTooLargeException(localizable0, (java.lang.Number)4.440892098500626E-16d, (java.lang.Number)(byte)1, true);
    java.lang.Throwable[] throwable_array5 = numberIsTooLargeException4.getSuppressed();
    boolean b6 = numberIsTooLargeException4.getBoundIsAllowed();
    java.lang.Number number7 = numberIsTooLargeException4.getMax();
    java.lang.Number number8 = numberIsTooLargeException4.getMax();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b6 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number7 + "' != '" + (byte)1+ "'", number7.equals((byte)1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number8 + "' != '" + (byte)1+ "'", number8.equals((byte)1));

  }

  @Test
  public void test087() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test087"); }


    // The following exception was thrown during execution in test generation
    try {
      int i2 = org.apache.commons.math.util.MathUtils.pow((-127), (-1272213991));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NotPositiveException");
    } catch (org.apache.commons.math.exception.NotPositiveException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NotPositiveException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NotPositiveException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test088() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test088"); }


    // The following exception was thrown during execution in test generation
    try {
      int i2 = org.apache.commons.math.util.MathUtils.mulAndCheck(2147483647, (-118621657));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.MathArithmeticException");
    } catch (org.apache.commons.math.exception.MathArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.MathArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.MathArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test089() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test089"); }


    boolean b3 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(2.220446049250313E-16d, 0.0d, (-1023));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test090() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test090"); }


    double d1 = org.apache.commons.math.util.FastMath.toDegrees((-0.009999500037496873d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.5729291493894793d));

  }

  @Test
  public void test091() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test091"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.DimensionMismatchException dimensionMismatchException3 = new org.apache.commons.math.exception.DimensionMismatchException(localizable0, 13, (-1));
    int i4 = dimensionMismatchException3.getDimension();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == (-1));

  }

  @Test
  public void test092() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test092"); }


    double d1 = org.apache.commons.math.util.FastMath.nextUp(1.0053152314385987d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.005315231438599d);

  }

  @Test
  public void test093() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test093"); }


    double d1 = org.apache.commons.math.util.FastMath.ulp(1.5882513917771335d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 2.220446049250313E-16d);

  }

  @Test
  public void test094() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test094"); }


    // The following exception was thrown during execution in test generation
    try {
      int i2 = org.apache.commons.math.util.MathUtils.mulAndCheck((-6), (-1272213991));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.MathArithmeticException");
    } catch (org.apache.commons.math.exception.MathArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.MathArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.MathArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test095() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test095"); }


    org.apache.commons.math.util.MathUtils.checkFinite(1.0053152314385987d);

  }

  @Test
  public void test096() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test096"); }


    long long2 = org.apache.commons.math.util.MathUtils.subAndCheck(0L, (-1L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 1L);

  }

  @Test
  public void test097() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test097"); }


    double[] d_array1 = new double[] { 1.0d };
    double[] d_array3 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array1, 10.0d);
    double[] d_array5 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array1, (-0.009999666686665238d));
    double[] d_array7 = new double[] { 1.0d };
    double[] d_array9 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array7, 10.0d);
    double[] d_array10 = org.apache.commons.math.util.MathUtils.copyOf(d_array7);
    double d11 = org.apache.commons.math.util.MathUtils.distanceInf(d_array1, d_array7);
    int i12 = org.apache.commons.math.util.MathUtils.hash(d_array1);
    double[] d_array14 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array1, 0.009949836253965276d);
    org.apache.commons.math.util.MathUtils.checkOrder(d_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i12 == 1072693279);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array14);

  }

  @Test
  public void test098() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test098"); }


    org.apache.commons.math.complex.Complex complex0 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex1 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex2 = complex0.pow(complex1);
    boolean b3 = complex2.isInfinite();
    boolean b4 = complex2.isNaN();
    org.apache.commons.math.complex.Complex complex6 = complex2.pow((-1.183842657860855d));
    org.apache.commons.math.complex.Complex complex7 = complex6.tan();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex7);

  }

  @Test
  public void test099() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test099"); }


    org.apache.commons.math.util.MathUtils.OrderDirection orderDirection3 = null;
    org.apache.commons.math.exception.NonMonotonousSequenceException nonMonotonousSequenceException5 = new org.apache.commons.math.exception.NonMonotonousSequenceException((java.lang.Number)(-1), (java.lang.Number)(-0.009999500037496873d), 100, orderDirection3, false);
    int i6 = nonMonotonousSequenceException5.getIndex();
    java.lang.Number number7 = nonMonotonousSequenceException5.getArgument();
    int i8 = nonMonotonousSequenceException5.getIndex();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number7 + "' != '" + (-1)+ "'", number7.equals((-1)));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 100);

  }

  @Test
  public void test100() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test100"); }


    double d1 = org.apache.commons.math.util.FastMath.log1p((-0.9999500054160819d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-9.903595880041776d));

  }

  @Test
  public void test101() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test101"); }


    float f2 = org.apache.commons.math.util.FastMath.copySign(1.208926E24f, 9.6714065E24f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 1.208926E24f);

  }

  @Test
  public void test102() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test102"); }


    double[] d_array0 = null;
    double[] d_array2 = new double[] { 1.0d };
    double[] d_array4 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array2, 10.0d);
    double d5 = org.apache.commons.math.util.MathUtils.safeNorm(d_array2);
    double[] d_array7 = new double[] { 1.0d };
    double[] d_array9 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array7, 10.0d);
    double[] d_array11 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array7, (-0.009999666686665238d));
    double[][] d_array_array12 = new double[][] { d_array7 };
    org.apache.commons.math.util.MathUtils.sortInPlace(d_array2, d_array_array12);
    double[] d_array15 = new double[] { 1.0d };
    double[] d_array17 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array15, 10.0d);
    double d18 = org.apache.commons.math.util.MathUtils.distanceInf(d_array2, d_array15);
    double[] d_array20 = new double[] { 1.0d };
    double[] d_array22 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array20, 10.0d);
    org.apache.commons.math.util.MathUtils.OrderDirection orderDirection23 = null;
    double[] d_array25 = new double[] { 1.0d };
    double[] d_array27 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array25, 10.0d);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array25);
    double[][] d_array_array29 = new double[][] { d_array25 };
    org.apache.commons.math.util.MathUtils.sortInPlace(d_array22, orderDirection23, d_array_array29);
    boolean b31 = org.apache.commons.math.util.MathUtils.equals(d_array15, d_array22);
    double[] d_array32 = org.apache.commons.math.util.MathUtils.copyOf(d_array22);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array32);
    boolean b34 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(d_array0, d_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d18 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b31 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b34 == false);

  }

  @Test
  public void test103() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test103"); }


    int i1 = org.apache.commons.math.util.MathUtils.hash(1.0000000056667108E-4d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == (-763334628));

  }

  @Test
  public void test104() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test104"); }


    int[] i_array0 = null;
    // The following exception was thrown during execution in test generation
    try {
      int[] i_array2 = org.apache.commons.math.util.MathUtils.copyOf(i_array0, 2);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test105() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test105"); }


    int[] i_array1 = new int[] { (-1) };
    int[] i_array2 = org.apache.commons.math.util.MathUtils.copyOf(i_array1);
    int[] i_array3 = org.apache.commons.math.util.MathUtils.copyOf(i_array2);
    // The following exception was thrown during execution in test generation
    try {
      int[] i_array5 = org.apache.commons.math.util.MathUtils.copyOf(i_array3, (-1376941261));
      org.junit.Assert.fail("Expected exception of type java.lang.NegativeArraySizeException");
    } catch (java.lang.NegativeArraySizeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NegativeArraySizeException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NegativeArraySizeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array3);

  }

  @Test
  public void test106() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test106"); }


    double d1 = org.apache.commons.math.util.FastMath.log1p((-0.01005050421799429d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.010101351516388636d));

  }

  @Test
  public void test107() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test107"); }


    double d1 = org.apache.commons.math.util.FastMath.asin((-1.7452406437283512d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test108() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test108"); }


    org.apache.commons.math.complex.Complex complex0 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex1 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex2 = complex0.pow(complex1);
    boolean b3 = complex2.isInfinite();
    org.apache.commons.math.complex.Complex complex4 = complex2.atan();
    org.apache.commons.math.complex.Complex complex6 = new org.apache.commons.math.complex.Complex(2.5091784786580567d);
    org.apache.commons.math.complex.Complex complex7 = complex2.add(complex6);
    org.apache.commons.math.complex.Complex complex9 = complex6.subtract(2.2250738585072014E-308d);
    org.apache.commons.math.complex.Complex complex11 = complex9.subtract(1.000050005417318d);
    org.apache.commons.math.complex.Complex complex12 = complex9.sinh();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex12);

  }

  @Test
  public void test109() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test109"); }


    double d2 = org.apache.commons.math.util.MathUtils.binomialCoefficientDouble(636648126, 106);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == Double.POSITIVE_INFINITY);

  }

  @Test
  public void test110() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test110"); }


    double d1 = org.apache.commons.math.util.FastMath.sin((-0.01005033501419646d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.010050165818944277d));

  }

  @Test
  public void test111() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test111"); }


    org.apache.commons.math.exception.util.Localizable localizable2 = null;
    org.apache.commons.math.exception.util.Localizable localizable4 = null;
    java.lang.Object[] obj_array6 = new java.lang.Object[] { '#' };
    org.apache.commons.math.exception.NullArgumentException nullArgumentException7 = new org.apache.commons.math.exception.NullArgumentException(localizable4, obj_array6);
    org.apache.commons.math.exception.NotFiniteNumberException notFiniteNumberException8 = new org.apache.commons.math.exception.NotFiniteNumberException((java.lang.Number)(byte)100, obj_array6);
    org.apache.commons.math.exception.NullArgumentException nullArgumentException9 = new org.apache.commons.math.exception.NullArgumentException(localizable2, obj_array6);
    org.apache.commons.math.exception.NotFiniteNumberException notFiniteNumberException10 = new org.apache.commons.math.exception.NotFiniteNumberException((java.lang.Number)10.0d, obj_array6);
    org.apache.commons.math.exception.NotFiniteNumberException notFiniteNumberException11 = new org.apache.commons.math.exception.NotFiniteNumberException((java.lang.Number)(-7.921204281379555E-5d), obj_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array6);

  }

  @Test
  public void test112() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test112"); }


    double d2 = org.apache.commons.math.util.FastMath.copySign((-4.9E-324d), Double.POSITIVE_INFINITY);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 4.9E-324d);

  }

  @Test
  public void test113() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test113"); }


    double d1 = org.apache.commons.math.util.FastMath.nextUp(0.0979311860144625d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.09793118601446252d);

  }

  @Test
  public void test114() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test114"); }


    org.apache.commons.math.complex.Complex complex0 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex1 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex2 = complex0.pow(complex1);
    org.apache.commons.math.complex.ComplexField complexField3 = complex1.getField();
    org.apache.commons.math.complex.Complex complex4 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex5 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex6 = complex4.pow(complex5);
    org.apache.commons.math.complex.Complex complex7 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex8 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex9 = complex7.pow(complex8);
    org.apache.commons.math.complex.Complex complex10 = complex4.multiply(complex8);
    org.apache.commons.math.complex.Complex complex11 = complex1.multiply(complex4);
    org.apache.commons.math.complex.Complex complex12 = complex4.cosh();
    org.apache.commons.math.complex.Complex complex13 = complex4.acos();
    double d14 = complex4.getReal();
    java.lang.String str15 = complex4.toString();
    org.apache.commons.math.complex.Complex complex16 = org.apache.commons.math.complex.Complex.ONE;
    double d17 = complex16.getArgument();
    org.apache.commons.math.complex.Complex complex18 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex19 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex20 = complex18.pow(complex19);
    org.apache.commons.math.complex.ComplexField complexField21 = complex19.getField();
    org.apache.commons.math.complex.Complex complex22 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex23 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex24 = complex22.pow(complex23);
    org.apache.commons.math.complex.Complex complex25 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex26 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex27 = complex25.pow(complex26);
    org.apache.commons.math.complex.Complex complex28 = complex22.multiply(complex26);
    org.apache.commons.math.complex.Complex complex29 = complex19.multiply(complex22);
    org.apache.commons.math.complex.Complex complex30 = complex22.sqrt1z();
    org.apache.commons.math.complex.Complex complex31 = complex30.cosh();
    boolean b32 = complex30.isInfinite();
    org.apache.commons.math.complex.Complex complex33 = complex16.pow(complex30);
    org.apache.commons.math.complex.Complex complex34 = complex16.sin();
    org.apache.commons.math.complex.Complex complex35 = complex4.add(complex34);
    org.apache.commons.math.complex.Complex complex37 = complex4.divide(0.0d);
    // The following exception was thrown during execution in test generation
    try {
      java.util.List list39 = complex4.nthRoot((-1518801660));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NotPositiveException");
    } catch (org.apache.commons.math.exception.NotPositiveException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NotPositiveException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NotPositiveException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complexField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d14 == Double.POSITIVE_INFINITY);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str15 + "' != '" + "(Infinity, Infinity)"+ "'", str15.equals("(Infinity, Infinity)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d17 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complexField21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b32 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex37);

  }

  @Test
  public void test115() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test115"); }


    float f2 = org.apache.commons.math.util.FastMath.max(102400.0f, 102400.01f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 102400.01f);

  }

  @Test
  public void test116() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test116"); }


    // The following exception was thrown during execution in test generation
    try {
      int i2 = org.apache.commons.math.util.MathUtils.pow((-1376942411), (-1L));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NotPositiveException");
    } catch (org.apache.commons.math.exception.NotPositiveException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NotPositiveException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NotPositiveException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test117() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test117"); }


    long long2 = org.apache.commons.math.util.MathUtils.gcd(11L, 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 11L);

  }

  @Test
  public void test118() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test118"); }


    double d1 = org.apache.commons.math.util.FastMath.sinh((-0.7219406744110326d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.7863077617513107d));

  }

  @Test
  public void test119() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test119"); }


    double[] d_array1 = new double[] { 1.0d };
    double[] d_array3 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array1, 10.0d);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array1);
    double[] d_array6 = org.apache.commons.math.util.MathUtils.copyOf(d_array1, 10);
    double d7 = org.apache.commons.math.util.MathUtils.safeNorm(d_array6);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.util.MathUtils.checkOrder(d_array6);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NonMonotonousSequenceException");
    } catch (org.apache.commons.math.exception.NonMonotonousSequenceException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NonMonotonousSequenceException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NonMonotonousSequenceException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 1.0d);

  }

  @Test
  public void test120() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test120"); }


    double d2 = org.apache.commons.math.util.MathUtils.binomialCoefficientDouble(1807551746, (-1150));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.0d);

  }

  @Test
  public void test121() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test121"); }


    double d1 = org.apache.commons.math.util.FastMath.cbrt((-0.999950005416082d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.9999833348609687d));

  }

  @Test
  public void test122() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test122"); }


    double d1 = org.apache.commons.math.util.FastMath.nextUp((-0.01745506482022202d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.017455064820222018d));

  }

  @Test
  public void test123() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test123"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.NotPositiveException notPositiveException2 = new org.apache.commons.math.exception.NotPositiveException(localizable0, (java.lang.Number)5.0f);

  }

  @Test
  public void test124() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test124"); }


    org.apache.commons.math.complex.Complex complex0 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex1 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex2 = complex0.pow(complex1);
    org.apache.commons.math.complex.ComplexField complexField3 = complex1.getField();
    org.apache.commons.math.complex.Complex complex4 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex5 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex6 = complex4.pow(complex5);
    org.apache.commons.math.complex.Complex complex7 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex8 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex9 = complex7.pow(complex8);
    org.apache.commons.math.complex.Complex complex10 = complex4.multiply(complex8);
    org.apache.commons.math.complex.Complex complex11 = complex1.multiply(complex4);
    org.apache.commons.math.complex.Complex complex12 = complex4.cosh();
    org.apache.commons.math.complex.Complex complex13 = complex4.acos();
    org.apache.commons.math.complex.Complex complex14 = complex13.negate();
    org.apache.commons.math.complex.Complex complex16 = complex13.multiply(4.810487773893648d);
    org.apache.commons.math.complex.Complex complex17 = complex16.exp();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complexField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex17);

  }

  @Test
  public void test125() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test125"); }


    int i3 = org.apache.commons.math.util.MathUtils.compareTo(2.2250738585072014E-308d, 4.9E-324d, (-318324063));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 1);

  }

  @Test
  public void test126() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test126"); }


    long long2 = org.apache.commons.math.util.FastMath.max((-21L), 990L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 990L);

  }

  @Test
  public void test127() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test127"); }


    double d2 = org.apache.commons.math.util.FastMath.nextAfter(0.0d, 2.7184163868189786d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 4.9E-324d);

  }

  @Test
  public void test128() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test128"); }


    double d1 = org.apache.commons.math.util.FastMath.tanh(5.3756877578035057E18d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);

  }

  @Test
  public void test129() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test129"); }


    double d1 = org.apache.commons.math.util.FastMath.log1p((-0.02397775387026088d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.02426989966308851d));

  }

  @Test
  public void test130() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test130"); }


    int[] i_array0 = new int[] {  };
    int[] i_array1 = new int[] {  };
    int[] i_array3 = org.apache.commons.math.util.MathUtils.copyOf(i_array1, 1);
    int[] i_array4 = org.apache.commons.math.util.MathUtils.copyOf(i_array1);
    int i5 = org.apache.commons.math.util.MathUtils.distance1(i_array0, i_array1);
    int[] i_array6 = org.apache.commons.math.util.MathUtils.copyOf(i_array0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array6);

  }

  @Test
  public void test131() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test131"); }


    float f1 = org.apache.commons.math.util.FastMath.signum(0.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 0.0f);

  }

  @Test
  public void test132() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test132"); }


    int[] i_array1 = new int[] { (-1) };
    int[] i_array2 = org.apache.commons.math.util.MathUtils.copyOf(i_array1);
    int[] i_array3 = org.apache.commons.math.util.MathUtils.copyOf(i_array2);
    int[] i_array5 = new int[] { (-1) };
    int[] i_array6 = org.apache.commons.math.util.MathUtils.copyOf(i_array5);
    int[] i_array10 = new int[] { 0, 0, 0 };
    int[] i_array11 = org.apache.commons.math.util.MathUtils.copyOf(i_array10);
    double d12 = org.apache.commons.math.util.MathUtils.distance(i_array5, i_array10);
    int[] i_array13 = org.apache.commons.math.util.MathUtils.copyOf(i_array5);
    int[] i_array15 = org.apache.commons.math.util.MathUtils.copyOf(i_array13, 1016);
    int i16 = org.apache.commons.math.util.MathUtils.distance1(i_array3, i_array15);
    int[] i_array17 = new int[] {  };
    int[] i_array19 = org.apache.commons.math.util.MathUtils.copyOf(i_array17, 1);
    int[] i_array20 = new int[] {  };
    double d21 = org.apache.commons.math.util.MathUtils.distance(i_array17, i_array20);
    int[] i_array22 = org.apache.commons.math.util.MathUtils.copyOf(i_array17);
    int[] i_array24 = new int[] { (-1) };
    int[] i_array25 = org.apache.commons.math.util.MathUtils.copyOf(i_array24);
    int[] i_array27 = org.apache.commons.math.util.MathUtils.copyOf(i_array24, 0);
    int i28 = org.apache.commons.math.util.MathUtils.distance1(i_array17, i_array27);
    // The following exception was thrown during execution in test generation
    try {
      int i29 = org.apache.commons.math.util.MathUtils.distance1(i_array15, i_array27);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d12 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i16 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d21 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i28 == 0);

  }

  @Test
  public void test133() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test133"); }


    java.math.BigInteger bigInteger0 = null;
    java.math.BigInteger bigInteger1 = null;
    java.math.BigInteger bigInteger3 = org.apache.commons.math.util.MathUtils.pow(bigInteger1, 0L);
    java.math.BigInteger bigInteger5 = org.apache.commons.math.util.MathUtils.pow(bigInteger3, 10);
    java.math.BigInteger bigInteger6 = null;
    java.math.BigInteger bigInteger8 = org.apache.commons.math.util.MathUtils.pow(bigInteger6, 0L);
    java.math.BigInteger bigInteger10 = org.apache.commons.math.util.MathUtils.pow(bigInteger8, 10);
    java.math.BigInteger bigInteger11 = org.apache.commons.math.util.MathUtils.pow(bigInteger3, bigInteger8);
    // The following exception was thrown during execution in test generation
    try {
      java.math.BigInteger bigInteger12 = org.apache.commons.math.util.MathUtils.pow(bigInteger0, bigInteger11);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger11);

  }

  @Test
  public void test134() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test134"); }


    double d1 = org.apache.commons.math.util.MathUtils.indicator((-0.01745240643728351d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-1.0d));

  }

  @Test
  public void test135() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test135"); }


    double[] d_array1 = new double[] { 1.0d };
    double[] d_array3 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array1, 10.0d);
    double d4 = org.apache.commons.math.util.MathUtils.safeNorm(d_array1);
    double[] d_array6 = new double[] { 1.0d };
    double[] d_array8 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array6, 10.0d);
    double[] d_array10 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array6, (-0.009999666686665238d));
    double[][] d_array_array11 = new double[][] { d_array6 };
    org.apache.commons.math.util.MathUtils.sortInPlace(d_array1, d_array_array11);
    double[] d_array14 = new double[] { 1.0d };
    double[] d_array16 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array14, 10.0d);
    double d17 = org.apache.commons.math.util.MathUtils.distanceInf(d_array1, d_array14);
    double[] d_array19 = new double[] { 1.0d };
    double[] d_array21 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array19, 10.0d);
    org.apache.commons.math.util.MathUtils.OrderDirection orderDirection22 = null;
    double[] d_array24 = new double[] { 1.0d };
    double[] d_array26 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array24, 10.0d);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array24);
    double[][] d_array_array28 = new double[][] { d_array24 };
    org.apache.commons.math.util.MathUtils.sortInPlace(d_array21, orderDirection22, d_array_array28);
    boolean b30 = org.apache.commons.math.util.MathUtils.equals(d_array14, d_array21);
    double[] d_array31 = org.apache.commons.math.util.MathUtils.copyOf(d_array21);
    double[] d_array33 = new double[] { 1.0d };
    double[] d_array35 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array33, 10.0d);
    double d36 = org.apache.commons.math.util.MathUtils.safeNorm(d_array33);
    double[] d_array38 = new double[] { 1.0d };
    double[] d_array40 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array38, 10.0d);
    double[] d_array42 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array38, (-0.009999666686665238d));
    double[][] d_array_array43 = new double[][] { d_array38 };
    org.apache.commons.math.util.MathUtils.sortInPlace(d_array33, d_array_array43);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array33);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array33);
    double[] d_array48 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array33, 1.5707963267948966d);
    org.apache.commons.math.util.MathUtils.OrderDirection orderDirection49 = null;
    boolean b52 = org.apache.commons.math.util.MathUtils.checkOrder(d_array48, orderDirection49, false, false);
    double[] d_array54 = org.apache.commons.math.util.MathUtils.copyOf(d_array48, 0);
    double d55 = org.apache.commons.math.util.MathUtils.distance(d_array31, d_array48);
    org.apache.commons.math.exception.NonMonotonousSequenceException nonMonotonousSequenceException59 = new org.apache.commons.math.exception.NonMonotonousSequenceException((java.lang.Number)1, (java.lang.Number)1.0013824497714652d, (-758373183));
    org.apache.commons.math.util.MathUtils.OrderDirection orderDirection60 = nonMonotonousSequenceException59.getDirection();
    boolean b63 = org.apache.commons.math.util.MathUtils.checkOrder(d_array48, orderDirection60, false, true);
    double d64 = org.apache.commons.math.util.MathUtils.safeNorm(d_array48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d17 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b30 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d36 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b52 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d55 == 8.429203673205103d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b63 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d64 == 1.5707963267948966d);

  }

  @Test
  public void test136() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test136"); }


    java.math.BigInteger bigInteger0 = null;
    java.math.BigInteger bigInteger2 = org.apache.commons.math.util.MathUtils.pow(bigInteger0, 0L);
    java.math.BigInteger bigInteger4 = org.apache.commons.math.util.MathUtils.pow(bigInteger0, 0L);
    // The following exception was thrown during execution in test generation
    try {
      java.math.BigInteger bigInteger6 = org.apache.commons.math.util.MathUtils.pow(bigInteger0, (-99L));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NotPositiveException");
    } catch (org.apache.commons.math.exception.NotPositiveException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NotPositiveException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NotPositiveException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger4);

  }

  @Test
  public void test137() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test137"); }


    int i1 = org.apache.commons.math.util.MathUtils.hash(1.3575661316216348E43d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 1190097523);

  }

  @Test
  public void test138() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test138"); }


    double d2 = org.apache.commons.math.util.FastMath.max(100.00999966668667d, (-503.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 100.00999966668667d);

  }

  @Test
  public void test139() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test139"); }


    double d2 = org.apache.commons.math.util.FastMath.hypot(138.21880632801356d, 0.13896136376487594d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 138.21887618195115d);

  }

  @Test
  public void test140() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test140"); }


    long long2 = org.apache.commons.math.util.MathUtils.pow(99L, 99L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == (-7394533151961528133L));

  }

  @Test
  public void test141() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test141"); }


    org.apache.commons.math.complex.Complex complex0 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex1 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex2 = complex0.pow(complex1);
    org.apache.commons.math.complex.ComplexField complexField3 = complex1.getField();
    org.apache.commons.math.complex.Complex complex4 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex5 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex6 = complex4.pow(complex5);
    org.apache.commons.math.complex.Complex complex7 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex8 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex9 = complex7.pow(complex8);
    org.apache.commons.math.complex.Complex complex10 = complex4.multiply(complex8);
    org.apache.commons.math.complex.Complex complex11 = complex1.multiply(complex4);
    org.apache.commons.math.complex.Complex complex12 = complex4.cosh();
    org.apache.commons.math.complex.Complex complex13 = complex4.acos();
    org.apache.commons.math.complex.Complex complex15 = complex4.add((-0.010000166680833889d));
    org.apache.commons.math.complex.Complex complex16 = complex15.cos();
    org.apache.commons.math.util.MathUtils.checkNotNull((java.lang.Object)complex15);
    org.apache.commons.math.util.MathUtils.checkNotNull((java.lang.Object)complex15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complexField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex16);

  }

  @Test
  public void test142() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test142"); }


    double d1 = org.apache.commons.math.util.FastMath.rint((-4.9E-324d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.0d));

  }

  @Test
  public void test143() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test143"); }


    org.apache.commons.math.exception.NonMonotonousSequenceException nonMonotonousSequenceException3 = new org.apache.commons.math.exception.NonMonotonousSequenceException((java.lang.Number)(short)1, (java.lang.Number)(-1.7904594099007723E44d), 1272213991);
    java.lang.Number number4 = nonMonotonousSequenceException3.getPrevious();
    boolean b5 = nonMonotonousSequenceException3.getStrict();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number4 + "' != '" + (-1.7904594099007723E44d)+ "'", number4.equals((-1.7904594099007723E44d)));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b5 == true);

  }

  @Test
  public void test144() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test144"); }


    boolean b2 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(1.3575661316216348E43d, (-6.283185307179585d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test145() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test145"); }


    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException0 = new org.apache.commons.math.exception.MathArithmeticException();
    java.lang.Throwable throwable1 = mathArithmeticException0.getException();
    java.lang.Throwable throwable2 = mathArithmeticException0.getException();
    java.lang.Throwable throwable3 = mathArithmeticException0.getException();
    java.lang.Throwable throwable4 = mathArithmeticException0.getException();
    java.lang.Throwable throwable5 = mathArithmeticException0.getException();
    org.apache.commons.math.exception.util.ExceptionContext exceptionContext6 = mathArithmeticException0.getContext();
    java.lang.Throwable throwable7 = mathArithmeticException0.getException();
    java.lang.Throwable throwable8 = mathArithmeticException0.getException();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable8);

  }

  @Test
  public void test146() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test146"); }


    java.math.BigInteger bigInteger0 = null;
    java.math.BigInteger bigInteger2 = org.apache.commons.math.util.MathUtils.pow(bigInteger0, 0L);
    java.math.BigInteger bigInteger4 = org.apache.commons.math.util.MathUtils.pow(bigInteger2, 10);
    java.math.BigInteger bigInteger5 = null;
    java.math.BigInteger bigInteger7 = org.apache.commons.math.util.MathUtils.pow(bigInteger5, 0L);
    java.math.BigInteger bigInteger9 = org.apache.commons.math.util.MathUtils.pow(bigInteger7, 10);
    java.math.BigInteger bigInteger10 = org.apache.commons.math.util.MathUtils.pow(bigInteger2, bigInteger7);
    java.math.BigInteger bigInteger12 = org.apache.commons.math.util.MathUtils.pow(bigInteger2, 144);
    java.math.BigInteger bigInteger13 = null;
    java.math.BigInteger bigInteger15 = org.apache.commons.math.util.MathUtils.pow(bigInteger13, 0L);
    java.math.BigInteger bigInteger17 = org.apache.commons.math.util.MathUtils.pow(bigInteger15, 10);
    java.math.BigInteger bigInteger18 = null;
    java.math.BigInteger bigInteger20 = org.apache.commons.math.util.MathUtils.pow(bigInteger18, 0L);
    java.math.BigInteger bigInteger22 = org.apache.commons.math.util.MathUtils.pow(bigInteger20, 10);
    java.math.BigInteger bigInteger23 = org.apache.commons.math.util.MathUtils.pow(bigInteger15, bigInteger20);
    java.math.BigInteger bigInteger25 = org.apache.commons.math.util.MathUtils.pow(bigInteger15, 144);
    java.math.BigInteger bigInteger26 = org.apache.commons.math.util.MathUtils.pow(bigInteger12, bigInteger15);
    java.math.BigInteger bigInteger27 = null;
    java.math.BigInteger bigInteger29 = org.apache.commons.math.util.MathUtils.pow(bigInteger27, 0L);
    java.math.BigInteger bigInteger31 = org.apache.commons.math.util.MathUtils.pow(bigInteger29, 10);
    java.math.BigInteger bigInteger33 = org.apache.commons.math.util.MathUtils.pow(bigInteger29, 23L);
    java.math.BigInteger bigInteger34 = org.apache.commons.math.util.MathUtils.pow(bigInteger15, bigInteger33);
    org.apache.commons.math.exception.NonMonotonousSequenceException nonMonotonousSequenceException37 = new org.apache.commons.math.exception.NonMonotonousSequenceException((java.lang.Number)bigInteger15, (java.lang.Number)Float.NaN, 13);
    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException40 = new org.apache.commons.math.exception.NumberIsTooSmallException((java.lang.Number)13, (java.lang.Number)0.6931471805599453d, true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger34);

  }

  @Test
  public void test147() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test147"); }


    double d2 = org.apache.commons.math.util.FastMath.nextAfter(0.0d, (-0.009950166257432056d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-4.9E-324d));

  }

  @Test
  public void test148() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test148"); }


    double[] d_array1 = new double[] { 1.0d };
    double[] d_array3 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array1, 10.0d);
    double d4 = org.apache.commons.math.util.MathUtils.safeNorm(d_array1);
    double[] d_array5 = org.apache.commons.math.util.MathUtils.copyOf(d_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);

  }

  @Test
  public void test149() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test149"); }


    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException0 = new org.apache.commons.math.exception.MathArithmeticException();
    java.lang.Throwable throwable1 = mathArithmeticException0.getException();
    java.lang.Throwable[] throwable_array2 = mathArithmeticException0.getSuppressed();
    java.lang.Throwable throwable3 = mathArithmeticException0.getException();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable3);

  }

  @Test
  public void test150() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test150"); }


    double d2 = org.apache.commons.math.util.MathUtils.log(0.9998673602701685d, (-0.009999666686665238d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);

  }

  @Test
  public void test151() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test151"); }


    org.apache.commons.math.exception.util.Localizable localizable1 = null;
    java.lang.Object[] obj_array3 = new java.lang.Object[] { '#' };
    org.apache.commons.math.exception.NullArgumentException nullArgumentException4 = new org.apache.commons.math.exception.NullArgumentException(localizable1, obj_array3);
    org.apache.commons.math.exception.NotFiniteNumberException notFiniteNumberException5 = new org.apache.commons.math.exception.NotFiniteNumberException((java.lang.Number)(byte)100, obj_array3);
    org.apache.commons.math.exception.util.ExceptionContext exceptionContext6 = notFiniteNumberException5.getContext();
    java.lang.Throwable throwable7 = notFiniteNumberException5.getException();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable7);

  }

  @Test
  public void test152() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test152"); }


    double d2 = org.apache.commons.math.util.MathUtils.round(0.0d, (-6));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.0d);

  }

  @Test
  public void test153() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test153"); }


    // The following exception was thrown during execution in test generation
    try {
      long long2 = org.apache.commons.math.util.MathUtils.pow((-5485011738861510223L), (-1272213991));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NotPositiveException");
    } catch (org.apache.commons.math.exception.NotPositiveException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NotPositiveException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NotPositiveException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test154() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test154"); }


    double[] d_array1 = new double[] { 1.0d };
    double[] d_array3 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array1, 10.0d);
    double d4 = org.apache.commons.math.util.MathUtils.safeNorm(d_array1);
    double[] d_array6 = new double[] { 1.0d };
    double[] d_array8 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array6, 10.0d);
    double[] d_array10 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array6, (-0.009999666686665238d));
    double[][] d_array_array11 = new double[][] { d_array6 };
    org.apache.commons.math.util.MathUtils.sortInPlace(d_array1, d_array_array11);
    double[] d_array14 = new double[] { 1.0d };
    double[] d_array16 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array14, 10.0d);
    double d17 = org.apache.commons.math.util.MathUtils.distanceInf(d_array1, d_array14);
    double[] d_array19 = new double[] { 1.0d };
    double[] d_array21 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array19, 10.0d);
    double d22 = org.apache.commons.math.util.MathUtils.safeNorm(d_array19);
    double[] d_array24 = new double[] { 1.0d };
    double[] d_array26 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array24, 10.0d);
    double[] d_array28 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array24, (-0.009999666686665238d));
    double[][] d_array_array29 = new double[][] { d_array24 };
    org.apache.commons.math.util.MathUtils.sortInPlace(d_array19, d_array_array29);
    double d31 = org.apache.commons.math.util.MathUtils.distanceInf(d_array14, d_array19);
    double d32 = org.apache.commons.math.util.MathUtils.safeNorm(d_array14);
    double[] d_array33 = org.apache.commons.math.util.MathUtils.copyOf(d_array14);
    org.apache.commons.math.exception.NonMonotonousSequenceException nonMonotonousSequenceException37 = new org.apache.commons.math.exception.NonMonotonousSequenceException((java.lang.Number)1.3440585709080678E43d, (java.lang.Number)0.009999666686665238d, 1);
    java.lang.Number number38 = nonMonotonousSequenceException37.getPrevious();
    java.lang.Number number39 = nonMonotonousSequenceException37.getPrevious();
    org.apache.commons.math.util.MathUtils.OrderDirection orderDirection40 = nonMonotonousSequenceException37.getDirection();
    org.apache.commons.math.util.MathUtils.OrderDirection orderDirection41 = nonMonotonousSequenceException37.getDirection();
    boolean b44 = org.apache.commons.math.util.MathUtils.checkOrder(d_array33, orderDirection41, false, false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d17 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d22 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d31 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d32 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number38 + "' != '" + 0.009999666686665238d+ "'", number38.equals(0.009999666686665238d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number39 + "' != '" + 0.009999666686665238d+ "'", number39.equals(0.009999666686665238d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b44 == true);

  }

  @Test
  public void test155() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test155"); }


    double d1 = org.apache.commons.math.util.FastMath.toDegrees(0.9999999958776927d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 57.295779276891516d);

  }

  @Test
  public void test156() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test156"); }


    float f2 = org.apache.commons.math.util.FastMath.copySign(1.9073489E-6f, (-1.0f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == (-1.9073489E-6f));

  }

  @Test
  public void test157() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test157"); }


    double d1 = org.apache.commons.math.util.FastMath.ceil(3.7871039784210714d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 4.0d);

  }

  @Test
  public void test158() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test158"); }


    long long1 = org.apache.commons.math.util.MathUtils.sign((-100L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == (-1L));

  }

  @Test
  public void test159() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test159"); }


    int[] i_array1 = new int[] { (-1) };
    int[] i_array2 = org.apache.commons.math.util.MathUtils.copyOf(i_array1);
    // The following exception was thrown during execution in test generation
    try {
      int[] i_array4 = org.apache.commons.math.util.MathUtils.copyOf(i_array2, (-7));
      org.junit.Assert.fail("Expected exception of type java.lang.NegativeArraySizeException");
    } catch (java.lang.NegativeArraySizeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NegativeArraySizeException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NegativeArraySizeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array2);

  }

  @Test
  public void test160() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test160"); }


    boolean b3 = org.apache.commons.math.util.MathUtils.equals(9.536743E-7f, 9.671408E24f, (-2008633805));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test161() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test161"); }


    float f2 = org.apache.commons.math.util.FastMath.scalb(9.536744E-7f, 4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 1.525879E-5f);

  }

  @Test
  public void test162() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test162"); }


    org.apache.commons.math.complex.Complex complex0 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex1 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex2 = complex0.pow(complex1);
    boolean b3 = complex2.isInfinite();
    boolean b4 = complex2.isNaN();
    double d5 = complex2.getReal();
    java.lang.Object obj6 = null;
    boolean b7 = complex2.equals(obj6);
    org.apache.commons.math.complex.Complex complex8 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex9 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex10 = complex8.pow(complex9);
    boolean b11 = complex10.isInfinite();
    org.apache.commons.math.complex.Complex complex12 = complex10.atan();
    org.apache.commons.math.complex.Complex complex14 = new org.apache.commons.math.complex.Complex(2.5091784786580567d);
    org.apache.commons.math.complex.Complex complex15 = complex10.add(complex14);
    org.apache.commons.math.complex.Complex complex17 = complex14.subtract(2.2250738585072014E-308d);
    org.apache.commons.math.complex.Complex complex18 = complex2.divide(complex17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d5, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b7 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b11 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex18);

  }

  @Test
  public void test163() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test163"); }


    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException3 = new org.apache.commons.math.exception.NumberIsTooSmallException((java.lang.Number)(-0.010050165822464032d), (java.lang.Number)49.035452847101745d, false);

  }

  @Test
  public void test164() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test164"); }


    boolean b2 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(0.0d, (-0.9308647510335805d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test165() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test165"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.NotPositiveException notPositiveException2 = new org.apache.commons.math.exception.NotPositiveException(localizable0, (java.lang.Number)3.141592653589793d);

  }

  @Test
  public void test166() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test166"); }


    double d1 = org.apache.commons.math.util.FastMath.acos(2.7184163868189786d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test167() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test167"); }


    org.apache.commons.math.complex.Complex complex0 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex1 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex2 = complex0.pow(complex1);
    org.apache.commons.math.complex.ComplexField complexField3 = complex1.getField();
    org.apache.commons.math.complex.Complex complex4 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex5 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex6 = complex4.pow(complex5);
    org.apache.commons.math.complex.Complex complex7 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex8 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex9 = complex7.pow(complex8);
    org.apache.commons.math.complex.Complex complex10 = complex4.multiply(complex8);
    org.apache.commons.math.complex.Complex complex11 = complex1.multiply(complex4);
    org.apache.commons.math.util.MathUtils.checkNotNull((java.lang.Object)complex1);
    org.apache.commons.math.complex.Complex complex13 = complex1.acos();
    org.apache.commons.math.complex.Complex complex14 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex15 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex16 = complex14.pow(complex15);
    boolean b17 = complex16.isInfinite();
    org.apache.commons.math.complex.Complex complex18 = complex16.atan();
    org.apache.commons.math.complex.Complex complex20 = new org.apache.commons.math.complex.Complex(2.5091784786580567d);
    org.apache.commons.math.complex.Complex complex21 = complex16.add(complex20);
    org.apache.commons.math.complex.Complex complex23 = complex20.subtract(4.810477380965351d);
    org.apache.commons.math.complex.Complex complex24 = complex1.pow(complex20);
    org.apache.commons.math.exception.util.Localizable localizable25 = null;
    java.lang.Object[] obj_array26 = null;
    org.apache.commons.math.util.MathUtils.checkNotNull((java.lang.Object)complex1, localizable25, obj_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complexField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b17 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex24);

  }

  @Test
  public void test168() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test168"); }


    // The following exception was thrown during execution in test generation
    try {
      long long2 = org.apache.commons.math.util.MathUtils.binomialCoefficient((-1977326743), (-1272213994));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NumberIsTooLargeException");
    } catch (org.apache.commons.math.exception.NumberIsTooLargeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NumberIsTooLargeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NumberIsTooLargeException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test169() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test169"); }


    int i2 = org.apache.commons.math.util.MathUtils.pow(1272213991, 99L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 85603319);

  }

  @Test
  public void test170() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test170"); }


    double d2 = org.apache.commons.math.util.FastMath.copySign(1.113328173308888E10d, (-0.01000000001333322d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-1.113328173308888E10d));

  }

  @Test
  public void test171() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test171"); }


    int i2 = org.apache.commons.math.util.MathUtils.lcm((-1518801660), 2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 1518801660);

  }

  @Test
  public void test172() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test172"); }


    org.apache.commons.math.complex.Complex complex0 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex1 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex2 = complex0.pow(complex1);
    org.apache.commons.math.complex.Complex complex3 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex4 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex5 = complex3.pow(complex4);
    org.apache.commons.math.complex.Complex complex6 = complex0.multiply(complex4);
    org.apache.commons.math.complex.Complex complex7 = complex0.sinh();
    org.apache.commons.math.complex.Complex complex8 = complex0.cos();
    org.apache.commons.math.util.MathUtils.checkNotNull((java.lang.Object)complex8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex8);

  }

  @Test
  public void test173() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test173"); }


    double d1 = org.apache.commons.math.util.FastMath.toDegrees(1.634763529976979d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 93.66505076958913d);

  }

  @Test
  public void test174() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test174"); }


    int i2 = org.apache.commons.math.util.MathUtils.gcd(2146959360, (-318324063));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 3);

  }

  @Test
  public void test175() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test175"); }


    float f2 = org.apache.commons.math.util.FastMath.min(100.0f, 1.9073489E-6f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 1.9073489E-6f);

  }

  @Test
  public void test176() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test176"); }


    double d1 = org.apache.commons.math.util.MathUtils.cosh(0.43166014691669924d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0946208832284698d);

  }

  @Test
  public void test177() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test177"); }


    org.apache.commons.math.exception.DimensionMismatchException dimensionMismatchException2 = new org.apache.commons.math.exception.DimensionMismatchException((-1272213991), 1074790400);

  }

  @Test
  public void test178() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test178"); }


    float f2 = org.apache.commons.math.util.FastMath.copySign(1.0E-10f, 0.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 1.0E-10f);

  }

  @Test
  public void test179() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test179"); }


    long long1 = org.apache.commons.math.util.MathUtils.sign(7766279631452242020L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 1L);

  }

  @Test
  public void test180() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test180"); }


    double d1 = org.apache.commons.math.util.FastMath.signum(9.003070169818264d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);

  }

  @Test
  public void test181() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test181"); }


    org.apache.commons.math.complex.Complex complex2 = org.apache.commons.math.complex.Complex.valueOf(1.3440585709080678E43d, 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex2);

  }

  @Test
  public void test182() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test182"); }


    double d1 = org.apache.commons.math.util.FastMath.abs((-1.7904594099007723E44d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.7904594099007723E44d);

  }

  @Test
  public void test183() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test183"); }


    double d1 = org.apache.commons.math.util.FastMath.ulp((-1.5707963267948966d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 2.220446049250313E-16d);

  }

  @Test
  public void test184() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test184"); }


    int i2 = org.apache.commons.math.util.MathUtils.mulAndCheck((-872643074), 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 0);

  }

  @Test
  public void test185() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test185"); }


    float f2 = org.apache.commons.math.util.MathUtils.round(1.4210855E-14f, (-1272213994));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((float)f2, Float.NaN, 0);

  }

  @Test
  public void test186() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test186"); }


    float[] f_array3 = new float[] { 10.0f, 0.0f, 1.0f };
    float[] f_array6 = new float[] { 100.0f, (-1.0f) };
    boolean b7 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(f_array3, f_array6);
    float[] f_array11 = new float[] { (-1.0f), (-1.0f), 0.0f };
    float[] f_array15 = new float[] { 10.0f, 0.0f, 1.0f };
    float[] f_array18 = new float[] { 100.0f, (-1.0f) };
    boolean b19 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(f_array15, f_array18);
    float[] f_array21 = new float[] { 0.0f };
    float[] f_array25 = new float[] { 10.0f, 0.0f, 1.0f };
    float[] f_array28 = new float[] { 100.0f, (-1.0f) };
    boolean b29 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(f_array25, f_array28);
    boolean b30 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(f_array21, f_array28);
    boolean b31 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(f_array15, f_array21);
    boolean b32 = org.apache.commons.math.util.MathUtils.equals(f_array11, f_array15);
    boolean b33 = org.apache.commons.math.util.MathUtils.equals(f_array6, f_array11);
    float[] f_array37 = new float[] { 10.0f, 0.0f, 1.0f };
    float[] f_array40 = new float[] { 100.0f, (-1.0f) };
    boolean b41 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(f_array37, f_array40);
    float[] f_array45 = new float[] { 10.0f, 0.0f, 1.0f };
    float[] f_array48 = new float[] { 100.0f, (-1.0f) };
    boolean b49 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(f_array45, f_array48);
    float[] f_array53 = new float[] { (-1.0f), (-1.0f), 0.0f };
    float[] f_array57 = new float[] { 10.0f, 0.0f, 1.0f };
    float[] f_array60 = new float[] { 100.0f, (-1.0f) };
    boolean b61 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(f_array57, f_array60);
    float[] f_array63 = new float[] { 0.0f };
    float[] f_array67 = new float[] { 10.0f, 0.0f, 1.0f };
    float[] f_array70 = new float[] { 100.0f, (-1.0f) };
    boolean b71 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(f_array67, f_array70);
    boolean b72 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(f_array63, f_array70);
    boolean b73 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(f_array57, f_array63);
    boolean b74 = org.apache.commons.math.util.MathUtils.equals(f_array53, f_array57);
    boolean b75 = org.apache.commons.math.util.MathUtils.equals(f_array48, f_array53);
    boolean b76 = org.apache.commons.math.util.MathUtils.equals(f_array37, f_array48);
    boolean b77 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(f_array11, f_array37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b7 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b19 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b29 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b30 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b31 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b32 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b33 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b41 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b49 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b61 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array67);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array70);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b71 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b72 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b73 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b74 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b75 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b76 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b77 == false);

  }

  @Test
  public void test187() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test187"); }


    double d1 = org.apache.commons.math.util.MathUtils.cosh(1.1622612099658538d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.7549663349993687d);

  }

  @Test
  public void test188() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test188"); }


    org.apache.commons.math.exception.NotPositiveException notPositiveException1 = new org.apache.commons.math.exception.NotPositiveException((java.lang.Number)0.13896136376487594d);

  }

  @Test
  public void test189() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test189"); }


    // The following exception was thrown during execution in test generation
    try {
      long long2 = org.apache.commons.math.util.MathUtils.binomialCoefficient(102400, 989909622);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NumberIsTooLargeException");
    } catch (org.apache.commons.math.exception.NumberIsTooLargeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NumberIsTooLargeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NumberIsTooLargeException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test190() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test190"); }


    double d1 = org.apache.commons.math.util.FastMath.toRadians(0.9998673602701685d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.017450977519938782d);

  }

  @Test
  public void test191() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test191"); }


    int[] i_array0 = new int[] {  };
    int[] i_array2 = org.apache.commons.math.util.MathUtils.copyOf(i_array0, 1);
    int[] i_array3 = new int[] {  };
    double d4 = org.apache.commons.math.util.MathUtils.distance(i_array0, i_array3);
    int[] i_array6 = org.apache.commons.math.util.MathUtils.copyOf(i_array3, 0);
    int[] i_array7 = new int[] {  };
    int[] i_array9 = org.apache.commons.math.util.MathUtils.copyOf(i_array7, 1);
    int[] i_array10 = org.apache.commons.math.util.MathUtils.copyOf(i_array7);
    int[] i_array11 = new int[] {  };
    int[] i_array13 = org.apache.commons.math.util.MathUtils.copyOf(i_array11, 1);
    int[] i_array14 = org.apache.commons.math.util.MathUtils.copyOf(i_array11);
    int[] i_array16 = new int[] { 100 };
    int i17 = org.apache.commons.math.util.MathUtils.distance1(i_array11, i_array16);
    int[] i_array18 = org.apache.commons.math.util.MathUtils.copyOf(i_array11);
    double d19 = org.apache.commons.math.util.MathUtils.distance(i_array7, i_array18);
    int[] i_array21 = new int[] { (-1) };
    int[] i_array22 = org.apache.commons.math.util.MathUtils.copyOf(i_array21);
    int[] i_array26 = new int[] { 0, 0, 0 };
    int[] i_array27 = org.apache.commons.math.util.MathUtils.copyOf(i_array26);
    double d28 = org.apache.commons.math.util.MathUtils.distance(i_array21, i_array26);
    int[] i_array29 = org.apache.commons.math.util.MathUtils.copyOf(i_array21);
    int[] i_array31 = org.apache.commons.math.util.MathUtils.copyOf(i_array29, 1016);
    double d32 = org.apache.commons.math.util.MathUtils.distance(i_array18, i_array29);
    int i33 = org.apache.commons.math.util.MathUtils.distanceInf(i_array3, i_array29);
    int[] i_array35 = new int[] { (-1) };
    int[] i_array36 = org.apache.commons.math.util.MathUtils.copyOf(i_array35);
    int[] i_array38 = org.apache.commons.math.util.MathUtils.copyOf(i_array35, 0);
    // The following exception was thrown during execution in test generation
    try {
      int i39 = org.apache.commons.math.util.MathUtils.distance1(i_array29, i_array38);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i17 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d19 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d28 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d32 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i33 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array38);

  }

  @Test
  public void test192() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test192"); }


    boolean b2 = org.apache.commons.math.util.MathUtils.equals((-0.017454178629595085d), 1.0000000056667108E-4d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test193() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test193"); }


    int[] i_array0 = new int[] {  };
    int[] i_array2 = org.apache.commons.math.util.MathUtils.copyOf(i_array0, 1);
    int[] i_array3 = org.apache.commons.math.util.MathUtils.copyOf(i_array0);
    int[] i_array4 = new int[] {  };
    int[] i_array6 = org.apache.commons.math.util.MathUtils.copyOf(i_array4, 1);
    int[] i_array7 = org.apache.commons.math.util.MathUtils.copyOf(i_array4);
    int[] i_array9 = new int[] { 100 };
    int i10 = org.apache.commons.math.util.MathUtils.distance1(i_array4, i_array9);
    int[] i_array11 = org.apache.commons.math.util.MathUtils.copyOf(i_array4);
    double d12 = org.apache.commons.math.util.MathUtils.distance(i_array0, i_array11);
    int[] i_array14 = new int[] { (-1) };
    int[] i_array15 = org.apache.commons.math.util.MathUtils.copyOf(i_array14);
    int[] i_array19 = new int[] { 0, 0, 0 };
    int[] i_array20 = org.apache.commons.math.util.MathUtils.copyOf(i_array19);
    double d21 = org.apache.commons.math.util.MathUtils.distance(i_array14, i_array19);
    int[] i_array22 = org.apache.commons.math.util.MathUtils.copyOf(i_array14);
    int[] i_array24 = org.apache.commons.math.util.MathUtils.copyOf(i_array22, 1016);
    double d25 = org.apache.commons.math.util.MathUtils.distance(i_array11, i_array22);
    int[] i_array26 = org.apache.commons.math.util.MathUtils.copyOf(i_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d12 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d21 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d25 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array26);

  }

  @Test
  public void test194() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test194"); }


    double d1 = org.apache.commons.math.util.FastMath.abs(1.7904594099007723E44d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.7904594099007723E44d);

  }

  @Test
  public void test195() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test195"); }


    double d4 = org.apache.commons.math.util.MathUtils.linearCombination(1.2572970983349805d, (-0.9999500054160819d), 23.13320481349772d, 1.4844222297453329d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 33.08220923011807d);

  }

  @Test
  public void test196() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test196"); }


    org.apache.commons.math.complex.Complex complex1 = org.apache.commons.math.complex.Complex.valueOf(1.7763568394002505E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex1);

  }

  @Test
  public void test197() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test197"); }


    double d1 = org.apache.commons.math.util.FastMath.asinh((-0.017453292411980625d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.01745240643728349d));

  }

  @Test
  public void test198() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test198"); }


    double d2 = org.apache.commons.math.util.FastMath.hypot(1.0000000056667108E-4d, 364.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 364.00000000001376d);

  }

  @Test
  public void test199() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test199"); }


    org.apache.commons.math.complex.Complex complex2 = new org.apache.commons.math.complex.Complex(0.99627207622075d, (-0.0020788274184764415d));
    org.apache.commons.math.complex.Complex complex3 = complex2.cosh();
    java.lang.Object obj4 = null;
    boolean b5 = complex3.equals(obj4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b5 == false);

  }

  @Test
  public void test200() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test200"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException4 = new org.apache.commons.math.exception.NumberIsTooSmallException(localizable0, (java.lang.Number)1.7549663349993687d, (java.lang.Number)(-1.5707963267948966d), false);

  }

  @Test
  public void test201() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test201"); }


    float f1 = org.apache.commons.math.util.FastMath.ulp(1.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 1.1920929E-7f);

  }

  @Test
  public void test202() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test202"); }


    boolean b3 = org.apache.commons.math.util.MathUtils.equals((-2.0d), (-0.9999500054160819d), (-719689146));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test203() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test203"); }


    org.apache.commons.math.complex.Complex complex0 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex1 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex2 = complex0.pow(complex1);
    org.apache.commons.math.complex.ComplexField complexField3 = complex1.getField();
    org.apache.commons.math.complex.Complex complex4 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex5 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex6 = complex4.pow(complex5);
    org.apache.commons.math.complex.Complex complex7 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex8 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex9 = complex7.pow(complex8);
    org.apache.commons.math.complex.Complex complex10 = complex4.multiply(complex8);
    org.apache.commons.math.complex.Complex complex11 = complex1.multiply(complex4);
    org.apache.commons.math.complex.Complex complex13 = complex4.subtract(1.9044097939271327d);
    org.apache.commons.math.complex.Complex complex14 = complex4.tan();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complexField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex14);

  }

  @Test
  public void test204() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test204"); }


    // The following exception was thrown during execution in test generation
    try {
      double d3 = org.apache.commons.math.util.MathUtils.round(1.1102230246251565E-16d, 128, (-1272213991));
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test205() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test205"); }


    double d1 = org.apache.commons.math.util.FastMath.log((-0.017300995301176576d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test206() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test206"); }


    double d1 = org.apache.commons.math.util.FastMath.rint(0.5707963267948966d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);

  }

  @Test
  public void test207() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test207"); }


    double[] d_array1 = new double[] { 1.0d };
    double[] d_array3 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array1, 10.0d);
    double d4 = org.apache.commons.math.util.MathUtils.safeNorm(d_array1);
    org.apache.commons.math.exception.util.Localizable localizable5 = null;
    double[] d_array7 = new double[] { 1.0d };
    double[] d_array9 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array7, 10.0d);
    double d10 = org.apache.commons.math.util.MathUtils.safeNorm(d_array7);
    double[] d_array12 = new double[] { 1.0d };
    double[] d_array14 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array12, 10.0d);
    double[] d_array16 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array12, (-0.009999666686665238d));
    double[][] d_array_array17 = new double[][] { d_array12 };
    org.apache.commons.math.util.MathUtils.sortInPlace(d_array7, d_array_array17);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException19 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable5, (java.lang.Object[])d_array_array17);
    org.apache.commons.math.util.MathUtils.sortInPlace(d_array1, d_array_array17);
    org.apache.commons.math.util.MathUtils.checkOrder(d_array1);
    double[] d_array23 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array1, 4.9E-324d);
    org.apache.commons.math.util.MathUtils.checkOrder(d_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d10 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array23);

  }

  @Test
  public void test208() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test208"); }


    float f1 = org.apache.commons.math.util.FastMath.abs(9.536743E-7f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 9.536743E-7f);

  }

  @Test
  public void test209() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test209"); }


    long long2 = org.apache.commons.math.util.FastMath.min(1L, (-7394533151961528133L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == (-7394533151961528133L));

  }

  @Test
  public void test210() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test210"); }


    double[] d_array1 = new double[] { 1.0d };
    double[] d_array3 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array1, 10.0d);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array1);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);

  }

  @Test
  public void test211() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test211"); }


    // The following exception was thrown during execution in test generation
    try {
      int i2 = org.apache.commons.math.util.MathUtils.lcm(2147483647, (-118622673));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.MathArithmeticException");
    } catch (org.apache.commons.math.exception.MathArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.MathArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.MathArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test212() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test212"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.DimensionMismatchException dimensionMismatchException3 = new org.apache.commons.math.exception.DimensionMismatchException(localizable0, (-118621657), (-758373183));

  }

  @Test
  public void test213() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test213"); }


    org.apache.commons.math.complex.Complex complex0 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex1 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex2 = complex0.pow(complex1);
    org.apache.commons.math.complex.Complex complex4 = complex0.subtract((-0.010101180594756684d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex4);

  }

  @Test
  public void test214() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test214"); }


    double d6 = org.apache.commons.math.util.MathUtils.linearCombination(0.9998673602701685d, 0.8061857731102473d, 2.1876798576510494d, 0.0d, (-1.7904594099007723E44d), 0.13896136376487594d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == (-2.4880468136546634E43d));

  }

  @Test
  public void test215() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test215"); }


    int i1 = org.apache.commons.math.util.MathUtils.hash(43.1284181946612d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 1101050767);

  }

  @Test
  public void test216() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test216"); }


    double d1 = org.apache.commons.math.util.FastMath.tanh(14.01245059405862d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.9999999999986511d);

  }

  @Test
  public void test217() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test217"); }


    double[] d_array1 = new double[] { 1.0d };
    double[] d_array3 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array1, 10.0d);
    double d4 = org.apache.commons.math.util.MathUtils.safeNorm(d_array1);
    double[] d_array6 = new double[] { 1.0d };
    double[] d_array8 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array6, 10.0d);
    double[] d_array10 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array6, (-0.009999666686665238d));
    double[][] d_array_array11 = new double[][] { d_array6 };
    org.apache.commons.math.util.MathUtils.sortInPlace(d_array1, d_array_array11);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array1);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array1);
    double[] d_array16 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array1, 1.5707963267948966d);
    double[] d_array17 = org.apache.commons.math.util.MathUtils.copyOf(d_array16);
    double[] d_array19 = new double[] { 1.0d };
    double[] d_array21 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array19, 10.0d);
    double d22 = org.apache.commons.math.util.MathUtils.safeNorm(d_array19);
    double[] d_array24 = new double[] { 1.0d };
    double[] d_array26 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array24, 10.0d);
    double[] d_array28 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array24, (-0.009999666686665238d));
    double[][] d_array_array29 = new double[][] { d_array24 };
    org.apache.commons.math.util.MathUtils.sortInPlace(d_array19, d_array_array29);
    double[] d_array32 = new double[] { 1.0d };
    double[] d_array34 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array32, 10.0d);
    double d35 = org.apache.commons.math.util.MathUtils.distanceInf(d_array19, d_array32);
    double[] d_array37 = new double[] { 1.0d };
    double[] d_array39 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array37, 10.0d);
    org.apache.commons.math.util.MathUtils.OrderDirection orderDirection40 = null;
    double[] d_array42 = new double[] { 1.0d };
    double[] d_array44 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array42, 10.0d);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array42);
    double[][] d_array_array46 = new double[][] { d_array42 };
    org.apache.commons.math.util.MathUtils.sortInPlace(d_array39, orderDirection40, d_array_array46);
    boolean b48 = org.apache.commons.math.util.MathUtils.equals(d_array32, d_array39);
    boolean b49 = org.apache.commons.math.util.MathUtils.equals(d_array16, d_array32);
    double[] d_array50 = org.apache.commons.math.util.MathUtils.copyOf(d_array32);
    double[] d_array52 = new double[] { 1.0d };
    double[] d_array54 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array52, 10.0d);
    double d55 = org.apache.commons.math.util.MathUtils.safeNorm(d_array52);
    org.apache.commons.math.exception.util.Localizable localizable56 = null;
    double[] d_array58 = new double[] { 1.0d };
    double[] d_array60 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array58, 10.0d);
    double d61 = org.apache.commons.math.util.MathUtils.safeNorm(d_array58);
    double[] d_array63 = new double[] { 1.0d };
    double[] d_array65 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array63, 10.0d);
    double[] d_array67 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array63, (-0.009999666686665238d));
    double[][] d_array_array68 = new double[][] { d_array63 };
    org.apache.commons.math.util.MathUtils.sortInPlace(d_array58, d_array_array68);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException70 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable56, (java.lang.Object[])d_array_array68);
    org.apache.commons.math.util.MathUtils.sortInPlace(d_array52, d_array_array68);
    org.apache.commons.math.util.MathUtils.checkOrder(d_array52);
    double[] d_array74 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array52, 4.9E-324d);
    // The following exception was thrown during execution in test generation
    try {
      double d75 = org.apache.commons.math.util.MathUtils.linearCombination(d_array32, d_array74);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d22 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d35 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b48 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b49 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d55 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d61 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array67);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array68);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array74);

  }

  @Test
  public void test218() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test218"); }


    double d1 = org.apache.commons.math.util.FastMath.ceil(1.269187985616294d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 2.0d);

  }

  @Test
  public void test219() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test219"); }


    double d4 = org.apache.commons.math.util.MathUtils.linearCombination(0.0979311860144625d, (-0.7921204236492381d), 0.0d, 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == (-0.07757329255424837d));

  }

  @Test
  public void test220() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test220"); }


    double d1 = org.apache.commons.math.util.FastMath.ulp(4.666310772197643E157d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 6.097165137335922E141d);

  }

  @Test
  public void test221() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test221"); }


    // The following exception was thrown during execution in test generation
    try {
      int i2 = org.apache.commons.math.util.MathUtils.lcm((-1150), (-1376941261));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.MathArithmeticException");
    } catch (org.apache.commons.math.exception.MathArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.MathArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.MathArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test222() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test222"); }


    double d2 = org.apache.commons.math.util.FastMath.copySign(0.0d, 1.586505582224702d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.0d);

  }

  @Test
  public void test223() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test223"); }


    org.apache.commons.math.exception.NotPositiveException notPositiveException1 = new org.apache.commons.math.exception.NotPositiveException((java.lang.Number)5.0f);

  }

  @Test
  public void test224() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test224"); }


    // The following exception was thrown during execution in test generation
    try {
      int i2 = org.apache.commons.math.util.MathUtils.lcm((-758373193), (-758373183));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.MathArithmeticException");
    } catch (org.apache.commons.math.exception.MathArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.MathArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.MathArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test225() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test225"); }


    long long2 = org.apache.commons.math.util.MathUtils.pow(101L, 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 1L);

  }

  @Test
  public void test226() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test226"); }


    org.apache.commons.math.complex.Complex complex0 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex1 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex2 = complex0.pow(complex1);
    org.apache.commons.math.complex.ComplexField complexField3 = complex1.getField();
    org.apache.commons.math.complex.Complex complex4 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex5 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex6 = complex4.pow(complex5);
    org.apache.commons.math.complex.Complex complex7 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex8 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex9 = complex7.pow(complex8);
    org.apache.commons.math.complex.Complex complex10 = complex4.multiply(complex8);
    org.apache.commons.math.complex.Complex complex11 = complex1.multiply(complex4);
    org.apache.commons.math.complex.Complex complex12 = complex4.cosh();
    org.apache.commons.math.complex.Complex complex13 = complex4.acos();
    org.apache.commons.math.complex.Complex complex14 = complex13.negate();
    org.apache.commons.math.complex.Complex complex15 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex16 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex17 = complex15.pow(complex16);
    org.apache.commons.math.complex.ComplexField complexField18 = complex16.getField();
    org.apache.commons.math.complex.Complex complex19 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex20 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex21 = complex19.pow(complex20);
    org.apache.commons.math.complex.Complex complex22 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex23 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex24 = complex22.pow(complex23);
    org.apache.commons.math.complex.Complex complex25 = complex19.multiply(complex23);
    org.apache.commons.math.complex.Complex complex26 = complex16.multiply(complex19);
    org.apache.commons.math.util.MathUtils.checkNotNull((java.lang.Object)complex16);
    org.apache.commons.math.complex.Complex complex29 = complex16.pow(1.5707963267948966d);
    org.apache.commons.math.complex.Complex complex30 = complex13.pow(complex16);
    org.apache.commons.math.complex.Complex complex31 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex32 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex33 = complex31.pow(complex32);
    org.apache.commons.math.complex.ComplexField complexField34 = complex32.getField();
    org.apache.commons.math.complex.Complex complex35 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex36 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex37 = complex35.pow(complex36);
    org.apache.commons.math.complex.Complex complex38 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex39 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex40 = complex38.pow(complex39);
    org.apache.commons.math.complex.Complex complex41 = complex35.multiply(complex39);
    org.apache.commons.math.complex.Complex complex42 = complex32.multiply(complex35);
    org.apache.commons.math.complex.Complex complex43 = complex35.sqrt1z();
    org.apache.commons.math.complex.Complex complex44 = complex30.divide(complex43);
    double d45 = complex44.getImaginary();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complexField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complexField18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complexField34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d45, Double.NaN, 0);

  }

  @Test
  public void test227() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test227"); }


    boolean b2 = org.apache.commons.math.util.MathUtils.equals((-0.01745417862959511d), 1.4711276743037347d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test228() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test228"); }


    double[] d_array0 = null;
    double[] d_array2 = new double[] { 1.0d };
    double[] d_array4 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array2, 10.0d);
    double d5 = org.apache.commons.math.util.MathUtils.safeNorm(d_array2);
    double[] d_array7 = new double[] { 1.0d };
    double[] d_array9 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array7, 10.0d);
    double[] d_array11 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array7, (-0.009999666686665238d));
    double[][] d_array_array12 = new double[][] { d_array7 };
    org.apache.commons.math.util.MathUtils.sortInPlace(d_array2, d_array_array12);
    double[] d_array15 = new double[] { 1.0d };
    double[] d_array17 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array15, 10.0d);
    double d18 = org.apache.commons.math.util.MathUtils.distanceInf(d_array2, d_array15);
    double[] d_array20 = new double[] { 1.0d };
    double[] d_array22 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array20, 10.0d);
    double d23 = org.apache.commons.math.util.MathUtils.safeNorm(d_array20);
    double[] d_array25 = new double[] { 1.0d };
    double[] d_array27 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array25, 10.0d);
    double[] d_array29 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array25, (-0.009999666686665238d));
    double[][] d_array_array30 = new double[][] { d_array25 };
    org.apache.commons.math.util.MathUtils.sortInPlace(d_array20, d_array_array30);
    double d32 = org.apache.commons.math.util.MathUtils.distanceInf(d_array15, d_array20);
    double d33 = org.apache.commons.math.util.MathUtils.safeNorm(d_array20);
    boolean b34 = org.apache.commons.math.util.MathUtils.equals(d_array0, d_array20);
    double d35 = org.apache.commons.math.util.MathUtils.safeNorm(d_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d18 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d23 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d32 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d33 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b34 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d35 == 1.0d);

  }

  @Test
  public void test229() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test229"); }


    float f1 = org.apache.commons.math.util.MathUtils.indicator(9.671408E24f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 1.0f);

  }

  @Test
  public void test230() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test230"); }


    org.apache.commons.math.complex.Complex complex0 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex1 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex2 = complex0.pow(complex1);
    org.apache.commons.math.complex.ComplexField complexField3 = complex1.getField();
    // The following exception was thrown during execution in test generation
    try {
      java.util.List list5 = complex1.nthRoot((-719689146));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NotPositiveException");
    } catch (org.apache.commons.math.exception.NotPositiveException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NotPositiveException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NotPositiveException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complexField3);

  }

  @Test
  public void test231() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test231"); }


    double[] d_array1 = new double[] { 1.0d };
    double[] d_array3 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array1, 10.0d);
    double d4 = org.apache.commons.math.util.MathUtils.safeNorm(d_array1);
    double[] d_array6 = new double[] { 1.0d };
    double[] d_array8 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array6, 10.0d);
    double[] d_array10 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array6, (-0.009999666686665238d));
    double[][] d_array_array11 = new double[][] { d_array6 };
    org.apache.commons.math.util.MathUtils.sortInPlace(d_array1, d_array_array11);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array1);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array1);
    double[] d_array16 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array1, 1.5707963267948966d);
    org.apache.commons.math.util.MathUtils.OrderDirection orderDirection17 = org.apache.commons.math.util.MathUtils.OrderDirection.INCREASING;
    double[] d_array19 = new double[] { 1.0d };
    double[] d_array21 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array19, 10.0d);
    double[][] d_array_array22 = new double[][] { d_array21 };
    org.apache.commons.math.util.MathUtils.sortInPlace(d_array16, orderDirection17, d_array_array22);
    double[] d_array25 = new double[] { 1.0d };
    double[] d_array27 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array25, 10.0d);
    double[] d_array28 = org.apache.commons.math.util.MathUtils.copyOf(d_array25);
    // The following exception was thrown during execution in test generation
    try {
      double d29 = org.apache.commons.math.util.MathUtils.linearCombination(d_array16, d_array25);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array28);

  }

  @Test
  public void test232() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test232"); }


    org.apache.commons.math.complex.Complex complex0 = org.apache.commons.math.complex.Complex.ONE;
    org.apache.commons.math.complex.Complex complex1 = org.apache.commons.math.complex.Complex.ONE;
    org.apache.commons.math.complex.Complex complex2 = complex1.log();
    org.apache.commons.math.complex.Complex complex4 = complex2.multiply(43.1284181946612d);
    org.apache.commons.math.complex.Complex complex5 = complex0.divide(complex2);
    org.apache.commons.math.complex.Complex complex6 = org.apache.commons.math.complex.Complex.ONE;
    org.apache.commons.math.complex.Complex complex7 = org.apache.commons.math.complex.Complex.ONE;
    org.apache.commons.math.complex.Complex complex8 = complex7.log();
    org.apache.commons.math.complex.Complex complex10 = complex8.multiply(43.1284181946612d);
    org.apache.commons.math.complex.Complex complex11 = complex6.divide(complex8);
    org.apache.commons.math.complex.Complex complex12 = complex2.add(complex11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex12);

  }

  @Test
  public void test233() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test233"); }


    org.apache.commons.math.exception.DimensionMismatchException dimensionMismatchException2 = new org.apache.commons.math.exception.DimensionMismatchException((-1), 13);
    org.apache.commons.math.exception.util.ExceptionContext exceptionContext3 = dimensionMismatchException2.getContext();
    java.lang.Number number4 = dimensionMismatchException2.getArgument();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number4 + "' != '" + (-1)+ "'", number4.equals((-1)));

  }

  @Test
  public void test234() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test234"); }


    double d2 = org.apache.commons.math.util.MathUtils.normalizeAngle((-2.8075917882631045d), (-0.010050335007462007d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-2.8075917882631045d));

  }

  @Test
  public void test235() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test235"); }


    double d3 = org.apache.commons.math.util.MathUtils.reduce(0.04159704371336348d, 4.810477380965406d, 0.006324955624199324d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 0.035272088089164155d);

  }

  @Test
  public void test236() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test236"); }


    org.apache.commons.math.util.MathUtils.checkFinite(4.810477380965406d);

  }

  @Test
  public void test237() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test237"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.NotPositiveException notPositiveException2 = new org.apache.commons.math.exception.NotPositiveException(localizable0, (java.lang.Number)0.5403023058681398d);

  }

  @Test
  public void test238() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test238"); }


    // The following exception was thrown during execution in test generation
    try {
      int i2 = org.apache.commons.math.util.MathUtils.mulAndCheck((-2008633678), 1016);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.MathArithmeticException");
    } catch (org.apache.commons.math.exception.MathArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.MathArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.MathArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test239() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test239"); }


    int i1 = org.apache.commons.math.util.MathUtils.indicator((-2008633678));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == (-1));

  }

  @Test
  public void test240() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test240"); }


    org.apache.commons.math.complex.Complex complex0 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex1 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex2 = complex0.pow(complex1);
    boolean b3 = complex2.isInfinite();
    org.apache.commons.math.complex.Complex complex4 = complex2.atan();
    org.apache.commons.math.complex.Complex complex6 = new org.apache.commons.math.complex.Complex(2.5091784786580567d);
    org.apache.commons.math.complex.Complex complex7 = complex2.add(complex6);
    org.apache.commons.math.complex.Complex complex9 = complex6.subtract(2.2250738585072014E-308d);
    org.apache.commons.math.complex.Complex complex10 = complex9.negate();
    org.apache.commons.math.complex.Complex complex11 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex12 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex13 = complex11.pow(complex12);
    org.apache.commons.math.complex.ComplexField complexField14 = complex12.getField();
    org.apache.commons.math.complex.Complex complex15 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex16 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex17 = complex15.pow(complex16);
    org.apache.commons.math.complex.Complex complex18 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex19 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex20 = complex18.pow(complex19);
    org.apache.commons.math.complex.Complex complex21 = complex15.multiply(complex19);
    org.apache.commons.math.complex.Complex complex22 = complex12.multiply(complex15);
    org.apache.commons.math.complex.Complex complex23 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex24 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex25 = complex23.pow(complex24);
    boolean b26 = complex25.isInfinite();
    org.apache.commons.math.complex.Complex complex27 = complex25.atan();
    org.apache.commons.math.complex.Complex complex28 = complex12.divide(complex25);
    org.apache.commons.math.complex.Complex complex30 = complex28.divide((-0.015707963278420587d));
    org.apache.commons.math.complex.Complex complex31 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex32 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex33 = complex31.pow(complex32);
    boolean b34 = complex33.isInfinite();
    org.apache.commons.math.complex.Complex complex35 = complex33.atan();
    org.apache.commons.math.complex.Complex complex37 = new org.apache.commons.math.complex.Complex(2.5091784786580567d);
    org.apache.commons.math.complex.Complex complex38 = complex33.add(complex37);
    org.apache.commons.math.complex.Complex complex40 = complex37.subtract(2.2250738585072014E-308d);
    java.lang.String str41 = complex40.toString();
    org.apache.commons.math.complex.Complex complex42 = complex30.multiply(complex40);
    org.apache.commons.math.complex.Complex complex43 = complex10.divide(complex42);
    org.apache.commons.math.complex.Complex complex44 = complex10.cos();
    org.apache.commons.math.complex.Complex complex45 = complex44.sqrt1z();
    boolean b46 = complex45.isNaN();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complexField14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b26 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b34 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str41 + "' != '" + "(2.5091784786580567, 0.0)"+ "'", str41.equals("(2.5091784786580567, 0.0)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b46 == false);

  }

  @Test
  public void test241() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test241"); }


    double d1 = org.apache.commons.math.util.MathUtils.indicator(0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);

  }

  @Test
  public void test242() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test242"); }


    int i2 = org.apache.commons.math.util.FastMath.min((-7), 6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == (-7));

  }

  @Test
  public void test243() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test243"); }


    double d1 = org.apache.commons.math.util.FastMath.signum(0.7853981633974483d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);

  }

  @Test
  public void test244() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test244"); }


    float f2 = org.apache.commons.math.util.FastMath.nextAfter(102400.0f, 0.7071067811865476d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 102399.99f);

  }

  @Test
  public void test245() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test245"); }


    double d3 = org.apache.commons.math.util.MathUtils.reduce(0.5403023058681398d, (-1.8649691313747183E28d), 49.035452847101745d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 1.8649691313747183E28d);

  }

  @Test
  public void test246() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test246"); }


    org.apache.commons.math.complex.Complex complex0 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex1 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex2 = complex0.pow(complex1);
    double[] d_array4 = new double[] { 1.0d };
    double[] d_array6 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array4, 10.0d);
    double d7 = org.apache.commons.math.util.MathUtils.safeNorm(d_array4);
    double[] d_array9 = new double[] { 1.0d };
    double[] d_array11 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array9, 10.0d);
    double[] d_array13 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array9, (-0.009999666686665238d));
    double[][] d_array_array14 = new double[][] { d_array9 };
    org.apache.commons.math.util.MathUtils.sortInPlace(d_array4, d_array_array14);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array4);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array4);
    double[] d_array19 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array4, 1.5707963267948966d);
    org.apache.commons.math.util.MathUtils.OrderDirection orderDirection20 = org.apache.commons.math.util.MathUtils.OrderDirection.INCREASING;
    double[] d_array22 = new double[] { 1.0d };
    double[] d_array24 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array22, 10.0d);
    double[][] d_array_array25 = new double[][] { d_array24 };
    org.apache.commons.math.util.MathUtils.sortInPlace(d_array19, orderDirection20, d_array_array25);
    boolean b27 = complex0.equals((java.lang.Object)d_array_array25);
    org.apache.commons.math.complex.Complex complex29 = complex0.multiply((-0.01745240643728351d));
    org.apache.commons.math.complex.Complex complex30 = complex0.negate();
    org.apache.commons.math.complex.Complex complex31 = complex30.cos();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b27 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex31);

  }

  @Test
  public void test247() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test247"); }


    double d2 = org.apache.commons.math.util.FastMath.scalb((-0.010000500044170567d), (-763334628));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-0.0d));

  }

  @Test
  public void test248() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test248"); }


    long long1 = org.apache.commons.math.util.FastMath.round((-0.5700836241984677d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == (-1L));

  }

  @Test
  public void test249() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test249"); }


    org.apache.commons.math.complex.Complex complex0 = org.apache.commons.math.complex.Complex.ONE;
    double d1 = complex0.getArgument();
    org.apache.commons.math.complex.Complex complex3 = complex0.add(2.220446049250313E-16d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex3);

  }

  @Test
  public void test250() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test250"); }


    org.apache.commons.math.util.MathUtils.OrderDirection orderDirection3 = null;
    org.apache.commons.math.exception.NonMonotonousSequenceException nonMonotonousSequenceException5 = new org.apache.commons.math.exception.NonMonotonousSequenceException((java.lang.Number)(byte)10, (java.lang.Number)(-0.009999666686665236d), 100, orderDirection3, false);
    org.apache.commons.math.util.MathUtils.OrderDirection orderDirection6 = nonMonotonousSequenceException5.getDirection();
    java.lang.Throwable throwable7 = nonMonotonousSequenceException5.getException();
    org.apache.commons.math.exception.NumberIsTooLargeException numberIsTooLargeException11 = new org.apache.commons.math.exception.NumberIsTooLargeException((java.lang.Number)1.0E-10f, (java.lang.Number)10.000001f, false);
    java.lang.Throwable[] throwable_array12 = numberIsTooLargeException11.getSuppressed();
    java.lang.Throwable throwable13 = numberIsTooLargeException11.getException();
    nonMonotonousSequenceException5.addSuppressed((java.lang.Throwable)numberIsTooLargeException11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(orderDirection6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable13);

  }

  @Test
  public void test251() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test251"); }


    double d1 = org.apache.commons.math.util.MathUtils.sinh((-267.74489404101644d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-9.53015675525715E115d));

  }

  @Test
  public void test252() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test252"); }


    float f2 = org.apache.commons.math.util.FastMath.nextAfter(1.2676505E31f, 10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 1.2676504E31f);

  }

  @Test
  public void test253() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test253"); }


    int i2 = org.apache.commons.math.util.MathUtils.gcd(0, (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 1);

  }

  @Test
  public void test254() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test254"); }


    org.apache.commons.math.complex.Complex complex0 = org.apache.commons.math.complex.Complex.ONE;
    double d1 = complex0.getArgument();
    org.apache.commons.math.complex.Complex complex2 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex3 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex4 = complex2.pow(complex3);
    org.apache.commons.math.complex.ComplexField complexField5 = complex3.getField();
    org.apache.commons.math.complex.Complex complex6 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex7 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex8 = complex6.pow(complex7);
    org.apache.commons.math.complex.Complex complex9 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex10 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex11 = complex9.pow(complex10);
    org.apache.commons.math.complex.Complex complex12 = complex6.multiply(complex10);
    org.apache.commons.math.complex.Complex complex13 = complex3.multiply(complex6);
    org.apache.commons.math.complex.Complex complex14 = complex6.sqrt1z();
    org.apache.commons.math.complex.Complex complex15 = complex14.cosh();
    boolean b16 = complex14.isInfinite();
    org.apache.commons.math.complex.Complex complex17 = complex0.pow(complex14);
    double d18 = complex0.getArgument();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complexField5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b16 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d18 == 0.0d);

  }

  @Test
  public void test255() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test255"); }


    org.apache.commons.math.util.MathUtils.checkNotNull((java.lang.Object)7766279631452241920L);

  }

  @Test
  public void test256() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test256"); }


    double[] d_array1 = new double[] { 1.0d };
    double[] d_array3 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array1, 10.0d);
    double[] d_array5 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array1, (-0.009999666686665238d));
    double[] d_array7 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array5, 4.440892098500626E-16d);
    double[] d_array9 = new double[] { 1.0d };
    double[] d_array11 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array9, 10.0d);
    double d12 = org.apache.commons.math.util.MathUtils.safeNorm(d_array9);
    double[] d_array14 = new double[] { 1.0d };
    double[] d_array16 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array14, 10.0d);
    double[] d_array18 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array14, (-0.009999666686665238d));
    double[][] d_array_array19 = new double[][] { d_array14 };
    org.apache.commons.math.util.MathUtils.sortInPlace(d_array9, d_array_array19);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array9);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array9);
    double[] d_array24 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array9, 1.5707963267948966d);
    org.apache.commons.math.util.MathUtils.OrderDirection orderDirection25 = null;
    boolean b28 = org.apache.commons.math.util.MathUtils.checkOrder(d_array24, orderDirection25, false, false);
    double[] d_array30 = org.apache.commons.math.util.MathUtils.copyOf(d_array24, 0);
    // The following exception was thrown during execution in test generation
    try {
      double d31 = org.apache.commons.math.util.MathUtils.distance(d_array7, d_array30);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d12 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b28 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array30);

  }

  @Test
  public void test257() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test257"); }


    int i1 = org.apache.commons.math.util.FastMath.getExponent((-0.5069313086047602d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == (-1));

  }

  @Test
  public void test258() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test258"); }


    int i1 = org.apache.commons.math.util.FastMath.abs((-1376942411));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 1376942411);

  }

  @Test
  public void test259() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test259"); }


    long long1 = org.apache.commons.math.util.FastMath.round(1.3246090892520057d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 1L);

  }

  @Test
  public void test260() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test260"); }


    org.apache.commons.math.complex.Complex complex0 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex1 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex2 = complex0.pow(complex1);
    org.apache.commons.math.complex.ComplexField complexField3 = complex1.getField();
    org.apache.commons.math.complex.Complex complex4 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex5 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex6 = complex4.pow(complex5);
    org.apache.commons.math.complex.Complex complex7 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex8 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex9 = complex7.pow(complex8);
    org.apache.commons.math.complex.Complex complex10 = complex4.multiply(complex8);
    org.apache.commons.math.complex.Complex complex11 = complex1.multiply(complex4);
    org.apache.commons.math.complex.Complex complex12 = complex4.cosh();
    org.apache.commons.math.complex.Complex complex13 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex14 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex15 = complex13.pow(complex14);
    org.apache.commons.math.complex.Complex complex16 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex17 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex18 = complex16.pow(complex17);
    org.apache.commons.math.complex.Complex complex19 = complex13.multiply(complex17);
    org.apache.commons.math.complex.Complex complex20 = complex12.subtract(complex17);
    org.apache.commons.math.complex.Complex complex21 = complex12.sqrt();
    org.apache.commons.math.complex.Complex complex23 = complex12.subtract(Double.NEGATIVE_INFINITY);
    org.apache.commons.math.complex.Complex complex24 = complex23.tanh();
    double d25 = complex24.getImaginary();
    org.apache.commons.math.complex.Complex complex26 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex27 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex28 = complex26.pow(complex27);
    boolean b29 = complex28.isInfinite();
    boolean b30 = complex28.isNaN();
    double d31 = complex28.getReal();
    java.lang.Object obj32 = null;
    boolean b33 = complex28.equals(obj32);
    org.apache.commons.math.complex.Complex complex35 = complex28.subtract(0.99627207622075d);
    org.apache.commons.math.complex.Complex complex36 = complex24.pow(complex35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complexField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d25, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b29 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b30 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d31, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b33 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex36);

  }

  @Test
  public void test261() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test261"); }


    float f2 = org.apache.commons.math.util.FastMath.max(0.0f, 102400.01f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 102400.01f);

  }

  @Test
  public void test262() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test262"); }


    boolean b3 = org.apache.commons.math.util.MathUtils.equals((-0.25939351994543125d), 1.005315231438599d, (-1272213991));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test263() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test263"); }


    double d1 = org.apache.commons.math.util.FastMath.ulp((-0.01745240643728351d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 3.469446951953614E-18d);

  }

  @Test
  public void test264() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test264"); }


    double d1 = org.apache.commons.math.util.FastMath.tan(1.586505582224702d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-63.65150422814257d));

  }

  @Test
  public void test265() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test265"); }


    double d1 = org.apache.commons.math.util.FastMath.toDegrees((-0.012341341494884351d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.7071067811865476d));

  }

  @Test
  public void test266() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test266"); }


    float[] f_array3 = new float[] { 10.0f, 0.0f, 1.0f };
    float[] f_array6 = new float[] { 100.0f, (-1.0f) };
    boolean b7 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(f_array3, f_array6);
    float[] f_array9 = new float[] { 0.0f };
    float[] f_array13 = new float[] { 10.0f, 0.0f, 1.0f };
    float[] f_array16 = new float[] { 100.0f, (-1.0f) };
    boolean b17 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(f_array13, f_array16);
    boolean b18 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(f_array9, f_array16);
    boolean b19 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(f_array3, f_array9);
    float[] f_array23 = new float[] { (-1.0f), (-1.0f), 0.0f };
    float[] f_array27 = new float[] { 10.0f, 0.0f, 1.0f };
    float[] f_array30 = new float[] { 100.0f, (-1.0f) };
    boolean b31 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(f_array27, f_array30);
    float[] f_array33 = new float[] { 0.0f };
    float[] f_array37 = new float[] { 10.0f, 0.0f, 1.0f };
    float[] f_array40 = new float[] { 100.0f, (-1.0f) };
    boolean b41 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(f_array37, f_array40);
    boolean b42 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(f_array33, f_array40);
    boolean b43 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(f_array27, f_array33);
    boolean b44 = org.apache.commons.math.util.MathUtils.equals(f_array23, f_array27);
    boolean b45 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(f_array9, f_array23);
    float[] f_array47 = new float[] { 0.0f };
    float[] f_array51 = new float[] { 10.0f, 0.0f, 1.0f };
    float[] f_array54 = new float[] { 100.0f, (-1.0f) };
    boolean b55 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(f_array51, f_array54);
    boolean b56 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(f_array47, f_array54);
    boolean b57 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(f_array23, f_array54);
    float[] f_array61 = new float[] { 10.0f, 0.0f, 1.0f };
    float[] f_array64 = new float[] { 100.0f, (-1.0f) };
    boolean b65 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(f_array61, f_array64);
    float[] f_array69 = new float[] { (-1.0f), (-1.0f), 0.0f };
    float[] f_array73 = new float[] { 10.0f, 0.0f, 1.0f };
    float[] f_array76 = new float[] { 100.0f, (-1.0f) };
    boolean b77 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(f_array73, f_array76);
    float[] f_array79 = new float[] { 0.0f };
    float[] f_array83 = new float[] { 10.0f, 0.0f, 1.0f };
    float[] f_array86 = new float[] { 100.0f, (-1.0f) };
    boolean b87 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(f_array83, f_array86);
    boolean b88 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(f_array79, f_array86);
    boolean b89 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(f_array73, f_array79);
    boolean b90 = org.apache.commons.math.util.MathUtils.equals(f_array69, f_array73);
    boolean b91 = org.apache.commons.math.util.MathUtils.equals(f_array64, f_array69);
    boolean b92 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(f_array54, f_array64);
    float[] f_array93 = null;
    boolean b94 = org.apache.commons.math.util.MathUtils.equals(f_array64, f_array93);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b7 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b17 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b18 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b19 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b31 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b41 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b42 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b43 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b44 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b45 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b55 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b56 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b57 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b65 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array69);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array73);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array76);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b77 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array79);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array83);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array86);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b87 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b88 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b89 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b90 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b91 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b92 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b94 == false);

  }

  @Test
  public void test267() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test267"); }


    // The following exception was thrown during execution in test generation
    try {
      double d3 = org.apache.commons.math.util.MathUtils.round(1.6487620770805527d, (-6), 144);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test268() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test268"); }


    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException0 = new org.apache.commons.math.exception.MathArithmeticException();
    java.lang.Throwable throwable1 = mathArithmeticException0.getException();
    java.lang.Throwable throwable2 = mathArithmeticException0.getException();
    java.lang.Throwable throwable3 = mathArithmeticException0.getException();
    java.lang.Throwable throwable4 = mathArithmeticException0.getException();
    org.apache.commons.math.exception.util.ExceptionContext exceptionContext5 = mathArithmeticException0.getContext();
    java.lang.Throwable throwable6 = mathArithmeticException0.getException();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable6);

  }

  @Test
  public void test269() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test269"); }


    org.apache.commons.math.complex.Complex complex0 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex1 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex2 = complex0.pow(complex1);
    org.apache.commons.math.complex.Complex complex3 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex4 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex5 = complex3.pow(complex4);
    org.apache.commons.math.complex.Complex complex6 = complex0.multiply(complex4);
    org.apache.commons.math.complex.Complex complex7 = complex4.cos();
    org.apache.commons.math.complex.Complex complex8 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex9 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex10 = complex8.pow(complex9);
    boolean b11 = complex10.isInfinite();
    org.apache.commons.math.complex.Complex complex12 = complex10.atan();
    org.apache.commons.math.complex.Complex complex13 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex14 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex15 = complex13.pow(complex14);
    org.apache.commons.math.complex.ComplexField complexField16 = complex14.getField();
    org.apache.commons.math.complex.Complex complex17 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex18 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex19 = complex17.pow(complex18);
    org.apache.commons.math.complex.Complex complex20 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex21 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex22 = complex20.pow(complex21);
    org.apache.commons.math.complex.Complex complex23 = complex17.multiply(complex21);
    org.apache.commons.math.complex.Complex complex24 = complex14.multiply(complex17);
    org.apache.commons.math.complex.Complex complex25 = complex17.cosh();
    org.apache.commons.math.complex.Complex complex26 = complex17.acos();
    org.apache.commons.math.complex.Complex complex27 = complex10.subtract(complex17);
    org.apache.commons.math.complex.Complex complex28 = complex27.log();
    org.apache.commons.math.complex.Complex complex29 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex30 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex31 = complex29.pow(complex30);
    org.apache.commons.math.complex.Complex complex32 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex33 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex34 = complex32.pow(complex33);
    org.apache.commons.math.complex.Complex complex35 = complex29.multiply(complex33);
    org.apache.commons.math.complex.Complex complex36 = complex29.sinh();
    org.apache.commons.math.complex.Complex complex37 = complex29.sin();
    org.apache.commons.math.complex.Complex complex38 = complex27.subtract(complex29);
    org.apache.commons.math.complex.Complex complex39 = complex4.pow(complex27);
    org.apache.commons.math.complex.Complex complex40 = complex27.sinh();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b11 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complexField16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex40);

  }

  @Test
  public void test270() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test270"); }


    boolean b3 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(1.0E-10f, Float.NaN, (-1.9073489E-6f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test271() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test271"); }


    float f1 = org.apache.commons.math.util.FastMath.signum(1.4E-45f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 1.0f);

  }

  @Test
  public void test272() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test272"); }


    float f2 = org.apache.commons.math.util.FastMath.copySign(5.0f, 1.907349E-6f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 5.0f);

  }

  @Test
  public void test273() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test273"); }


    // The following exception was thrown during execution in test generation
    try {
      long long2 = org.apache.commons.math.util.MathUtils.binomialCoefficient((-118622673), 0);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NumberIsTooLargeException");
    } catch (org.apache.commons.math.exception.NumberIsTooLargeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NumberIsTooLargeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NumberIsTooLargeException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test274() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test274"); }


    org.apache.commons.math.complex.Complex complex0 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex1 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex2 = complex0.pow(complex1);
    org.apache.commons.math.complex.ComplexField complexField3 = complex1.getField();
    org.apache.commons.math.complex.Complex complex4 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex5 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex6 = complex4.pow(complex5);
    org.apache.commons.math.complex.Complex complex7 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex8 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex9 = complex7.pow(complex8);
    org.apache.commons.math.complex.Complex complex10 = complex4.multiply(complex8);
    org.apache.commons.math.complex.Complex complex11 = complex1.multiply(complex4);
    org.apache.commons.math.complex.Complex complex12 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex13 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex14 = complex12.pow(complex13);
    boolean b15 = complex14.isInfinite();
    org.apache.commons.math.complex.Complex complex16 = complex14.atan();
    org.apache.commons.math.complex.Complex complex17 = complex1.divide(complex14);
    org.apache.commons.math.complex.Complex complex18 = complex1.sinh();
    org.apache.commons.math.complex.Complex complex19 = complex1.tan();
    boolean b21 = complex1.equals((java.lang.Object)(-0.25649440840197785d));
    org.apache.commons.math.complex.Complex complex22 = complex1.negate();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complexField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b15 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b21 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex22);

  }

  @Test
  public void test275() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test275"); }


    java.math.BigInteger bigInteger0 = null;
    java.math.BigInteger bigInteger2 = org.apache.commons.math.util.MathUtils.pow(bigInteger0, 0L);
    java.math.BigInteger bigInteger4 = org.apache.commons.math.util.MathUtils.pow(bigInteger2, 10);
    java.math.BigInteger bigInteger5 = null;
    java.math.BigInteger bigInteger7 = org.apache.commons.math.util.MathUtils.pow(bigInteger5, 0L);
    java.math.BigInteger bigInteger9 = org.apache.commons.math.util.MathUtils.pow(bigInteger7, 10);
    java.math.BigInteger bigInteger10 = org.apache.commons.math.util.MathUtils.pow(bigInteger2, bigInteger7);
    java.math.BigInteger bigInteger12 = org.apache.commons.math.util.MathUtils.pow(bigInteger2, 144);
    java.math.BigInteger bigInteger13 = null;
    java.math.BigInteger bigInteger15 = org.apache.commons.math.util.MathUtils.pow(bigInteger13, 0L);
    java.math.BigInteger bigInteger17 = org.apache.commons.math.util.MathUtils.pow(bigInteger15, 10);
    java.math.BigInteger bigInteger18 = null;
    java.math.BigInteger bigInteger20 = org.apache.commons.math.util.MathUtils.pow(bigInteger18, 0L);
    java.math.BigInteger bigInteger22 = org.apache.commons.math.util.MathUtils.pow(bigInteger20, 10);
    java.math.BigInteger bigInteger23 = org.apache.commons.math.util.MathUtils.pow(bigInteger15, bigInteger20);
    java.math.BigInteger bigInteger25 = org.apache.commons.math.util.MathUtils.pow(bigInteger15, 144);
    java.math.BigInteger bigInteger26 = org.apache.commons.math.util.MathUtils.pow(bigInteger12, bigInteger15);
    java.math.BigInteger bigInteger27 = null;
    java.math.BigInteger bigInteger29 = org.apache.commons.math.util.MathUtils.pow(bigInteger27, 0L);
    java.math.BigInteger bigInteger31 = org.apache.commons.math.util.MathUtils.pow(bigInteger29, 10);
    java.math.BigInteger bigInteger33 = org.apache.commons.math.util.MathUtils.pow(bigInteger29, 23L);
    java.math.BigInteger bigInteger34 = org.apache.commons.math.util.MathUtils.pow(bigInteger15, bigInteger33);
    java.math.BigInteger bigInteger36 = org.apache.commons.math.util.MathUtils.pow(bigInteger34, 0L);
    java.math.BigInteger bigInteger37 = null;
    java.math.BigInteger bigInteger39 = org.apache.commons.math.util.MathUtils.pow(bigInteger37, 0L);
    java.math.BigInteger bigInteger41 = org.apache.commons.math.util.MathUtils.pow(bigInteger37, 0L);
    // The following exception was thrown during execution in test generation
    try {
      java.math.BigInteger bigInteger42 = org.apache.commons.math.util.MathUtils.pow(bigInteger34, bigInteger37);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger41);

  }

  @Test
  public void test276() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test276"); }


    double[] d_array1 = new double[] { 1.0d };
    double[] d_array3 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array1, 10.0d);
    double d4 = org.apache.commons.math.util.MathUtils.safeNorm(d_array1);
    double[] d_array6 = new double[] { 1.0d };
    double[] d_array8 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array6, 10.0d);
    double[] d_array10 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array6, (-0.009999666686665238d));
    double[][] d_array_array11 = new double[][] { d_array6 };
    org.apache.commons.math.util.MathUtils.sortInPlace(d_array1, d_array_array11);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array1);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array1);
    double[] d_array16 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array1, 1.5707963267948966d);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array16);

  }

  @Test
  public void test277() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test277"); }


    int i2 = org.apache.commons.math.util.FastMath.min(1, 1910505473);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 1);

  }

  @Test
  public void test278() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test278"); }


    int i2 = org.apache.commons.math.util.MathUtils.gcd(2147483647, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 2147483647);

  }

  @Test
  public void test279() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test279"); }


    double d1 = org.apache.commons.math.util.FastMath.log1p(0.006324955624199324d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.0063050370377053236d);

  }

  @Test
  public void test280() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test280"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.DimensionMismatchException dimensionMismatchException3 = new org.apache.commons.math.exception.DimensionMismatchException(localizable0, (-1977326743), 1910505473);

  }

  @Test
  public void test281() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test281"); }


    int i2 = org.apache.commons.math.util.MathUtils.addAndCheck(0, (-1518801660));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == (-1518801660));

  }

  @Test
  public void test282() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test282"); }


    // The following exception was thrown during execution in test generation
    try {
      double d2 = org.apache.commons.math.util.MathUtils.binomialCoefficientDouble(0, 4);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NumberIsTooLargeException");
    } catch (org.apache.commons.math.exception.NumberIsTooLargeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NumberIsTooLargeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NumberIsTooLargeException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test283() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test283"); }


    int[] i_array0 = new int[] {  };
    int[] i_array2 = org.apache.commons.math.util.MathUtils.copyOf(i_array0, 1);
    int[] i_array3 = org.apache.commons.math.util.MathUtils.copyOf(i_array0);
    int[] i_array5 = new int[] { 100 };
    int i6 = org.apache.commons.math.util.MathUtils.distance1(i_array0, i_array5);
    int[] i_array7 = org.apache.commons.math.util.MathUtils.copyOf(i_array5);
    int[] i_array9 = org.apache.commons.math.util.MathUtils.copyOf(i_array7, 0);
    int[] i_array10 = org.apache.commons.math.util.MathUtils.copyOf(i_array9);
    // The following exception was thrown during execution in test generation
    try {
      int[] i_array12 = org.apache.commons.math.util.MathUtils.copyOf(i_array9, (-318324063));
      org.junit.Assert.fail("Expected exception of type java.lang.NegativeArraySizeException");
    } catch (java.lang.NegativeArraySizeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NegativeArraySizeException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NegativeArraySizeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array10);

  }

  @Test
  public void test284() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test284"); }


    org.apache.commons.math.complex.Complex complex0 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex1 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex2 = complex0.pow(complex1);
    org.apache.commons.math.complex.ComplexField complexField3 = complex1.getField();
    org.apache.commons.math.complex.Complex complex4 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex5 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex6 = complex4.pow(complex5);
    org.apache.commons.math.complex.Complex complex7 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex8 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex9 = complex7.pow(complex8);
    org.apache.commons.math.complex.Complex complex10 = complex4.multiply(complex8);
    org.apache.commons.math.complex.Complex complex11 = complex1.multiply(complex4);
    org.apache.commons.math.complex.Complex complex12 = complex4.cosh();
    org.apache.commons.math.complex.Complex complex13 = complex4.acos();
    double d14 = complex4.getReal();
    java.lang.String str15 = complex4.toString();
    org.apache.commons.math.complex.Complex complex16 = org.apache.commons.math.complex.Complex.ONE;
    double d17 = complex16.getArgument();
    org.apache.commons.math.complex.Complex complex18 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex19 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex20 = complex18.pow(complex19);
    org.apache.commons.math.complex.ComplexField complexField21 = complex19.getField();
    org.apache.commons.math.complex.Complex complex22 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex23 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex24 = complex22.pow(complex23);
    org.apache.commons.math.complex.Complex complex25 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex26 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex27 = complex25.pow(complex26);
    org.apache.commons.math.complex.Complex complex28 = complex22.multiply(complex26);
    org.apache.commons.math.complex.Complex complex29 = complex19.multiply(complex22);
    org.apache.commons.math.complex.Complex complex30 = complex22.sqrt1z();
    org.apache.commons.math.complex.Complex complex31 = complex30.cosh();
    boolean b32 = complex30.isInfinite();
    org.apache.commons.math.complex.Complex complex33 = complex16.pow(complex30);
    org.apache.commons.math.complex.Complex complex34 = complex16.sin();
    org.apache.commons.math.complex.Complex complex35 = complex4.add(complex34);
    org.apache.commons.math.complex.Complex complex36 = complex35.conjugate();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complexField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d14 == Double.POSITIVE_INFINITY);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str15 + "' != '" + "(Infinity, Infinity)"+ "'", str15.equals("(Infinity, Infinity)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d17 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complexField21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b32 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex36);

  }

  @Test
  public void test285() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test285"); }


    int i2 = org.apache.commons.math.util.MathUtils.addAndCheck((-1150), (-118621657));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == (-118622807));

  }

  @Test
  public void test286() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test286"); }


    org.apache.commons.math.complex.Complex complex0 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex1 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex2 = complex0.pow(complex1);
    boolean b3 = complex2.isInfinite();
    org.apache.commons.math.complex.Complex complex4 = complex2.atan();
    org.apache.commons.math.complex.Complex complex6 = new org.apache.commons.math.complex.Complex(2.5091784786580567d);
    org.apache.commons.math.complex.Complex complex7 = complex2.add(complex6);
    org.apache.commons.math.complex.Complex complex9 = complex6.subtract(4.810477380965351d);
    org.apache.commons.math.complex.Complex complex10 = complex6.sqrt();
    org.apache.commons.math.complex.Complex complex11 = complex10.cosh();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex11);

  }

  @Test
  public void test287() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test287"); }


    boolean b3 = org.apache.commons.math.util.MathUtils.equals((-0.7921204236492381d), (-0.6658498715032737d), (-318324063));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test288() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test288"); }


    double d1 = org.apache.commons.math.util.FastMath.sqrt((-0.009999666686665236d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test289() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test289"); }


    float f2 = org.apache.commons.math.util.FastMath.copySign(1.1920929E-7f, 80.000015f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 1.1920929E-7f);

  }

  @Test
  public void test290() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test290"); }


    long long1 = org.apache.commons.math.util.FastMath.round(0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 0L);

  }

  @Test
  public void test291() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test291"); }


    long long2 = org.apache.commons.math.util.MathUtils.pow(0L, 10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 0L);

  }

  @Test
  public void test292() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test292"); }


    int i2 = org.apache.commons.math.util.FastMath.min(85603319, (-118622807));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == (-118622807));

  }

  @Test
  public void test293() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test293"); }


    int i1 = org.apache.commons.math.util.MathUtils.hash(1.1102230246251565E-16d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 1017118720);

  }

  @Test
  public void test294() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test294"); }


    double d1 = org.apache.commons.math.util.FastMath.atan((-0.017453292519943295d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.017451520651465824d));

  }

  @Test
  public void test295() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test295"); }


    long long2 = org.apache.commons.math.util.FastMath.max(9223372036854775807L, 7766279631452242020L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 9223372036854775807L);

  }

  @Test
  public void test296() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test296"); }


    int i1 = org.apache.commons.math.util.MathUtils.indicator(1272213991);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 1);

  }

  @Test
  public void test297() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test297"); }


    double d2 = org.apache.commons.math.util.FastMath.min(0.0979311860144625d, (-0.02426989966308851d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-0.02426989966308851d));

  }

  @Test
  public void test298() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test298"); }


    double d1 = org.apache.commons.math.util.FastMath.exp((-2.0043357417898457d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.13474977461776763d);

  }

  @Test
  public void test299() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test299"); }


    int i2 = org.apache.commons.math.util.MathUtils.pow(989909622, 1016);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 0);

  }

  @Test
  public void test300() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test300"); }


    float f1 = org.apache.commons.math.util.FastMath.ulp(1.0E-10f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 6.938894E-18f);

  }

  @Test
  public void test301() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test301"); }


    org.apache.commons.math.complex.Complex complex1 = new org.apache.commons.math.complex.Complex(2.5091784786580567d);
    org.apache.commons.math.complex.Complex complex2 = complex1.sqrt();
    double d3 = complex1.getImaginary();
    org.apache.commons.math.complex.Complex complex5 = complex1.add((-1.0d));
    org.apache.commons.math.complex.Complex complex6 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex7 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex8 = complex6.pow(complex7);
    org.apache.commons.math.complex.ComplexField complexField9 = complex7.getField();
    org.apache.commons.math.complex.Complex complex10 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex11 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex12 = complex10.pow(complex11);
    org.apache.commons.math.complex.Complex complex13 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex14 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex15 = complex13.pow(complex14);
    org.apache.commons.math.complex.Complex complex16 = complex10.multiply(complex14);
    org.apache.commons.math.complex.Complex complex17 = complex7.multiply(complex10);
    org.apache.commons.math.complex.Complex complex18 = complex10.cosh();
    org.apache.commons.math.complex.Complex complex19 = complex10.acos();
    org.apache.commons.math.complex.Complex complex21 = complex10.add((-0.010000166680833889d));
    org.apache.commons.math.complex.Complex complex22 = complex1.pow(complex21);
    org.apache.commons.math.complex.Complex complex23 = org.apache.commons.math.complex.Complex.ONE;
    org.apache.commons.math.complex.Complex complex24 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex25 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex26 = complex24.pow(complex25);
    boolean b27 = complex26.isInfinite();
    org.apache.commons.math.complex.Complex complex28 = complex26.atan();
    org.apache.commons.math.complex.Complex complex29 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex30 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex31 = complex29.pow(complex30);
    org.apache.commons.math.complex.ComplexField complexField32 = complex30.getField();
    org.apache.commons.math.complex.Complex complex33 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex34 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex35 = complex33.pow(complex34);
    org.apache.commons.math.complex.Complex complex36 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex37 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex38 = complex36.pow(complex37);
    org.apache.commons.math.complex.Complex complex39 = complex33.multiply(complex37);
    org.apache.commons.math.complex.Complex complex40 = complex30.multiply(complex33);
    org.apache.commons.math.complex.Complex complex41 = complex33.cosh();
    org.apache.commons.math.complex.Complex complex42 = complex33.acos();
    org.apache.commons.math.complex.Complex complex43 = complex26.subtract(complex33);
    org.apache.commons.math.complex.Complex complex44 = complex23.multiply(complex26);
    org.apache.commons.math.complex.Complex complex45 = complex26.sin();
    org.apache.commons.math.complex.Complex complex46 = complex1.add(complex26);
    org.apache.commons.math.complex.Complex complex47 = complex26.conjugate();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complexField9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b27 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complexField32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex47);

  }

  @Test
  public void test302() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test302"); }


    double d4 = org.apache.commons.math.util.MathUtils.linearCombination(4.810477380965406d, 2.6881171418161356E43d, 0.009900662544436153d, (-2.8075917882631045d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 1.2931126708091895E44d);

  }

  @Test
  public void test303() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test303"); }


    org.apache.commons.math.complex.Complex complex0 = org.apache.commons.math.complex.Complex.ONE;
    double d1 = complex0.getArgument();
    java.util.List list3 = complex0.nthRoot(13);
    double d4 = complex0.getReal();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(list3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 1.0d);

  }

  @Test
  public void test304() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test304"); }


    double d1 = org.apache.commons.math.util.MathUtils.cosh(49.035452847101745d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 9.88090203479792E20d);

  }

  @Test
  public void test305() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test305"); }


    double d1 = org.apache.commons.math.util.FastMath.exp((-0.009999666686665238d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.9900501637460347d);

  }

  @Test
  public void test306() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test306"); }


    // The following exception was thrown during execution in test generation
    try {
      double d3 = org.apache.commons.math.util.MathUtils.round((-2.4880468136546634E43d), 1296, 1272213991);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test307() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test307"); }


    double d1 = org.apache.commons.math.util.FastMath.abs((-503.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 503.0d);

  }

  @Test
  public void test308() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test308"); }


    double[] d_array1 = new double[] { 1.0d };
    double[] d_array3 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array1, 10.0d);
    double d4 = org.apache.commons.math.util.MathUtils.safeNorm(d_array1);
    double[] d_array6 = new double[] { 1.0d };
    double[] d_array8 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array6, 10.0d);
    double[] d_array10 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array6, (-0.009999666686665238d));
    double[][] d_array_array11 = new double[][] { d_array6 };
    org.apache.commons.math.util.MathUtils.sortInPlace(d_array1, d_array_array11);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array1);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array1);
    double[] d_array16 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array1, 1.5707963267948966d);
    org.apache.commons.math.complex.Complex complex17 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex18 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex19 = complex17.pow(complex18);
    double[] d_array21 = new double[] { 1.0d };
    double[] d_array23 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array21, 10.0d);
    double d24 = org.apache.commons.math.util.MathUtils.safeNorm(d_array21);
    double[] d_array26 = new double[] { 1.0d };
    double[] d_array28 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array26, 10.0d);
    double[] d_array30 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array26, (-0.009999666686665238d));
    double[][] d_array_array31 = new double[][] { d_array26 };
    org.apache.commons.math.util.MathUtils.sortInPlace(d_array21, d_array_array31);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array21);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array21);
    double[] d_array36 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array21, 1.5707963267948966d);
    org.apache.commons.math.util.MathUtils.OrderDirection orderDirection37 = org.apache.commons.math.util.MathUtils.OrderDirection.INCREASING;
    double[] d_array39 = new double[] { 1.0d };
    double[] d_array41 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array39, 10.0d);
    double[][] d_array_array42 = new double[][] { d_array41 };
    org.apache.commons.math.util.MathUtils.sortInPlace(d_array36, orderDirection37, d_array_array42);
    boolean b44 = complex17.equals((java.lang.Object)d_array_array42);
    org.apache.commons.math.util.MathUtils.sortInPlace(d_array16, d_array_array42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d24 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b44 == false);

  }

  @Test
  public void test309() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test309"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.NotPositiveException notPositiveException2 = new org.apache.commons.math.exception.NotPositiveException(localizable0, (java.lang.Number)Double.NEGATIVE_INFINITY);
    java.lang.Number number3 = notPositiveException2.getMin();
    java.lang.Throwable throwable4 = notPositiveException2.getException();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number3 + "' != '" + 0+ "'", number3.equals(0));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable4);

  }

  @Test
  public void test310() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test310"); }


    // The following exception was thrown during execution in test generation
    try {
      double d2 = org.apache.commons.math.util.MathUtils.binomialCoefficientLog((-118622672), (-118622672));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NotPositiveException");
    } catch (org.apache.commons.math.exception.NotPositiveException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NotPositiveException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NotPositiveException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test311() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test311"); }


    long long1 = org.apache.commons.math.util.FastMath.round((-0.3485038705276813d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 0L);

  }

  @Test
  public void test312() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test312"); }


    // The following exception was thrown during execution in test generation
    try {
      long long2 = org.apache.commons.math.util.MathUtils.addAndCheck(9223372036854775807L, 7766279631452241920L);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.MathArithmeticException");
    } catch (org.apache.commons.math.exception.MathArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.MathArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.MathArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test313() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test313"); }


    double d4 = org.apache.commons.math.util.MathUtils.linearCombination(2526.4866219391533d, 0.01713551219013049d, (-1.0d), 100.00999966668667d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == (-56.7173573582467d));

  }

  @Test
  public void test314() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test314"); }


    boolean b3 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(1.0E-10f, 9.536743E-7f, 13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test315() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test315"); }


    float f1 = org.apache.commons.math.util.MathUtils.sign((-1.0f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == (-1.0f));

  }

  @Test
  public void test316() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test316"); }


    // The following exception was thrown during execution in test generation
    try {
      float f3 = org.apache.commons.math.util.MathUtils.round(1.525879E-5f, 128, (-118622672));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.MathIllegalArgumentException");
    } catch (org.apache.commons.math.exception.MathIllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.MathIllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.MathIllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test317() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test317"); }


    float f1 = org.apache.commons.math.util.MathUtils.indicator((-0.0f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 1.0f);

  }

  @Test
  public void test318() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test318"); }


    double[] d_array1 = new double[] { 1.0d };
    double[] d_array3 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array1, 10.0d);
    double[] d_array5 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array1, (-0.009999666686665238d));
    double[] d_array7 = new double[] { 1.0d };
    double[] d_array9 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array7, 10.0d);
    double[] d_array10 = org.apache.commons.math.util.MathUtils.copyOf(d_array7);
    double d11 = org.apache.commons.math.util.MathUtils.distanceInf(d_array1, d_array7);
    double[] d_array13 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array1, 100.0d);
    org.apache.commons.math.util.MathUtils.checkOrder(d_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array13);

  }

  @Test
  public void test319() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test319"); }


    double d1 = org.apache.commons.math.util.FastMath.abs((-0.9092974268256816d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.9092974268256816d);

  }

  @Test
  public void test320() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test320"); }


    org.apache.commons.math.complex.Complex complex0 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex1 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex2 = complex0.pow(complex1);
    boolean b3 = complex2.isInfinite();
    boolean b4 = complex2.isNaN();
    org.apache.commons.math.complex.Complex complex6 = complex2.pow(43.1284181946612d);
    org.apache.commons.math.complex.Complex complex8 = complex6.add(0.7853981633974483d);
    double d9 = complex6.getImaginary();
    org.apache.commons.math.complex.Complex complex10 = complex6.negate();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d9, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex10);

  }

  @Test
  public void test321() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test321"); }


    int i1 = org.apache.commons.math.util.FastMath.abs((-118622673));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 118622673);

  }

  @Test
  public void test322() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test322"); }


    double[] d_array1 = new double[] { 1.0d };
    double[] d_array3 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array1, 10.0d);
    double d4 = org.apache.commons.math.util.MathUtils.safeNorm(d_array1);
    double[] d_array6 = new double[] { 1.0d };
    double[] d_array8 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array6, 10.0d);
    double[] d_array10 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array6, (-0.009999666686665238d));
    double[][] d_array_array11 = new double[][] { d_array6 };
    org.apache.commons.math.util.MathUtils.sortInPlace(d_array1, d_array_array11);
    double[] d_array14 = new double[] { 1.0d };
    double[] d_array16 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array14, 10.0d);
    double d17 = org.apache.commons.math.util.MathUtils.distanceInf(d_array1, d_array14);
    double[] d_array19 = new double[] { 10.0d };
    double[] d_array21 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array19, 1.5707963267948961d);
    double d22 = org.apache.commons.math.util.MathUtils.distance(d_array14, d_array19);
    double[] d_array24 = new double[] { 1.0d };
    double[] d_array26 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array24, 10.0d);
    double d27 = org.apache.commons.math.util.MathUtils.safeNorm(d_array24);
    double[] d_array29 = new double[] { 1.0d };
    double[] d_array31 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array29, 10.0d);
    double[] d_array33 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array29, (-0.009999666686665238d));
    double[][] d_array_array34 = new double[][] { d_array29 };
    org.apache.commons.math.util.MathUtils.sortInPlace(d_array24, d_array_array34);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array24);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array24);
    double[] d_array39 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array24, 1.5707963267948966d);
    org.apache.commons.math.util.MathUtils.OrderDirection orderDirection40 = org.apache.commons.math.util.MathUtils.OrderDirection.INCREASING;
    double[] d_array42 = new double[] { 1.0d };
    double[] d_array44 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array42, 10.0d);
    double[][] d_array_array45 = new double[][] { d_array44 };
    org.apache.commons.math.util.MathUtils.sortInPlace(d_array39, orderDirection40, d_array_array45);
    double[][] d_array_array47 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.util.MathUtils.sortInPlace(d_array14, orderDirection40, d_array_array47);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException");
    } catch (org.apache.commons.math.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d17 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d22 == 9.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d27 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array45);

  }

  @Test
  public void test323() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test323"); }


    double d2 = org.apache.commons.math.util.FastMath.pow(2.2250738585072014E-308d, 0.012600241772540894d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.3289301601427097E-4d);

  }

  @Test
  public void test324() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test324"); }


    double[] d_array1 = new double[] { 1.0d };
    double[] d_array3 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array1, 10.0d);
    double d4 = org.apache.commons.math.util.MathUtils.safeNorm(d_array1);
    double[] d_array6 = new double[] { 1.0d };
    double[] d_array8 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array6, 10.0d);
    double[] d_array10 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array6, (-0.009999666686665238d));
    double[][] d_array_array11 = new double[][] { d_array6 };
    org.apache.commons.math.util.MathUtils.sortInPlace(d_array1, d_array_array11);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array1);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array1);
    double[] d_array16 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array1, 1.5707963267948966d);
    org.apache.commons.math.util.MathUtils.OrderDirection orderDirection17 = null;
    boolean b20 = org.apache.commons.math.util.MathUtils.checkOrder(d_array16, orderDirection17, false, false);
    double[] d_array22 = org.apache.commons.math.util.MathUtils.copyOf(d_array16, 0);
    double[] d_array24 = new double[] { 1.0d };
    double[] d_array26 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array24, 10.0d);
    double d27 = org.apache.commons.math.util.MathUtils.safeNorm(d_array24);
    double[] d_array29 = new double[] { 1.0d };
    double[] d_array31 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array29, 10.0d);
    double[] d_array33 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array29, (-0.009999666686665238d));
    double[][] d_array_array34 = new double[][] { d_array29 };
    org.apache.commons.math.util.MathUtils.sortInPlace(d_array24, d_array_array34);
    double[] d_array37 = new double[] { 1.0d };
    double[] d_array39 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array37, 10.0d);
    double d40 = org.apache.commons.math.util.MathUtils.distanceInf(d_array24, d_array37);
    double[] d_array42 = new double[] { 10.0d };
    double[] d_array44 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array42, 1.5707963267948961d);
    double d45 = org.apache.commons.math.util.MathUtils.distance(d_array37, d_array42);
    double d46 = org.apache.commons.math.util.MathUtils.distanceInf(d_array16, d_array37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b20 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d27 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d40 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d45 == 9.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d46 == 0.5707963267948966d);

  }

  @Test
  public void test325() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test325"); }


    boolean b3 = org.apache.commons.math.util.MathUtils.equals(1.0001022946789366d, 0.13474977461776763d, 144);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test326() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test326"); }


    boolean b3 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(2.2737368E-13f, (-1.0f), 1101050767);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test327() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test327"); }


    // The following exception was thrown during execution in test generation
    try {
      long long2 = org.apache.commons.math.util.MathUtils.lcm(7766279631452241920L, 11L);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.MathArithmeticException");
    } catch (org.apache.commons.math.exception.MathArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.MathArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.MathArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test328() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test328"); }


    int i2 = org.apache.commons.math.util.FastMath.min(1190097523, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 0);

  }

  @Test
  public void test329() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test329"); }


    double d1 = org.apache.commons.math.util.FastMath.sqrt((-0.02426989966308851d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test330() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test330"); }


    org.apache.commons.math.complex.Complex complex1 = new org.apache.commons.math.complex.Complex(2.5091784786580567d);
    org.apache.commons.math.complex.Complex complex2 = complex1.sqrt();
    double d3 = complex1.getImaginary();
    org.apache.commons.math.complex.Complex complex5 = complex1.add((-1.0d));
    org.apache.commons.math.complex.Complex complex7 = complex5.multiply(4.951760157141521E27d);
    org.apache.commons.math.complex.Complex complex8 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex9 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex10 = complex8.pow(complex9);
    org.apache.commons.math.complex.ComplexField complexField11 = complex9.getField();
    org.apache.commons.math.complex.Complex complex12 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex13 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex14 = complex12.pow(complex13);
    org.apache.commons.math.complex.Complex complex15 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex16 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex17 = complex15.pow(complex16);
    org.apache.commons.math.complex.Complex complex18 = complex12.multiply(complex16);
    org.apache.commons.math.complex.Complex complex19 = complex9.multiply(complex12);
    org.apache.commons.math.complex.Complex complex20 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex21 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex22 = complex20.pow(complex21);
    boolean b23 = complex22.isInfinite();
    org.apache.commons.math.complex.Complex complex24 = complex22.atan();
    org.apache.commons.math.complex.Complex complex25 = complex9.divide(complex22);
    org.apache.commons.math.complex.Complex complex27 = complex25.divide((-0.015707963278420587d));
    org.apache.commons.math.complex.Complex complex28 = complex7.divide(complex27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complexField11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b23 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex28);

  }

  @Test
  public void test331() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test331"); }


    org.apache.commons.math.complex.Complex complex1 = new org.apache.commons.math.complex.Complex(2.5091784786580567d);
    org.apache.commons.math.complex.Complex complex2 = complex1.sqrt();
    double d3 = complex1.getImaginary();
    org.apache.commons.math.complex.Complex complex5 = complex1.add((-1.0d));
    org.apache.commons.math.complex.Complex complex6 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex7 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex8 = complex6.pow(complex7);
    org.apache.commons.math.complex.ComplexField complexField9 = complex7.getField();
    org.apache.commons.math.complex.Complex complex10 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex11 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex12 = complex10.pow(complex11);
    org.apache.commons.math.complex.Complex complex13 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex14 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex15 = complex13.pow(complex14);
    org.apache.commons.math.complex.Complex complex16 = complex10.multiply(complex14);
    org.apache.commons.math.complex.Complex complex17 = complex7.multiply(complex10);
    org.apache.commons.math.complex.Complex complex18 = complex10.cosh();
    org.apache.commons.math.complex.Complex complex19 = complex10.acos();
    org.apache.commons.math.complex.Complex complex21 = complex10.add((-0.010000166680833889d));
    org.apache.commons.math.complex.Complex complex22 = complex1.pow(complex21);
    org.apache.commons.math.complex.Complex complex23 = org.apache.commons.math.complex.Complex.ONE;
    org.apache.commons.math.complex.Complex complex24 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex25 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex26 = complex24.pow(complex25);
    boolean b27 = complex26.isInfinite();
    org.apache.commons.math.complex.Complex complex28 = complex26.atan();
    org.apache.commons.math.complex.Complex complex29 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex30 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex31 = complex29.pow(complex30);
    org.apache.commons.math.complex.ComplexField complexField32 = complex30.getField();
    org.apache.commons.math.complex.Complex complex33 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex34 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex35 = complex33.pow(complex34);
    org.apache.commons.math.complex.Complex complex36 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex37 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex38 = complex36.pow(complex37);
    org.apache.commons.math.complex.Complex complex39 = complex33.multiply(complex37);
    org.apache.commons.math.complex.Complex complex40 = complex30.multiply(complex33);
    org.apache.commons.math.complex.Complex complex41 = complex33.cosh();
    org.apache.commons.math.complex.Complex complex42 = complex33.acos();
    org.apache.commons.math.complex.Complex complex43 = complex26.subtract(complex33);
    org.apache.commons.math.complex.Complex complex44 = complex23.multiply(complex26);
    org.apache.commons.math.complex.Complex complex45 = complex26.sin();
    org.apache.commons.math.complex.Complex complex46 = complex1.add(complex26);
    org.apache.commons.math.complex.Complex complex47 = complex1.tan();
    org.apache.commons.math.complex.Complex complex50 = org.apache.commons.math.complex.Complex.valueOf(1.5707963267948966d, 2.5091784786580567d);
    boolean b51 = complex50.isInfinite();
    org.apache.commons.math.complex.Complex complex52 = complex50.exp();
    org.apache.commons.math.complex.Complex complex54 = complex50.subtract(0.0d);
    org.apache.commons.math.complex.Complex complex55 = complex47.pow(complex54);
    double d56 = complex54.getReal();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complexField9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b27 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complexField32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b51 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d56 == 1.5707963267948966d);

  }

  @Test
  public void test332() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test332"); }


    org.apache.commons.math.complex.Complex complex0 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex1 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex2 = complex0.pow(complex1);
    org.apache.commons.math.complex.ComplexField complexField3 = complex1.getField();
    org.apache.commons.math.complex.Complex complex4 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex5 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex6 = complex4.pow(complex5);
    org.apache.commons.math.complex.Complex complex7 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex8 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex9 = complex7.pow(complex8);
    org.apache.commons.math.complex.Complex complex10 = complex4.multiply(complex8);
    org.apache.commons.math.complex.Complex complex11 = complex1.multiply(complex4);
    org.apache.commons.math.complex.Complex complex12 = complex4.cosh();
    org.apache.commons.math.complex.Complex complex13 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex14 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex15 = complex13.pow(complex14);
    org.apache.commons.math.complex.Complex complex16 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex17 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex18 = complex16.pow(complex17);
    org.apache.commons.math.complex.Complex complex19 = complex13.multiply(complex17);
    org.apache.commons.math.complex.Complex complex20 = complex12.subtract(complex17);
    org.apache.commons.math.complex.Complex complex21 = complex12.sqrt();
    org.apache.commons.math.complex.Complex complex23 = complex12.subtract(Double.NEGATIVE_INFINITY);
    org.apache.commons.math.complex.Complex complex24 = complex23.tanh();
    double d25 = complex24.getImaginary();
    org.apache.commons.math.complex.Complex complex26 = complex24.conjugate();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complexField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d25, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex26);

  }

  @Test
  public void test333() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test333"); }


    org.apache.commons.math.complex.Complex complex2 = org.apache.commons.math.complex.Complex.valueOf((-0.009950166257432056d), (-0.017453292519943295d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex2);

  }

  @Test
  public void test334() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test334"); }


    long long2 = org.apache.commons.math.util.FastMath.max(0L, 23L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 23L);

  }

  @Test
  public void test335() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test335"); }


    double d1 = org.apache.commons.math.util.FastMath.cosh(1.269187985616294d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.9195110130996231d);

  }

  @Test
  public void test336() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test336"); }


    double d2 = org.apache.commons.math.util.FastMath.pow(2.5091784786580558d, (-1.671653356260388d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.21484326162687062d);

  }

  @Test
  public void test337() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test337"); }


    double d1 = org.apache.commons.math.util.MathUtils.indicator(2.402404374986988d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);

  }

  @Test
  public void test338() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test338"); }


    double d1 = org.apache.commons.math.util.FastMath.asinh(2.7184177606749107d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.7254294894713682d);

  }

  @Test
  public void test339() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test339"); }


    double[] d_array1 = new double[] { 1.0d };
    double[] d_array3 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array1, 10.0d);
    double[] d_array5 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array1, (-0.009999666686665238d));
    double d6 = org.apache.commons.math.util.MathUtils.safeNorm(d_array5);
    org.apache.commons.math.util.MathUtils.OrderDirection orderDirection7 = org.apache.commons.math.util.MathUtils.OrderDirection.INCREASING;
    boolean b10 = org.apache.commons.math.util.MathUtils.checkOrder(d_array5, orderDirection7, false, false);
    double[] d_array11 = org.apache.commons.math.util.MathUtils.copyOf(d_array5);
    double[] d_array13 = new double[] { 1.0d };
    double[] d_array15 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array13, 10.0d);
    double[] d_array17 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array13, (-0.009999666686665238d));
    double[] d_array19 = new double[] { 1.0d };
    double[] d_array21 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array19, 10.0d);
    double[] d_array22 = org.apache.commons.math.util.MathUtils.copyOf(d_array19);
    double d23 = org.apache.commons.math.util.MathUtils.distanceInf(d_array13, d_array19);
    // The following exception was thrown during execution in test generation
    try {
      double d24 = org.apache.commons.math.util.MathUtils.linearCombination(d_array5, d_array19);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 0.009999666686665238d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b10 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d23 == 0.0d);

  }

  @Test
  public void test340() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test340"); }


    org.apache.commons.math.exception.util.Localizable localizable2 = null;
    org.apache.commons.math.exception.util.Localizable localizable3 = null;
    double[] d_array5 = new double[] { 1.0d };
    double[] d_array7 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array5, 10.0d);
    double d8 = org.apache.commons.math.util.MathUtils.safeNorm(d_array5);
    double[] d_array10 = new double[] { 1.0d };
    double[] d_array12 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array10, 10.0d);
    double[] d_array14 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array10, (-0.009999666686665238d));
    double[][] d_array_array15 = new double[][] { d_array10 };
    org.apache.commons.math.util.MathUtils.sortInPlace(d_array5, d_array_array15);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException17 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable3, (java.lang.Object[])d_array_array15);
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException18 = new org.apache.commons.math.exception.MathArithmeticException(localizable2, (java.lang.Object[])d_array_array15);
    org.apache.commons.math.exception.NotFiniteNumberException notFiniteNumberException19 = new org.apache.commons.math.exception.NotFiniteNumberException((java.lang.Number)(-1.0f), (java.lang.Object[])d_array_array15);
    org.apache.commons.math.exception.NotFiniteNumberException notFiniteNumberException20 = new org.apache.commons.math.exception.NotFiniteNumberException((java.lang.Number)(-502.80415760266993d), (java.lang.Object[])d_array_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array15);

  }

  @Test
  public void test341() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test341"); }


    int i2 = org.apache.commons.math.util.MathUtils.mulAndCheck((-1376942411), 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 0);

  }

  @Test
  public void test342() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test342"); }


    double d1 = org.apache.commons.math.util.FastMath.log1p((-0.999950005416082d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-9.903595880043998d));

  }

  @Test
  public void test343() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test343"); }


    int i2 = org.apache.commons.math.util.MathUtils.addAndCheck((-1376942411), (-719689146));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == (-2096631557));

  }

  @Test
  public void test344() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test344"); }


    org.apache.commons.math.complex.Complex complex2 = org.apache.commons.math.complex.Complex.valueOf(1.5707963267948966d, 2.5091784786580567d);
    boolean b3 = complex2.isInfinite();
    org.apache.commons.math.complex.Complex complex4 = complex2.exp();
    org.apache.commons.math.complex.Complex complex5 = complex4.sinh();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex5);

  }

  @Test
  public void test345() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test345"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.util.Localizable localizable2 = null;
    org.apache.commons.math.exception.DimensionMismatchException dimensionMismatchException5 = new org.apache.commons.math.exception.DimensionMismatchException(localizable2, 13, (-758373183));
    int i6 = dimensionMismatchException5.getDimension();
    java.lang.Throwable[] throwable_array7 = dimensionMismatchException5.getSuppressed();
    org.apache.commons.math.exception.NotFiniteNumberException notFiniteNumberException8 = new org.apache.commons.math.exception.NotFiniteNumberException(localizable0, (java.lang.Number)5.3756877578035057E18d, (java.lang.Object[])throwable_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == (-758373183));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array7);

  }

  @Test
  public void test346() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test346"); }


    double d1 = org.apache.commons.math.util.FastMath.abs(1.586505582224702d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.586505582224702d);

  }

  @Test
  public void test347() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test347"); }


    double d2 = org.apache.commons.math.util.FastMath.hypot((-0.010000166674166444d), (-0.9092974268256816d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.9093524145045842d);

  }

  @Test
  public void test348() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test348"); }


    int i2 = org.apache.commons.math.util.MathUtils.pow((-1977326743), 7766279631452242009L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 1100042793);

  }

  @Test
  public void test349() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test349"); }


    double d1 = org.apache.commons.math.util.FastMath.asin((-0.8884331452137783d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-1.093920228520665d));

  }

  @Test
  public void test350() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test350"); }


    float f2 = org.apache.commons.math.util.FastMath.copySign(2.2737368E-13f, 1.9073486E-6f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 2.2737368E-13f);

  }

  @Test
  public void test351() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test351"); }


    double d2 = org.apache.commons.math.util.FastMath.atan2(1.149079703032362d, 1.0000495000291105d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.854631791330117d);

  }

  @Test
  public void test352() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test352"); }


    boolean b3 = org.apache.commons.math.util.MathUtils.equals(56.30445561660412d, 1814400.000000139d, 6.097165137335922E141d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == true);

  }

  @Test
  public void test353() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test353"); }


    float f2 = org.apache.commons.math.util.MathUtils.round(10.000001f, (-2008633805));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((float)f2, Float.NaN, 0);

  }

  @Test
  public void test354() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test354"); }


    int i1 = org.apache.commons.math.util.MathUtils.indicator((-1977326743));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == (-1));

  }

  @Test
  public void test355() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test355"); }


    double d3 = org.apache.commons.math.util.MathUtils.reduce(0.0d, (-2.0d), 1.005315231438599d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 0.9946847685614011d);

  }

  @Test
  public void test356() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test356"); }


    org.apache.commons.math.complex.Complex complex0 = org.apache.commons.math.complex.Complex.ONE;
    org.apache.commons.math.complex.Complex complex1 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex2 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex3 = complex1.pow(complex2);
    boolean b4 = complex3.isInfinite();
    org.apache.commons.math.complex.Complex complex5 = complex3.atan();
    org.apache.commons.math.complex.Complex complex6 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex7 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex8 = complex6.pow(complex7);
    org.apache.commons.math.complex.ComplexField complexField9 = complex7.getField();
    org.apache.commons.math.complex.Complex complex10 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex11 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex12 = complex10.pow(complex11);
    org.apache.commons.math.complex.Complex complex13 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex14 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex15 = complex13.pow(complex14);
    org.apache.commons.math.complex.Complex complex16 = complex10.multiply(complex14);
    org.apache.commons.math.complex.Complex complex17 = complex7.multiply(complex10);
    org.apache.commons.math.complex.Complex complex18 = complex10.cosh();
    org.apache.commons.math.complex.Complex complex19 = complex10.acos();
    org.apache.commons.math.complex.Complex complex20 = complex3.subtract(complex10);
    org.apache.commons.math.complex.Complex complex21 = complex0.multiply(complex3);
    org.apache.commons.math.complex.Complex complex22 = complex3.log();
    org.apache.commons.math.complex.Complex complex24 = complex3.add(1.0000500004167348d);
    org.apache.commons.math.complex.Complex complex25 = complex24.negate();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complexField9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex25);

  }

  @Test
  public void test357() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test357"); }


    long long2 = org.apache.commons.math.util.MathUtils.gcd(1000L, 124L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 4L);

  }

  @Test
  public void test358() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test358"); }


    float f2 = org.apache.commons.math.util.FastMath.copySign(10.0f, Float.NaN);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 10.0f);

  }

  @Test
  public void test359() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test359"); }


    long long1 = org.apache.commons.math.util.MathUtils.sign((-5485011738861510323L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == (-1L));

  }

  @Test
  public void test360() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test360"); }


    int i2 = org.apache.commons.math.util.MathUtils.pow(1190097523, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 1);

  }

  @Test
  public void test361() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test361"); }


    org.apache.commons.math.complex.Complex complex0 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex1 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex2 = complex0.pow(complex1);
    org.apache.commons.math.complex.Complex complex4 = complex0.divide(0.0d);
    boolean b5 = complex4.isInfinite();
    org.apache.commons.math.complex.Complex complex6 = complex4.sqrt1z();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b5 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex6);

  }

  @Test
  public void test362() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test362"); }


    float f2 = org.apache.commons.math.util.FastMath.scalb(1.2676506E31f, (-758373193));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 0.0f);

  }

  @Test
  public void test363() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test363"); }


    long long2 = org.apache.commons.math.util.FastMath.min((-99L), 23L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == (-99L));

  }

  @Test
  public void test364() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test364"); }


    org.apache.commons.math.exception.NotPositiveException notPositiveException1 = new org.apache.commons.math.exception.NotPositiveException((java.lang.Number)1.0E-10f);
    java.lang.Number number2 = notPositiveException1.getMin();
    java.lang.Throwable throwable3 = notPositiveException1.getException();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number2 + "' != '" + 0+ "'", number2.equals(0));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable3);

  }

  @Test
  public void test365() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test365"); }


    double d1 = org.apache.commons.math.util.MathUtils.sinh((-9.903595880043998d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-10001.083308757768d));

  }

  @Test
  public void test366() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test366"); }


    double d6 = org.apache.commons.math.util.MathUtils.linearCombination(0.0d, 0.009900662544436153d, (-1.4804017350524317d), 1.0d, 1.634763529976979d, 0.6821891152033772d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == (-0.3651838489706868d));

  }

  @Test
  public void test367() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test367"); }


    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException3 = new org.apache.commons.math.exception.NumberIsTooSmallException((java.lang.Number)11L, (java.lang.Number)7.6293945E-6f, false);

  }

  @Test
  public void test368() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test368"); }


    int[] i_array1 = new int[] { 0 };
    int[] i_array3 = new int[] { (-1) };
    int[] i_array4 = org.apache.commons.math.util.MathUtils.copyOf(i_array3);
    int[] i_array8 = new int[] { 0, 0, 0 };
    int[] i_array9 = org.apache.commons.math.util.MathUtils.copyOf(i_array8);
    double d10 = org.apache.commons.math.util.MathUtils.distance(i_array3, i_array8);
    int[] i_array11 = org.apache.commons.math.util.MathUtils.copyOf(i_array3);
    int[] i_array13 = org.apache.commons.math.util.MathUtils.copyOf(i_array11, 1016);
    double d14 = org.apache.commons.math.util.MathUtils.distance(i_array1, i_array13);
    int[] i_array15 = null;
    // The following exception was thrown during execution in test generation
    try {
      int i16 = org.apache.commons.math.util.MathUtils.distanceInf(i_array1, i_array15);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d10 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d14 == 1.0d);

  }

  @Test
  public void test369() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test369"); }


    int i2 = org.apache.commons.math.util.MathUtils.mulAndCheck((-7), 1024);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == (-7168));

  }

  @Test
  public void test370() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test370"); }


    int[] i_array0 = null;
    // The following exception was thrown during execution in test generation
    try {
      int[] i_array2 = org.apache.commons.math.util.MathUtils.copyOf(i_array0, (-2008633805));
      org.junit.Assert.fail("Expected exception of type java.lang.NegativeArraySizeException");
    } catch (java.lang.NegativeArraySizeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NegativeArraySizeException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NegativeArraySizeException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test371() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test371"); }


    double d1 = org.apache.commons.math.util.FastMath.exp(0.5971405571728525d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.8169159979595892d);

  }

  @Test
  public void test372() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test372"); }


    org.apache.commons.math.complex.Complex complex0 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex1 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex2 = complex0.pow(complex1);
    org.apache.commons.math.complex.Complex complex3 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex4 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex5 = complex3.pow(complex4);
    org.apache.commons.math.complex.Complex complex6 = complex0.multiply(complex4);
    org.apache.commons.math.complex.Complex complex7 = complex0.sinh();
    org.apache.commons.math.complex.Complex complex8 = complex0.acos();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex8);

  }

  @Test
  public void test373() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test373"); }


    double d2 = org.apache.commons.math.util.MathUtils.binomialCoefficientLog(0, (-2008633805));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.0d);

  }

  @Test
  public void test374() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test374"); }


    boolean b2 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(364.0d, 0.9092974268256816d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test375() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test375"); }


    org.apache.commons.math.exception.NonMonotonousSequenceException nonMonotonousSequenceException3 = new org.apache.commons.math.exception.NonMonotonousSequenceException((java.lang.Number)56.30445561660412d, (java.lang.Number)3.1194458021338747d, 3);

  }

  @Test
  public void test376() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test376"); }


    org.apache.commons.math.exception.NumberIsTooLargeException numberIsTooLargeException3 = new org.apache.commons.math.exception.NumberIsTooLargeException((java.lang.Number)1.9044097939271327d, (java.lang.Number)(-7), true);
    java.lang.Number number4 = numberIsTooLargeException3.getMax();
    boolean b5 = numberIsTooLargeException3.getBoundIsAllowed();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number4 + "' != '" + (-7)+ "'", number4.equals((-7)));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b5 == true);

  }

  @Test
  public void test377() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test377"); }


    long long1 = org.apache.commons.math.util.MathUtils.indicator((-11L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == (-1L));

  }

  @Test
  public void test378() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test378"); }


    org.apache.commons.math.util.MathUtils.checkFinite(1.0001022946789366d);

  }

  @Test
  public void test379() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test379"); }


    double d1 = org.apache.commons.math.util.FastMath.rint(1.000050005417318d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);

  }

  @Test
  public void test380() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test380"); }


    org.apache.commons.math.complex.Complex complex0 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex1 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex2 = complex0.pow(complex1);
    boolean b3 = complex2.isInfinite();
    org.apache.commons.math.complex.Complex complex4 = complex2.atan();
    org.apache.commons.math.complex.Complex complex5 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex6 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex7 = complex5.pow(complex6);
    org.apache.commons.math.complex.ComplexField complexField8 = complex6.getField();
    org.apache.commons.math.complex.Complex complex9 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex10 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex11 = complex9.pow(complex10);
    org.apache.commons.math.complex.Complex complex12 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex13 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex14 = complex12.pow(complex13);
    org.apache.commons.math.complex.Complex complex15 = complex9.multiply(complex13);
    org.apache.commons.math.complex.Complex complex16 = complex6.multiply(complex9);
    org.apache.commons.math.complex.Complex complex17 = complex9.cosh();
    org.apache.commons.math.complex.Complex complex18 = complex9.acos();
    org.apache.commons.math.complex.Complex complex19 = complex2.subtract(complex9);
    org.apache.commons.math.complex.Complex complex21 = complex19.divide((-0.731398918228801d));
    org.apache.commons.math.complex.Complex complex23 = complex21.add((-0.5700836241984677d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complexField8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex23);

  }

  @Test
  public void test381() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test381"); }


    double[] d_array1 = new double[] { 1.0d };
    double[] d_array3 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array1, 10.0d);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array1);
    double[] d_array6 = org.apache.commons.math.util.MathUtils.copyOf(d_array1, 10);
    double[] d_array8 = org.apache.commons.math.util.MathUtils.copyOf(d_array1, 1);
    double[] d_array10 = new double[] { 1.0d };
    double[] d_array12 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array10, 10.0d);
    double d13 = org.apache.commons.math.util.MathUtils.safeNorm(d_array10);
    double[] d_array15 = new double[] { 1.0d };
    double[] d_array17 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array15, 10.0d);
    double[] d_array19 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array15, (-0.009999666686665238d));
    double[][] d_array_array20 = new double[][] { d_array15 };
    org.apache.commons.math.util.MathUtils.sortInPlace(d_array10, d_array_array20);
    double[] d_array23 = new double[] { 1.0d };
    double[] d_array25 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array23, 10.0d);
    double d26 = org.apache.commons.math.util.MathUtils.distanceInf(d_array10, d_array23);
    double[] d_array28 = new double[] { 1.0d };
    double[] d_array30 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array28, 10.0d);
    org.apache.commons.math.util.MathUtils.OrderDirection orderDirection31 = null;
    double[] d_array33 = new double[] { 1.0d };
    double[] d_array35 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array33, 10.0d);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array33);
    double[][] d_array_array37 = new double[][] { d_array33 };
    org.apache.commons.math.util.MathUtils.sortInPlace(d_array30, orderDirection31, d_array_array37);
    boolean b39 = org.apache.commons.math.util.MathUtils.equals(d_array23, d_array30);
    double[] d_array41 = new double[] { 1.0d };
    double[] d_array43 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array41, 10.0d);
    double[] d_array45 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array41, (-0.009999666686665238d));
    double[] d_array47 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array45, 4.440892098500626E-16d);
    double d48 = org.apache.commons.math.util.MathUtils.distanceInf(d_array30, d_array45);
    // The following exception was thrown during execution in test generation
    try {
      double d49 = org.apache.commons.math.util.MathUtils.linearCombination(d_array1, d_array30);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d13 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d26 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b39 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d48 == 10.009999666686666d);

  }

  @Test
  public void test382() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test382"); }


    double d1 = org.apache.commons.math.util.FastMath.ulp((-1.3934072662978643d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 2.220446049250313E-16d);

  }

  @Test
  public void test383() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test383"); }


    org.apache.commons.math.complex.Complex complex1 = new org.apache.commons.math.complex.Complex(2.5091784786580567d);
    org.apache.commons.math.complex.Complex complex2 = complex1.sqrt();
    double d3 = complex1.getImaginary();
    org.apache.commons.math.complex.Complex complex5 = complex1.add((-1.0d));
    org.apache.commons.math.complex.Complex complex6 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex7 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex8 = complex6.pow(complex7);
    org.apache.commons.math.complex.ComplexField complexField9 = complex7.getField();
    org.apache.commons.math.complex.Complex complex10 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex11 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex12 = complex10.pow(complex11);
    org.apache.commons.math.complex.Complex complex13 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex14 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex15 = complex13.pow(complex14);
    org.apache.commons.math.complex.Complex complex16 = complex10.multiply(complex14);
    org.apache.commons.math.complex.Complex complex17 = complex7.multiply(complex10);
    org.apache.commons.math.complex.Complex complex18 = complex10.cosh();
    org.apache.commons.math.complex.Complex complex19 = complex10.acos();
    org.apache.commons.math.complex.Complex complex21 = complex10.add((-0.010000166680833889d));
    org.apache.commons.math.complex.Complex complex22 = complex1.pow(complex21);
    org.apache.commons.math.complex.Complex complex23 = complex21.exp();
    org.apache.commons.math.complex.Complex complex25 = complex21.divide(23.13320481349772d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complexField9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex25);

  }

  @Test
  public void test384() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test384"); }


    boolean b2 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(1.0f, 10.000001f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test385() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test385"); }


    float f2 = org.apache.commons.math.util.FastMath.nextAfter(Float.NaN, 4.666310772197643E157d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((float)f2, Float.NaN, 0);

  }

  @Test
  public void test386() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test386"); }


    double[] d_array1 = new double[] { 1.0d };
    double[] d_array3 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array1, 10.0d);
    double d4 = org.apache.commons.math.util.MathUtils.safeNorm(d_array1);
    double[] d_array6 = new double[] { 1.0d };
    double[] d_array8 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array6, 10.0d);
    double[] d_array10 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array6, (-0.009999666686665238d));
    double[][] d_array_array11 = new double[][] { d_array6 };
    org.apache.commons.math.util.MathUtils.sortInPlace(d_array1, d_array_array11);
    double[] d_array14 = new double[] { 1.0d };
    double[] d_array16 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array14, 10.0d);
    double d17 = org.apache.commons.math.util.MathUtils.distanceInf(d_array1, d_array14);
    double[] d_array19 = new double[] { 1.0d };
    double[] d_array21 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array19, 10.0d);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array19);
    double[] d_array24 = org.apache.commons.math.util.MathUtils.copyOf(d_array19, 10);
    double d25 = org.apache.commons.math.util.MathUtils.distanceInf(d_array1, d_array19);
    org.apache.commons.math.util.MathUtils.checkOrder(d_array1);
    double[] d_array27 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d28 = org.apache.commons.math.util.MathUtils.distance1(d_array1, d_array27);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d17 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d25 == 0.0d);

  }

  @Test
  public void test387() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test387"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException4 = new org.apache.commons.math.exception.NumberIsTooSmallException(localizable0, (java.lang.Number)1.7763568394002505E-15d, (java.lang.Number)0.3150227151518669d, false);

  }

  @Test
  public void test388() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test388"); }


    org.apache.commons.math.complex.Complex complex0 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex1 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex2 = complex0.pow(complex1);
    org.apache.commons.math.complex.Complex complex3 = complex1.atan();
    org.apache.commons.math.complex.Complex complex4 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex5 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex6 = complex4.pow(complex5);
    boolean b7 = complex6.isInfinite();
    org.apache.commons.math.complex.Complex complex8 = complex6.atan();
    org.apache.commons.math.complex.Complex complex10 = new org.apache.commons.math.complex.Complex(2.5091784786580567d);
    org.apache.commons.math.complex.Complex complex11 = complex6.add(complex10);
    org.apache.commons.math.complex.Complex complex13 = complex10.subtract(4.810477380965351d);
    org.apache.commons.math.complex.Complex complex14 = complex3.pow(complex10);
    org.apache.commons.math.complex.Complex complex15 = complex3.negate();
    java.util.List list17 = complex15.nthRoot(1272213991);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b7 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(list17);

  }

  @Test
  public void test389() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test389"); }


    long long2 = org.apache.commons.math.util.MathUtils.pow(99L, 7766279631452241920L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == (-3863612773241978879L));

  }

  @Test
  public void test390() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test390"); }


    org.apache.commons.math.complex.Complex complex0 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex1 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex2 = complex0.pow(complex1);
    org.apache.commons.math.complex.ComplexField complexField3 = complex1.getField();
    org.apache.commons.math.complex.Complex complex4 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex5 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex6 = complex4.pow(complex5);
    org.apache.commons.math.complex.Complex complex7 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex8 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex9 = complex7.pow(complex8);
    org.apache.commons.math.complex.Complex complex10 = complex4.multiply(complex8);
    org.apache.commons.math.complex.Complex complex11 = complex1.multiply(complex4);
    org.apache.commons.math.complex.Complex complex12 = complex4.cosh();
    org.apache.commons.math.complex.Complex complex13 = complex4.acos();
    org.apache.commons.math.complex.Complex complex14 = complex13.negate();
    double d15 = complex13.getImaginary();
    org.apache.commons.math.complex.Complex complex17 = complex13.multiply((-2.0d));
    org.apache.commons.math.complex.Complex complex18 = complex17.cosh();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complexField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d15, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex18);

  }

  @Test
  public void test391() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test391"); }


    double d1 = org.apache.commons.math.util.FastMath.log1p((-2.0043357417898457d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test392() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test392"); }


    long long2 = org.apache.commons.math.util.FastMath.min(7874575988436513757L, 9223372036854775807L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 7874575988436513757L);

  }

  @Test
  public void test393() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test393"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.NumberIsTooLargeException numberIsTooLargeException4 = new org.apache.commons.math.exception.NumberIsTooLargeException(localizable0, (java.lang.Number)4.440892098500626E-16d, (java.lang.Number)(byte)1, true);
    java.lang.Throwable[] throwable_array5 = numberIsTooLargeException4.getSuppressed();
    boolean b6 = numberIsTooLargeException4.getBoundIsAllowed();
    java.lang.Number number7 = numberIsTooLargeException4.getMax();
    boolean b8 = numberIsTooLargeException4.getBoundIsAllowed();
    java.lang.Number number9 = numberIsTooLargeException4.getMax();
    boolean b10 = numberIsTooLargeException4.getBoundIsAllowed();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b6 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number7 + "' != '" + (byte)1+ "'", number7.equals((byte)1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b8 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number9 + "' != '" + (byte)1+ "'", number9.equals((byte)1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b10 == true);

  }

  @Test
  public void test394() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test394"); }


    org.apache.commons.math.complex.Complex complex0 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex1 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex2 = complex0.pow(complex1);
    org.apache.commons.math.complex.ComplexField complexField3 = complex1.getField();
    org.apache.commons.math.complex.Complex complex4 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex5 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex6 = complex4.pow(complex5);
    org.apache.commons.math.complex.Complex complex7 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex8 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex9 = complex7.pow(complex8);
    org.apache.commons.math.complex.Complex complex10 = complex4.multiply(complex8);
    org.apache.commons.math.complex.Complex complex11 = complex1.multiply(complex4);
    org.apache.commons.math.complex.Complex complex12 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex13 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex14 = complex12.pow(complex13);
    boolean b15 = complex14.isInfinite();
    org.apache.commons.math.complex.Complex complex16 = complex14.atan();
    org.apache.commons.math.complex.Complex complex17 = complex1.divide(complex14);
    org.apache.commons.math.complex.Complex complex18 = complex1.sinh();
    double d19 = complex1.getImaginary();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complexField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b15 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d19 == Double.POSITIVE_INFINITY);

  }

  @Test
  public void test395() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test395"); }


    double d1 = org.apache.commons.math.util.FastMath.acosh((-0.25939351994543125d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test396() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test396"); }


    float f2 = org.apache.commons.math.util.FastMath.nextAfter(1.0E-10f, 0.1219637214997288d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 1.0000001E-10f);

  }

  @Test
  public void test397() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test397"); }


    double d2 = org.apache.commons.math.util.FastMath.pow(0.9826981340527561d, (-10001.083308757768d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 6.410578072441376E75d);

  }

  @Test
  public void test398() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test398"); }


    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException0 = new org.apache.commons.math.exception.MathArithmeticException();
    java.lang.Throwable throwable1 = mathArithmeticException0.getException();
    java.lang.Throwable throwable2 = mathArithmeticException0.getException();
    org.apache.commons.math.exception.util.ExceptionContext exceptionContext3 = mathArithmeticException0.getContext();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext3);

  }

  @Test
  public void test399() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test399"); }


    // The following exception was thrown during execution in test generation
    try {
      double d3 = org.apache.commons.math.util.MathUtils.round((-1.671653356260388d), (-758373193), 1017118720);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test400() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test400"); }


    double d1 = org.apache.commons.math.util.FastMath.exp((-0.07757329255424837d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.9253591999717914d);

  }

  @Test
  public void test401() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test401"); }


    org.apache.commons.math.complex.Complex complex0 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex1 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex2 = complex0.pow(complex1);
    org.apache.commons.math.complex.ComplexField complexField3 = complex1.getField();
    org.apache.commons.math.complex.Complex complex4 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex5 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex6 = complex4.pow(complex5);
    org.apache.commons.math.complex.Complex complex7 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex8 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex9 = complex7.pow(complex8);
    org.apache.commons.math.complex.Complex complex10 = complex4.multiply(complex8);
    org.apache.commons.math.complex.Complex complex11 = complex1.multiply(complex4);
    org.apache.commons.math.complex.Complex complex12 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex13 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex14 = complex12.pow(complex13);
    boolean b15 = complex14.isInfinite();
    boolean b16 = complex14.isNaN();
    double d17 = complex14.getReal();
    org.apache.commons.math.complex.Complex complex19 = complex14.multiply(3.912731811108073d);
    org.apache.commons.math.complex.Complex complex20 = complex4.pow(complex14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complexField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b15 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b16 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d17, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex20);

  }

  @Test
  public void test402() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test402"); }


    double d1 = org.apache.commons.math.util.FastMath.signum(15.104412573075516d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);

  }

  @Test
  public void test403() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test403"); }


    java.lang.Number number1 = null;
    org.apache.commons.math.exception.NumberIsTooLargeException numberIsTooLargeException3 = new org.apache.commons.math.exception.NumberIsTooLargeException((java.lang.Number)1.2676505E31f, number1, true);

  }

  @Test
  public void test404() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test404"); }


    boolean b2 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(10.000001f, 0.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test405() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test405"); }


    org.apache.commons.math.complex.Complex complex0 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex1 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex2 = complex0.pow(complex1);
    boolean b3 = complex2.isInfinite();
    org.apache.commons.math.complex.Complex complex4 = complex2.atan();
    org.apache.commons.math.complex.Complex complex5 = complex4.sqrt();
    org.apache.commons.math.complex.Complex complex7 = complex5.divide(1.5387102866214204d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex7);

  }

  @Test
  public void test406() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test406"); }


    double d1 = org.apache.commons.math.util.FastMath.tanh((-0.01745506482022202d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.017453292304001534d));

  }

  @Test
  public void test407() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test407"); }


    double d2 = org.apache.commons.math.util.FastMath.min(1325.43500242514d, 33.08220923011807d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 33.08220923011807d);

  }

  @Test
  public void test408() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test408"); }


    boolean b2 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN((-0.5156027541504755d), (-0.5156027541504755d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == true);

  }

  @Test
  public void test409() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test409"); }


    org.apache.commons.math.exception.util.Localizable localizable1 = null;
    org.apache.commons.math.exception.util.Localizable localizable2 = null;
    org.apache.commons.math.exception.util.Localizable localizable4 = null;
    java.lang.Object[] obj_array6 = new java.lang.Object[] { '#' };
    org.apache.commons.math.exception.NullArgumentException nullArgumentException7 = new org.apache.commons.math.exception.NullArgumentException(localizable4, obj_array6);
    org.apache.commons.math.exception.NotFiniteNumberException notFiniteNumberException8 = new org.apache.commons.math.exception.NotFiniteNumberException(localizable2, (java.lang.Number)(byte)0, obj_array6);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException9 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable1, obj_array6);
    org.apache.commons.math.exception.NotFiniteNumberException notFiniteNumberException10 = new org.apache.commons.math.exception.NotFiniteNumberException((java.lang.Number)365.4261302661875d, obj_array6);
    java.lang.Throwable[] throwable_array11 = notFiniteNumberException10.getSuppressed();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array11);

  }

  @Test
  public void test410() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test410"); }


    double d2 = org.apache.commons.math.util.FastMath.hypot(2.0d, (-0.5700836241984677d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 2.079662313593065d);

  }

  @Test
  public void test411() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test411"); }


    int[] i_array1 = new int[] { (-1) };
    int[] i_array2 = org.apache.commons.math.util.MathUtils.copyOf(i_array1);
    int[] i_array6 = new int[] { 0, 0, 0 };
    int[] i_array7 = org.apache.commons.math.util.MathUtils.copyOf(i_array6);
    double d8 = org.apache.commons.math.util.MathUtils.distance(i_array1, i_array6);
    int[] i_array9 = org.apache.commons.math.util.MathUtils.copyOf(i_array1);
    int[] i_array11 = org.apache.commons.math.util.MathUtils.copyOf(i_array9, 1016);
    int[] i_array12 = new int[] {  };
    int[] i_array14 = org.apache.commons.math.util.MathUtils.copyOf(i_array12, 1);
    int[] i_array15 = org.apache.commons.math.util.MathUtils.copyOf(i_array12);
    int[] i_array17 = new int[] { 100 };
    int i18 = org.apache.commons.math.util.MathUtils.distance1(i_array12, i_array17);
    int[] i_array19 = org.apache.commons.math.util.MathUtils.copyOf(i_array17);
    int[] i_array21 = org.apache.commons.math.util.MathUtils.copyOf(i_array19, 0);
    int[] i_array22 = org.apache.commons.math.util.MathUtils.copyOf(i_array21);
    // The following exception was thrown during execution in test generation
    try {
      double d23 = org.apache.commons.math.util.MathUtils.distance(i_array11, i_array21);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i18 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array22);

  }

  @Test
  public void test412() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test412"); }


    double d2 = org.apache.commons.math.util.FastMath.atan2(1.5707963267948961d, (-0.0020788274184764415d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.5721197486602043d);

  }

  @Test
  public void test413() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test413"); }


    long long1 = org.apache.commons.math.util.MathUtils.sign((-1L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == (-1L));

  }

  @Test
  public void test414() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test414"); }


    int i1 = org.apache.commons.math.util.MathUtils.hash((-0.015708609314253285d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 1384434969);

  }

  @Test
  public void test415() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test415"); }


    double[] d_array10 = new double[] { 1.0d };
    double[] d_array12 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array10, 10.0d);
    double[] d_array13 = org.apache.commons.math.util.MathUtils.copyOf(d_array10);
    org.apache.commons.math.util.MathUtils.OrderDirection orderDirection14 = org.apache.commons.math.util.MathUtils.OrderDirection.INCREASING;
    double[] d_array16 = new double[] { 1.0d };
    double[] d_array18 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array16, 10.0d);
    double d19 = org.apache.commons.math.util.MathUtils.safeNorm(d_array16);
    double[] d_array21 = new double[] { 1.0d };
    double[] d_array23 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array21, 10.0d);
    double[] d_array25 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array21, (-0.009999666686665238d));
    double[][] d_array_array26 = new double[][] { d_array21 };
    org.apache.commons.math.util.MathUtils.sortInPlace(d_array16, d_array_array26);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array16);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array16);
    double[] d_array31 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array16, 1.5707963267948966d);
    org.apache.commons.math.util.MathUtils.OrderDirection orderDirection32 = org.apache.commons.math.util.MathUtils.OrderDirection.INCREASING;
    double[] d_array34 = new double[] { 1.0d };
    double[] d_array36 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array34, 10.0d);
    double[][] d_array_array37 = new double[][] { d_array36 };
    org.apache.commons.math.util.MathUtils.sortInPlace(d_array31, orderDirection32, d_array_array37);
    org.apache.commons.math.util.MathUtils.sortInPlace(d_array10, orderDirection14, d_array_array37);
    org.apache.commons.math.exception.NonMonotonousSequenceException nonMonotonousSequenceException41 = new org.apache.commons.math.exception.NonMonotonousSequenceException((java.lang.Number)(-0.2593935199454313d), (java.lang.Number)7766279631452241920L, (-758373193), orderDirection14, true);
    org.apache.commons.math.exception.NonMonotonousSequenceException nonMonotonousSequenceException43 = new org.apache.commons.math.exception.NonMonotonousSequenceException((java.lang.Number)1.4152637247284958d, (java.lang.Number)0.01713551219013049d, 1072693279, orderDirection14, true);
    org.apache.commons.math.exception.NonMonotonousSequenceException nonMonotonousSequenceException45 = new org.apache.commons.math.exception.NonMonotonousSequenceException((java.lang.Number)0.06035015348083611d, (java.lang.Number)0.9826981340527561d, 1384434969, orderDirection14, false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d19 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array37);

  }

  @Test
  public void test416() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test416"); }


    int i2 = org.apache.commons.math.util.FastMath.max(989909612, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 989909612);

  }

  @Test
  public void test417() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test417"); }


    boolean b3 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(10.000001f, 1.0f, (-127));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test418() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test418"); }


    double d1 = org.apache.commons.math.util.FastMath.acosh(138.21880632801356d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 5.621972076935268d);

  }

  @Test
  public void test419() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test419"); }


    int i3 = org.apache.commons.math.util.MathUtils.compareTo(0.5392398400557298d, 3.469446951953614E-18d, 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 1);

  }

  @Test
  public void test420() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test420"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.DimensionMismatchException dimensionMismatchException3 = new org.apache.commons.math.exception.DimensionMismatchException(localizable0, (-7), 144);

  }

  @Test
  public void test421() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test421"); }


    // The following exception was thrown during execution in test generation
    try {
      double d3 = org.apache.commons.math.util.MathUtils.round(5.905646404072867E7d, (-7), (-719689146));
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test422() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test422"); }


    double d1 = org.apache.commons.math.util.MathUtils.indicator(0.13474977461776763d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);

  }

  @Test
  public void test423() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test423"); }


    double d2 = org.apache.commons.math.util.MathUtils.normalizeAngle((-0.01005033501419646d), 0.6483241523116757d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-0.01005033501419646d));

  }

  @Test
  public void test424() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test424"); }


    double d1 = org.apache.commons.math.util.FastMath.log(1325.43500242514d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 7.189495988257536d);

  }

  @Test
  public void test425() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test425"); }


    int i3 = org.apache.commons.math.util.MathUtils.compareTo(1.4844222297453329d, (-0.010050165822464032d), 1.5700418574372579d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);

  }

  @Test
  public void test426() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test426"); }


    double d2 = org.apache.commons.math.util.FastMath.IEEEremainder(2.322432E8d, 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);

  }

  @Test
  public void test427() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test427"); }


    double d1 = org.apache.commons.math.util.FastMath.acosh(49.035452847101745d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 4.585586755550143d);

  }

  @Test
  public void test428() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test428"); }


    int i3 = org.apache.commons.math.util.MathUtils.compareTo((-0.010050504211259496d), 0.09793118601446252d, 363.7393755555635d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);

  }

  @Test
  public void test429() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test429"); }


    org.apache.commons.math.complex.Complex complex0 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex1 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex2 = complex0.pow(complex1);
    boolean b3 = complex2.isInfinite();
    org.apache.commons.math.complex.Complex complex4 = complex2.atan();
    org.apache.commons.math.complex.Complex complex5 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex6 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex7 = complex5.pow(complex6);
    org.apache.commons.math.complex.ComplexField complexField8 = complex6.getField();
    org.apache.commons.math.complex.Complex complex9 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex10 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex11 = complex9.pow(complex10);
    org.apache.commons.math.complex.Complex complex12 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex13 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex14 = complex12.pow(complex13);
    org.apache.commons.math.complex.Complex complex15 = complex9.multiply(complex13);
    org.apache.commons.math.complex.Complex complex16 = complex6.multiply(complex9);
    org.apache.commons.math.complex.Complex complex17 = complex9.cosh();
    org.apache.commons.math.complex.Complex complex18 = complex9.acos();
    org.apache.commons.math.complex.Complex complex19 = complex2.subtract(complex9);
    org.apache.commons.math.complex.Complex complex20 = complex2.cos();
    double d21 = complex2.getArgument();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complexField8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d21, Double.NaN, 0);

  }

  @Test
  public void test430() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test430"); }


    int i2 = org.apache.commons.math.util.MathUtils.subAndCheck((-1376942411), (-872643074));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == (-504299337));

  }

  @Test
  public void test431() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test431"); }


    boolean b3 = org.apache.commons.math.util.MathUtils.equals((-0.010000500044170567d), (-2.8075917882631045d), 2147483647);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test432() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test432"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.NotPositiveException notPositiveException2 = new org.apache.commons.math.exception.NotPositiveException(localizable0, (java.lang.Number)(-4.9E-324d));

  }

  @Test
  public void test433() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test433"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.NotPositiveException notPositiveException2 = new org.apache.commons.math.exception.NotPositiveException(localizable0, (java.lang.Number)0L);
    org.apache.commons.math.exception.util.ExceptionContext exceptionContext3 = notPositiveException2.getContext();
    boolean b4 = notPositiveException2.getBoundIsAllowed();
    boolean b5 = notPositiveException2.getBoundIsAllowed();
    java.lang.Number number6 = notPositiveException2.getArgument();
    boolean b7 = notPositiveException2.getBoundIsAllowed();
    java.lang.Number number8 = notPositiveException2.getMin();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b5 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number6 + "' != '" + 0L+ "'", number6.equals(0L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b7 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number8 + "' != '" + 0+ "'", number8.equals(0));

  }

  @Test
  public void test434() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test434"); }


    org.apache.commons.math.complex.Complex complex0 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex1 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex2 = complex0.pow(complex1);
    org.apache.commons.math.complex.ComplexField complexField3 = complex1.getField();
    org.apache.commons.math.complex.Complex complex4 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex5 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex6 = complex4.pow(complex5);
    org.apache.commons.math.complex.Complex complex7 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex8 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex9 = complex7.pow(complex8);
    org.apache.commons.math.complex.Complex complex10 = complex4.multiply(complex8);
    org.apache.commons.math.complex.Complex complex11 = complex1.multiply(complex4);
    org.apache.commons.math.complex.Complex complex12 = complex4.cosh();
    org.apache.commons.math.complex.Complex complex13 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex14 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex15 = complex13.pow(complex14);
    org.apache.commons.math.complex.Complex complex16 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex17 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex18 = complex16.pow(complex17);
    org.apache.commons.math.complex.Complex complex19 = complex13.multiply(complex17);
    org.apache.commons.math.complex.Complex complex20 = complex12.subtract(complex17);
    org.apache.commons.math.complex.Complex complex21 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex22 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex23 = complex21.pow(complex22);
    org.apache.commons.math.complex.ComplexField complexField24 = complex22.getField();
    org.apache.commons.math.complex.Complex complex25 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex26 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex27 = complex25.pow(complex26);
    org.apache.commons.math.complex.Complex complex28 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex29 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex30 = complex28.pow(complex29);
    org.apache.commons.math.complex.Complex complex31 = complex25.multiply(complex29);
    org.apache.commons.math.complex.Complex complex32 = complex22.multiply(complex25);
    org.apache.commons.math.complex.Complex complex33 = complex20.subtract(complex32);
    org.apache.commons.math.complex.Complex complex34 = complex20.tanh();
    org.apache.commons.math.complex.Complex complex35 = complex20.sqrt1z();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complexField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complexField24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex35);

  }

  @Test
  public void test435() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test435"); }


    org.apache.commons.math.complex.Complex complex0 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex1 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex2 = complex0.pow(complex1);
    boolean b3 = complex2.isInfinite();
    org.apache.commons.math.complex.Complex complex4 = complex2.atan();
    org.apache.commons.math.complex.Complex complex6 = new org.apache.commons.math.complex.Complex(2.5091784786580567d);
    org.apache.commons.math.complex.Complex complex7 = complex2.add(complex6);
    org.apache.commons.math.complex.Complex complex9 = complex6.subtract(4.810477380965351d);
    org.apache.commons.math.complex.Complex complex10 = complex6.cosh();
    org.apache.commons.math.complex.Complex complex11 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex12 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex13 = complex11.pow(complex12);
    org.apache.commons.math.complex.ComplexField complexField14 = complex12.getField();
    org.apache.commons.math.complex.Complex complex15 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex16 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex17 = complex15.pow(complex16);
    org.apache.commons.math.complex.Complex complex18 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex19 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex20 = complex18.pow(complex19);
    org.apache.commons.math.complex.Complex complex21 = complex15.multiply(complex19);
    org.apache.commons.math.complex.Complex complex22 = complex12.multiply(complex15);
    org.apache.commons.math.complex.Complex complex23 = complex15.cosh();
    org.apache.commons.math.complex.Complex complex24 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex25 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex26 = complex24.pow(complex25);
    org.apache.commons.math.complex.Complex complex27 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex28 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex29 = complex27.pow(complex28);
    org.apache.commons.math.complex.Complex complex30 = complex24.multiply(complex28);
    org.apache.commons.math.complex.Complex complex31 = complex23.subtract(complex28);
    org.apache.commons.math.complex.Complex complex32 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex33 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex34 = complex32.pow(complex33);
    org.apache.commons.math.complex.ComplexField complexField35 = complex33.getField();
    org.apache.commons.math.complex.Complex complex36 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex37 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex38 = complex36.pow(complex37);
    org.apache.commons.math.complex.Complex complex39 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex40 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex41 = complex39.pow(complex40);
    org.apache.commons.math.complex.Complex complex42 = complex36.multiply(complex40);
    org.apache.commons.math.complex.Complex complex43 = complex33.multiply(complex36);
    org.apache.commons.math.complex.Complex complex44 = complex31.subtract(complex43);
    double d45 = complex44.getArgument();
    org.apache.commons.math.complex.Complex complex46 = complex6.multiply(complex44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complexField14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complexField35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d45, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex46);

  }

  @Test
  public void test436() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test436"); }


    int i2 = org.apache.commons.math.util.MathUtils.pow(1376942411, 118622673);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == (-1600781685));

  }

  @Test
  public void test437() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test437"); }


    int i3 = org.apache.commons.math.util.MathUtils.compareTo(1.1622612099658538d, 49.035452847101745d, (-0.5700836241984677d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == (-1));

  }

  @Test
  public void test438() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test438"); }


    double[] d_array1 = new double[] { 1.0d };
    double[] d_array3 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array1, 10.0d);
    double d4 = org.apache.commons.math.util.MathUtils.safeNorm(d_array1);
    double[] d_array6 = new double[] { 1.0d };
    double[] d_array8 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array6, 10.0d);
    double[] d_array10 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array6, (-0.009999666686665238d));
    double[][] d_array_array11 = new double[][] { d_array6 };
    org.apache.commons.math.util.MathUtils.sortInPlace(d_array1, d_array_array11);
    double[] d_array14 = new double[] { 1.0d };
    double[] d_array16 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array14, 10.0d);
    double d17 = org.apache.commons.math.util.MathUtils.distanceInf(d_array1, d_array14);
    double[] d_array19 = new double[] { 1.0d };
    double[] d_array21 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array19, 10.0d);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array19);
    double[] d_array24 = org.apache.commons.math.util.MathUtils.copyOf(d_array19, 10);
    double d25 = org.apache.commons.math.util.MathUtils.distanceInf(d_array1, d_array19);
    org.apache.commons.math.util.MathUtils.checkOrder(d_array1);
    int i27 = org.apache.commons.math.util.MathUtils.hash(d_array1);
    double[] d_array29 = new double[] { 1.0d };
    double[] d_array31 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array29, 10.0d);
    double d32 = org.apache.commons.math.util.MathUtils.safeNorm(d_array29);
    double[] d_array34 = new double[] { 1.0d };
    double[] d_array36 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array34, 10.0d);
    double[] d_array38 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array34, (-0.009999666686665238d));
    double[][] d_array_array39 = new double[][] { d_array34 };
    org.apache.commons.math.util.MathUtils.sortInPlace(d_array29, d_array_array39);
    double[] d_array42 = new double[] { 1.0d };
    double[] d_array44 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array42, 10.0d);
    double d45 = org.apache.commons.math.util.MathUtils.distanceInf(d_array29, d_array42);
    double[] d_array47 = new double[] { 1.0d };
    double[] d_array49 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array47, 10.0d);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array47);
    double[] d_array52 = org.apache.commons.math.util.MathUtils.copyOf(d_array47, 10);
    double d53 = org.apache.commons.math.util.MathUtils.distanceInf(d_array29, d_array47);
    double d54 = org.apache.commons.math.util.MathUtils.distanceInf(d_array1, d_array47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d17 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d25 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i27 == 1072693279);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d32 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d45 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d53 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d54 == 0.0d);

  }

  @Test
  public void test439() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test439"); }


    org.apache.commons.math.complex.Complex complex2 = new org.apache.commons.math.complex.Complex(49.035452847101745d, 1.5387102866214204d);

  }

  @Test
  public void test440() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test440"); }


    org.apache.commons.math.util.MathUtils.checkFinite(3.7871039784210714d);

  }

  @Test
  public void test441() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test441"); }


    org.apache.commons.math.complex.Complex complex0 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex1 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex2 = complex0.pow(complex1);
    boolean b3 = complex2.isInfinite();
    org.apache.commons.math.complex.Complex complex4 = complex2.atan();
    org.apache.commons.math.complex.Complex complex6 = new org.apache.commons.math.complex.Complex(2.5091784786580567d);
    org.apache.commons.math.complex.Complex complex7 = complex2.add(complex6);
    double d8 = complex2.getReal();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d8, Double.NaN, 0);

  }

  @Test
  public void test442() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test442"); }


    boolean b3 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(9.671408E24f, 2.2737368E-13f, 9.536743E-7f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test443() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test443"); }


    double d1 = org.apache.commons.math.util.FastMath.sinh(100.00999966668667d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.3575661316216348E43d);

  }

  @Test
  public void test444() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test444"); }


    float[] f_array3 = new float[] { (-1.0f), (-1.0f), 0.0f };
    float[] f_array7 = new float[] { 10.0f, 0.0f, 1.0f };
    float[] f_array10 = new float[] { 100.0f, (-1.0f) };
    boolean b11 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(f_array7, f_array10);
    float[] f_array13 = new float[] { 0.0f };
    float[] f_array17 = new float[] { 10.0f, 0.0f, 1.0f };
    float[] f_array20 = new float[] { 100.0f, (-1.0f) };
    boolean b21 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(f_array17, f_array20);
    boolean b22 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(f_array13, f_array20);
    boolean b23 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(f_array7, f_array13);
    boolean b24 = org.apache.commons.math.util.MathUtils.equals(f_array3, f_array7);
    float[] f_array28 = new float[] { 10.0f, 0.0f, 1.0f };
    float[] f_array31 = new float[] { 100.0f, (-1.0f) };
    boolean b32 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(f_array28, f_array31);
    float[] f_array34 = new float[] { 0.0f };
    float[] f_array38 = new float[] { 10.0f, 0.0f, 1.0f };
    float[] f_array41 = new float[] { 100.0f, (-1.0f) };
    boolean b42 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(f_array38, f_array41);
    boolean b43 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(f_array34, f_array41);
    boolean b44 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(f_array28, f_array34);
    float[] f_array48 = new float[] { 10.0f, 0.0f, 1.0f };
    float[] f_array51 = new float[] { 100.0f, (-1.0f) };
    boolean b52 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(f_array48, f_array51);
    float[] f_array54 = new float[] { 0.0f };
    float[] f_array58 = new float[] { 10.0f, 0.0f, 1.0f };
    float[] f_array61 = new float[] { 100.0f, (-1.0f) };
    boolean b62 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(f_array58, f_array61);
    boolean b63 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(f_array54, f_array61);
    boolean b64 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(f_array48, f_array54);
    boolean b65 = org.apache.commons.math.util.MathUtils.equals(f_array34, f_array54);
    boolean b66 = org.apache.commons.math.util.MathUtils.equals(f_array3, f_array54);
    float[] f_array68 = new float[] { 0.0f };
    float[] f_array72 = new float[] { 10.0f, 0.0f, 1.0f };
    float[] f_array75 = new float[] { 100.0f, (-1.0f) };
    boolean b76 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(f_array72, f_array75);
    boolean b77 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(f_array68, f_array75);
    float[] f_array78 = null;
    boolean b79 = org.apache.commons.math.util.MathUtils.equals(f_array75, f_array78);
    boolean b80 = org.apache.commons.math.util.MathUtils.equals(f_array54, f_array75);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b11 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b21 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b22 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b23 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b24 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b32 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b42 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b43 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b44 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b52 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b62 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b63 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b64 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b65 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b66 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array68);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array72);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array75);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b76 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b77 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b79 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b80 == false);

  }

  @Test
  public void test445() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test445"); }


    org.apache.commons.math.exception.NumberIsTooLargeException numberIsTooLargeException3 = new org.apache.commons.math.exception.NumberIsTooLargeException((java.lang.Number)(-1.745240643728351d), (java.lang.Number)102399.99f, true);

  }

  @Test
  public void test446() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test446"); }


    double d1 = org.apache.commons.math.util.FastMath.log10(1.1622612099658538d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.0653037436293425d);

  }

  @Test
  public void test447() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test447"); }


    double[] d_array1 = new double[] { 1.0d };
    double[] d_array3 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array1, 10.0d);
    double d4 = org.apache.commons.math.util.MathUtils.safeNorm(d_array1);
    double[] d_array6 = new double[] { 1.0d };
    double[] d_array8 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array6, 10.0d);
    double[] d_array10 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array6, (-0.009999666686665238d));
    double[][] d_array_array11 = new double[][] { d_array6 };
    org.apache.commons.math.util.MathUtils.sortInPlace(d_array1, d_array_array11);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array1);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array1);
    double[] d_array16 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array1, 1.5707963267948966d);
    org.apache.commons.math.util.MathUtils.OrderDirection orderDirection17 = null;
    boolean b20 = org.apache.commons.math.util.MathUtils.checkOrder(d_array16, orderDirection17, false, false);
    double[] d_array22 = new double[] { 1.0d };
    double[] d_array24 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array22, 10.0d);
    double[] d_array26 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array22, (-0.009999666686665238d));
    double[] d_array28 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array26, 4.440892098500626E-16d);
    double d29 = org.apache.commons.math.util.MathUtils.distanceInf(d_array16, d_array26);
    double[] d_array31 = new double[] { 10.0d };
    double[] d_array33 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array31, 1.5707963267948961d);
    double[] d_array35 = new double[] { 1.0d };
    double[] d_array37 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array35, 10.0d);
    double d38 = org.apache.commons.math.util.MathUtils.safeNorm(d_array35);
    double[] d_array40 = new double[] { 1.0d };
    double[] d_array42 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array40, 10.0d);
    double[] d_array44 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array40, (-0.009999666686665238d));
    double[][] d_array_array45 = new double[][] { d_array40 };
    org.apache.commons.math.util.MathUtils.sortInPlace(d_array35, d_array_array45);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array35);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array35);
    double[] d_array50 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array35, 1.5707963267948966d);
    org.apache.commons.math.util.MathUtils.OrderDirection orderDirection51 = org.apache.commons.math.util.MathUtils.OrderDirection.INCREASING;
    double[] d_array53 = new double[] { 1.0d };
    double[] d_array55 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array53, 10.0d);
    double[][] d_array_array56 = new double[][] { d_array55 };
    org.apache.commons.math.util.MathUtils.sortInPlace(d_array50, orderDirection51, d_array_array56);
    boolean b60 = org.apache.commons.math.util.MathUtils.checkOrder(d_array31, orderDirection51, true, false);
    double d61 = org.apache.commons.math.util.MathUtils.distance1(d_array16, d_array31);
    double[] d_array63 = new double[] { 1.0d };
    double[] d_array65 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array63, 10.0d);
    double[] d_array67 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array63, (-0.009999666686665238d));
    double d68 = org.apache.commons.math.util.MathUtils.safeNorm(d_array67);
    org.apache.commons.math.util.MathUtils.OrderDirection orderDirection69 = org.apache.commons.math.util.MathUtils.OrderDirection.INCREASING;
    boolean b72 = org.apache.commons.math.util.MathUtils.checkOrder(d_array67, orderDirection69, false, false);
    org.apache.commons.math.util.MathUtils.checkOrder(d_array67);
    double d74 = org.apache.commons.math.util.MathUtils.distanceInf(d_array31, d_array67);
    double[] d_array75 = null;
    boolean b76 = org.apache.commons.math.util.MathUtils.equals(d_array31, d_array75);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b20 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d29 == 1.5807959934815619d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d38 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b60 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d61 == 8.429203673205103d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array67);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d68 == 0.009999666686665238d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection69);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b72 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d74 == 10.009999666686666d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b76 == false);

  }

  @Test
  public void test448() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test448"); }


    org.apache.commons.math.exception.NumberIsTooLargeException numberIsTooLargeException3 = new org.apache.commons.math.exception.NumberIsTooLargeException((java.lang.Number)0, (java.lang.Number)0.5268096261183322d, true);
    boolean b4 = numberIsTooLargeException3.getBoundIsAllowed();
    java.lang.Number number5 = numberIsTooLargeException3.getMax();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number5 + "' != '" + 0.5268096261183322d+ "'", number5.equals(0.5268096261183322d));

  }

  @Test
  public void test449() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test449"); }


    double d2 = org.apache.commons.math.util.FastMath.copySign(0.0d, (-0.017301865947243932d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-0.0d));

  }

  @Test
  public void test450() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test450"); }


    float f2 = org.apache.commons.math.util.FastMath.copySign(6.938894E-18f, 1.0000001f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 6.938894E-18f);

  }

  @Test
  public void test451() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test451"); }


    double d2 = org.apache.commons.math.util.MathUtils.log(0.7854229127994505d, (-0.2783462980005369d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);

  }

  @Test
  public void test452() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test452"); }


    // The following exception was thrown during execution in test generation
    try {
      int i2 = org.apache.commons.math.util.MathUtils.pow(1017118720, (-118622672));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NotPositiveException");
    } catch (org.apache.commons.math.exception.NotPositiveException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NotPositiveException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NotPositiveException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test453() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test453"); }


    org.apache.commons.math.complex.Complex complex1 = new org.apache.commons.math.complex.Complex(1.005315231438599d);

  }

  @Test
  public void test454() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test454"); }


    org.apache.commons.math.complex.Complex complex0 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex1 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex2 = complex0.pow(complex1);
    org.apache.commons.math.complex.ComplexField complexField3 = complex1.getField();
    org.apache.commons.math.complex.Complex complex4 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex5 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex6 = complex4.pow(complex5);
    org.apache.commons.math.complex.Complex complex7 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex8 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex9 = complex7.pow(complex8);
    org.apache.commons.math.complex.Complex complex10 = complex4.multiply(complex8);
    org.apache.commons.math.complex.Complex complex11 = complex1.multiply(complex4);
    org.apache.commons.math.complex.Complex complex12 = complex4.cosh();
    org.apache.commons.math.complex.Complex complex13 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex14 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex15 = complex13.pow(complex14);
    org.apache.commons.math.complex.Complex complex16 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex17 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex18 = complex16.pow(complex17);
    org.apache.commons.math.complex.Complex complex19 = complex13.multiply(complex17);
    org.apache.commons.math.complex.Complex complex20 = complex12.subtract(complex17);
    org.apache.commons.math.complex.Complex complex21 = complex12.sqrt();
    org.apache.commons.math.complex.Complex complex22 = complex21.acos();
    org.apache.commons.math.complex.Complex complex23 = complex21.log();
    org.apache.commons.math.complex.Complex complex26 = new org.apache.commons.math.complex.Complex((-0.009999666686665238d), (-13.32129007362461d));
    org.apache.commons.math.complex.Complex complex27 = complex23.pow(complex26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complexField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex27);

  }

  @Test
  public void test455() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test455"); }


    double d2 = org.apache.commons.math.util.FastMath.copySign((-0.017453292304001534d), (-0.010101180594756684d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-0.017453292304001534d));

  }

  @Test
  public void test456() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test456"); }


    float f2 = org.apache.commons.math.util.FastMath.copySign(102400.0f, 1.0000001E-10f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 102400.0f);

  }

  @Test
  public void test457() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test457"); }


    // The following exception was thrown during execution in test generation
    try {
      double d3 = org.apache.commons.math.util.MathUtils.round((-0.5156027541504755d), 1384434969, 102528);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test458() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test458"); }


    double d2 = org.apache.commons.math.util.FastMath.copySign(0.1219637214997288d, (-1.8649691313747183E28d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-0.1219637214997288d));

  }

  @Test
  public void test459() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test459"); }


    long long2 = org.apache.commons.math.util.MathUtils.mulAndCheck(23L, 1980L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 45540L);

  }

  @Test
  public void test460() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test460"); }


    // The following exception was thrown during execution in test generation
    try {
      int i2 = org.apache.commons.math.util.MathUtils.lcm((-1518801660), (-118622673));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.MathArithmeticException");
    } catch (org.apache.commons.math.exception.MathArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.MathArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.MathArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test461() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test461"); }


    double d2 = org.apache.commons.math.util.FastMath.scalb((-0.21544107530388956d), 6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-13.788228819448932d));

  }

  @Test
  public void test462() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test462"); }


    long long2 = org.apache.commons.math.util.MathUtils.subAndCheck(124L, (-5485011738861509223L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 5485011738861509347L);

  }

  @Test
  public void test463() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test463"); }


    double d1 = org.apache.commons.math.util.FastMath.signum(138.21880632801356d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);

  }

  @Test
  public void test464() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test464"); }


    org.apache.commons.math.complex.Complex complex0 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex1 = complex0.sin();
    org.apache.commons.math.complex.Complex complex2 = complex1.acos();
    double d3 = complex1.getReal();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d3, Double.NaN, 0);

  }

  @Test
  public void test465() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test465"); }


    double d2 = org.apache.commons.math.util.FastMath.scalb(1.5231807435201146d, 1101050767);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == Double.POSITIVE_INFINITY);

  }

  @Test
  public void test466() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test466"); }


    java.lang.Number number0 = null;
    java.lang.Number number1 = null;
    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException3 = new org.apache.commons.math.exception.NumberIsTooSmallException(number0, number1, true);

  }

  @Test
  public void test467() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test467"); }


    double d1 = org.apache.commons.math.util.FastMath.sin(5.621972076935268d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.6140748429745757d));

  }

  @Test
  public void test468() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test468"); }


    double d1 = org.apache.commons.math.util.MathUtils.cosh(0.035272088089164155d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0006221245948872d);

  }

  @Test
  public void test469() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test469"); }


    double d1 = org.apache.commons.math.util.FastMath.tan(1.5430218830489562d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 35.99506279986254d);

  }

  @Test
  public void test470() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test470"); }


    org.apache.commons.math.complex.Complex complex0 = org.apache.commons.math.complex.Complex.ZERO;
    org.apache.commons.math.complex.Complex complex1 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex2 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex3 = complex1.pow(complex2);
    org.apache.commons.math.complex.ComplexField complexField4 = complex2.getField();
    org.apache.commons.math.complex.Complex complex5 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex6 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex7 = complex5.pow(complex6);
    org.apache.commons.math.complex.Complex complex8 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex9 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex10 = complex8.pow(complex9);
    org.apache.commons.math.complex.Complex complex11 = complex5.multiply(complex9);
    org.apache.commons.math.complex.Complex complex12 = complex2.multiply(complex5);
    org.apache.commons.math.util.MathUtils.checkNotNull((java.lang.Object)complex2);
    org.apache.commons.math.complex.Complex complex15 = complex2.pow(1.5707963267948966d);
    org.apache.commons.math.complex.Complex complex16 = complex15.tan();
    org.apache.commons.math.complex.Complex complex18 = complex15.multiply(2.6881171418161356E43d);
    org.apache.commons.math.complex.Complex complex19 = complex0.divide(complex18);
    org.apache.commons.math.complex.Complex complex20 = complex19.cos();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complexField4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex20);

  }

  @Test
  public void test471() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test471"); }


    java.lang.Object[] obj_array1 = null;
    org.apache.commons.math.exception.NotFiniteNumberException notFiniteNumberException2 = new org.apache.commons.math.exception.NotFiniteNumberException((java.lang.Number)3.7871039784210714d, obj_array1);
    java.lang.Throwable throwable3 = notFiniteNumberException2.getException();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable3);

  }

  @Test
  public void test472() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test472"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.util.Localizable localizable2 = null;
    java.math.BigInteger bigInteger3 = null;
    java.math.BigInteger bigInteger5 = org.apache.commons.math.util.MathUtils.pow(bigInteger3, 0L);
    java.math.BigInteger bigInteger7 = org.apache.commons.math.util.MathUtils.pow(bigInteger5, 10);
    java.math.BigInteger bigInteger8 = null;
    java.math.BigInteger bigInteger10 = org.apache.commons.math.util.MathUtils.pow(bigInteger8, 0L);
    java.math.BigInteger bigInteger12 = org.apache.commons.math.util.MathUtils.pow(bigInteger10, 10);
    java.math.BigInteger bigInteger13 = org.apache.commons.math.util.MathUtils.pow(bigInteger5, bigInteger10);
    java.math.BigInteger bigInteger15 = org.apache.commons.math.util.MathUtils.pow(bigInteger5, 144);
    java.math.BigInteger bigInteger16 = null;
    java.math.BigInteger bigInteger18 = org.apache.commons.math.util.MathUtils.pow(bigInteger16, 0L);
    java.math.BigInteger bigInteger20 = org.apache.commons.math.util.MathUtils.pow(bigInteger18, 10);
    java.math.BigInteger bigInteger21 = null;
    java.math.BigInteger bigInteger23 = org.apache.commons.math.util.MathUtils.pow(bigInteger21, 0L);
    java.math.BigInteger bigInteger25 = org.apache.commons.math.util.MathUtils.pow(bigInteger23, 10);
    java.math.BigInteger bigInteger26 = org.apache.commons.math.util.MathUtils.pow(bigInteger18, bigInteger23);
    java.math.BigInteger bigInteger28 = org.apache.commons.math.util.MathUtils.pow(bigInteger18, 144);
    java.math.BigInteger bigInteger29 = org.apache.commons.math.util.MathUtils.pow(bigInteger15, bigInteger18);
    org.apache.commons.math.complex.Complex complex30 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex31 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex32 = complex30.pow(complex31);
    double[] d_array34 = new double[] { 1.0d };
    double[] d_array36 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array34, 10.0d);
    double d37 = org.apache.commons.math.util.MathUtils.safeNorm(d_array34);
    double[] d_array39 = new double[] { 1.0d };
    double[] d_array41 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array39, 10.0d);
    double[] d_array43 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array39, (-0.009999666686665238d));
    double[][] d_array_array44 = new double[][] { d_array39 };
    org.apache.commons.math.util.MathUtils.sortInPlace(d_array34, d_array_array44);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array34);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array34);
    double[] d_array49 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array34, 1.5707963267948966d);
    org.apache.commons.math.util.MathUtils.OrderDirection orderDirection50 = org.apache.commons.math.util.MathUtils.OrderDirection.INCREASING;
    double[] d_array52 = new double[] { 1.0d };
    double[] d_array54 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array52, 10.0d);
    double[][] d_array_array55 = new double[][] { d_array54 };
    org.apache.commons.math.util.MathUtils.sortInPlace(d_array49, orderDirection50, d_array_array55);
    boolean b57 = complex30.equals((java.lang.Object)d_array_array55);
    org.apache.commons.math.exception.NotFiniteNumberException notFiniteNumberException58 = new org.apache.commons.math.exception.NotFiniteNumberException(localizable2, (java.lang.Number)bigInteger15, (java.lang.Object[])d_array_array55);
    org.apache.commons.math.exception.NotFiniteNumberException notFiniteNumberException59 = new org.apache.commons.math.exception.NotFiniteNumberException(localizable0, (java.lang.Number)(-0.001832482278887523d), (java.lang.Object[])d_array_array55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d37 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b57 == false);

  }

  @Test
  public void test473() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test473"); }


    double[] d_array0 = null;
    double[] d_array8 = new double[] { 1.0d };
    double[] d_array10 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array8, 10.0d);
    double[] d_array11 = org.apache.commons.math.util.MathUtils.copyOf(d_array8);
    org.apache.commons.math.util.MathUtils.OrderDirection orderDirection12 = org.apache.commons.math.util.MathUtils.OrderDirection.INCREASING;
    double[] d_array14 = new double[] { 1.0d };
    double[] d_array16 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array14, 10.0d);
    double d17 = org.apache.commons.math.util.MathUtils.safeNorm(d_array14);
    double[] d_array19 = new double[] { 1.0d };
    double[] d_array21 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array19, 10.0d);
    double[] d_array23 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array19, (-0.009999666686665238d));
    double[][] d_array_array24 = new double[][] { d_array19 };
    org.apache.commons.math.util.MathUtils.sortInPlace(d_array14, d_array_array24);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array14);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array14);
    double[] d_array29 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array14, 1.5707963267948966d);
    org.apache.commons.math.util.MathUtils.OrderDirection orderDirection30 = org.apache.commons.math.util.MathUtils.OrderDirection.INCREASING;
    double[] d_array32 = new double[] { 1.0d };
    double[] d_array34 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array32, 10.0d);
    double[][] d_array_array35 = new double[][] { d_array34 };
    org.apache.commons.math.util.MathUtils.sortInPlace(d_array29, orderDirection30, d_array_array35);
    org.apache.commons.math.util.MathUtils.sortInPlace(d_array8, orderDirection12, d_array_array35);
    org.apache.commons.math.exception.NonMonotonousSequenceException nonMonotonousSequenceException39 = new org.apache.commons.math.exception.NonMonotonousSequenceException((java.lang.Number)(-0.2593935199454313d), (java.lang.Number)7766279631452241920L, (-758373193), orderDirection12, true);
    org.apache.commons.math.exception.NonMonotonousSequenceException nonMonotonousSequenceException41 = new org.apache.commons.math.exception.NonMonotonousSequenceException((java.lang.Number)1.4152637247284958d, (java.lang.Number)0.01713551219013049d, 1072693279, orderDirection12, true);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.util.MathUtils.checkOrder(d_array0, orderDirection12, false);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d17 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array35);

  }

  @Test
  public void test474() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test474"); }


    org.apache.commons.math.complex.Complex complex0 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex1 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex2 = complex0.pow(complex1);
    org.apache.commons.math.complex.ComplexField complexField3 = complex1.getField();
    org.apache.commons.math.complex.Complex complex4 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex5 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex6 = complex4.pow(complex5);
    org.apache.commons.math.complex.Complex complex7 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex8 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex9 = complex7.pow(complex8);
    org.apache.commons.math.complex.Complex complex10 = complex4.multiply(complex8);
    org.apache.commons.math.complex.Complex complex11 = complex1.multiply(complex4);
    org.apache.commons.math.complex.Complex complex12 = complex4.cosh();
    org.apache.commons.math.complex.Complex complex13 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex14 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex15 = complex13.pow(complex14);
    org.apache.commons.math.complex.Complex complex16 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex17 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex18 = complex16.pow(complex17);
    org.apache.commons.math.complex.Complex complex19 = complex13.multiply(complex17);
    org.apache.commons.math.complex.Complex complex20 = complex12.subtract(complex17);
    org.apache.commons.math.complex.Complex complex21 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex22 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex23 = complex21.pow(complex22);
    org.apache.commons.math.complex.ComplexField complexField24 = complex22.getField();
    org.apache.commons.math.complex.Complex complex25 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex26 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex27 = complex25.pow(complex26);
    org.apache.commons.math.complex.Complex complex28 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex29 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex30 = complex28.pow(complex29);
    org.apache.commons.math.complex.Complex complex31 = complex25.multiply(complex29);
    org.apache.commons.math.complex.Complex complex32 = complex22.multiply(complex25);
    org.apache.commons.math.complex.Complex complex33 = complex20.subtract(complex32);
    double d34 = complex20.getReal();
    org.apache.commons.math.complex.Complex complex36 = new org.apache.commons.math.complex.Complex(1.00002499989587d);
    org.apache.commons.math.complex.Complex complex37 = complex20.pow(complex36);
    org.apache.commons.math.complex.Complex complex38 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex39 = complex38.cos();
    org.apache.commons.math.complex.Complex complex40 = complex38.sqrt1z();
    org.apache.commons.math.complex.Complex complex41 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex42 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex43 = complex41.pow(complex42);
    org.apache.commons.math.complex.ComplexField complexField44 = complex42.getField();
    org.apache.commons.math.complex.Complex complex45 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex46 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex47 = complex45.pow(complex46);
    org.apache.commons.math.complex.Complex complex48 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex49 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex50 = complex48.pow(complex49);
    org.apache.commons.math.complex.Complex complex51 = complex45.multiply(complex49);
    org.apache.commons.math.complex.Complex complex52 = complex42.multiply(complex45);
    org.apache.commons.math.complex.Complex complex53 = complex45.cosh();
    org.apache.commons.math.complex.Complex complex54 = complex45.acos();
    org.apache.commons.math.complex.Complex complex56 = complex45.add((-0.010000166680833889d));
    org.apache.commons.math.complex.Complex complex57 = complex56.cos();
    org.apache.commons.math.util.MathUtils.checkNotNull((java.lang.Object)complex56);
    org.apache.commons.math.complex.Complex complex59 = complex38.multiply(complex56);
    org.apache.commons.math.complex.Complex complex61 = complex38.pow(1.0000495000291107d);
    boolean b62 = complex36.equals((java.lang.Object)complex61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complexField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complexField24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d34, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complexField44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b62 == false);

  }

  @Test
  public void test475() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test475"); }


    double d2 = org.apache.commons.math.util.FastMath.atan2(0.0d, (-0.00994967209023828d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 3.141592653589793d);

  }

  @Test
  public void test476() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test476"); }


    org.apache.commons.math.complex.Complex complex0 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex1 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex2 = complex0.pow(complex1);
    org.apache.commons.math.complex.ComplexField complexField3 = complex1.getField();
    org.apache.commons.math.complex.Complex complex4 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex5 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex6 = complex4.pow(complex5);
    org.apache.commons.math.complex.Complex complex7 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex8 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex9 = complex7.pow(complex8);
    org.apache.commons.math.complex.Complex complex10 = complex4.multiply(complex8);
    org.apache.commons.math.complex.Complex complex11 = complex1.multiply(complex4);
    org.apache.commons.math.complex.Complex complex12 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex13 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex14 = complex12.pow(complex13);
    boolean b15 = complex14.isInfinite();
    org.apache.commons.math.complex.Complex complex16 = complex14.atan();
    org.apache.commons.math.complex.Complex complex17 = complex1.divide(complex14);
    org.apache.commons.math.complex.Complex complex18 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex19 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex20 = complex18.pow(complex19);
    org.apache.commons.math.complex.Complex complex21 = complex1.add(complex20);
    org.apache.commons.math.exception.NonMonotonousSequenceException nonMonotonousSequenceException25 = new org.apache.commons.math.exception.NonMonotonousSequenceException((java.lang.Number)1.3440585709080678E43d, (java.lang.Number)0.009999666686665238d, 1);
    java.lang.Number number26 = nonMonotonousSequenceException25.getPrevious();
    java.lang.Number number27 = nonMonotonousSequenceException25.getPrevious();
    java.lang.Number number28 = nonMonotonousSequenceException25.getPrevious();
    int i29 = nonMonotonousSequenceException25.getIndex();
    java.lang.Throwable throwable30 = nonMonotonousSequenceException25.getException();
    java.lang.String str31 = nonMonotonousSequenceException25.toString();
    boolean b32 = complex21.equals((java.lang.Object)nonMonotonousSequenceException25);
    org.apache.commons.math.util.MathUtils.OrderDirection orderDirection33 = nonMonotonousSequenceException25.getDirection();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complexField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b15 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number26 + "' != '" + 0.009999666686665238d+ "'", number26.equals(0.009999666686665238d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number27 + "' != '" + 0.009999666686665238d+ "'", number27.equals(0.009999666686665238d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number28 + "' != '" + 0.009999666686665238d+ "'", number28.equals(0.009999666686665238d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i29 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str31 + "' != '" + "org.apache.commons.math.exception.NonMonotonousSequenceException: points 0 and 1 are not strictly increasing (0.01 >= 13,440,585,709,080,678,000,000,000,000,000,000,000,000,000)"+ "'", str31.equals("org.apache.commons.math.exception.NonMonotonousSequenceException: points 0 and 1 are not strictly increasing (0.01 >= 13,440,585,709,080,678,000,000,000,000,000,000,000,000,000)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b32 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection33);

  }

  @Test
  public void test477() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test477"); }


    java.math.BigInteger bigInteger0 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.math.BigInteger bigInteger2 = org.apache.commons.math.util.MathUtils.pow(bigInteger0, 2147483647);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test478() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test478"); }


    long long2 = org.apache.commons.math.util.FastMath.min(0L, (-5485011738861510223L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == (-5485011738861510223L));

  }

  @Test
  public void test479() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test479"); }


    float f2 = org.apache.commons.math.util.FastMath.copySign(80.000015f, 1.525879E-5f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 80.000015f);

  }

  @Test
  public void test480() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test480"); }


    int i2 = org.apache.commons.math.util.MathUtils.subAndCheck((-7168), 989909622);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == (-989916790));

  }

  @Test
  public void test481() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test481"); }


    int i2 = org.apache.commons.math.util.MathUtils.lcm((-1), 1518801660);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 1518801660);

  }

  @Test
  public void test482() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test482"); }


    double d2 = org.apache.commons.math.util.FastMath.min(0.0d, 1325.43500242514d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.0d);

  }

  @Test
  public void test483() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test483"); }


    org.apache.commons.math.util.MathUtils.checkNotNull((java.lang.Object)(-6.283185307179585d));

  }

  @Test
  public void test484() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test484"); }


    float f1 = org.apache.commons.math.util.FastMath.nextUp(80.000015f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 80.00002f);

  }

  @Test
  public void test485() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test485"); }


    double d1 = org.apache.commons.math.util.FastMath.tan((-0.017451520651465824d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.017453292519943295d));

  }

  @Test
  public void test486() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test486"); }


    int[] i_array0 = new int[] {  };
    int[] i_array2 = org.apache.commons.math.util.MathUtils.copyOf(i_array0, 1);
    int[] i_array3 = org.apache.commons.math.util.MathUtils.copyOf(i_array0);
    int[] i_array5 = new int[] { 100 };
    int i6 = org.apache.commons.math.util.MathUtils.distance1(i_array0, i_array5);
    int[] i_array7 = org.apache.commons.math.util.MathUtils.copyOf(i_array5);
    int[] i_array9 = org.apache.commons.math.util.MathUtils.copyOf(i_array7, 0);
    int[] i_array10 = new int[] {  };
    int[] i_array12 = org.apache.commons.math.util.MathUtils.copyOf(i_array10, 1);
    int[] i_array13 = org.apache.commons.math.util.MathUtils.copyOf(i_array10);
    int[] i_array14 = new int[] {  };
    int[] i_array16 = org.apache.commons.math.util.MathUtils.copyOf(i_array14, 1);
    int[] i_array17 = org.apache.commons.math.util.MathUtils.copyOf(i_array14);
    int[] i_array19 = new int[] { 100 };
    int i20 = org.apache.commons.math.util.MathUtils.distance1(i_array14, i_array19);
    int[] i_array21 = org.apache.commons.math.util.MathUtils.copyOf(i_array14);
    double d22 = org.apache.commons.math.util.MathUtils.distance(i_array10, i_array21);
    int[] i_array24 = new int[] { (-1) };
    int[] i_array25 = org.apache.commons.math.util.MathUtils.copyOf(i_array24);
    int[] i_array29 = new int[] { 0, 0, 0 };
    int[] i_array30 = org.apache.commons.math.util.MathUtils.copyOf(i_array29);
    double d31 = org.apache.commons.math.util.MathUtils.distance(i_array24, i_array29);
    int[] i_array32 = org.apache.commons.math.util.MathUtils.copyOf(i_array24);
    int[] i_array34 = org.apache.commons.math.util.MathUtils.copyOf(i_array32, 1016);
    double d35 = org.apache.commons.math.util.MathUtils.distance(i_array21, i_array32);
    int i36 = org.apache.commons.math.util.MathUtils.distance1(i_array7, i_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i20 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d22 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d31 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d35 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i36 == 101);

  }

  @Test
  public void test487() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test487"); }


    // The following exception was thrown during execution in test generation
    try {
      float f3 = org.apache.commons.math.util.MathUtils.round(0.0f, (-758373193), 1296);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.MathIllegalArgumentException");
    } catch (org.apache.commons.math.exception.MathIllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.MathIllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.MathIllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test488() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test488"); }


    org.apache.commons.math.complex.Complex complex0 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex1 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex2 = complex0.pow(complex1);
    org.apache.commons.math.complex.ComplexField complexField3 = complex1.getField();
    org.apache.commons.math.complex.Complex complex4 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex5 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex6 = complex4.pow(complex5);
    org.apache.commons.math.complex.Complex complex7 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex8 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex9 = complex7.pow(complex8);
    org.apache.commons.math.complex.Complex complex10 = complex4.multiply(complex8);
    org.apache.commons.math.complex.Complex complex11 = complex1.multiply(complex4);
    org.apache.commons.math.util.MathUtils.checkNotNull((java.lang.Object)complex1);
    double d13 = complex1.abs();
    double d14 = complex1.getReal();
    org.apache.commons.math.complex.ComplexField complexField15 = complex1.getField();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complexField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d13 == Double.POSITIVE_INFINITY);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d14 == Double.POSITIVE_INFINITY);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complexField15);

  }

  @Test
  public void test489() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test489"); }


    double[] d_array1 = new double[] { 1.0d };
    double[] d_array3 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array1, 10.0d);
    double d4 = org.apache.commons.math.util.MathUtils.safeNorm(d_array1);
    double[] d_array6 = new double[] { 1.0d };
    double[] d_array8 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array6, 10.0d);
    double[] d_array10 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array6, (-0.009999666686665238d));
    double[][] d_array_array11 = new double[][] { d_array6 };
    org.apache.commons.math.util.MathUtils.sortInPlace(d_array1, d_array_array11);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array1);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array1);
    double[] d_array16 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array1, 1.5707963267948966d);
    double[] d_array17 = org.apache.commons.math.util.MathUtils.copyOf(d_array16);
    double[] d_array18 = org.apache.commons.math.util.MathUtils.copyOf(d_array16);
    double[] d_array20 = new double[] { 1.0d };
    double[] d_array22 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array20, 10.0d);
    double d23 = org.apache.commons.math.util.MathUtils.safeNorm(d_array20);
    double[] d_array25 = new double[] { 1.0d };
    double[] d_array27 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array25, 10.0d);
    double[] d_array29 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array25, (-0.009999666686665238d));
    double[][] d_array_array30 = new double[][] { d_array25 };
    org.apache.commons.math.util.MathUtils.sortInPlace(d_array20, d_array_array30);
    double[] d_array33 = new double[] { 1.0d };
    double[] d_array35 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array33, 10.0d);
    double d36 = org.apache.commons.math.util.MathUtils.distanceInf(d_array20, d_array33);
    double[] d_array37 = org.apache.commons.math.util.MathUtils.copyOf(d_array20);
    double d38 = org.apache.commons.math.util.MathUtils.distance(d_array18, d_array37);
    double[] d_array40 = new double[] { 1.0d };
    double[] d_array42 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array40, 10.0d);
    double[] d_array44 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array40, (-0.009999666686665238d));
    double[] d_array46 = new double[] { 1.0d };
    double[] d_array48 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array46, 10.0d);
    double[] d_array49 = org.apache.commons.math.util.MathUtils.copyOf(d_array46);
    double d50 = org.apache.commons.math.util.MathUtils.distanceInf(d_array40, d_array46);
    int i51 = org.apache.commons.math.util.MathUtils.hash(d_array40);
    double[] d_array53 = new double[] { 1.0d };
    double[] d_array55 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array53, 10.0d);
    double d56 = org.apache.commons.math.util.MathUtils.safeNorm(d_array53);
    double[] d_array58 = new double[] { 1.0d };
    double[] d_array60 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array58, 10.0d);
    double[] d_array62 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array58, (-0.009999666686665238d));
    double[][] d_array_array63 = new double[][] { d_array58 };
    org.apache.commons.math.util.MathUtils.sortInPlace(d_array53, d_array_array63);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array53);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array53);
    double[] d_array68 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array53, 1.5707963267948966d);
    org.apache.commons.math.util.MathUtils.OrderDirection orderDirection69 = org.apache.commons.math.util.MathUtils.OrderDirection.INCREASING;
    double[] d_array71 = new double[] { 1.0d };
    double[] d_array73 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array71, 10.0d);
    double[][] d_array_array74 = new double[][] { d_array73 };
    org.apache.commons.math.util.MathUtils.sortInPlace(d_array68, orderDirection69, d_array_array74);
    org.apache.commons.math.util.MathUtils.checkOrder(d_array40, orderDirection69, false);
    double d78 = org.apache.commons.math.util.MathUtils.distanceInf(d_array37, d_array40);
    double[] d_array80 = new double[] { 1.0d };
    double[] d_array82 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array80, 10.0d);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array80);
    double[] d_array85 = org.apache.commons.math.util.MathUtils.copyOf(d_array80, 10);
    double d86 = org.apache.commons.math.util.MathUtils.distanceInf(d_array37, d_array80);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d23 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d36 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d38 == 0.5707963267948966d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d50 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i51 == 1072693279);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d56 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array68);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection69);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array71);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array73);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array74);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d78 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array80);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array82);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array85);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d86 == 0.0d);

  }

  @Test
  public void test490() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test490"); }


    long long1 = org.apache.commons.math.util.FastMath.abs((-99000L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 99000L);

  }

  @Test
  public void test491() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test491"); }


    float[] f_array0 = null;
    float[] f_array4 = new float[] { 10.0f, 0.0f, 1.0f };
    float[] f_array7 = new float[] { 100.0f, (-1.0f) };
    boolean b8 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(f_array4, f_array7);
    float[] f_array10 = new float[] { 0.0f };
    float[] f_array14 = new float[] { 10.0f, 0.0f, 1.0f };
    float[] f_array17 = new float[] { 100.0f, (-1.0f) };
    boolean b18 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(f_array14, f_array17);
    boolean b19 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(f_array10, f_array17);
    boolean b20 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(f_array4, f_array10);
    float[] f_array24 = new float[] { (-1.0f), (-1.0f), 0.0f };
    float[] f_array28 = new float[] { 10.0f, 0.0f, 1.0f };
    float[] f_array31 = new float[] { 100.0f, (-1.0f) };
    boolean b32 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(f_array28, f_array31);
    float[] f_array34 = new float[] { 0.0f };
    float[] f_array38 = new float[] { 10.0f, 0.0f, 1.0f };
    float[] f_array41 = new float[] { 100.0f, (-1.0f) };
    boolean b42 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(f_array38, f_array41);
    boolean b43 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(f_array34, f_array41);
    boolean b44 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(f_array28, f_array34);
    boolean b45 = org.apache.commons.math.util.MathUtils.equals(f_array24, f_array28);
    boolean b46 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(f_array10, f_array24);
    float[] f_array48 = new float[] { 0.0f };
    float[] f_array52 = new float[] { 10.0f, 0.0f, 1.0f };
    float[] f_array55 = new float[] { 100.0f, (-1.0f) };
    boolean b56 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(f_array52, f_array55);
    boolean b57 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(f_array48, f_array55);
    boolean b58 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(f_array24, f_array55);
    float[] f_array62 = new float[] { 10.0f, 0.0f, 1.0f };
    float[] f_array65 = new float[] { 100.0f, (-1.0f) };
    boolean b66 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(f_array62, f_array65);
    float[] f_array70 = new float[] { (-1.0f), (-1.0f), 0.0f };
    float[] f_array74 = new float[] { 10.0f, 0.0f, 1.0f };
    float[] f_array77 = new float[] { 100.0f, (-1.0f) };
    boolean b78 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(f_array74, f_array77);
    float[] f_array80 = new float[] { 0.0f };
    float[] f_array84 = new float[] { 10.0f, 0.0f, 1.0f };
    float[] f_array87 = new float[] { 100.0f, (-1.0f) };
    boolean b88 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(f_array84, f_array87);
    boolean b89 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(f_array80, f_array87);
    boolean b90 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(f_array74, f_array80);
    boolean b91 = org.apache.commons.math.util.MathUtils.equals(f_array70, f_array74);
    boolean b92 = org.apache.commons.math.util.MathUtils.equals(f_array65, f_array70);
    boolean b93 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(f_array55, f_array65);
    boolean b94 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(f_array0, f_array65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b8 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b18 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b19 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b20 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b32 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b42 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b43 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b44 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b45 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b46 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b56 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b57 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b58 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b66 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array70);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array74);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array77);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b78 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array80);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array84);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array87);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b88 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b89 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b90 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b91 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b92 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b93 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b94 == false);

  }

  @Test
  public void test492() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test492"); }


    int i1 = org.apache.commons.math.util.FastMath.getExponent(1.2676504E31f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 103);

  }

  @Test
  public void test493() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test493"); }


    int i3 = org.apache.commons.math.util.MathUtils.compareTo(0.009900662544436153d, (-0.7219406744110326d), (-1272213991));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 1);

  }

  @Test
  public void test494() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test494"); }


    org.apache.commons.math.complex.Complex complex0 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex1 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex2 = complex0.pow(complex1);
    org.apache.commons.math.complex.ComplexField complexField3 = complex1.getField();
    org.apache.commons.math.complex.Complex complex4 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex5 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex6 = complex4.pow(complex5);
    org.apache.commons.math.complex.Complex complex7 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex8 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex9 = complex7.pow(complex8);
    org.apache.commons.math.complex.Complex complex10 = complex4.multiply(complex8);
    org.apache.commons.math.complex.Complex complex11 = complex1.multiply(complex4);
    org.apache.commons.math.complex.Complex complex12 = complex4.cosh();
    org.apache.commons.math.complex.Complex complex13 = complex4.acos();
    org.apache.commons.math.complex.Complex complex15 = complex4.add((-0.010000166680833889d));
    org.apache.commons.math.complex.Complex complex16 = complex4.sqrt1z();
    org.apache.commons.math.complex.Complex complex18 = complex16.subtract((-0.015708609314253285d));
    org.apache.commons.math.complex.Complex complex20 = complex18.pow(1.005315231438599d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complexField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex20);

  }

  @Test
  public void test495() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test495"); }


    int i2 = org.apache.commons.math.util.MathUtils.addAndCheck((-1272213991), 1910505473);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 638291482);

  }

  @Test
  public void test496() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test496"); }


    double d1 = org.apache.commons.math.util.FastMath.nextUp(6.097165137335922E141d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 6.097165137335924E141d);

  }

  @Test
  public void test497() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test497"); }


    boolean b3 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(1.6487620770805527d, 0.9443875935450844d, (-1.2677139883575254E28d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test498() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test498"); }


    int i1 = org.apache.commons.math.util.MathUtils.sign((-318324063));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == (-1));

  }

  @Test
  public void test499() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test499"); }


    org.apache.commons.math.complex.Complex complex0 = org.apache.commons.math.complex.Complex.ONE;
    org.apache.commons.math.complex.Complex complex1 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex2 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex3 = complex1.pow(complex2);
    boolean b4 = complex3.isInfinite();
    org.apache.commons.math.complex.Complex complex5 = complex3.atan();
    org.apache.commons.math.complex.Complex complex6 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex7 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex8 = complex6.pow(complex7);
    org.apache.commons.math.complex.ComplexField complexField9 = complex7.getField();
    org.apache.commons.math.complex.Complex complex10 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex11 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex12 = complex10.pow(complex11);
    org.apache.commons.math.complex.Complex complex13 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex14 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex15 = complex13.pow(complex14);
    org.apache.commons.math.complex.Complex complex16 = complex10.multiply(complex14);
    org.apache.commons.math.complex.Complex complex17 = complex7.multiply(complex10);
    org.apache.commons.math.complex.Complex complex18 = complex10.cosh();
    org.apache.commons.math.complex.Complex complex19 = complex10.acos();
    org.apache.commons.math.complex.Complex complex20 = complex3.subtract(complex10);
    org.apache.commons.math.complex.Complex complex21 = complex0.multiply(complex3);
    org.apache.commons.math.complex.Complex complex22 = complex3.sin();
    org.apache.commons.math.complex.Complex complex24 = complex3.pow(30.3346910955799d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complexField9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex24);

  }

  @Test
  public void test500() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test500"); }


    float f2 = org.apache.commons.math.util.FastMath.scalb(1.0000001f, 1910505473);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == Float.POSITIVE_INFINITY);

  }

}
